--***********************************************************
--                Attract mode level
--***********************************************************

function InitialiseLevel()
    LoadLevel("landscapes/MP/MM3.xom",true)
end

function CreatePlayers()
	player = CreatePlayer("AI")
	player.NumberOfWorms = 4
	player.Name = "Tappxxor"
	player.ResourcePoints = 16
	player.Handicap = 1
	player.WormStartingHealth = 100
        player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
        DefaultInventory(player.PlayerIndex)
	inventory = GetPlayerInventory(player.PlayerIndex)
	inventory.SpawnWorm = 0
	StandardWorm(GetWormData(player.PlayerIndex,0),"Dr Codexxor")
	StandardWorm(GetWormData(player.PlayerIndex,1),"Dr Fix it")
	StandardWorm(GetWormData(player.PlayerIndex,2),"Dr Indahouse")
	StandardWorm(GetWormData(player.PlayerIndex,3),"Dr Who")
	
	GetWormData(0).HatOverride = "Hat.Medieval2"        
        GetWormData(1).HatOverride = "Hat.Medieval2"        
        GetWormData(2).HatOverride = "Hat.Medieval2"        
        GetWormData(3).HatOverride = "Hat.Medieval2"
	

	player = CreatePlayer("AI")
	player.NumberOfWorms = 4
	player.Name = "Evil"
	player.ResourcePoints = 16
	player.Handicap = 1
	player.WormStartingHealth = 100
        player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
	DefaultInventory(player.PlayerIndex)
	inventory = GetPlayerInventory(player.PlayerIndex)
	inventory.SpawnWorm = 0
	StandardWorm(GetWormData(player.PlayerIndex,0),"Cockney")
	StandardWorm(GetWormData(player.PlayerIndex,1),"Fun Designxxor")
	StandardWorm(GetWormData(player.PlayerIndex,2),"Fun Wage")
	StandardWorm(GetWormData(player.PlayerIndex,3),"Beard Face")
        
	GetWormData(4).HatOverride = "Hat.Medieval4"        
        GetWormData(5).HatOverride = "Hat.Medieval4"        
        GetWormData(6).HatOverride = "Hat.Medieval4"        
        GetWormData(7).HatOverride = "Hat.Medieval4"
	
	CopyContainer( GetAIParamsCPU5(), GetAIParamsWorm(0) )        
	GetAIParamsWorm(0).WeightingPlanScoreRandomise = 1.5
        CopyContainer( GetAIParamsWorm(0), GetAIParamsWorm(1) )
        CopyContainer( GetAIParamsWorm(0), GetAIParamsWorm(2) )
        CopyContainer( GetAIParamsWorm(0), GetAIParamsWorm(3) )
	CopyContainer( GetAIParamsWorm(0), GetAIParamsWorm(4) )
	CopyContainer( GetAIParamsWorm(0), GetAIParamsWorm(5) )
        CopyContainer( GetAIParamsWorm(0), GetAIParamsWorm(6) )
        CopyContainer( GetAIParamsWorm(0), GetAIParamsWorm(7) )
	

	referee = GetRefereeData()
	referee.TurnCounter = 0
	referee.WindDirection = 0
	referee.WindDirectionVariance = 180.0
	referee.WindStrengthMinimum = 0.0
	referee.WindStrengthVariance = 10.0
--	referee.ResourcePercentageToWin = 100.0
--	referee.SuspendTimer = true;


	inventory = GetPlayerInventory(0)
	inventory.SuperHippo = 0
	inventory.HomingPigeon = 0

	inventory = GetPlayerInventory(1)
	inventory.SuperHippo = 0
	inventory.HomingPigeon = 0

end

function HideWormsNow()

        CreateBuilding( kWF_BUILDING_KEEP, 0, "buildHere009" )
        CreateBuilding( kWF_BUILDING_CASTLE, 0, "buildHere0010" )
        CreateBuilding( kWF_BUILDING_KEEP, 1, "buildHere0054" )
        CreateBuilding( kWF_BUILDING_CASTLE, 1, "buildHere0062" )
        CreateBuilding( kWF_BUILDING_CITADEL, 1, "buildHere0055" )
        
end

function SetDifficulty()
    
end
