--***********************************************************
--                Deathmatch 2 
-- Big ole deathmatch, hopefully big bases and lots of explosions.
--***********************************************************

function InitialiseLevel()
	LoadLevel("landscapes/DM/DM02.xom",true) 

	scheme = GetCurrentSchemeData()

	scheme.OverrideInventory = false
	scheme.WormSelectMode = false
    
    scheme.SuddenDeathMode = "kWeaponSuperBazooka"

	scheme.HealthInCrates = 50
	scheme.CrateProbability = 100

	scheme.TurnTime = 6000
	scheme.SuddenDeathTime = 180000
	scheme.RetreatTime = 500
	scheme.HotSeatTime = 500

	scheme.WeaponProbability   = 25
	scheme.UtilityProbability   = 25
	scheme.BuildingProbability   = 25
	scheme.HealthProbability   = 25
	
	scheme.Bazooka.Crate = 0
	scheme.Bazooka.Delay    = 0

	scheme.Mortar.Crate    = 0
	scheme.Mortar.Delay    = 0

	scheme.FireWeapon.Crate    = 1
	scheme.FireWeapon.Delay    = 0

	scheme.HomingPigeon.Crate    = 0
	scheme.HomingPigeon.Delay    = 0

	scheme.RocketLauncher.Crate    = 0
	scheme.RocketLauncher.Delay    = 0

	scheme.Grenade.Crate    = 0
	scheme.Grenade.Delay    = 0

	scheme.ClusterLauncher.Crate    = 0
	scheme.ClusterLauncher.Delay    = 0
    
	scheme.FireGrenadeLauncher.Crate    = 1
	scheme.FireGrenadeLauncher.Delay    = 0

	scheme.BananaBombLauncher.Crate     = 1
	scheme.BananaBombLauncher.Delay     = 0
    
	scheme.Trebuchet.Crate     = 1
	scheme.Trebuchet.Delay     = 0

	scheme.Canary.Crate     = 0
	scheme.Canary.Delay     = 0

	scheme.OldLady.Crate     = 0
	scheme.OldLady.Delay     = 0

	scheme.BatteringRam.Crate     = 0
	scheme.BatteringRam.Delay     = 0

	scheme.SuperHippo.Crate     = 0
	scheme.SuperHippo.Delay     = 0

	scheme.MonkeyHerd.Crate     = 1
	scheme.MonkeyHerd.Delay     = 0

	scheme.AirStrike.Crate     = 1
	scheme.AirStrike.Delay     = 0
 
	scheme.NapalmStrike.Crate     = 0
	scheme.NapalmStrike.Delay     = 0

	scheme.MineStrike.Crate     = 0
	scheme.MineStrike.Delay     = 0

	scheme.AnimalStrike.Crate     = 0
	scheme.AnimalStrike.Delay     = 0

	scheme.TrojanDonkey.Crate     = 0
	scheme.TrojanDonkey.Delay     = 0

	scheme.ElectricalStorm.Crate	= 0
	scheme.ElectricalStorm.Delay	= 0
    
	scheme.Earthquake.Crate     = 0
	scheme.Earthquake.Delay     = 0
    
	scheme.Flood.Crate     = 0
	scheme.Flood.Delay     = 0

	scheme.NuclearStrike.Crate     = 0
	scheme.NuclearStrike.Delay     = 0

	scheme.Armageddon.Crate     = 0
	scheme.Armageddon.Delay     = 0

	scheme.FirePunch.Crate     = 0
	scheme.FirePunch.Delay     = 0
 
	scheme.Ballista.Crate     = 1
	scheme.Ballista.Delay     = 0

	scheme.MiniGun.Crate     = 1
	scheme.MiniGun.Delay     = 0

	scheme.GiantCrossbow.Crate     = 1
	scheme.GiantCrossbow.Delay     = 0

	scheme.GiantLaser.Crate     = 0
	scheme.GiantLaser.Delay     = 0
	
	scheme.Tower.Crate = 1
	scheme.Tower.Delay  = 0
 
	scheme.Keep.Crate   = 1
	scheme.Keep.Delay  = 0
    
	scheme.Castle.Crate   = 1
	scheme.Castle.Delay  = 0
    
	scheme.Citadel.Crate   = 0
	scheme.Citadel.Delay  = 0

	scheme.Hospital.Crate   = 0
	scheme.Hospital.Delay  = 0
    
	scheme.Refinery.Crate   = 1
	scheme.Refinery.Delay  = 0
    
	scheme.ScienceLab.Crate   = 0
	scheme.ScienceLab.Delay  = 0

	scheme.Wonder.Crate   = 0
	scheme.Wonder.Delay  = 0

	scheme.Stronghold.Crate   = 0
	scheme.Stronghold.Delay  = 0

	scheme.Jetpack.Crate     = 1
	scheme.Jetpack.Delay     = 0

	scheme.Freeze.Crate     = 1
	scheme.Freeze.Delay     = 0
   
	scheme.WormSelect.Crate     = 0
	scheme.WormSelect.Delay     = 0

	scheme.Parachute.Crate     = 0
	scheme.Parachute.Delay     = 0

	scheme.Girder.Crate     = 1
	scheme.Girder.Delay     = 0
 
	scheme.RepairBuilding.Crate     = 1
	scheme.RepairBuilding.Delay     = 0
   
	scheme.SpawnWorm.Crate     = 0
	scheme.SpawnWorm.Delay     = 0

	scheme.SkipGo.Crate     = 0
	scheme.SkipGo.Delay     = 0

	scheme.Suicide.Crate     = 0
	scheme.Suicide.Delay     = 0

	scheme.Surrender.Crate     = 0
	scheme.Surrender.Delay     = 0

	scheme.DoubleDamageCrate	= 1
	scheme.DoubleTimeCrate		= 0
	scheme.CrateShowerCrate		= 0
	scheme.CrateSpyCrate		= 1
	
	scheme.NumRandomOilDrums = 0
	scheme.NumRandomMines = 0
	
	
end


function HideWormsNow()

	--Create Player Stonghold--
	CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHere002", false )


	--Create Enemy Stonghold--
	CreateBuilding( kWF_BUILDING_STRONGHOLD, 1, "buildHere0060", false )

	
	--Create Neutral Buildings--
	CreateBuilding( kWF_BUILDING_CITADEL, 4, "buildHere007" )
	CreateBuilding( kWF_BUILDING_TOWER, 4, "buildHere0072" )	
	CreateBuilding( kWF_BUILDING_TOWER, 4, "buildHere0027" )
	CreateBuilding( kWF_BUILDING_KEEP, 4, "buildHere0050" )
	CreateBuilding( kWF_BUILDING_KEEP, 4, "buildHere0012" )
	CreateBuilding( kWF_BUILDING_KEEP, 4, "buildHere0039" )
	CreateBuilding( kWF_BUILDING_TOWER, 4, "buildHere0024" )
	CreateBuilding( kWF_BUILDING_TOWER, 4, "buildHere0063" )
	CreateBuilding( kWF_BUILDING_TOWER, 4, "buildHere0044" )
	CreateBuilding( kWF_BUILDING_KEEP, 4, "buildHere0058" )
	CreateBuilding( kWF_BUILDING_KEEP, 4, "buildHere008" )
	CreateBuilding( kWF_BUILDING_CITADEL, 4, "buildHere0064" )
	
	FlushCommentaryText()
	
end




function CreatePlayers()
	
	-- Team 0, Player controlled worms
	SetupHumanPlayer(4,100)


	GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRefPlayerWorm1"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRefPlayerWorm2"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRefPlayerWorm3"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRefPlayerWorm4"
	

	
	player = CreatePlayer("AI")
	player.NumberOfWorms = 4
	player.Name = "Players"
	player.ResourcePoints = 16
	player.Handicap = 1
	player.WormStartingHealth = 100
	player.VoiceBank = "Classic"
    
    player = GetPlayerData(1)
    player.TeamTombstone = 4
    
	CreatePlayersTeam(player.PlayerIndex)
	StandardWorm(GetWormData(player.PlayerIndex,0),"Knight","wfRefEnemyWorm1")
	StandardWorm(GetWormData(player.PlayerIndex,1),"Pawn","wfRefEnemyWorm2")
	StandardWorm(GetWormData(player.PlayerIndex,2),"Queen","wfRefEnemyWorm3")
	StandardWorm(GetWormData(player.PlayerIndex,3),"King","wfRefEnemyWorm4")

	
        CopyContainer( GetAIParamsCPU3(), GetAIParamsWorm(4) )
        CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(5) )
	GetAIParamsWorm(5).StrategicBuildStrengthen = 300
        CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(6) )
        CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(7) )
	
	--Change Hats--
	Worm = GetWormData(4) 
	Worm.HatOverride = "Hat.Roman3"   
	Worm = GetWormData(5) 
	Worm.HatOverride = "Hat.Roman3"
	Worm = GetWormData(6) 
	Worm.HatOverride = "Hat.Roman3"
	Worm = GetWormData(7) 
	Worm.HatOverride = "Hat.Roman3"
	
	--Sets up Player inventory
	EmptyInventory(0)
	inventory = GetPlayerInventory(0)
	inventory.Bazooka = kWF_INFINITE_AMOUNT    
	inventory.Grenade = kWF_INFINITE_AMOUNT    
	inventory.FirePunch = kWF_INFINITE_AMOUNT 
  
	inventory.Mortar = 6   
	inventory.ClusterLauncher = 6
	inventory.OldLady = 1
	inventory.Ballista = 4
	
	inventory.FireWeapon = 2
	inventory.BatteringRam = 1
	inventory.MineStrike = 1
	inventory.MiniGun = 1
	
	inventory.HomingPigeon = 1
	inventory.SuperHippo = 1
	
	inventory.GiantLaser = 1
	inventory.RocketLauncher = 1    
    
	inventory.Tower = 10
	inventory.Keep = 6
	inventory.Castle = 4
	inventory.Citadel = 1
	inventory.Hospital = 2
	inventory.Refinery = 2
	inventory.ScienceLab = 1
    
	inventory.Jetpack = 2
	inventory.Girder = 2
	inventory.SkipGo = kWF_INFINITE_AMOUNT
	inventory.Surrender = 1
	inventory.SpawnWorm = 2
	
	--Delays--
	inventory.MineStrikeDelay = 4
	inventory.HomingPigeonDelay = 6
	inventory.SuperHippo = 6

	
	
	--Sets up AI inventory
	EmptyInventory(1)
	inventory = GetPlayerInventory(1)
	inventory.Bazooka = kWF_INFINITE_AMOUNT    
	inventory.Grenade = kWF_INFINITE_AMOUNT    
	inventory.FirePunch = kWF_INFINITE_AMOUNT 
  
	inventory.Mortar = 6   
	inventory.ClusterLauncher = 6
	inventory.OldLady = 1
	inventory.Ballista = 4
	
	inventory.FireWeapon = 2
	inventory.BatteringRam = 1
	inventory.MineStrike = 1
	inventory.MiniGun = 1
	
	inventory.HomingPigeon = 1
	inventory.SuperHippo = 1
	
	inventory.GiantLaser = 1
	inventory.RocketLauncher = 1    
    
	inventory.Tower = 10
	inventory.Keep = 6
	inventory.Castle = 4
	inventory.Citadel = 1
	inventory.Hospital = 2
	inventory.Refinery = 2
	inventory.ScienceLab = 1
    
	inventory.Jetpack = 2
	inventory.Girder = 2
	inventory.SkipGo = kWF_INFINITE_AMOUNT
	inventory.Surrender = 1
	inventory.SpawnWorm = 2
	
	--Delays--
	inventory.MineStrikeDelay = 3
	inventory.HomingPigeonDelay = 5
	inventory.SuperHippo = 5
	
	

	referee = GetRefereeData()
	referee.TurnCounter = 0
	referee.WindDirection = 0
	referee.WindDirectionVariance = 180.0
	referee.WindStrengthMinimum = 0.0
	referee.WindStrengthVariance = 10.0
--	referee.SuspendTimer = true;

end

function RoundIsComingToAnEnd()

    referee = GetRefereeData()

    if referee.WinningPlayer == 0 then

        EndRound(0)
		Unlock("LOCK.Deathmatch.03")
		Unlock("LOCK.Speech.Professor") 	

    else
                
        EndRound(1)

    end
end

