--***********************************************************
--~ E3 Demo EFMV Sequence
--***********************************************************

function InitialiseLevel()
    LoadLevel("landscapes/E3/Demo2.xom", true)

    bQuitable = true
    bUserQuit = 0
    Num = 0
    Num2 = 0
    
    --scheme stuff
    scheme = GetCurrentSchemeData()

    scheme.OverrideInventory = false
    scheme.WormSelectMode = false

    scheme.HealthInCrates = 15
    scheme.CrateProbability = 100

    scheme.TurnTime = 6000
    scheme.SuddenDeathTime = 54000
    scheme.RetreatTime = 500
    scheme.HotSeatTime = 500

    scheme.WeaponProbability   = 50
    scheme.UtilityProbability   = 35
    scheme.HealthProbability   = 15
    
    scheme.Bazooka.Crate = 0
    scheme.Bazooka.Delay    = 0

    scheme.Mortar.Crate    = 1
    scheme.Mortar.Delay    = 0

    scheme.FireWeapon.Crate    = 1
    scheme.FireWeapon.Delay    = 0

    scheme.RocketLauncher.Crate    = 1
    scheme.RocketLauncher.Delay    = 0

    scheme.Grenade.Crate    = 0
    scheme.Grenade.Delay    = 0

    scheme.Trebuchet.Crate     = 1
    scheme.Trebuchet.Delay     = 0

    scheme.BatteringRam.Crate     = 1
    scheme.BatteringRam.Delay     = 0

    scheme.MonkeyHerd.Crate     = 1
    scheme.MonkeyHerd.Delay     = 0

    scheme.MineStrike.Crate     = 1
    scheme.MineStrike.Delay     = 0

    scheme.Armageddon.Crate     = 1
    scheme.Armageddon.Delay     = 0

    scheme.FirePunch.Crate     = 0
    scheme.FirePunch.Delay     = 0

    scheme.Ballista.Crate     = 1
    scheme.Ballista.Delay     = 0

    scheme.GiantLaser.Crate     = 1
    scheme.GiantLaser.Delay     = 0

    scheme.Tower.Crate = 1
    scheme.Tower.Delay  = 0

    scheme.Keep.Crate   = 1
    scheme.Keep.Delay  = 0

    scheme.Castle.Crate   = 1
    scheme.Castle.Delay  = 0

    scheme.Citadel.Crate   = 1
    scheme.Citadel.Delay  = 0

    scheme.Jetpack.Crate     = 1
    scheme.Jetpack.Delay     = 0

    scheme.Freeze.Crate     = 0
    scheme.Freeze.Delay     = 0

    scheme.SkipGo.Crate     = 0
    scheme.SkipGo.Delay     = 0

    scheme.DoubleDamageCrate	= 1
    scheme.DoubleTimeCrate		= 0
    scheme.CrateShowerCrate		= 0
    scheme.CrateSpyCrate		= 0
    
    
end


function CreatePlayers()
    
        CreateStandardPlayer("HUMAN",4,"The Gods","Classic")
        StandardWorm(GetWormData(0),"Odin", "wfRef000")  
        StandardWorm(GetWormData(1),"Thor", "wfRef001")  
        StandardWorm(GetWormData(2),"Freya", "wfRef002")
        StandardWorm(GetWormData(3),"Heimdall", "wfRef003") 
        
        Worm = GetWormData(0) 
        Worm.HatOverride = "Hat.Roman4" 
        Worm = GetWormData(1) 
        Worm.HatOverride = "Hat.Roman4" 
        Worm = GetWormData(2) 
        Worm.HatOverride = "Hat.Roman4" 
        Worm = GetWormData(3) 
        Worm.HatOverride = "Hat.Roman4" 
        
       
      
        CreateStandardPlayer("Human",4,"Nasty Bunch","Suicidal")
        StandardWorm(GetWormData(4),"Dr H", "wfRef004")
        StandardWorm(GetWormData(5),"Evil", "wfRef005")  
        StandardWorm(GetWormData(6),"Jules", "wfRef006")  
        StandardWorm(GetWormData(7),"Irvine", "wfRef007")

        Worm = GetWormData(4) 
        Worm.HatOverride = "Hat.Roman2" 
        Worm = GetWormData(5) 
        Worm.HatOverride = "Hat.Roman2" 
        Worm = GetWormData(6) 
        Worm.HatOverride = "Hat.Roman2" 
        Worm = GetWormData(7) 
        Worm.HatOverride = "Hat.Roman2" 
        
        
            
	--PLAYER 1 INVENTORY--
	EmptyInventory(0)
        inventory = GetPlayerInventory(0)
        inventory.Bazooka = kWF_INFINITE_AMOUNT
	inventory.Mortar = 8
	inventory.FireWeapon = 5
	inventory.RocketLauncher = 2
	inventory.Grenade = kWF_INFINITE_AMOUNT
	inventory.Trebuchet = 2
	inventory.BatteringRam = 1
        inventory.BananaBombLauncher = 1
	inventory.MonkeyHerd = 2
	inventory.MineStrike = 1
	inventory.Armageddon = 1
	inventory.FirePunch = kWF_INFINITE_AMOUNT
	inventory.Ballista = 6
	inventory.GiantLaser = 2
	inventory.Tower = 5
	inventory.Keep = 2
	inventory.Castle = 1
	inventory.Citadel = 1
	inventory.Jetpack = 2
	inventory.Freeze = 0
	inventory.SkipGo = kWF_INFINITE_AMOUNT

	player = GetPlayerData(0)
	player.SpecialWeapon = "kNoSpecialWeapon"

	--PLAYER 2 INVENTORY--
	EmptyInventory(1)
        inventory = GetPlayerInventory(1)
        inventory.Bazooka = kWF_INFINITE_AMOUNT
	inventory.Mortar = 8
	inventory.FireWeapon = 5
	inventory.RocketLauncher = 2
	inventory.Grenade = kWF_INFINITE_AMOUNT
	inventory.Trebuchet = 2
	inventory.BatteringRam = 1
        inventory.BananaBombLauncher = 1
	inventory.MonkeyHerd = 2
	inventory.MineStrike = 1
	inventory.Armageddon = 1
	inventory.FirePunch = kWF_INFINITE_AMOUNT
	inventory.Ballista = 6
	inventory.GiantLaser = 2
	inventory.Tower = 5
	inventory.Keep = 2
	inventory.Castle = 1
	inventory.Citadel = 1
	inventory.Jetpack = 2
	inventory.Freeze = 0
	inventory.SkipGo = kWF_INFINITE_AMOUNT	
	
	player = GetPlayerData(1)
	player.SpecialWeapon = "kNoSpecialWeapon"
	
	referee = GetRefereeData()
	referee.TurnCounter = 0
	referee.WindDirection = 0
	referee.WindDirectionVariance = 180.0
	referee.WindStrengthMinimum = 0.0
	referee.WindStrengthVariance = 10.0
--	referee.SuspendTimer = true;

end

function HideWormsNow()

    PlayEFMV()

    PlayDetailObjectAnimation("seagull01", "path1", true)
    PlayDetailObjectAnimation("seagull01", "flap", true)
    DelayCall("Seagull2", 0.5)
    DelayCall("Seagull3", 0.7)
    DelayCall("Seagull4", 1.1)
    DelayCall("Seagull5", 1.3)
    DelayCall("Seagull6", 1.9)
    DelayCall("Seagull7", 2.1)
    DelayCall("Seagull8", 2.4)
    DelayCall("Seagull9", 2.6)
    
    PlayDetailObjectAnimation("butterfly01", "path1", true)
    PlayDetailObjectAnimation("butterfly01", "flap", true)
    DelayCall("butterfly2", 0.4)
    DelayCall("butterfly3", 0.8)
    DelayCall("butterfly4", 1.2)
    DelayCall("butterfly5", 1.6)
    DelayCall("butterfly6", 1.9)
    DelayCall("butterfly7", 2.1)
    DelayCall("butterfly8", 2.6)

    SetEFMVCameraShakeRatio(0.0) -- Turn the camera shake for the EFMV off
     
end



function Seagull2()
    PlayDetailObjectAnimation("seagull02", "path1", true)
	PlayDetailObjectAnimation("seagull02", "flap", true)
end

function Seagull3()
    PlayDetailObjectAnimation("seagull03", "path1", true)
	PlayDetailObjectAnimation("seagull03", "flap", true)
end

function Seagull4()
    PlayDetailObjectAnimation("seagull04", "path1", true)
	PlayDetailObjectAnimation("seagull04", "flap", true)
end

function Seagull5()
    PlayDetailObjectAnimation("seagull05", "path1", true)
	PlayDetailObjectAnimation("seagull05", "flap", true)
end

function Seagull6()
    PlayDetailObjectAnimation("seagull06", "path1", true)
	PlayDetailObjectAnimation("seagull06", "flap", true)
end


function Seagull7()
    PlayDetailObjectAnimation("seagull07", "path1", true)
	PlayDetailObjectAnimation("seagull07", "flap", true)
end

function Seagull8()
    PlayDetailObjectAnimation("seagull08", "path1", true)
	PlayDetailObjectAnimation("seagull08", "flap", true)
end

function Seagull9()
    PlayDetailObjectAnimation("seagull09", "path1", true)
	PlayDetailObjectAnimation("seagull09", "flap", true)
end



function butterfly2()
    PlayDetailObjectAnimation("butterfly02", "path1", true)
	PlayDetailObjectAnimation("butterfly02", "flap", true)
end


function butterfly3()
    PlayDetailObjectAnimation("butterfly03", "path1", true)
	PlayDetailObjectAnimation("butterfly03", "flap", true)
end


function butterfly4()
    PlayDetailObjectAnimation("butterfly04", "path1", true)
	PlayDetailObjectAnimation("butterfly04", "flap", true)
end


function butterfly5()
    PlayDetailObjectAnimation("butterfly05", "path1", true)
	PlayDetailObjectAnimation("butterfly05", "flap", true)
end


function butterfly6()
    PlayDetailObjectAnimation("butterfly06", "path1", true)
	PlayDetailObjectAnimation("butterfly06", "flap", true)
end


function butterfly7()
    PlayDetailObjectAnimation("butterfly07", "path1", true)
	PlayDetailObjectAnimation("butterfly07", "flap", true)
end


function butterfly8()
    PlayDetailObjectAnimation("butterfly08", "path1", true)
	PlayDetailObjectAnimation("butterfly08", "flap", true)
end


function PlayEFMV()

    Fade(false, 0.8, false)
    StartEFMV("intro", bQuitable)
    
end


function OnEndEFMV(szSeqName, bUserQuit)

    Fade(false, 0.8, false)

    return 0;
    
end


function EFMV_TextTrigger() 
	
	-- (-1) is infinite, (0) is default to 2000 (2 secs)
	SetCommentaryText("Miss.Egypt1-EFMV.Intro19", -1)

end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 

function CheckSuddenDeath()

    referee = GetRefereeData()
     
    if referee.TotalGameTime >= 60000 then
        EndRound(-2)
    end    

end








