--***********************************************************
--              Egyptian mission 3

--***********************************************************

function InitialiseLevel()
    LoadLevel("landscapes/E/E3.xom", true)

    -- define our initial global variables
        
    buildwonderdone = false
    
     SetObjectives("Miss.Egypt3-Objectives", 1)
    
    --SetupDefaultScheme()    
        
    scheme = GetCurrentSchemeData()
        
    scheme.CrateProbability = 0

                
    scheme.TurnTime = 6000
	scheme.SuddenDeathTime = 180000
	scheme.RetreatTime = 300
	scheme.HotSeatTime = 500

	scheme.ResourceMax = 32
    
    
    Player1StrongholdGone = false
    Player2StrongholdGone = false
    UserStrongGone = false
    
    got2 = false
    got3 = false 
    got4 = false
    got5 = false
    got6 = false
    
    Human1Dead = false
    Human2Dead = false
    Human3Dead = false
    Human4Dead = false
    PlayersWormsDead = 0
    
	-- stops the victory sequence from playing
	referee = GetRefereeData()
    referee.ShowVictorySequence = false
	
	
		--efmv ONLY cut names, ARRAYS and variables
	bQuitable = true
	bUserQuit = 0
	CameraArrayNumber = 0
	GameHasFinished = 0
	Num = 1
	--switch to false to disable cameras
	EFMVCamerasAreActive = true
	--GameIsInEFMV = false
	
	
	TextLabelsArray = { "Miss.Egypt3-EFMV.Intro1", "Miss.Egypt3-EFMV.Intro2", "Miss.Egypt3-EFMV.Intro3",	
					"Miss.Egypt3-EFMV.Intro5", "Miss.Egypt3-EFMV.Intro6",	
					"Miss.Egypt3-EFMV.Intro7", "Miss.Egypt3-EFMV.Intro8", "Miss.Egypt3-EFMV.Intro9",	
					"Miss.Egypt3-EFMV.Intro10", "Miss.Egypt3-EFMV.Intro11", "Miss.Egypt3-EFMV.Intro12",	
					"Miss.Egypt3-EFMV.Intro13", "Miss.Egypt3-EFMV.Intro14", "Miss.Egypt3-EFMV.Intro15",	
					"Miss.Egypt3-EFMV.Intro16", "Miss.Egypt3-EFMV.Intro17", "Miss.Egypt3-EFMV.Intro18",	
					"Miss.Egypt3-EFMV.Intro19", "Miss.Egypt3-EFMV.Intro20", "Miss.Egypt3-EFMV.Intro21" }
    
	EFMVArray = { "intro", "cut2", "cut3", "cut4", "cut5", "cut6", 
				"cut12", "cut9", "cut10", "cut11" } 
	
	
            
end

function HideWormsNow()
	
    SetInstantReplaysOn(false)
    
	FlushCommentaryText()
	
	--Fire For The Pans
	EffectId1 = CreateParticleEffect("largefire", "wfRefTargetSpawn20") 
	EffectId2 = CreateParticleEffect("largefire", "wfRefTargetSpawn21") 
	--and Sound...
	
	--PlaySound("Weapon.RoundExplode", "wfRefFireCrackling1")
	--PlaySound("Weapon.RoundExplode", "wfRefFireCrackling2")
	
	
	
	--    PlayDetailObjectAnimation( "tree_Palm", "idleSource", true )
	--    PlayDetailObjectAnimation( "tree_Palm2", "idleSource", true )
	--    PlayDetailObjectAnimation( "tree_Palm3", "idleSource", true )
	--    
	
	--Smoke For The Pan Fires
	EffectId3 = CreateParticleEffect("smallsmoke", "wfRefTargetSpawn25") 
	EffectId4 = CreateParticleEffect("smallsmoke", "wfRefTargetSpawn26")
	
	--Puts mines on pyramid
	SpawnMine("wfRefmine1")
	SpawnMine("wfRefmine2")    
	SpawnMine("wfRefmine3")    
	SpawnMine("wfRefmine4")    
	SpawnMine("wfRefmine5")
	SpawnMine("wfRefmine6")
	SpawnMine("wfRefmine7")    
	SpawnMine("wfRefmine8")    
	SpawnMine("wfRefmine9")    
	SpawnMine("wfRefmine10")
	
	
	--Crates that are on top of the pyramid
	crate = CreateCrate()
	crate.Contents = kWF_UTILITY_REPAIR_BUILDING
	crate.NumContents = 1	
	crate.CrateId = 1		
	crate.TeamDestructible = 1		
	crate.WormCollectable = 0		
	crate.TeamCollectable = 0		
	crate.GroundSnap = false		
	crate.FixedPosition = false		
	crate.UXB = false				
	crate.Destructible = false		
	crate.Pushable = false			
	crate.CollectableByPayload = false	
	crate.Collectable = true	
	crate.IsCritical = false
	SpawnCrate(1,"wfRefcrate1")
	
	crate = CreateCrate()
	crate.Contents = kWF_UTILITY_REPAIR_BUILDING
	crate.NumContents = 2	
	crate.CrateId = 2		
	crate.TeamDestructible = 1		
	crate.WormCollectable = 0		
	crate.TeamCollectable = 0		
	crate.GroundSnap = false		
	crate.FixedPosition = false		
	crate.UXB = false				
	crate.Destructible = false		
	crate.Pushable = false			
	crate.CollectableByPayload = false	
	crate.Collectable = true	
	crate.IsCritical = false
	SpawnCrate(2,"wfRefcrate2")
	
	crate = CreateCrate()
	crate.Contents = kWF_WEAPON_GIANT_LASER
	crate.NumContents = 1	
	crate.CrateId = 3		
	crate.TeamDestructible = 1		
	crate.WormCollectable = 0		
	crate.TeamCollectable = 0		
	crate.GroundSnap = false		
	crate.FixedPosition = false		
	crate.UXB = false				
	crate.Destructible = false		
	crate.Pushable = false			
	crate.CollectableByPayload = false	
	crate.Collectable = true	
	crate.IsCritical = false
	SpawnCrate(3,"wfRefcrate3")
	
	
	crate = CreateCrate()
	crate.Contents = kWF_UTILITY_PARACHUTE
	crate.NumContents = 1	
	crate.CrateId = 4		
	crate.TeamDestructible = 1		
	crate.WormCollectable = 0		
	crate.TeamCollectable = 0		
	crate.GroundSnap = false		
	crate.FixedPosition = false		
	crate.UXB = false				
	crate.Destructible = false		
	crate.Pushable = false			
	crate.CollectableByPayload = false	
	crate.Collectable = true	
	crate.IsCritical = false
	SpawnCrate(4,"wfRefcrate4")
	
	--players buildings
	
	--CreateBuilding( kWF_BUILDING_KEEP, 0, "buildHere000", true ) 
	--CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHere002", true ) 
	CreateBuilding( kWF_BUILDING_KEEP, 0, "buildHere005", true ) 
	--CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere001", true )
	--CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere003", true )
	CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHere004", true )
	
	SetEFMVCameraShakeRatio(0.0) 
	FlushCommentaryText()
	--ShowOnlyScriptCommentary(true)
	
	HideWorm(0)
	--~ 	HideWorm(1)
	
	RemoveAllBuildings()
	
	--ShowOnlyScriptCommentary(true)
	StartAllEFMVTimers()   
	EFMVFlyby()
	GameIsInEFMV = true
end



function CreatePlayers()


        -- create the initial buildings to feature in the chapter
        --CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHerePlayerStronghold")        -- players buildings
        
        
--        CreateBuilding( kWF_BUILDING_STRONGHOLD, 1, "buildHereVictory4")                -- AI team 1's buildings
--        CreateBuilding( kWF_BUILDING_KEEP, 1, "buildHere0071")
--        CreateBuilding( kWF_BUILDING_KEEP, 1, "buildHere0067")
--        CreateBuilding( kWF_BUILDING_KEEP, 1, "buildHere0066")
--        CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0050")
--        --CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0045")
--        
--        
--        CreateBuilding( kWF_BUILDING_STRONGHOLD, 2, "buildHereVictory2")                -- AI team 2's buildings
--        CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0015")
        --CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0027")
        
                                     -- Lower the enemy Strongholds Health
        
        --Create a basic set of teams, to be increased at a later date
        --Players Team
--        CreateStandardPlayer("HUMAN",4,"Horus","Classic") 
--        player.WormStartingHealth = 150
       
        
--        StandardWorm(GetWormData(0),"Horus","wfRef000")
--        StandardWorm(GetWormData(1),"Long Dead Dimond","wfRef001")
--        StandardWorm(GetWormData(2),"Decomposing Dennis","wfRef002")
--        StandardWorm(GetWormData(3),"Oribble Eggett","wfRef003")         
        --GetWormData(0,0).VitalWorm = true   -- Horus is the vital worm
        
        
        
        SetupHumanPlayer(4,100)
        player = GetPlayerData(0)
        player.SpecialWeapon =  "kNoSpecialWeapon"
        --player.VoiceBank = "Classic"
        GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRef000"
        GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRef001"
        GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRef002"
        GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRef003"
        
        GetPlayerData(0).AlliedTeam = 0
        GetPlayerData(0).MaxJetpackFuel = 50
        

        CreateStandardPlayer("AI",3,"Task Masters","Classic")
        player.WormStartingHealth = 120
        GetPlayerData(1).MaxJetpackFuel = 10
        GetPlayerData(1).AlliedTeam = 1
        StandardWorm(GetWormData(4),"Chief Whip","wfRef004")
        StandardWorm(GetWormData(5),"Cat o'Nine","wfRef005")
        StandardWorm(GetWormData(6),"Repressor","wfRef006")
        CopyContainer( GetAIParamsCPU4(), GetAIParamsWorm(4) )
        GetAIParamsWorm(4).WeightingAttackBuilding = 1.3
        GetAIParamsWorm(4).WeightingWormVital = 1
        CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(5) ) 
        CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(6) ) 
        player.Flag = 73
        
        -- AI team
        CreateStandardPlayer("AI",4,"Slaves","Classic")
        player.WormStartingHealth = 50
        GetPlayerData(2).MaxJetpackFuel = 10
        GetPlayerData(2).AlliedTeam = 1
        StandardWorm(GetWormData(7),"Whipping Boy","wfRef007")
        StandardWorm(GetWormData(8),"Repressed","wfRef008")
        StandardWorm(GetWormData(9),"Slave to the Grind","wfRef009")
        StandardWorm(GetWormData(10),"Workhouse","wfRef0010")
       
        CopyContainer( GetAIParamsCPU3(), GetAIParamsWorm(7) )
        GetAIParamsWorm(7).WeightingAttackBuilding = 1
        GetAIParamsWorm(7).WeightingWormVital = 1.1
        CopyContainer( GetAIParamsWorm(7), GetAIParamsWorm(8) ) 
        CopyContainer( GetAIParamsWorm(7), GetAIParamsWorm(9) ) 
        CopyContainer( GetAIParamsWorm(7), GetAIParamsWorm(10) ) 
        player.Flag = 74
	
        CreateNeutralWorm(11)
        CreateNeutralWorm(12)
        SetWormHatFromPlayer(12,0)
            
        
        --Setting up some hats.
        --Mummy Worms
--        Worm = GetWormData(1) 
--        Worm.HatOverride = "Hat.Egyptian4" 
--   
--        Worm = GetWormData(2) 
--        Worm.HatOverride = "Hat.Egyptian4" 
--   
--        Worm = GetWormData(3) 
--        Worm.HatOverride = "Hat.Egyptian4" 
        
        --Enemy Worms
        
	--Worm = GetWormData(3) 
	--Worm.HatOverride = "Hat.Egyptian2" 
	
        --Worm = GetWormData(4) 
        --Worm.HatOverride = "Hat.Egyptian2" 
   
        Worm = GetWormData(5) 
        Worm.HatOverride = "Hat.Egyptian2" 
   
        Worm = GetWormData(6) 
        Worm.HatOverride = "Hat.Egyptian2" 
        
        Worm = GetWormData(7) 
        Worm.HatOverride = "Hat.Egyptian2" 
   
        Worm = GetWormData(8) 
        Worm.HatOverride = "Hat.Egyptian2" 
   
        Worm = GetWormData(9) 
        Worm.HatOverride = "Hat.Egyptian2" 
        
        Worm = GetWormData(10) 
        Worm.HatOverride = "Hat.Egyptian2" 
	
        -- Players inventory lists
        EmptyInventory(0)
        inventory = GetPlayerInventory(0)
        --inventory.Jetpack = 3
        inventory.Surrender = 0
        inventory.Bazooka = 7
        inventory.Mortar = 4
        inventory.FireWeapon = 3
        inventory.HomingPigeon = 1

        inventory.Grenade = 10
        inventory.ClusterLauncher = 5
        inventory.FireGrenadeLauncher = 3
        inventory.BananaBombLauncher = 2
	
	--inventory.SuperHippo = 8 -- debug weapon
        
        inventory.Canary = 3
        inventory.OldLady = 2
        inventory.BatteringRam = 2

        inventory.AirStrike = 2
        inventory.NapalmStrike = 2
        inventory.MineStrike = 1

        inventory.ElectricalStorm = 2
        --inventory.Earthquake = 1
            
        inventory.FirePunch = 4
        inventory.Ballista = 4
        inventory.MiniGun = 5
        inventory.GiantCrossbow = 2
        inventory.MiniGunDelay = 2
        inventory.GiantCrossbowDelay = 8 
    
        inventory.Tower = kWF_INFINITE_AMOUNT;
        inventory.Keep = 7
        inventory.Castle = 2
        inventory.Citadel = 1
        inventory.Wall = kWF_NOT_IN_INVENTORY;
    
        inventory.Hospital = 2
        inventory.Refinery = 1
        inventory.ScienceLab = 2
        inventory.Wonder = 1
        inventory.Farm = kWF_NOT_IN_INVENTORY;
        inventory.HospitalDelay = 8
        inventory.RefineryDelay = 12
        inventory.ScienceLabDelay = 12
    
        inventory.SiegeWorkshop = kWF_NOT_IN_INVENTORY;
        inventory.Storehouse = kWF_NOT_IN_INVENTORY;
        inventory.MasonsGuild = kWF_INFINITE_AMOUNT;
        inventory.Market = kWF_NOT_IN_INVENTORY;
        
        --inventory.Jetpack = 3
        inventory.Freeze = kWF_NOT_IN_INVENTORY;
        inventory.WormSelect = kWF_NOT_IN_INVENTORY;
        inventory.Parachute = 3
        inventory.Girder = 3
        
        inventory.RepairBuilding = 1
        inventory.SpawnWorm = 2
        inventory.SkipGo = kWF_INFINITE_AMOUNT;
        inventory.Suicide = kWF_INFINITE_AMOUNT;
        --inventory.Surrender = kWF_INFINITE_AMOUNT;
        inventory.WormSelect = kWF_INFINITE_AMOUNT;
        


        
        
        -- AI team 1 inventory lists
        EmptyInventory(1)
        inventory = GetPlayerInventory(1)
        
        inventory.Bazooka = kWF_INFINITE_AMOUNT;
            
        inventory.FireWeaponDelay = 7
        inventory.HomingPigeonDelay = 8
    
    
        inventory.Grenade = 13
        inventory.Canary = 4
        inventory.OldLady = 3
        
        --inventory.ElectricalStorm = 3
        inventory.Earthquake = 2
        inventory.Flood = 1
       
        inventory.EarthquakeDelay = 8
        inventory.FloodDelay = 12
    
        inventory.FirePunch = 5
           
        --inventory.Jetpack = 5
        inventory.Parachute = 3
        inventory.Girder = 4
        
        inventory.SpawnWorm = kWF_INFINITE_AMOUNT;
        inventory.SkipGo = kWF_INFINITE_AMOUNT;
        inventory.Suicide = kWF_INFINITE_AMOUNT;
        inventory.Surrender = kWF_INFINITE_AMOUNT;
        
--        inventory.Tower = 6
        
        --// AI team 2 inventory list
        EmptyInventory(2)
        inventory = GetPlayerInventory(2)

        inventory.Bazooka = kWF_INFINITE_AMOUNT;
        inventory.Mortar = 4
        inventory.MortarDelay = 5
    
        inventory.Grenade = kWF_INFINITE_AMOUNT;
       
        inventory.Canary = 2
        inventory.OldLady = 1
    
       
        --inventory.ElectricalStorm = 2
        inventory.Earthquake = 1
    
        inventory.EarthquakeDelay = 6
            
        inventory.FirePunch = 6

        inventory.BallistaDelay = 6
        inventory.MiniGunDelay = 10
    
  
        --inventory.Jetpack = 4
        inventory.Parachute = 3
        inventory.Girder = 4
        
        inventory.SpawnWorm = kWF_INFINITE_AMOUNT;
        inventory.SkipGo = kWF_INFINITE_AMOUNT;
        inventory.Suicide = kWF_INFINITE_AMOUNT;
        inventory.Surrender = kWF_INFINITE_AMOUNT;
--        
--        inventory.Tower = 6
        
        
	StandardRefereeSettings()
    --SetupDefaultScheme()    
    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0
    
    
    
end







function TurnEnded()

    --runs the function that check if the player has built the wonder
    hasplayerbuiltwonder()


end


function CheckSuddenDeath()

    return 0

end



function WormDied( wormTaskId )

    Human1 = GetWormData( 0 )
    Human2 = GetWormData( 1 )
    Human3 = GetWormData( 2 )
    Human4 = GetWormData( 3 )

    if CheckAreAllWormsDead( 0 ) == true then 
    EndMissionFail() 
    end
    
     if Human1.Health <= 0 and Human1Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human1Dead = true
    end
    
    if Human2.Health <= 0 and Human2Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human2Dead = true
    end
    
    if Human3.Health <= 0 and Human3Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human3Dead = true
    end
    
    if Human4.Health <= 0 and Human4Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human4Dead = true
    end
    
    if PlayersWormsDead == 4 then
    EndMissionFail() 
    end
               
	-- a worm somewhere has worm died, hope its not Horus 
	 
	--HorusWorm = GetWormData( 0, 0 )
	
--	if HorusWorm.Health <= 0 then	
    
            -- Horus has died so player 1 (AI) has won!!
 --           HorusHasDied = true
   --         EndMissionFail()
     --   end
        
        --// nice!

	collectgarbage()
end 



function CheckVictoryConditions( )

        referee = GetRefereeData()

        --if HorusHasDied == false then
  
            if referee.TotalGameTime >= 180000 then
                EndMissionFail()
            end
        
        --end
        
	return false
        
end 


function BuildingHasBeenDestroyed( PlayerId, BuildingType )
	
    
        buildHere004 = GetBuildPointInfo( "buildHere004" )
        
        if buildHere004.BuildingType == -1 and UserStrongGone == false then
        UserStrongGone = true
        EndMissionFail()
        end
    

		Player1Stronghold = GetBuildPointInfo( "buildHereVictory4" )
		if Player1Stronghold.BuildingType == -1 and Player1StrongholdGone == false then
        
			Player1StrongholdGone = true
            SetCommentaryText("Miss.Generic.Hint35")
	    
	        for worm = 7, 10 do
		    
		    SpawnWorm( worm )
	    end
	    
            HideWorm(7)
            HideWorm(8)
            HideWorm(9)
            HideWorm(10)	
            
		end
        
        
        Player2Stronghold = GetBuildPointInfo( "buildHereVictory2" )
        if Player2Stronghold.BuildingType == -1 and Player2StrongholdGone == false then
        
			Player2StrongholdGone = true
            SetCommentaryText("Miss.Generic.Hint36")
	    
        
        for worm = 4, 6 do
		    SpawnWorm( worm )
	    end
	    
            HideWorm(4)
            HideWorm(5)
            HideWorm(6)
					
		end
        
        
        
	end







function EndMissionSuccess()

        Unlock("LOCK.Landscape.Egypt1")
        
        
        if referee.TotalGameTime < 60000 then 
           SetMedal(kGoldMedal)
           Unlock("LOCK.Flag.Egyptian3")
        
        
        elseif referee.TotalGameTime < 120000 then 
            SetMedal(kSilverMedal) 
            Unlock("LOCK.Flag.Egyptian3")
        
        
        
        elseif referee.TotalGameTime > 120000 then 
            SetMedal(kBronzeMedal) 
            Unlock("LOCK.Flag.Egyptian3")
        end 






    SetCommentaryText("Miss.Generic.Success")
    EndRound(0)
end

function EndMissionFail()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end



function BuildingHasBeenBuilt()


    --checks and displays text when a VC is captured
        NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if NumVictoryLocations == 2 and got2 == false then
            got2 = true 

	end
	
--~ 	if got2 == true and GameIsInEFMV == false then
--~             SetCommentaryText("Miss.Generic.Game10")
--~         end
    
        NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if NumVictoryLocations == 3 and got3 == false then
            got3 = true
            SetCommentaryText("Miss.Generic.Game10")
        end
    
        NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if NumVictoryLocations == 4 and got4 == false then
            got4 = true
            SetCommentaryText("Miss.Generic.Game10")
        end
    
            NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if NumVictoryLocations == 5 and got5 == false then
            got5 = true
            SetCommentaryText("Miss.Medieval4-EFMV.Intro17")
        end
    
        NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if NumVictoryLocations == 6 and got6 == false then
            got6 = true
                --SetCommentaryText("Miss.Generic.Game12") 
		
	
--~ 		BuildPointwonder = GetBuildPointInfo( "buildHereWonder" ) 
--~ 		if BuildPointwonder.BuildingType == kWF_BUILDING_WONDER and buildwonderdone == false then
--~                     
 		buildwonderdone = true
    
		--SetCommentaryText("Miss.Generic.Game9")
		CameraArrayNumber = 7
	--        set variable to 1 when game has ended (outro)
		GameHasFinished = 1 
		Num = 16
		FlushCommentaryText()
		DelayCall("StartAllEFMVTimers", 3)
		DelayCall("EFMVFlyby", 3.5)
	
	end



end







function hasplayerbuiltwonder(PlayerId,BuildingType,buildingIndex)
--~ --has the player built the wonder on the right place
--~          
--~     end
    
    
    
    
    inventory = GetPlayerInventory( 0 )
    currentWonders = inventory.Wonder


        if currentWonders < 1 and buildwonderdone == false then
            
        SetCommentaryText("Miss.Oriental4.Game7")
        DelayCall("EndMissionFail", 3)
        
    end
    
end



--**********************************************************************************************************

--					CAMERA STUFF DOWN BELOW

--**********************************************************************************************************

function EFMVFlyby() -- Starts the EFMV sequence

	--if cameras are active then continue with intro
	 if EFMVCamerasAreActive == true then

		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
	
	--if cameras are disabled then start the game
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end

function OnEndEFMV(szSeqName, bUserQuit)

	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()

		elseif bUserQuit == 0 then
	
		if CameraArrayNumber < 7 then
			EFMVFlyby()
		
		elseif CameraArrayNumber == 7  then --last intro cam
			SetGameUpAndCancelEverything()
			--GameIsInEFMV = false
		
		--start outro
		elseif CameraArrayNumber == 8 then 
			EFMVFlyby()
		
		elseif CameraArrayNumber == 9 then
			EFMVFlyby()
		
		--last sequence in the outro
		elseif CameraArrayNumber == 10 then 
			--Game will end here if the player has completed the mission.
			EndMissionSuccess()
		end
	end
end

function StartAllEFMVTimers()
	
	if CameraArrayNumber == 0 then
	
    --Worm = GetWormData(1) 
    --Worm.HatOverride = "Hat.Egyptian3" 
		
		DelayCall("OrientateEnemiesToCam", 18)
		DelayCall("SpawnHorusAndSeth", 18)
		DelayCall("HorusSalute", 21)
		DelayCall("SethWave", 21.5)
		DelayCall("HorusIdle", 23)
		DelayCall("SethIdle", 24)
		DelayCall("OrientateHorusAndSeth", 33) 
		DelayCall("HorusDisappointed", 34)
		DelayCall("HorusBemused", 36)
		DelayCall("SethFlutter", 40)
		DelayCall("SethTalk", 37)
		DelayCall("SethImpatient", 34.3)
		DelayCall("SpawnWonder", 48)
		DelayCall("OrientateSethAndHorus", 48)
		DelayCall("WhiteScreenOut", 54.4)
		
		DelayCall("Enemy1Taunt", 72)
		DelayCall("Enemy2Taunt", 75)
		DelayCall("Enemy3Taunt", 78)
		DelayCall("Enemy4Taunt", 81)
		DelayCall("BackgroundWorm", 81)
		DelayCall("HorusNoSweat", 89)
		DelayCall("SethBow", 90)
		DelayCall("HideSeth", 93)
	
--~ 	elseif CameraArrayNumber == 5 then
--~ 		
--~ 		DelayCall("OrientateEnemiesToCam", 0)
		
	elseif CameraArrayNumber == 7 then
	
		SweepAndClearArea("wfRefSeth1")
		SweepAndClearArea("wfRefPharaoh")
		
		DelayCall("SpawnSethAgain", 1)
		DelayCall("SethHappy", 7)
		DelayCall("SethVeryHappy", 9.5)
		DelayCall("SethVeryHappy", 14)
		DelayCall("SpawnPharaoh", 12)
		DelayCall("CamShake", 26)
		DelayCall("PharaohAngry", 24)
		DelayCall("PharaohAngry2", 27)
	end
end


function SetGameUpAndCancelEverything() 
-- Called if the user skips the efmv sequence or the sequence has ended.

     --Worm = GetWormData(1) 
    --Worm.HatOverride = "Hat.Egyptian4"

	if GameHasFinished == 1 then
		EndMissionSuccess()
	else
		
		--set the game up to its intial state
		SetBriefingBoxPosition(0,0) 
		SetBriefingBoxSize(190,120) 
		CreateBriefingBox("Miss.Egypt3-Objectives")
		
		SetEFMVCameraShakeRatio(1.0) 
		
		CancelDelayCall("OrientateEnemiesToCam")
		CancelDelayCall("SpawnHorusAndSeth")
		CancelDelayCall("HorusSalute")
		CancelDelayCall("SethWave")
		CancelDelayCall("HorusIdle")
		CancelDelayCall("SethIdle")
		CancelDelayCall("OrientateHorusAndSeth") 
		CancelDelayCall("HorusDisappointed")
		CancelDelayCall("HorusBemused")
		CancelDelayCall("SethFlutter")
		CancelDelayCall("SethTalk")
		CancelDelayCall("SethImpatient")
		CancelDelayCall("SpawnWonder")
		CancelDelayCall("OrientateSethAndHorus")
		CancelDelayCall("WhiteScreenOut")
		CancelDelayCall("Enemy1Taunt")
		CancelDelayCall("Enemy2Taunt")
		CancelDelayCall("Enemy3Taunt")
		CancelDelayCall("Enemy4Taunt")
		CancelDelayCall("BackgroundWorm")
		CancelDelayCall("HorusNoSweat")
		CancelDelayCall("SethBow")
		CancelDelayCall("HideSeth")
		
		RemoveBuilding("buildHereWonder")
		CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHere004", true )
		
		CreateBuilding( kWF_BUILDING_STRONGHOLD, 2, "buildHereVictory4")                -- AI team 1's buildings
		CreateBuilding( kWF_BUILDING_KEEP, 2, "buildHere0071")
		CreateBuilding( kWF_BUILDING_KEEP, 2, "buildHere0067")
		CreateBuilding( kWF_BUILDING_KEEP, 2, "buildHere0066")
		CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0050")
        CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0069")

		
		CreateBuilding( kWF_BUILDING_STRONGHOLD, 1, "buildHereVictory2")                -- AI team 2's buildings
		CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0015")
		
		ModifyBuildingHealth( "buildHereVictory4", 10, true )                                 -- Lower the enemy Strongholds Health
		ModifyBuildingHealth( "buildHereVictory2", 10, true )   
		
		HideWorm(0)
		HideWorm(11)
		SpawnWorm(0, "wfRef000")
		
		OrientateWorm(0, 150)
		
		FlushCommentaryText()
	end	
end


---------------------------------INTRO STUFF--------------------------------------------------

function OrientateEnemiesToCam()
	OrientateWorm(3, 45)
	OrientateWorm(4, 285)
	OrientateWorm(7, 245)
	OrientateWorm(10, 63)
end

function SpawnHorusAndSeth()
	SpawnWorm(0, "wfRefHorus")
	OrientateWorm(0, 60)
	
	Worm = GetWormData(11) 
        Worm.HatOverride = "Hat.Egyptian3" 
	SpawnWorm(11, "wfRefSeth")
	OrientateWorm(11, 27)
end

function HorusSalute()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_salute")
end


function SethWave()
	WormResetAnim(11)
	WormQueueAnim(11, "worm_wave1")
end

function HorusIdle()
	WormResetAnim(0)
	WormQueueAnim(0, "Idle_eyebrowdrop")
end

function SethIdle()
	WormResetAnim(11)
	WormQueueAnim(11, "Idle_moustache")
end

function OrientateHorusAndSeth()
	OrientateWorm(0, 360)
	OrientateWorm(11, 335)
end

function HorusDisappointed()
	WormResetAnim(0)
	WormQueueAnim(0, "disappointed1")
end

function HorusBemused()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_bemused")
end

function SethFlutter()
	WormResetAnim(11)
	WormQueueAnim(11, "angry3")
end
	
function SethTalk()
	WormResetAnim(11)
	WormQueueAnim(11, "worm_speak3")
end

function SethImpatient()
	WormResetAnim(11)
	WormQueueAnim(11, "worm_prompt")
end

function SpawnWonder()
	CreateBuilding(kWF_BUILDING_WONDER, 0, "buildHereWonder")
end

function OrientateSethAndHorus()
	OrientateWorm(0, 18)
	OrientateWorm(11, 355)
end

function WhiteScreenOut()
	Fade(false, 6, false)
end

function Enemy1Taunt()
	WormResetAnim(3)
	WormQueueAnim(3, "angry1")
end

function Enemy2Taunt()
	WormResetAnim(4)
	WormQueueAnim(4, "angry2")
end

function Enemy3Taunt()
	WormResetAnim(7)
	WormQueueAnim(7, "angry1")
end

function Enemy4Taunt()
	WormResetAnim(10)
	WormQueueAnim(10, "angry3")
end

function BackgroundWorm()
	OrientateWorm(9, 263)
	WormResetAnim(9)
	WormQueueAnim(9, "worm_confident")
end

function HorusNoSweat()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_confident")
end

function SethBow()
	WormResetAnim(11)
	WormQueueAnim(11, "worm_bow")
end

function HideSeth()	
	CreateParticleEffect("wormspawnA", "wfRefSeth")
	HideWorm(11)
end

-----------------OUTRO: CAM = 7 / NUM = 16-------------------------------

function SpawnSethAgain()
	Worm = GetWormData(11) 
        Worm.HatOverride = "Hat.Egyptian3" 

	SpawnWorm(11, "wfRefSeth1")
	OrientateWorm(11, 130)
end

function SethHappy()
	WormResetAnim(11)
	WormQueueAnim(11, "worm_confident")
end

function SethVeryHappy()
	WormResetAnim(11)
	WormQueueAnim(11, "happy2")
end

function SpawnPharaoh()
	Worm = GetWormData(12) 
        Worm.HatOverride = "Hat.Egyptian1" 
	
	SpawnWorm(12, "wfRefPharaoh")
	OrientateWorm(12, 310)
end

function CamShake()
	SetCameraShake(5, 25, 3, 7, 0.4, 0.4, false)
end

function PharaohAngry()
	WormResetAnim(12)
	WormQueueAnim(12, "angry1")
end

function PharaohAngry2()
	WormResetAnim(12)
	WormQueueAnim(12, "angry3")
end

--------------- TEXT CODE------------------------------

function EFMV_TextTrigger() 

    Text = TextLabelsArray[Num]

-- (-1) is infinite, (0) is default to 2000 (2 secs)
    SetCommentaryText(Text, -1)
    
    Num = Num + 1

end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 
