--***********************************************************
--                Egypt5
--***********************************************************
--		 objective one, Build towards Seth, destroy the Towers and Stronghold which belong to Seth.  
--		 Keep Horus alive.
--		 
--	           objective two, Destroy the Pharaoh in a one on one Battle, Keep Horus alive.

--************************************************************

--AWAITING TARGETS TO BE IMPLEMENTED SO I CAN USE THE FIREPUNCH TO DESTROY THE TARGETS THAT THEN LEAD TO THE NEXT PART
--**************************

function InitialiseLevel()

    Enemy1StrongholdGone = false
    Player1StrongholdGone = false
    
    LoadLevel("landscapes/E/E5.xom",true)
    
    stage = 2
    Player1TowerGone = false
    
    Human1Dead = false
    Human2Dead = false
    Human3Dead = false
    Human4Dead = false
    PlayersWormsDead = 0
    
    SetObjectives("Miss.Egypt5-Objectives", 4)
    
    --ModifyBuildingHealth("buildHere0035", 0.000001) 
    --SetupDefaultScheme()    
    
    
    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0
    scheme.TurnTime = 6000
	scheme.SuddenDeathTime = 180000
	scheme.RetreatTime = 300
	scheme.HotSeatTime = 500
    scheme.ResourceMax = 32
    
    
    	--efmv ONLY cut names, ARRAYS and variables
	bQuitable = true
	bUserQuit = 0
	CameraArrayNumber = 0
	GameHasFinished = 0
	Num = 1
        Turn = 0
	
	-- stops the victory sequence from playing
	referee = GetRefereeData()
        referee.ShowVictorySequence = false
	
	--switch to false to disable cameras
	EFMVCamerasAreActive = true
	
	
	TextLabelsArray = { "Miss.Egypt5-EFMV.Intro1", "Miss.Egypt5-EFMV.Intro2", "Miss.Egypt5-EFMV.Intro3",	
					"Miss.Egypt5-EFMV.Intro4", "Miss.Egypt5-EFMV.Intro5", "Miss.Egypt5-EFMV.Intro6",	
					"Miss.Egypt5-EFMV.Intro7", "Miss.Egypt5-EFMV.Intro8", "Miss.Egypt5-EFMV.Intro9",	
					"Miss.Egypt5-EFMV.Intro10", "Miss.Egypt5-EFMV.Intro11", "Miss.Egypt5-EFMV.Intro12",	
					"Miss.Egypt5-EFMV.Intro13", "Miss.Egypt5-EFMV.Intro14", "Miss.Egypt5-EFMV.Intro15",	
					"Miss.Egypt5-EFMV.Intro16", "Miss.Egypt5-EFMV.Outro1", "Miss.Egypt5-EFMV.Outro2",	
					"Miss.Egypt5-EFMV.Outro3", "Miss.Egypt5-EFMV.Outro4", "Miss.Egypt5-EFMV.Outro5",
					"Miss.Egypt5-EFMV.Outro6", "Miss.Egypt5-EFMV.Outro7", "Miss.Egypt5-EFMV.Outro8",
					"Miss.Egypt5-EFMV.Outro9", "Miss.Egypt5-EFMV.Outro10" } 
	
	EFMVArray = { "intro", "cut1", "cut2", "cut3", "cut4", "cut5", "cut6" } 
    
end

--*************************************************************
function HideWormsNow()

	SetInstantReplaysOn(false)
	
	RemoveBuilding("buildHere0042")
    RemoveBuilding("buildHere0041")
    
    
	CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0034", true )
	CreateBuilding( kWF_BUILDING_SCIENCE_LAB, 1, "buildHere0033", true )   
	CreateBuilding( kWF_BUILDING_SCIENCE_LAB, 1, "buildHere0031", true )   
	CreateBuilding( kWF_BUILDING_SCIENCE_LAB, 1, "buildHere0032", true ) 
	
    ModifyBuildingHealth( "buildHere0035", 50, true )  
    
    
--	EffectId1 = CreateParticleEffect("largefire", "wfRefFire") 
--	EffectId2 = CreateParticleEffect("largefire", "wfRefFire1") 
--	EffectId3 = CreateParticleEffect("largefire", "wfRefFire2") 
--	EffectId4 = CreateParticleEffect("largefire", "wfRefFire3") 
--	EffectId5 = CreateParticleEffect("largefire", "wfRefFire4") 
--	EffectId6 = CreateParticleEffect("largefire", "wfRefFire5") 
	
	RemoveVictoryLocation ( "buildHere0041" )
	RemoveVictoryLocation ( "buildHere0013" )
	AddVictoryLocation("buildHere0012")
	
	SetEFMVCameraShakeRatio(0.0) -- no camera shake during EFMV
	
	FlushCommentaryText()
	
	StartAllEFMVTimers()   
	EFMVFlyby()
	--all functions within EFMV
	
end


function CreatePlayers()

    -------- Player 0 ------------
    
--    player = CreatePlayer("HUMAN")
--	player.NumberOfWorms = 4
--	player.Name = "Horus"
--	player.WormStartingHealth = 150
--    player.VoiceBank = "Classic"
--	CreatePlayersTeam(player.PlayerIndex)
--    

--    StandardWorm(GetWormData(0),"Horus","wfRef000Horus")
--    StandardWorm(GetWormData(1),"Mummy 1","wfRef001")    
--    StandardWorm(GetWormData(2),"Mummy 2","wfRef002")    
--    StandardWorm(GetWormData(3),"Mummy 3","wfRef003")
    
   
    SetupHumanPlayer(4,100)
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"
	--player.VoiceBank = "Classic"

    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRef000Horus"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRef001"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRef002"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRef003"

    
    --Sets up Team 0 inventory

	EmptyInventory(0)
	inventory = GetPlayerInventory(0)
	inventory.Tower = kWF_INFINITE_AMOUNT
	inventory.Keep = 5
	inventory.Castle = 2
    inventory.Citadel = 1
    inventory.Trebuchet = 1
	inventory.FirePunch = 1
    inventory.SuperHippo = 1
	inventory.BatteringRam = 3
	inventory.Grenade = kWF_INFINITE_AMOUNT
	inventory.Bazooka = kWF_INFINITE_AMOUNT
	inventory.WormSelect = 2
	inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
	inventory.Mortar = kWF_INFINITE_AMOUNT
	inventory.Ballista = 1
	inventory.RepairBuilding = 1
	inventory.FireWeapon = 1
	inventory.HomingPigeon = 1
    inventory.BananaBombLauncher = 1
	inventory.MiniGun = 3
	inventory.Girder = 4
	inventory.AirStrike = 1
    inventory.AirStrikeDelay = 3
    inventory.GiantCrossbow = 1
    inventory.Surrender = 0

--SET UP SOME DELAYS


    -------- Player 1 Enemy ------------
    
    
    player = CreatePlayer("AI")
	player.NumberOfWorms = 5
	player.Name = "Enemy"
	player.WormStartingHealth = 150
    player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
    

    StandardWorm(GetWormData(4),"Enemy 1","wfRefEnemy004")
    StandardWorm(GetWormData(5),"Enemy 2","wfRefEnemy005")
    StandardWorm(GetWormData(6),"Pharaoh","wfRefEnemy006")
    StandardWorm(GetWormData(7),"Enemy 4","wfRefEnemy007")
    StandardWorm(GetWormData(8),"Enemy 5","wfRefEnemy008")

    CopyContainer( GetAIParamsCPU3(), GetAIParamsWorm(4) )
    GetAIParamsWorm(4).WeightingAttackBuilding = 2

    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(5) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(6) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(7) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(8) )

    player.Flag = 72
    
     --Pharaoh       
    Worm = GetWormData(6) 
    Worm.HatOverride = "Hat.Egyptian2" 
   
   
   --MummyWorms
--    Worm = GetWormData(1) 
--    Worm.HatOverride = "Hat.Egyptian4" 
--    
--     Worm = GetWormData(2) 
--    Worm.HatOverride = "Hat.Egyptian4" 
--    
--     Worm = GetWormData(3) 
--    Worm.HatOverride = "Hat.Egyptian4" 
    
    --Enemy Worms
     Worm = GetWormData(4) 
    Worm.HatOverride = "Hat.Egyptian2" 
    
     Worm = GetWormData(5) 
    Worm.HatOverride = "Hat.Egyptian2" 
    
     Worm = GetWormData(7) 
    Worm.HatOverride = "Hat.Egyptian2" 
    
     Worm = GetWormData(8) 
    Worm.HatOverride = "Hat.Egyptian2" 
    
    
    CreateNeutralWorm(9) --dummy EFMV pharaoh worm
    CreateNeutralWorm(10) -- dummy seth worm for outro
    CreateNeutralWorm(11) -- dummy horus
    SetWormHatFromPlayer(11,0)
    
    --Sets up Team 1 inventory
	
	EmptyInventory(1)
	inventory = GetPlayerInventory(1)
	inventory.Tower = 2
    
    inventory.Grenade = kWF_INFINITE_AMOUNT
	inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.FirePunch = 5
	inventory.Mortar = 2
    inventory.ClusterLauncher = 3
    inventory.ClusterLauncherDelay = 4
	inventory.MortarDelay = 5
    
 --Some delays for the CPU team
 

--	inventory.AirStrikeDelay = 6
--	inventory.JetpackDelay = 10
--	inventory.TrebuchetDelay = 2
--	inventory.BananaBombLauncherDelay = 3
	
--	inventory.FirePunchDelay = 2
--	inventory.BallistaDelay = 1
    --inventory.AnimalStrikeDelay = 5
    

    
    scheme = GetCurrentSchemeData()
    scheme.TurnTime = 4500
	scheme.SuddenDeathTime = 270000
	scheme.RetreatTime = 300
	scheme.HotSeatTime = 500
    StandardRefereeSettings()
    
    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0
end



function CheckVictoryConditions()


        referee = GetRefereeData()

  
            if referee.TotalGameTime >= 270000 then
                EndMissionFail()
            end
        
        return false
        
end 

function CheckSuddenDeath()

    return 0

end


--********Therefore..... The WormDied feature below checks for the death of player Worm HORUS, if so - mission FAILS************
function WormDied( wormTaskId )


    Human1 = GetWormData( 0 )
    Human2 = GetWormData( 1 )
    Human3 = GetWormData( 2 )
    Human4 = GetWormData( 3 )

    if CheckAreAllWormsDead( 0 ) == true then 
    EndMissionFail() 
    end

     if Human1.Health <= 0 and Human1Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human1Dead = true
    end
    
    if Human2.Health <= 0 and Human2Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human2Dead = true
    end
    
    if Human3.Health <= 0 and Human3Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human3Dead = true
    end
    
    if Human4.Health <= 0 and Human4Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human4Dead = true
    end
    
    if PlayersWormsDead == 4 then
    EndMissionFail() 
    end

    -- check if it was Horus 
    --Horus = GetWormData( 0 )
	
--    if Horus.Health <= 0 then
  --  SetCommentaryText("Miss.Generic.Game3")
    --EndMissionFail()
        -- Horus has died so player 1 (The Enemy AI) has won.
        --EndRound( 1 )
   -- end
    
end    
    
--*************In this function, I am checking for when the player has destroyed the enemy stronghold, or the enemy has destroyed the player's stronghold or the tower*********************************
function BuildingHasBeenDestroyed( PlayerId, BuildingType )
	

		Player1Stronghold = GetBuildPointInfo( "buildHere0017" )
		if Player1Stronghold.BuildingType == -1 then
			Player1StrongholdGone = true
			EndMissionFail()
			--EndRound( 1 )		
		end

	
    
    		Player1Tower = GetBuildPointInfo( "buildHere0034" )
		if Player1Tower.BuildingType == -1 and Player1TowerGone == false then
			Player1TowerGone = true
                SetCommentaryText("Miss.Egyptian4a.Weak")
                CheckObjective(3)
					
		end
    
    
    
	-- check if is the enemy1 stronghold

		Enemy1Stronghold = GetBuildPointInfo( "buildHere0035" )
		if Enemy1Stronghold.BuildingType == -1 then
			
			Enemy1StrongholdGone = true
			CheckObjective(2)
			--skip camera to outro
			CameraArrayNumber = 5
			--when mission has finished set to 1
			GameHasFinished = 1
			Num = 17
			--FlushCommentaryText()
			DelayCall("StartAllEFMVTimers", 2) -- once the replays are sorted adjust this delay time
			DelayCall("EFMVFlyby", 2.5)
		end

end 	


-- Highlander ENDGAME!!!!!

--function EndGame()
--EndRound( 1 )
--end



function CheckSuddenDeath()

    return 0

end

function EndMissionSuccess()



        Unlock("LOCK.Movie.GreekIntro")


        
        if referee.TotalGameTime < 120000 then 
           SetMedal(kGoldMedal)
            Unlock("LOCK.Hat.Egyptian1")
            Unlock("LOCK.Fortapedia.Horus")
            Unlock("LOCK.Weapon.Monkey")
            Unlock("LOCK.Fortapedia.Monkey")

 
    
        
        elseif referee.TotalGameTime < 150000 then 
            SetMedal(kSilverMedal) 
            Unlock("LOCK.Hat.Egyptian1")
            Unlock("LOCK.Fortapedia.Horus")
        
        
        
        elseif referee.TotalGameTime > 150000 then 
            SetMedal(kBronzeMedal) 
            Unlock("LOCK.Hat.Egyptian1")
            Unlock("LOCK.Fortapedia.Horus")
        end 




    SetCommentaryText("Miss.Generic.Success")
    EndRound(0)
end

function EndMissionFail()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end


--**********************************************************************************************************

--					CAMERA STUFF DOWN BELOW

--**********************************************************************************************************


function EFMVFlyby() -- Starts the EFMV sequence
	
	--if cameras are active then continue with intro
	 if EFMVCamerasAreActive == true then

		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
	
	--if cameras are disabled then start the game
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end

function OnEndEFMV(szSeqName, bUserQuit)

	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()

		elseif bUserQuit == 0 then
		
		--intro
		if CameraArrayNumber < 5 then
			EFMVFlyby()
		
		elseif CameraArrayNumber == 5  then --last intro cam
			SetGameUpAndCancelEverything()
		
		elseif CameraArrayNumber == 6 then
			EFMVFlyby()
		
		--last sequence in the outro
		elseif CameraArrayNumber == 7 then 
			--Game will end here if the player has completed the mission.
			EndMissionSuccess()
		end
	end
end


function StartAllEFMVTimers() 
	
	if CameraArrayNumber == 0 then 
		
		DelayCall("SpawnHorus", 1)
--~ 		DelayCall("MummyStance", 1)
		
		DelayCall("Enemy1TurnAndSalute", 15)
		DelayCall("Enemy2TurnAndSalute", 14)
		DelayCall("Enemy3TurnAndSalute", 13)
		DelayCall("Enemy4TurnAndSalute", 12)
		DelayCall("Enemy5TurnAndSalute", 11)
		
		DelayCall("SpawnPharaoh", 20)
		DelayCall("PharaohSpellcast", 21)
		DelayCall("OrientateAllPharoahWorms", 23)
		DelayCall("MakePharaohWormsLookShocked", 29.5)	
		
		DelayCall("PharaohShout", 26)
		DelayCall("PharaohShout", 29)
		DelayCall("PharaohShout", 32)

		DelayCall("PharaohSpeakAngry", 34)
		DelayCall("PharaohPoint", 40)
		DelayCall("PharaohShout", 43)
		DelayCall("PharaohPoint2", 46)
--~ 		DelayCall("PharaohPoint3", 53)
--~ 		DelayCall("PharaohPoint3", 59)
--~ 		DelayCall("PharoahPoint2", 65)
		
		DelayCall("HorusReady", 58)
		DelayCall("HorusReady", 60.5)
		DelayCall("HorusFlutter", 63)
		DelayCall("HorusShrug", 69)
		DelayCall("HorusLooking", 75) 
		DelayCall("HorusPuzzled", 72)
		DelayCall("HorusConfident", 78.5)
		
	elseif CameraArrayNumber == 5 then
		
		SweepAndClearArea("wfRefOutroHorus")
		
		--DelayCall("GetRidOfRemainingWorms", 0)
		DelayCall("GetRidOfRemainingEnemyBuildings", 0)
		DelayCall("RespawnHorus", 1)
		DelayCall("HorusHappy", 6)
		DelayCall("HorusCry", 14)
		DelayCall("HorusHappy", 19)
		DelayCall("HorusConfident2", 25)
		DelayCall("SpawnSeth", 30)
		DelayCall("SethAsk", 34)
		DelayCall("SethTalk", 37.8)
	end
end

function Enemy1TurnAndSalute()
	OrientateWorm(4, 210)
	WormResetAnim(4)
	WormQueueAnim(4, "worm_salute")
end

function Enemy2TurnAndSalute()
	OrientateWorm(5, 210)
	WormResetAnim(5)
	WormQueueAnim(5, "worm_salute")
end

function Enemy3TurnAndSalute()
	OrientateWorm(6, 210)
	WormResetAnim(6)
	WormQueueAnim(6, "worm_salute")
end

function Enemy4TurnAndSalute()
	OrientateWorm(7, 210)
	WormResetAnim(7)
	WormQueueAnim(7, "worm_salute")
end

function Enemy5TurnAndSalute()
	OrientateWorm(8, 210)
	WormResetAnim(8)
	WormQueueAnim(8, "worm_salute")
end


function SpawnPharaoh()

	Worm = GetWormData(9) 
	Worm.HatOverride = "Hat.Egyptian1" 
   
	CreateExplosionEffects("wfRefEFMVPharaoh", kWF_EXPLOSION_MEDIUM, false)
	SpawnWorm(9, "wfRefEFMVPharaoh")
	OrientateWorm(9, 340)
end

function PharaohSpellcast()
	WormResetAnim(9)
	WormQueueAnim(9, "worm_spellcast")
end


function OrientateAllPharoahWorms()
	OrientateWormToWorm(4, 9)
	OrientateWormToWorm(5, 9)
	OrientateWormToWorm(6, 9)
	OrientateWormToWorm(7, 9)
	OrientateWormToWorm(8, 9)
end

function MakePharaohWormsLookShocked()
	WormResetAnim(4)
	WormQueueAnim(4, "worm_shocked")
	WormResetAnim(5)
	WormQueueAnim(5, "worm_shocked")
	WormResetAnim(6)
	WormQueueAnim(6, "worm_shocked")
	WormResetAnim(7)
	WormQueueAnim(7, "worm_shocked")
	WormResetAnim(8)
	WormQueueAnim(8, "worm_shocked")
end

	
function PharaohShout()
	WormResetAnim(9)
	WormQueueAnim(9, "worm_speakangry2")
end

function PharaohSpeakAngry()
	WormResetAnim(9)
	WormQueueAnim(9, "worm_speakangry2")
end

function PharaohPoint()
	WormResetAnim(9)
	WormQueueAnim(9, "worm_pointwavefist")
end

function PharaohPoint2()
	WormResetAnim(9)
	WormQueueAnim(9, "worm_directingheave")
end

function PharaohPoint3()
	WormResetAnim(9)
	WormQueueAnim(9, "worm_directingheave")
end

function SpawnHorus()
	HideWorm(0)
	WormAllowIdleAnims(0, false) 
	SpawnWorm(0, "wfRef000Horus")
	OrientateWorm(0, 301)
end

function HorusReady()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_anticipation")
end

function HorusFlutter()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_flutter")
end

function HorusLooking()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_looking")
end


function HorusPuzzled()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_puzzled")
end
	
function HorusShrug()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_shrug")
end
	
function HorusConfident()
	WormAllowIdleAnims(0, false) 
	WormResetAnim(0)
	WormQueueAnim(0, "worm_confident")
end


------------OUTRO: CAM = 5 / Num = 17-------------------------------------------------

function GetRidOfRemainingEnemyBuildings()
	RemoveBuilding("buildHere0031")
	RemoveBuilding("buildHere0032")
	RemoveBuilding("buildHere0033")
	RemoveBuilding("buildHere0034")
end

function RespawnHorus()

--	Worm = GetWormData(0) 
--	Worm.HatOverride = "NoHat"
--	
--	HideWorm(0)
	SpawnWorm(11, "wfRefOutroHorus")
	OrientateWorm(11, 270)
end

function SpawnSeth()

	Worm = GetWormData(10) 
	Worm.HatOverride = "Hat.Egyptian3"
	
	CreateParticleEffect("wormspawnA", "wfRefOutroSeth")
	SpawnWorm(10, "wfRefOutroSeth")
	--OrientateWorm(10, 283)
	--OrientateWormToWorm(11, 10)
	--OrientateWormToWorm(10, 0)
end

function HorusCry()
	WormResetAnim(11)
	WormQueueAnim(11, "sad2")
end

function HorusConfident2()
	WormAllowIdleAnims(11, false) 
	WormResetAnim(11)
	WormQueueAnim(11, "worm_confident")
end

function HorusHappy()
	WormResetAnim(11)
	WormQueueAnim(11, "happy2")
end

function SethAsk()
	WormResetAnim(10)
	WormQueueAnim(10, "worm_puzzled")
end

function SethTalk()
    WormResetAnim(10)
	WormQueueAnim(10, "worm_speak3")
	
	DelayCall("SethTalk", 3.7)
end


----------------------------------------------------------------------------------------------

function SetGameUpAndCancelEverything() 
-- Called if the user skips the efmv sequence or the sequence has ended.
	
	if GameHasFinished == 1 then
		EndMissionSuccess()
	else
	
		SetBriefingBoxPosition(0,0)
		SetBriefingBoxSize(190,120)
		CreateBriefingBox("Miss.Egypt5-Objectives")
		
		WormAllowIdleAnims(0, true) 
		SetEFMVCameraShakeRatio(1.0) 

		CancelDelayCall("SpawnHorus")
		CancelDelayCall("MummyStance")
		CancelDelayCall("Enemy1TurnAndSalute")
		CancelDelayCall("Enemy2TurnAndSalute")
		CancelDelayCall("Enemy3TurnAndSalute")
		CancelDelayCall("Enemy4TurnAndSalute")
		CancelDelayCall("Enemy5TurnAndSalute")
		CancelDelayCall("SpawnPharaoh")
		CancelDelayCall("PharaohSpellcast")
		CancelDelayCall("OrientateAllPharoahWorms")
		CancelDelayCall("MakePharaohWormsLookShocked")		
		CancelDelayCall("PharaohShout")
		CancelDelayCall("PharaohSpeakAngry")
		CancelDelayCall("PharaohPoint")
		CancelDelayCall("PharaohPoint")
		CancelDelayCall("HorusFlutter")
		CancelDelayCall("HorusShrug")
		CancelDelayCall("HorusLooking") 
		CancelDelayCall("HorusPuzzled")
		CancelDelayCall("HorusConfident")
		
		HideWorm(0)
		HideWorm(9)
		SpawnWorm(0, "wfRef000Horus")
	end
end	
	
--------------- TEXT CODE------------------------------

function EFMV_TextTrigger() 
	
	if Num == 26 then
	
		Fade(true, 7, true)
		
	end
	
	Text = TextLabelsArray[Num]
	
	-- (-1) is infinite, (0) is default to 2000 (2 secs)
	SetCommentaryText(Text, -1)
	
	Num = Num + 1

end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 


--*************************************

 function TurnEnded()
 
         Turn = Turn + 1
         
         if Turn == 2 then
         SetCommentaryText ("Miss.Oriental5.Game2")
         end
         
--~ 	--skip camera to outro
--~ 	CameraArrayNumber = 5
--~ 	--when mission has finished set to 1
--~ 	GameHasFinished = 1
--~ 	Num = 17
--~ 	StartAllEFMVTimers()
--~ 	EFMVFlyby()
--~ 	--EndRound( 0 )		
 end 