--***********************************************************
--                Greek3
--***********************************************************
--		 

--************************************************************
function InitialiseLevel()
    LoadLevel("landscapes/G/G3.xom",true)

    SetupDefaultScheme()    
    
    SetObjectives("Miss.Greek3-Objectives", 2)

    -- set up globals needed to control the stages of the mission
    -- these are :
    
    bPlayer3NeverGetsAGo = true
    
    sailorshavenotdied = true
    
    Sirendead = 0
    Sailordead = 0
    
	SirencrateHasSpawned = false
	oarcrateHasSpawned = false
    Sailor1here = true
    Sailor2here = true
    Sailor3here = true
    Sailor4here = true
    timesup = false
    stage = 2
    cratescollected = 0

    
    wlevel = 10
    ship1gone = false
    ship2gone = false
    ship3gone = false
    ship4gone = false
    
	CameraArrayNumber = 0 -- Used for EFMV ONLY
	bQuitable = true -- Used for EFMV ONLY
	GameHasFinished = 0 -- Used for EFMV OUTRO ONLY
	Num = 1 -- Used for the EFMV Text Array ONLY
	EFMVCamerasAreActive = true -- Set to false to disable the intro EFMV camera
	GameHasJustFinishedAMidEFMVSequence = false --Used to tell the game that it's in a mid EFMV sequence
	referee = GetRefereeData()
        referee.ShowVictorySequence = false -- Turns off vicotry anims
     
	EFMVArray = { "intro", "cut1", "cut2", "cut3", "cut4", "cut6", "cut5"} -- EFMV - cut 4 and 6 = In game sequence, cut 5 = outro
	    
	TextLabelsArray = { "Miss.Greek3-EFMV.Intro1", "Miss.Greek3-EFMV.Intro2", "Miss.Greek3-EFMV.Intro3", "Miss.Greek3-EFMV.Intro4", "Miss.Greek3-EFMV.Intro5", "Miss.Greek3-EFMV.Intro6",
                          "Miss.Greek3-EFMV.Intro7", "Miss.Greek3-EFMV.Intro8", "Miss.Greek3-EFMV.Intro9", "Miss.Greek3-EFMV.Intro10", "Miss.Greek3-EFMV.Intro11", "Miss.Greek3-EFMV.Intro12",
                          "Miss.Greek3-EFMV.Intro13", "Miss.Greek3-EFMV.Intro14", "Miss.Greek3-EFMV.Intro15","Miss.Greek3-EFMV.Intro16", "Miss.Greek3-EFMV.Intro17" , "Miss.Greek3-EFMV.Intro18"
			  , "Miss.Greek3-EFMV.Intro19"}

    --waterlevelmove()    

    
end






--*************************************************************
function HideWormsNow()


    SetInstantReplaysOn(false)



	WormAllowIdleAnims(0,false)
	WormAllowIdleAnims(1,false)
	WormAllowIdleAnims(2,false)
	WormAllowIdleAnims(3,false)
	WormAllowIdleAnims(4,false)
	WormAllowIdleAnims(5,false)
	WormAllowIdleAnims(6,false)
	WormAllowIdleAnims(7,false)


	SetEFMVCameraShakeRatio(0.0) -- Turn the camera shake off


	PlayDetailObjectAnimation( "seagull1", "path1", true )		
	PlayDetailObjectAnimation( "seagull1", "flap", true )
	
	PlayDetailObjectAnimation( "seagull2", "path1", true )		
	PlayDetailObjectAnimation( "seagull2", "flap", true )




	EFMVFlyby() -- EFMVStart
	StartAllEFMVTimers() -- Actions during EFMV	

	 ShowOnlyScriptCommentary(true)

end


--function smoke()

--    EffectId = CreateParticleEffect("Explosion Smoke", "wfRefsmoke1")
--end



--*************************************************************
function UpdateWind()
    --sets the wind to be low for the first stage

       referee = GetRefereeData()
       referee.WindStrengthMinimum = 2.0
       referee.WindStrengthVariance = 2.0


   return true
end


--**********************************************************
function waterlevelmove()

BarrierLevel = GetBarrierLevel()
-- sets the water 
SetBarrierLevel(wlevel)
DelayCall("waterlevelset", 0.05)



end


function waterlevelset()
-- makes the water raise and lower WIP

    if wlevel == 80 then

        waterlevelhigh = true
    
    end


    if wlevel == 10 then

        waterlevelhigh = false
    
    end
    
    if waterlevelhigh == true then
    
        wlevel = wlevel - 1
        waterlevelmove()
        
    end

    if waterlevelhigh == false then
    
        wlevel = wlevel + 1
        waterlevelmove()
        
    end
    
    
end




--*************************************************************
function CreatePlayers()

--    -------- Player 0 ------------
--    player = CreatePlayer("HUMAN")
--	player.NumberOfWorms = 4
--	player.Name = "Human Team"
--	player.WormStartingHealth = 100
--    player.VoiceBank = "Classic"
--	CreatePlayersTeam(player.PlayerIndex)
--    StandardWorm(GetWormData(0),"Odysseus ","wfRef000")
--    StandardWorm(GetWormData(1),"Sailor1","wfRef001")
--    StandardWorm(GetWormData(2),"Sailor2","wfRef002")
--    StandardWorm(GetWormData(3),"Sailor3","wfRef003")

        
    SetupHumanPlayer(4,100)
	--player.VoiceBank = "Classic"
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"



    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRef000"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRef001"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRef002"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRef003"    

        
            
    --Sets up Team 0 inventory for ship battle
    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.FireGrenadeLauncher = kWF_INFINITE_AMOUNT;
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.Surrender = 0
    inventory.RepairBuilding = 3
    --inventory.Tower = 2
    inventory.Mortar = 2
    inventory.MiniGun = 3
    inventory.FireWeapon = 3
    inventory.ClusterLauncher = 6
    inventory.Ballista = 8
    inventory.WormSelect = 6
    inventory.Jetpack = 1
    inventory.AirStrike = 2
    inventory.AirStrikeDelay = 10
    inventory.MineStrike = 1
    inventory.MineStrikeDelay = 5
    inventory.HomingPigeon = 1
    inventory.BananaBombLauncher = 2
    inventory.RepairBuilding = 1    
 
    -------- Player 2 ------------
    
    player = CreatePlayer("AI")
	player.NumberOfWorms = 4
	player.Name = "Pirates"
	player.WormStartingHealth = 20
    player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
    player = GetPlayerData(1)
	player.TeamTombstone = 4
    

    StandardWorm(GetWormData(4),"Captain Dennis","wfRef009")
    StandardWorm(GetWormData(5),"Sailor Aston","wfRef010")
    StandardWorm(GetWormData(6),"Sailor Varley","wfRef011")
    StandardWorm(GetWormData(7),"Sailor Carthew","wfRef012")

    CopyContainer(GetAIParamsCPU4(), GetAIParamsWorm(4))
    CopyContainer(GetAIParamsWorm(4), GetAIParamsWorm(5))
    CopyContainer(GetAIParamsWorm(4), GetAIParamsWorm(6))
    CopyContainer(GetAIParamsWorm(4), GetAIParamsWorm(7))



    player.Flag = 104

    Worm = GetWormData(4) 
    Worm.HatOverride = "Hat.Roman1"
    Worm = GetWormData(5) 
    Worm.HatOverride = "Hat.Roman1"
    Worm = GetWormData(6) 
    Worm.HatOverride = "Hat.Roman1"
    Worm = GetWormData(7) 
    Worm.HatOverride = "Hat.Roman1"





    --Sets up Team 2 inventory
    EmptyInventory(1)
    inventory = GetPlayerInventory(1)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.Mortar = 3
    inventory.FireWeapon = 1
    inventory.HomingPigeon = 0
    inventory.RocketLauncher = 0
    inventory.Grenade = 10
    inventory.ClusterLauncher = 10
    inventory.FireGrenadeLauncher = 1
    inventory.FireGrenadeLauncherDelay = 5
    inventory.FireGrenadeLauncher = 1

    
    inventory.BananaBombLauncher = 0
    --inventory.SuperHippo = 1
    inventory.AirStrike = 1
    inventory.NapalmStrike = 1
    inventory.MineStrike = 1
    inventory.AnimalStrike = 1
    inventory.AnimalStrikeDelay = 11
    --inventory.TrojanDonkey = 1
    inventory.FirePunch = 10
    inventory.Ballista = 5
    inventory.MiniGun = 1

                
    inventory.Parachute = 0
    inventory.Girder = 0




    -- No Crates !
    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0
    scheme.TurnTime = 4500	
    scheme.HotSeatTime = 0
    scheme.SuddenDeathTime = 180000
    CreateNeutralWorm(8) -- Ghost worm used for EFMV
    SetWormHatFromPlayer(8,0)

    
    
    CreateNeutralWorm(9) -- Ghost siren worm used for EFMV
    StandardRefereeSettings()
    
end



--******************************************************************
function SetNextPlayerToGo( playerIndex ) 


    -- take turn order as normal 
    return playerIndex 
end




--*********************************************************
function shipbattle()
--efmv


end


--******************************************************
function CheckVictoryConditions()


    if referee.TotalGameTime >= 180000 and timesup == false then
        timesup = true
        SetCommentaryText("Miss.Generic.Timesup")       
        DelayCall("EndMissionFailed", 2)
                
                
    end


    return false
end

function CheckSuddenDeath()
    return 0
end



--*****************************************************
--function BuildingHasBeenBuilt( PlayerId, BuildingType , buildingIndex)
       
        
--end


--****************************************************



function TurnEnded(playerTaskId)

--~ 	GameHasJustFinishedAMidEFMVSequence = true --Used to tell the game that it's in a mid EFMV sequence
--~ 	CameraArrayNumber = 4 -- Camera array index 5, mid game efmv sequence 
--~ 	Num = 11 -- statrs text at mid game point
--~ 	DelayCall("StartAllEFMVTimers", 2) 
--~ 	DelayCall("EFMVFlyby", 2) -- Starts the EFMV sequence (mid game)
	
-- 	CameraArrayNumber = 6 -- Indexs the camera array to the end efmv sequence (7)
-- 	GameHasFinished = 1
-- 	Num = 15 -- starts text at end point
-- 	EFMVFlyby()
	
	

        if Sailordead == 4 and sailorshavenotdied == true then
            SetCommentaryText( "Miss.Generic.Game" )
            SetCommentaryText( "Miss.Generic.Hint47" )
            sailorshavenotdied = false
            
            SweepAndClearArea("wfRefcrate1")
            SweepAndClearArea("wfRefcrate2")
            SweepAndClearArea("wfRefcrate3")
            SweepAndClearArea("wfRefcrate4")
            SweepAndClearArea("wfRefcrate5")

            
            
            
            CheckObjective(0)
            cratescollected = 0
            Dropcrates()
        end
        
        
collectgarbage()
end



--*******************************************************
function WormDied( wormTaskId )

	-- a worm somewhere has worm died 
	-- check which one
    
        
        
    Sailor1 = GetWormData( 4 )
	Sailor2 = GetWormData( 5 )
    Sailor3 = GetWormData( 6 )
	Sailor4 = GetWormData( 7 )
        

        
        -- check for sailors been killed
        
        
    if Sailor1.Health <= 0 and Sailor1here == true then	
		-- a Sailor has been killed
		Sailordead = Sailordead + 1 
        Sailor1here = false
        SetCommentaryText( "Miss.Generic.Game9" )
                
	end

	if Sailor2.Health <= 0 and Sailor2here == true then	
		-- a Sailor has been killed
		Sailordead = Sailordead + 1 
        Sailor2here = false
        SetCommentaryText( "Miss.Generic.Hint13" )
	end
        
	if Sailor3.Health <= 0 and Sailor3here == true then	
		-- a Sailor has been killed
		Sailordead = Sailordead + 1 
        Sailor3here = false
        SetCommentaryText( "Miss.Generic.Hint36" )
	end

	if Sailor4.Health <= 0 and Sailor4here == true then	
		-- a Sailor has been killed
		Sailordead = Sailordead + 1 
                Sailor4here = false
                SetCommentaryText( "Miss.Generic.Hint37" )
	end      
        
    if CheckAreAllWormsDead( 0 ) == true then 
    EndMissionFailed() 
    end
        
        
	collectgarbage()
end 


--**********************************************************
function EndMissionSuccess()




        Unlock("LOCK.Landscape.Greek1")


        
        if referee.TotalGameTime < 120000 then 
           SetMedal(kGoldMedal)
           Unlock("LOCK.Flag.Greek3")
            Unlock("LOCK.Fortapedia.Odysseus")

        
        
        elseif referee.TotalGameTime < 150000 then 
            SetMedal(kSilverMedal) 
            Unlock("LOCK.Fortapedia.Odysseus")

        
        
        
        elseif referee.TotalGameTime > 150000 then 
            SetMedal(kBronzeMedal) 
            Unlock("LOCK.Fortapedia.Odysseus")
        end 





    SetCommentaryText("Miss.Generic.Success")
    EndRound(0)
end

function EndMissionFailed()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end
--***********************************************************


function Dropcrates()

    --waterlevelmove()
    
    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.Parachute = 1
    inventory.Jetpack = 3
    inventory.WormSelect = kWF_INFINITE_AMOUNT
    inventory.Surrender = 0

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_PARACHUTE
    crate.NumContents = 1			
    crate.CrateId = 1				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop1")
    



    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_PARACHUTE
    crate.NumContents = 1			
    crate.CrateId = 2				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop2")
    

    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_PARACHUTE
    crate.NumContents = 1			
    crate.CrateId = 3				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop3")
    
    
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_PARACHUTE
    crate.NumContents = 1			
    crate.CrateId = 4				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop4")
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_PARACHUTE
    crate.NumContents = 1			
    crate.CrateId = 5				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop5")
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_PARACHUTE
    crate.NumContents = 1			
    crate.CrateId = 6				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop6")
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_PARACHUTE
    crate.NumContents = 1			
    crate.CrateId = 7				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop7")
    



    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_PARACHUTE
    crate.NumContents = 1			
    crate.CrateId = 8				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop8")
    

    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_PARACHUTE
    crate.NumContents = 1			
    crate.CrateId = 9				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop9")
    
    
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_PARACHUTE
    crate.NumContents = 1			
    crate.CrateId = 10				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop10")
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_PARACHUTE
    crate.NumContents = 1			
    crate.CrateId = 11				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop11")
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_PARACHUTE
    crate.NumContents = 1			
    crate.CrateId = 12				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop12")
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_PARACHUTE
    crate.NumContents = 1			
    crate.CrateId = 13				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop13")
    
	GameHasJustFinishedAMidEFMVSequence = true --Used to tell the game that it's in a mid EFMV sequence
	CameraArrayNumber = 4 -- Camera array index 5, mid game efmv sequence 
	Num = 11 -- statrs text at mid game point
	DelayCall("StartAllEFMVTimers", 2) 
	DelayCall("EFMVFlyby", 2) -- Starts the EFMV sequence (mid game)



end


function CrateCollected()

    cratescollected = cratescollected + 1

    if cratescollected == 13 then
    CheckObjective(1)
        --player wins
	CameraArrayNumber = 6 -- Indexs the camera array to the end efmv sequence (7)
	GameHasFinished = 1
	Num = 15 -- starts text at end point
	EFMVFlyby()
     
    end

        
    collectgarbage()
    
end


-- Explosions and check for player stronghold gone
function BuildingHasBeenDestroyed( PlayerId, BuildingType )
	


		playerstronghold = GetBuildPointInfo( "buildHere002" )
		if playerstronghold.BuildingType == -1 then

            
        --players base gone so fail
        DelayCall("EndMissionFailed", 1)
        
		end




		Ship1 = GetBuildPointInfo( "buildHere0010" )
		if Ship1.BuildingType == -1 and ship1gone == false then
        ship1gone = true
            
        EffectId1 = CreateParticleEffect("largefire", "wfRefexp1") 
        EffectId2 = CreateParticleEffect("largefire", "wfRefexp2") 
 

        
        CreateExplosion("buildHere0010", 15, 3, 10, 30, 15) 
        CreateParticleEffect("Explosion Smoke", "buildHere0010") 
        PlaySound("Weapon.RoundExplode", "buildHere0010")
        DelayCall("Shipexp1", 1)
        DelayCall("killpart1", 60)
		end



		Ship2 = GetBuildPointInfo( "buildHere009" )
		if Ship2.BuildingType == -1 and ship2gone == false then
        ship2gone = true
            
        EffectId4 = CreateParticleEffect("largefire", "wfRefexp5") 
        EffectId5 = CreateParticleEffect("largefire", "wfRefexp6") 
 

        
        CreateExplosion("buildHere009", 15, 3, 10, 30, 15)
        CreateParticleEffect("Explosion Smoke", "buildHere009") 
        PlaySound("Weapon.RoundExplode", "buildHere009")
        DelayCall("Shipexp2", 1)
        DelayCall("killpart2", 60)
		end



		Ship3 = GetBuildPointInfo( "buildHere0011" )
		if Ship3.BuildingType == -1 and ship3gone == false then
        ship3gone = true
            
        EffectId7 = CreateParticleEffect("largefire", "wfRefexp8") 
        EffectId8 = CreateParticleEffect("largefire", "wfRefexp9") 
 

        
        CreateExplosion("buildHere0011", 15, 3, 10, 30, 15)
        CreateParticleEffect("Explosion Smoke", "buildHere0011") 
        PlaySound("Weapon.RoundExplode", "buildHere0011")
        DelayCall("Shipexp3", 1)
        DelayCall("killpart3", 60)
		end

--		Ship4 = GetBuildPointInfo( "buildHere005" )
--		if Ship4.BuildingType == -1 and ship3gone == false then
--        ship4gone = true
--            
--        EffectId10 = CreateParticleEffect("largefire", "wfRefexp11") 
--        EffectId11 = CreateParticleEffect("largefire", "wfRefexp12") 

--        
--        
--        CreateExplosion("buildHere0011", 15, 3, 10, 30, 15) 
--        CreateParticleEffect("Explosion Smoke", "buildHere0011") 
--        PlaySound("Weapon.RoundExplode", "buildHere0011")
--        DelayCall("Shipexp4", 1)
--        DelayCall("killpart4", 60)
--		end


end



--other ship explosions on delays
function Shipexp1()

        CreateExplosion("buildHere0010", 15, 3, 10, 30, 15) 
        CreateParticleEffect("Explosion Smoke", "buildHere0010")  
        PlaySound("Weapon.RoundExplode", "buildHere0010")
        EffectId3 = CreateParticleEffect("largefire", "wfRefexp3")
end


function Shipexp2()

        CreateExplosion("buildHere009", 15, 3, 10, 30, 15) 
        CreateParticleEffect("Explosion Smoke", "buildHere009")  
        PlaySound("Weapon.RoundExplode", "buildHere009")
        EffectId6 = CreateParticleEffect("largefire", "wfRefexp7")
end

function Shipexp3()

        CreateExplosion("buildHere009", 15, 3, 10, 30, 15)
        CreateParticleEffect("Explosion Smoke", "buildHere0011")   
        PlaySound("Weapon.RoundExplode", "buildHere0011")
        EffectId9 = CreateParticleEffect("largefire", "wfRefexp10")
end

function Shipexp4()

        CreateExplosion("buildHere005", 15, 3, 10, 30, 15)
        CreateParticleEffect("Explosion Smoke", "wfRefexp13")  
        PlaySound("Weapon.RoundExplode", "buildHere005")
        EffectId12 = CreateParticleEffect("largefire", "wfRefexp13")
        DelayCall("Shipexp5", 1)
end



function Shipexp5()

        CreateExplosion("buildHere005", 15, 3, 10, 30, 15) 
        CreateParticleEffect("Explosion Smoke", "wfRefexp14")  
        PlaySound("Weapon.RoundExplode", "wfRefexp14")
        EffectId13 = CreateParticleEffect("largefire", "wfRefexp14")
        DelayCall("Shipexp6", 1)
end

function Shipexp6()

        CreateExplosion("buildHere005", 15, 3, 10, 30, 15) 
        CreateParticleEffect("Explosion Smoke", "wfRefexp15")  
        PlaySound("Weapon.RoundExplode", "wfRefexp15")
        EffectId14 = CreateParticleEffect("largefire", "wfRefexp15")
        DelayCall("Shipexp7", 1)
end

function Shipexp7()

        CreateExplosion("buildHere005", 15, 3, 10, 30, 15) 
        CreateParticleEffect("Explosion Smoke", "wfRefexp16")  
        PlaySound("Weapon.RoundExplode", "wfRefexp16")
        EffectId15 = CreateParticleEffect("largefire", "wfRefexp16")
        
end




-- remove particles
function killpart1()

    KillParticleEffect(EffectId1)
    KillParticleEffect(EffectId2)
    KillParticleEffect(EffectId3)

end

function killpart2()

    KillParticleEffect(EffectId4)
    KillParticleEffect(EffectId5)
    KillParticleEffect(EffectId6)

end

function killpart3()

    KillParticleEffect(EffectId7)
    KillParticleEffect(EffectId8)
    KillParticleEffect(EffectId9)

end


function killpart4()

    KillParticleEffect(EffectId10)
    KillParticleEffect(EffectId11)
    KillParticleEffect(EffectId12)
    KillParticleEffect(EffectId13)
    KillParticleEffect(EffectId14)
    KillParticleEffect(EffectId15)
    --KillParticleEffect(EffectId16)
    
    

end


function sirencrate()

	SirencrateHasSpawned = true

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_SUPER_HIPPO
    crate.NumContents = 2			
    crate.CrateId = 14				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefcrate1")

end

function oarcrate()

	oarcrateHasSpawned = true

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_SUPER_HIPPO
    crate.NumContents = 2			
    crate.CrateId = 15				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefcrate2")

end

-- ***********************************************************************************************
-- *                                   Camera things bellow here     				                       *
-- ***********************************************************************************************


function StartAllEFMVTimers() 

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_HEALTH -- what is in the crate.
    crate.HealthInCrate = 30		-- amount of health in a health crate, if set to negative uses the current scheme's CrateHealth
    crate.CrateId = 16				-- id only used and set by scripts
    crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
    crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
    crate.TeamCollectable = -1		-- -1 for all teams, otherwise the index of the team
    crate.GroundSnap = true		-- set to true for crate to be placed on the ground below spawn point.
    crate.FixedPosition = false		-- set to true, crate will not move i.e. stays at spanw point
    crate.UXB = false				-- whether crate is booby trapped
    crate.Destructible = true		-- whether crate can be destroyed.
    crate.Pushable = false			-- whether crate can be moved by weapons.
    crate.CollectableByPayload = false	-- whether crate can be collected by roaming rounds e.g. rhino
    crate.Collectable = true		-- whether crate can be collected
    SpawnCrate(crate.Index,"wfRefcrate3")
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_HEALTH -- what is in the crate.
    crate.HealthInCrate = 30		-- amount of health in a health crate, if set to negative uses the current scheme's CrateHealth
    crate.CrateId = 17				-- id only used and set by scripts
    crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
    crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
    crate.TeamCollectable = -1		-- -1 for all teams, otherwise the index of the team
    crate.GroundSnap = true		-- set to true for crate to be placed on the ground below spawn point.
    crate.FixedPosition = false		-- set to true, crate will not move i.e. stays at spanw point
    crate.UXB = false				-- whether crate is booby trapped
    crate.Destructible = true		-- whether crate can be destroyed.
    crate.Pushable = false			-- whether crate can be moved by weapons.
    crate.CollectableByPayload = false	-- whether crate can be collected by roaming rounds e.g. rhino
    crate.Collectable = true		-- whether crate can be collected
    SpawnCrate(crate.Index,"wfRefcrate4")
    
        crate = CreateCrate()
    crate.Contents = kWF_UTILITY_HEALTH -- what is in the crate.
    crate.HealthInCrate = 30		-- amount of health in a health crate, if set to negative uses the current scheme's CrateHealth
    crate.CrateId = 18				-- id only used and set by scripts
    crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
    crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
    crate.TeamCollectable = -1		-- -1 for all teams, otherwise the index of the team
    crate.GroundSnap = true		-- set to true for crate to be placed on the ground below spawn point.
    crate.FixedPosition = false		-- set to true, crate will not move i.e. stays at spanw point
    crate.UXB = false				-- whether crate is booby trapped
    crate.Destructible = true		-- whether crate can be destroyed.
    crate.Pushable = false			-- whether crate can be moved by weapons.
    crate.CollectableByPayload = false	-- whether crate can be collected by roaming rounds e.g. rhino
    crate.Collectable = true		-- whether crate can be collected
    SpawnCrate(crate.Index,"wfRefcrate5")
    
    
		SpawnOilDrum("wfRefoil1")
		SpawnOilDrum("wfRefoil2")
		SpawnOilDrum("wfRefoil3")

		SpawnOilDrum("wfRefoil4")
		SpawnOilDrum("wfRefoil5")
		SpawnOilDrum("wfRefoil6")
        
        SpawnOilDrum("wfRefoil7")
		SpawnOilDrum("wfRefoil8")
		SpawnOilDrum("wfRefoil9")
        
        SpawnOilDrum("wfRefoil10")
		SpawnOilDrum("wfRefoil11")
        
        
    --PlaySound("Harp", "wfRefharp")

	if CameraArrayNumber == 1 then
	
		OrientateWorm(5,220) 
		OrientateWorm(2,90) 
		OrientateWorm(3,240) 
		DelayCall( "WormChatterAnimation", 12)
		DelayCall( "WormChatterAnimation2", 17)
		DelayCall( "PlayerWormBreath", 13.75)
		DelayCall( "WormRef000STARTAnimation", 25)
		DelayCall( "WormwfRef000Animation", 33)
		DelayCall( "WormwfRef000Animation2", 34.91)
		DelayCall( "WormwfRef000Animation3", 36.82)
		DelayCall( "WormwfRef002Animation1", 26)
		DelayCall( "WormwfRef002Animation2", 31)
		DelayCall( "WormwfRef000Orientation", 30)
		DelayCall( "WormPirateAngry", 51)
		
		DelayCall( "oarcrate", 22)
		DelayCall( "sirencrate", 39)

		CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHere002" )
		CreateBuilding( kWF_BUILDING_CASTLE, 0, "buildHere001", true ) 
		CreateBuilding( kWF_BUILDING_CASTLE, 0, "buildHere000", true )
		CreateBuilding( kWF_BUILDING_SCIENCE_LAB, 0, "buildHere003", true )

		CreateBuilding( kWF_BUILDING_STRONGHOLD, 1, "buildHere005" )
		CreateBuilding( kWF_BUILDING_CASTLE, 1, "buildHere006", true ) 
		CreateBuilding( kWF_BUILDING_SCIENCE_LAB, 1, "buildHere004", true )
		CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere007", true )
    
    
    --buildings below are the enemy towers on single small ships
		CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0010", false )
		CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0011", false )
		CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere009", false )
		
        SpawnWorm( 9, "wfRef005" ) -- ghost siren worm for EFMV
        
	elseif CameraArrayNumber == 4 then
	
		SweepAndClearArea("wfRef000") -- Will remove anything that could cause trouble from the spawn location
		SpawnWorm( 8, "wfRef000" ) -- ghost worm for EFMV
		OrientateWorm( 8, 370) 
		DelayCall("GhostWormAnimationMidSequence", 17)
        

	end
	
end


function EFMVFlyby() -- Starts the EFMV sequence.

       FlushCommentaryText()

	CameraArrayNumber = CameraArrayNumber + 1

	 if EFMVCamerasAreActive == true then -- As requested, will disable the intro camera

		
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
		
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end


function OnEndEFMV(szSeqName, bUserQuit)

	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()

	elseif bUserQuit == 0 then
	
		
		if CameraArrayNumber == 4  then  -- Just change the number variable to the amount of flyby cams.
			SetGameUpAndCancelEverything()
			
		elseif CameraArrayNumber == 6 then -- EndofThe Mid game EFMV Sequence (returns the game to the player)
		
			CancelDelayCall("GhostWormAnimationMidSequence")
			HideWorm(8)
		
			GameHasJustFinishedAMidEFMVSequence = false
			
		elseif CameraArrayNumber == 7 then -- End of EFMV outro
			EndMissionSuccess()
            
        else
            EFMVFlyby()

		end
	end
end


function SetGameUpAndCancelEverything() -- Called if the user skips the efmv sequence or the sequence has ended. - Things needed for the
								--game go here.
		
	if GameHasFinished == 1 then
	
		EndMissionSuccess()
	end

		
	if  GameHasJustFinishedAMidEFMVSequence == true then   --EndofThe Mid game EFMV Sequence (returns the game to the player)
	
		CancelDelayCall("GhostWormAnimationMidSequence")
		HideWorm(8)
		
		GameHasJustFinishedAMidEFMVSequence = false
		
		
	elseif GameHasFinished == 0 and GameHasJustFinishedAMidEFMVSequence == false then
	
	
		if oarcrateHasSpawned == false then
			oarcrate()
		end
		
		if SirencrateHasSpawned == false then
			sirencrate()
		end
		
		
	
		SetEFMVCameraShakeRatio(1.0) -- Turn the camera shake on
		
		WormAllowIdleAnims(0,true) -- Turn Idle anims back on
		WormAllowIdleAnims(1,true)
		WormAllowIdleAnims(2,true)
		WormAllowIdleAnims(3,true)
		WormAllowIdleAnims(4,true)
		WormAllowIdleAnims(5,true)
		WormAllowIdleAnims(6,true)
		WormAllowIdleAnims(7,true)
	
		CancelDelayCall( "WormChatterAnimation")
		CancelDelayCall( "WormChatterAnimation2")
		CancelDelayCall( "WormChatterAnimationEnd")
		CancelDelayCall( "WormRef000STARTAnimation")
		CancelDelayCall( "WormwfRef000Animation")
		CancelDelayCall( "WormwfRef000Animation2")
		CancelDelayCall( "WormwfRef000Animation3")
		CancelDelayCall( "WormwfRef002Animation1")
		CancelDelayCall( "WormwfRef002Animation2")
		CancelDelayCall( "WormwfRef000Orientation")
		CancelDelayCall( "WormPirateAngry")
		CancelDelayCall( "oarcrate")
		CancelDelayCall( "sirencrate")
		HideWorm(9)
        SetBriefingBoxPosition(0,0) 
        SetBriefingBoxSize(190,120) 
		CreateBriefingBox("Miss.Greek3-Objectives")

		    --get rid of all the commentary coz a lot has happened
		FlushCommentaryText()
			--DelayCall("smoke", 1)
		
	end
	
	ShowOnlyScriptCommentary(false)
end	

--///////////////////////////////////////////////////////
--  Trigger text code

function EFMV_TextTrigger() 

	if Num == 19 then
		Fade(true, 3, true) -- fades to black over 3 seconds
	end

    Text = TextLabelsArray[Num]

-- (-1) is infinite, (0) is default to 2000 (2 secs)
    SetCommentaryText(Text, -1)
    
    Num = Num + 1

end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 

function WormChatterAnimation()
	WormResetAnim(0) 
	WormQueueAnim(0,"worm_speak3")
end

function WormChatterAnimation2()
	WormResetAnim(3) 
	WormQueueAnim(3,"Idle_puzzled")
end

function WormPirateAngry()
	WormResetAnim(5) 
	WormQueueAnim(5,"angry3")
end
	

function WormRef000STARTAnimation()
	WormResetAnim(0) 
	WormQueueAnim(0,"worm_puzzled")
end

function WormwfRef000Orientation()
	OrientateWorm(0,150) 
end

function WormwfRef000Animation()
	WormResetAnim(0) 
	WormQueueAnim(0,"disappointed1") 
end

function WormwfRef000Animation2()
	--WormResetAnim(0) 
	WormQueueAnim(0,"sad2") 
end

function WormwfRef000Animation3()
	--WormResetAnim(0) 
	WormQueueAnim(0,"sad1") 
end

function WormwfRef002Animation1()	
	WormResetAnim(2) 
	WormQueueAnim(2,"worm_surveying") 
end

function WormwfRef002Animation2()	
	WormResetAnim(2) 
	WormQueueAnim(2,"worm_directingheave") 
end

function GhostWormAnimationMidSequence()
	WormResetAnim(8) 
	WormQueueAnim(8,"worm_puzzled") 
end

function PlayerWormBreath()
	WormResetAnim(0) 
	WormQueueAnim(0,"breathe")
end





