
--**********************************************************

--Greek 4: Surround the Giant statues
--**********************************************************


function InitialiseLevel()
    LoadLevel("landscapes/G/G4.xom", true)

    SetupDefaultScheme()
    SetObjectives("Miss.Greek4-Objectives", 2)

    Turn = 0
    EnemyWormsDead = 0
    gotallVLs = false
    Turn = 0

    allEnemyGone = true
    statue1done = 0
    statue2done = 0
    statue3done = 0   
    statue4done = 0
    alreadygotstatues = false
    crateonarrowb = false
    timesup = false
    team1gone = false
    team2gone = false
    allstatuesgot1 = false
    allstatuesgot2 = false
    
    
    build8done = false
    build1done = false
    build2done = false
    build3done = false
    
    build0done = false
    build4done = false
    build11done = false
    build5done = false
    
    build28done = false
    build31done = false
    build27done = false
    build26done = false
    
    build30done = false
    build36done = false
    build41done = false
    build33done = false
    gotearthquake = false
    
    
    allstatuesgot = 0
    
    firstbuilding = true
    Enemydead = 0
    
    enemy1dead = false
    enemy2dead = false
    
    CameraArrayNumber = 0 -- Used for EFMV ONLY
    bQuitable = true -- Used for EFMV ONLY
    GameHasFinished = 0 -- Used for EFMV OUTRO ONLY
     Num = 1 -- Used for the EFMV Text Array ONLY
     EFMVCamerasAreActive = true -- Set to false to disable the intro EFMV camera
	referee = GetRefereeData()
        referee.ShowVictorySequence = false -- Turns victory anims off
     
    	    EFMVArray = { "intro", "cut1", "cut2", "cut3", "cut4", "cut5" } -- EFMV - cut6 is the outro
	    
	TextLabelsArray = { "Miss.Greek4-EFMV.Intro1", "Miss.Greek4-EFMV.Intro2", "Miss.Greek4-EFMV.Intro3", "Miss.Greek4-EFMV.Intro4", "Miss.Greek4-EFMV.Intro5", "Miss.Greek4-EFMV.Intro6",
                          "Miss.Greek4-EFMV.Intro7", "Miss.Greek4-EFMV.Intro8", "Miss.Greek4-EFMV.Intro9", "Miss.Greek4-EFMV.Intro10", "Miss.Greek4-EFMV.Intro11", "Miss.Greek4-EFMV.Intro12",
                          "Miss.Greek4-EFMV.Intro13", "Miss.Greek4-EFMV.Intro14", "Miss.Greek4-EFMV.Intro15","Miss.Greek4-EFMV.Outro1", "Miss.Greek4-EFMV.Outro2", "Miss.Greek4-EFMV.Outro3"  } -- intro11 on are outro texts
				
	
end
    

--***********************************************************

function CreatePlayers() 

    --team 0
    
--    player = CreatePlayer("HUMAN")
--	player.NumberOfWorms = 4
--	player.Name = "Player"
--	player.WormStartingHealth = 100
--    player.VoiceBank = "Classic"
--	CreatePlayersTeam(player.PlayerIndex)
--    
--    
--    StandardWorm(GetWormData(0),"Player1","wfRef000")
--    StandardWorm(GetWormData(1),"Player2","wfRef001")    
--    StandardWorm(GetWormData(2),"Player3","wfRef002")    
--    StandardWorm(GetWormData(3),"Player4","wfRef003")
--    GetPlayerData(0).AlliedTeam = 0
--    


    SetupHumanPlayer(4,100)
	--player.VoiceBank = "Classic"
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"    
    
    

    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRef000"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRef001"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRef002"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRef003"
    GetPlayerData(0).AlliedTeam = 0


    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.FirePunch = kWF_INFINITE_AMOUNT;
    inventory.Tower = kWF_INFINITE_AMOUNT
    inventory.WormSelect = kWF_INFINITE_AMOUNT
    inventory.Girder = 8
    inventory.Mortar = 2
    inventory.FireWeapon = 6
    inventory.AirStrike = 2
    inventory.Ballista = 4
    inventory.Jetpack = 4
    inventory.AirStrikeDelay = 10
    inventory.OldLady = 2
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.Surrender = 0
    
    --team 2    
 
    player = CreatePlayer("AI")
	player.NumberOfWorms = 2
	player.Name = "Guards"
	player.WormStartingHealth = 200
    player.VoiceBank = "Classic"
    player.Flag = 77
	CreatePlayersTeam(player.PlayerIndex)
    GetPlayerData(1).AlliedTeam = 1
	player = GetPlayerData(1)
	player.TeamTombstone = 4
    
    
    StandardWorm(GetWormData(4),"Guard Charlish","wfRef0017")
    StandardWorm(GetWormData(5),"Guard Hood","wfRef0018")
    Worm = GetWormData(4) 
    Worm.HatOverride = "Hat.Roman4"
    Worm = GetWormData(5) 
    Worm.HatOverride = "Hat.Roman4"
    
    -- set up worm 04
    CopyContainer( GetAIParamsCPU5(), GetAIParamsWorm(4) ) 
    GetAIParamsWorm(4).WeightingAttackBuilding = 100 
    GetAIParamsWorm(4).WeightingAttackBuildingTypeTower = 100
    GetAIParamsWorm(4).PrefUseBallista = 100
    
    
    -- copy worm 4 to worms 5 
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(5) ) 








    
    EmptyInventory(1)
    inventory = GetPlayerInventory(1)
    inventory.Ballista = kWF_INFINITE_AMOUNT
    inventory.Bazooka = kWF_INFINITE_AMOUNT;
    inventory.Mortar = 10
    inventory.ClusterLauncher = 0
    inventory.BananaBombLauncher = 2
    inventory.BananaBombLauncherDelay = 20
    
    --inventory.Grenade = kWF_INFINITE_AMOUNT
    
    
    
    
     --team 3    
 
    player = CreatePlayer("AI")
	player.NumberOfWorms = 3
	player.Name = "Enemy Army"
	player.WormStartingHealth = 200
    player.VoiceBank = "Classic"
    player.Flag = 78
	CreatePlayersTeam(player.PlayerIndex)
    GetPlayerData(2).AlliedTeam = 1
	player = GetPlayerData(2)
	player.TeamTombstone = 5
    
    
    StandardWorm(GetWormData(6),"Enemy Boggy","wfRef0011")
    StandardWorm(GetWormData(7),"Enemy Pete","wfRef0010")
    StandardWorm(GetWormData(8),"Enemy Spadge","wfRef008")
    Worm = GetWormData(6) 
    Worm.HatOverride = "Hat.Roman3"
    Worm = GetWormData(7) 
    Worm.HatOverride = "Hat.Roman3"
    Worm = GetWormData(8) 
    Worm.HatOverride = "Hat.Roman3"
    
    
    
    EmptyInventory(2)
    inventory = GetPlayerInventory(2)
    --inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.Bazooka = kWF_INFINITE_AMOUNT;
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.Mortar = 10
    
    
    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0
    scheme.HotSeatTime = 0
    scheme.SuddenDeathTime = 180000

    CreateNeutralWorm(9) -- Ghost worm used for EFMV

    StandardRefereeSettings()
    

    

end



function CheckVictoryConditions()


    if referee.TotalGameTime >= 180000 and timesup == false then
        timesup = true
        SetCommentaryText("Miss.Generic.Timesup")       
        DelayCall("EndMissionFailed", 2)
                
                
    end


    return false
end

function CheckSuddenDeath()
    return 0
end

function HideWormsNow()


    SetInstantReplaysOn(false)



    SpawnMine("wfRefmine1")
    SpawnMine("wfRefmine2") 

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_HEALTH -- what is in the crate.
    crate.HealthInCrate = 50		-- amount of health in a health crate, if set to negative uses the current scheme's CrateHealth
    crate.CrateId = 1				-- id only used and set by scripts
    crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
    crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
    crate.TeamCollectable = -1		-- -1 for all teams, otherwise the index of the team
    crate.GroundSnap = true		-- set to true for crate to be placed on the ground below spawn point.
    crate.FixedPosition = false		-- set to true, crate will not move i.e. stays at spanw point
    crate.UXB = false				-- whether crate is booby trapped
    crate.Destructible = true		-- whether crate can be destroyed.
    crate.Pushable = false			-- whether crate can be moved by weapons.
    crate.CollectableByPayload = false	-- whether crate can be collected by roaming rounds e.g. rhino
    crate.Collectable = true		-- whether crate can be collected
    SpawnCrate(crate.Index,"wfRefcrate1")

    
    
	SetEFMVCameraShakeRatio(0.0) -- Turn the camera shake off

       
    CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHere006" )
    CreateBuilding( kWF_BUILDING_CASTLE, 0, "buildHere0013", true)
    CreateBuilding( kWF_BUILDING_CASTLE, 0, "buildHere0010", true)
   
   
   
   
    CreateBuilding( kWF_BUILDING_STRONGHOLD, 1, "buildHere0051" )    
    CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0052", true ) 
        
    CreateBuilding( kWF_BUILDING_STRONGHOLD, 2, "buildHere0024" )    
    CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0022", true )     
    CreateBuilding( kWF_BUILDING_CASTLE, 2, "buildHere0023", true )         
    CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0021", true )         
    CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0020", true)
    CreateBuilding( kWF_BUILDING_KEEP, 2, "buildHere0019", true)
    CreateBuilding( kWF_BUILDING_CASTLE, 2, "buildHere0053", true )     
    CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0054", true )         
    CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0055", true )         
    CreateBuilding( kWF_BUILDING_SCIENCE_LAB, 2, "buildHere0056", true)
    CreateBuilding( kWF_BUILDING_HOSPITAL, 2, "buildHere0057", true)
    CreateBuilding( kWF_BUILDING_WONDER, 2, "buildHere0058", true)
    
    AddVictoryLocation( "buildHere008" )
    AddVictoryLocation( "buildHere001" )
    AddVictoryLocation( "buildHere002" )
    AddVictoryLocation( "buildHere003" )
    
    AddVictoryLocation( "buildHere000" )
    AddVictoryLocation( "buildHere004" )
    AddVictoryLocation( "buildHere005" )
    AddVictoryLocation( "buildHere0011" )
    
    
    

    RemoveVictoryLocation( "buildHere0020" )



	StartAllEFMVTimers() 
	EFMVFlyby() -- EFMVStart


end

--****************************************************




function createbuilding()



end


--****************************************************


function WormDied( wormTaskId )
    


	-- Player dead?
        
    if CheckAreAllWormsDead( 0 ) == true then 
        DelayCall("EndMissionFailed", 1)
    end
        
        
    --check for enemy dead
        
    
    if CheckAreAllWormsDead( 1 ) == true and team1gone == false then 
        team1gone = true
        Enemydead = Enemydead + 1 
    end
    
    if CheckAreAllWormsDead( 2 ) == true and team2gone == false then 
        team2gone = true
        Enemydead = Enemydead + 1 
    end
    
    

    
    
    collectgarbage()
    
end 

--**************************************************

-- checks for buildings surrounding the statues and counts each one the have
function BuildingHasBeenBuilt( PlayerId, BuildingType, buildingIndex ) 








--checks for statue 4
buildHere008 = GetBuildPointInfo( "buildHere008" )
    if buildHere008.BuildingType == kWF_BUILDING_TOWER and build8done == false then
                    
        build8done = true
        statue4done = statue4done + 1
        SetCommentaryText("Miss.Generic.Hint37" )
        
        
        crate = CreateCrate()
        crate.Contents = kWF_WEAPON_BATTERING_RAM
        crate.NumContents = 1		
        crate.CrateId = 3		
        crate.TeamDestructible = -1	
        crate.WormCollectable = -1		
        crate.TeamCollectable = -1		
        crate.GroundSnap = false		
        crate.FixedPosition = false		
        crate.UXB = false				
        crate.Destructible = false		
        crate.Pushable = false			
        crate.CollectableByPayload = false	
        crate.Collectable = true
        crate.IsCritical = false
        SpawnCrate(3,"wfRefcrate3")
        
        
        
         
    end

buildHere001 = GetBuildPointInfo( "buildHere001" )
    if buildHere001.BuildingType == kWF_BUILDING_TOWER and build1done == false then
            
        build1done = true
        statue4done = statue4done + 1
        SetCommentaryText("Miss.Generic.Hint37" ) 
         
    end

buildHere002 = GetBuildPointInfo( "buildHere002" ) 
    if buildHere002.BuildingType == kWF_BUILDING_TOWER and build2done == false then



        build2done = true
        statue4done = statue4done + 1
        SetCommentaryText("Miss.Generic.Hint37" ) 
    end

buildHere003 = GetBuildPointInfo( "buildHere003" )
    if buildHere003.BuildingType == kWF_BUILDING_TOWER and build3done == false then



        build3done = true
        statue4done = statue4done + 1
        SetCommentaryText("Miss.Generic.Hint37" ) 
    end


    if statue4done == 4 then
               
        SetCommentaryText("Miss.Generic.Hint40" )
        allstatuesgot1 = true 
        --statue4done = statue4done + 1
    end



--***********

--checks for statue 3
buildHere000 = GetBuildPointInfo( "buildHere000" )
    if buildHere000.BuildingType == kWF_BUILDING_TOWER and build0done == false then
                    
        build0done = true
        statue3done = statue3done + 1
        SetCommentaryText("Miss.Generic.Hint36" ) 
    end

buildHere004 = GetBuildPointInfo( "buildHere004" )
    if buildHere004.BuildingType == kWF_BUILDING_TOWER and build4done == false then
            
        build4done = true
        statue3done = statue3done + 1
        SetCommentaryText("Miss.Generic.Hint36" )          
    end

buildHere005 = GetBuildPointInfo( "buildHere005" ) 
    if buildHere005.BuildingType == kWF_BUILDING_TOWER and build5done == false then



        build5done = true
        statue3done = statue3done + 1
        SetCommentaryText("Miss.Generic.Hint36" )          
    end

buildHere0011 = GetBuildPointInfo( "buildHere0011" )
    if buildHere0011.BuildingType == kWF_BUILDING_TOWER and build11done == false then




        build11done = true
        statue3done = statue3done + 1
        SetCommentaryText("Miss.Generic.Hint36" )
     
        crate = CreateCrate()
        crate.Contents = kWF_WEAPON_SUPER_HIPPO
        crate.NumContents = 2		
        crate.CrateId = 4		
        crate.TeamDestructible = -1	
        crate.WormCollectable = -1		
        crate.TeamCollectable = -1		
        crate.GroundSnap = false		
        crate.FixedPosition = false		
        crate.UXB = false				
        crate.Destructible = false		
        crate.Pushable = false			
        crate.CollectableByPayload = false	
        crate.Collectable = true
        crate.IsCritical = false
        SpawnCrate(4,"wfRefcrate4")
  
  
 
 
    end


    if statue3done == 4 then
        
        allstatuesgot2 = true
        --statue3done = statue3done + 1
        SetCommentaryText("Miss.Generic.Hint40" )
         
    end




--*********


--when all statues are Surrounded
    if allstatuesgot1 == true and allstatuesgot2 == true and alreadygotstatues == false then
    
        alreadygotstatues = true
        --reduce enemy worms Health and shake them down so you can fire punch them!!!
        CheckObjective(0)
        --EmptyInventory(0)
        inventory = GetPlayerInventory(0)
        inventory.Earthquake = 3
        
        worm = GetWormData( 4 )
        health4 = worm.Health
        health4 = health4 * 0.5
        worm.Health = health4
    
        worm = GetWormData( 5 )
        health5 = worm.Health
        health5 = health5 * 0.5
        worm.Health = health5
    
        worm = GetWormData( 6 )
        health6 = worm.Health
        health6 = health6 * 0.5
        worm.Health = health6
    
        worm = GetWormData( 7 )
        health7 = worm.Health
        health7 = health7 * 0.5
        worm.Health = health7
    
        worm = GetWormData( 8 )
        health8 = worm.Health
        health8 = health8 * 0.5
        worm.Health = health8

    
    end


end

--************************************************


-- Reverses what happens when a building is built in the right spot
function BuildingHasBeenDestroyed( BuildingType )


		playerstronghold = GetBuildPointInfo( "buildHere006" )
		if playerstronghold.BuildingType == -1 then

            
        --players base gone so fail
        DelayCall("EndMissionFailed", 1)
        
		end



	
--checks for statue 4 build points destroyed
buildHere008 = GetBuildPointInfo( "buildHere008" )
    if buildHere008.BuildingType == -1 and build8done == true then
    
    
        allstatuesgot1 = false    
        build8done = false
        statue4done = statue4done - 1
        SetCommentaryText("Miss.Generic.Hint38" )
        
         
    end

buildHere001 = GetBuildPointInfo( "buildHere001" )
    if buildHere001.BuildingType == -1 and build1done == true then
    
    
        allstatuesgot1 = false    
        build1done = false
        statue4done = statue4done - 1
        SetCommentaryText("Miss.Generic.Hint38" ) 
    end

buildHere002 = GetBuildPointInfo( "buildHere002" ) 
    if buildHere002.BuildingType == -1 and build2done == true then


        allstatuesgot1 = false
        build2done = false
        statue4done = statue4done - 1
        SetCommentaryText("Miss.Generic.Hint38" ) 
    end

buildHere003 = GetBuildPointInfo( "buildHere003" )
    if buildHere003.BuildingType == -1 and build3done == true then


        allstatuesgot1 = false
        build3done = false
        statue4done = statue4done - 1
        SetCommentaryText("Miss.Generic.Hint38" ) 
    end


--***********


--checks for statue 3 build points destroyed
buildHere000 = GetBuildPointInfo( "buildHere000" )
    if buildHere000.BuildingType == -1 and build0done == true then
        allstatuesgot2 = false            
        build0done = false
        statue3done = statue3done - 1
        SetCommentaryText("Miss.Generic.Hint39" ) 
    end

buildHere004 = GetBuildPointInfo( "buildHere004" )
    if buildHere004.BuildingType == -1 and build4done == true then
        allstatuesgot2 = false 
        build4done = false
        statue3done = statue3done - 1
        SetCommentaryText("Miss.Generic.Hint39" )  
    end

buildHere005 = GetBuildPointInfo( "buildHere005" ) 
    if buildHere005.BuildingType == -1 and build5done == true then


        allstatuesgot2 = false
        build5done = false
        statue3done = statue3done - 1
        SetCommentaryText("Miss.Generic.Hint39" )  
    end

buildHere0011 = GetBuildPointInfo( "buildHere0011" )
    if buildHere0011.BuildingType == -1 and build11done == true then
        allstatuesgot2 = false
        build11done = false
        statue3done = statue3done - 1
        SetCommentaryText("Miss.Generic.Hint39" )  
    end



--*********



end

--************************************************

function TurnEnded()

-- 	CameraArrayNumber = 5 -- Indexs the camera array to the end efmv sequence (6)
-- 	GameHasFinished = 1
-- 	Num = 16
-- 	EFMVFlyby()
  
--Here we go.. Turn 5 and more - telling the player they could use their girder as shields.

    Turn = Turn + 1
    
    if Turn == 5 then
        SetCommentaryText("Miss.Oriental5.Game2" )
    end
    
    if Turn == 10 then
        SetCommentaryText("Miss.Oriental5.Game2" )
    end
        
        
        
            
    if Enemydead == 2 and alreadygotstatues == true then
    CheckObjective(1)
    SetCommentaryText( "Miss.Generic.Game" )
	CameraArrayNumber = 5 -- Indexs the camera array to the end efmv sequence (6)
	GameHasFinished = 1
	Num = 16
	EFMVFlyby()
    end
        
        
        
        
        
end  

function PlayerUsedItem( item )

        if item == kWF_WEAPON_EARTHQUAKE then

        EffectId1 = CreateParticleEffect("ceilingdust02", "wfRefdebri1") 
        EffectId2 = CreateParticleEffect("ceilingdust02", "wfRefdebri2") 
        EffectId3 = CreateParticleEffect("ceilingdust02", "wfRefdebri3") 
        EffectId4 = CreateParticleEffect("ceilingdust02", "wfRefdebri4") 
        DelayCall("killpart", 61)
        end
end


function killpart()

    KillParticleEffect(EffectId1)
    KillParticleEffect(EffectId2)
    KillParticleEffect(EffectId3)
    KillParticleEffect(EffectId4)
end



--**********************************************************
function EndMissionSuccess()



        Unlock("LOCK.Scheme.FireFire")


        
        if referee.TotalGameTime < 100000 then 
           SetMedal(kGoldMedal)
           Unlock("LOCK.Gravestone.Greek1")
           Unlock("LOCK.Fortapedia.Achilles")        
        
        elseif referee.TotalGameTime < 120000 then 
            SetMedal(kSilverMedal) 
            Unlock("LOCK.Fortapedia.Achilles")        
        
        
        elseif referee.TotalGameTime > 120000 then 
            SetMedal(kBronzeMedal) 
            Unlock("LOCK.Fortapedia.Achilles")
        end 



    EndRound(0)
end

function EndMissionFailed()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end
--***********************************************************




-- ***********************************************************************************************
-- *                                   Camera things bellow here     				                       *
-- ***********************************************************************************************


function StartAllEFMVTimers() 


	if CameraArrayNumber == 0 then
	
	DelayCall("PlayerWormAnimation", 0.1)
	DelayCall("EnemyAnimation1",23)
	DelayCall("EnemyAnimation2",25)
	DelayCall("EnemyGetsHisWeaponOut", 31)
	DelayCall("EnemyGetsHisWeaponOut2", 34)
	DelayCall("EnemyGetsHisWeaponOut3", 35)
	DelayCall("PlayerWormUnderstands", 39)
	DelayCall("PlayerWormUnderstands2", 41)
    DelayCall("crateonarrow", 10)
    
    
	elseif CameraArrayNumber == 5 then
	
		SweepAndClearArea("wfRef_EFMV_Player1")
		SpawnWorm(6, "wfRef_EFMV_Player1")
		OrientateWorm(6,150)
		
		DelayCall("GhostWormAnimation", 1)
		
	end
	

end

function crateonarrow()

    crateonarrowb = true

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_REPAIR_BUILDING
    crate.NumContents = 2		
    crate.CrateId = 2		
    crate.TeamDestructible = -1	
    crate.WormCollectable = -1		
    crate.TeamCollectable = -1		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true
    crate.IsCritical = false
    SpawnCrate(2,"wfRefcrate2")


end

function EFMVFlyby() -- Starts the EFMV sequence

    FlushCommentaryText()

    if EFMVCamerasAreActive == true then -- As requested, will disable the intro camera

		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
		
    elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end



function OnEndEFMV(szSeqName, bUserQuit)

if bUserQuit == 1 then -- User has skipped EFMV
	SetGameUpAndCancelEverything()

	elseif bUserQuit == 0 then
	
		if CameraArrayNumber < 5 then
			EFMVFlyby()
		
		elseif CameraArrayNumber == 5  then  -- Just change the number variable to the amount of flyby cams.
			SetGameUpAndCancelEverything()
		
		elseif CameraArrayNumber == 6 then -- End of the outro EFMV Sequence
			
			 EndMissionSuccess()
		end
end
end



function SetGameUpAndCancelEverything() -- Called if the user skips the efmv sequence or the sequence has ended. - Things needed for the 
								--game go here.

	if GameHasFinished == 1 then
		
		 EndMissionSuccess()
		
	elseif GameHasFinished == 0 then
	
    if crateonarrowb == false then
		crateonarrow()
	end
	
    
    
    
		CancelDelayCall("PlayerWormAnimation", 0.1)
		CancelDelayCall("EnemyAnimation1",23)
		CancelDelayCall("EnemyAnimation2",25)
		CancelDelayCall("EnemyGetsHisWeaponOut", 31)
		CancelDelayCall("EnemyGetsHisWeaponOut2", 34)
		CancelDelayCall("EnemyGetsHisWeaponOut3", 35)
		CancelDelayCall("PlayerWormUnderstands", 39)
		CancelDelayCall("PlayerWormUnderstands2", 41)
        CancelDelayCall("crateonarrow", 41)
		SetEFMVCameraShakeRatio(1.0) -- Turn the camera shake on
        
        
        SetBriefingBoxPosition(0,0) 
        SetBriefingBoxSize(190,120) 
		CreateBriefingBox("Miss.Greek4-Objectives" )

		FlushCommentaryText()


	end
	
end

--///////////////////////////////////////////////////////
--  Trigger text code

function EFMV_TextTrigger() 

	if Num == 18 then
		Fade(true, 3, true) -- fades to black over 3 seconds
	end
	

    Text = TextLabelsArray[Num]

-- (-1) is infinite, (0) is default to 2000 (2 secs)
    SetCommentaryText(Text, 0)
    
    Num = Num + 1

end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 

function GhostWormAnimation()
	WormResetAnim(9) 
	WormQueueAnim(9,"win1") 
end

function PlayerWormAnimation()
	WormResetAnim(1) 
	WormQueueAnim(1,"worm_contemplates") 
end

function EnemyAnimation1()
	WormResetAnim(4) 
	WormQueueAnim(4,"angry1") 
end

function EnemyAnimation2()
	WormResetAnim(5) 
	WormQueueAnim(5,"angry3") 
end

function EnemyGetsHisWeaponOut()
	--CreateWeapon(4, kWF_WEAPON_BALLISTA)
end

function EnemyGetsHisWeaponOut2()
	--CreateWeapon(7, kWF_WEAPON_BALLISTA)
end

function EnemyGetsHisWeaponOut3()
	--CreateWeapon(6, kWF_WEAPON_BALLISTA)
end

function PlayerWormUnderstands()
	WormResetAnim(1) 
	WormQueueAnim(1,"worm_understands") 
end

function PlayerWormUnderstands2()
	WormQueueAnim(1,"worm_anticipation") 
end


