

-- Greek 05


function InitialiseLevel()
    LoadLevel("landscapes/G/G5.xom", true)
    SetupDefaultScheme()
    SetObjectives("Miss.Greek5-Objectives", 4)

    Player1StrongholdGone = false
    Player2StrongholdGone = false  
    checkobonce = false
    playerwormsdead = 0
    worm0dead = false
    worm1dead = false
    worm2dead = false
    worm3dead = false
    Player0StrongholdGone = false
    timesup = false
    completed = false 
    helendead = false
    
	CameraArrayNumber = 0 -- Used for EFMV ONLY
	bQuitable = true -- Used for EFMV ONLY
	GameHasFinished = 0 -- Used for EFMV OUTRO ONLY
	Num = 1 -- Used for the EFMV Text Array ONLY
	EFMVCamerasAreActive = true -- Set to false to disable the intro EFMV camera
	referee = GetRefereeData()
        referee.ShowVictorySequence = false --Turns victory anims off
     
	EFMVArray = { "intro", "cut1", "cut2", "cratecut1", "cut4", "cut5", "cut6", "cut7", "cut8", "cut9", "cut10", "cut11"} -- EFMV - cut6 is the outro
	    
	TextLabelsArray = { "Miss.Greek5-EFMV.Intro1", "Miss.Greek5-EFMV.Intro2", "Miss.Greek5-EFMV.Intro3", "Miss.Greek5-EFMV.Intro4", "Miss.Greek5-EFMV.Intro5", "Miss.Greek5-EFMV.Intro6",
                          "Miss.Greek5-EFMV.Intro7", "Miss.Greek5-EFMV.Intro8", "Miss.Greek5-EFMV.Intro9", "Miss.Greek5-EFMV.Intro10", "Miss.Greek5-EFMV.Intro11", "Miss.Greek5-EFMV.Intro12",
                          "Miss.Greek5-EFMV.Intro13", "Miss.Greek5-EFMV.Intro14", "Miss.Greek5-EFMV.Intro15","Miss.Greek5-EFMV.Intro16", "Miss.Greek5-EFMV.Intro17" , "Miss.Greek5-EFMV.Intro18"
			  , "Miss.Greek5-EFMV.Outro1", "Miss.Greek5-EFMV.Outro2", "Miss.Greek5-EFMV.Outro3", "Miss.Greek5-EFMV.Outro4", "Miss.Greek5-EFMV.Outro5", "Miss.Greek5-EFMV.Outro6"
			  , "Miss.Greek5-EFMV.Outro7", "Miss.Greek5-EFMV.Outro8"} 
				

    
    
    
end

function CreatePlayers()

     
    -- Team 0, Human Controlled Team - Paris

--    player = CreatePlayer("HUMAN")
--	player.NumberOfWorms = 5
--	player.Name = "Player"
--	player.WormStartingHealth = 150
--    player.VoiceBank = "Classic"
--	CreatePlayersTeam(player.PlayerIndex)
--    
--    
--    GetPlayerData(0).MaxJetpackFuel = 100
--    StandardWorm(GetWormData(0),"Achilles","wfRefC1_Achilles")
--    StandardWorm(GetWormData(1),"Soldier","wfRefC1_Achilles1")
--    StandardWorm(GetWormData(2),"Soldier2","wfRefC1_Achilles2")
--    StandardWorm(GetWormData(3),"Soldier3","wfRefC1_Achilles3")
    
    
    SetupHumanPlayer(4,100)
	--player.VoiceBank = "Classic"
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"    
    

    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRefC1_Achilles"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRefC1_Achilles1"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRefC1_Achilles2"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRefC1_Achilles3"
    
    
    GetPlayerData(0).AlliedTeam = 0 
    
    -- Team 1, CPU Vital Dummy Worm - Helen
    
    player = CreatePlayer("HUMAN")
	player.NumberOfWorms = 1
	player.Name = "Helen of Troy"
	player.WormStartingHealth = 100
    player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
    StandardWorm(GetWormData(4),"Helen","wfRefC1_Helen")
    
    GetWormData(4).VitalWorm = true
    GetPlayerData(1).AlliedTeam = 1   
    Worm = GetWormData(4)
    Worm.HatOverride = "Hat.Helen"

    player.Flag = 79
    
    
    
    
    
    -- Team 2, CPU Enemy Worms
    
    
    player = CreatePlayer("AI")
	player.NumberOfWorms = 3
	player.Name = "Trojan Wall"
	player.WormStartingHealth = 50
    player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
    player = GetPlayerData(2)
	player.TeamTombstone = 4
    StandardWorm(GetWormData(5),"Trojan Good","wfRefC1_Trojan")
    StandardWorm(GetWormData(6),"Trojan Bad","wfRefC1_Trojan1")
    StandardWorm(GetWormData(7),"Trojan Ugly","wfRefC1_Trojan5")

    player.Flag = 76

    Worm = GetWormData(5) 
    Worm.HatOverride = "Hat.Roman1"
    Worm = GetWormData(6) 
    Worm.HatOverride = "Hat.Roman1"
    Worm = GetWormData(7) 
    Worm.HatOverride = "Hat.Roman1"

    
    
    GetPlayerData(2).MaxJetpackFuel = 100
    GetPlayerData(2).AlliedTeam = 1
    -- Team 3, CPU Enemy Worms
    
    

    
    player = CreatePlayer("AI")
	player.NumberOfWorms = 4
	player.Name = "Trojan Stronghold"
	player.WormStartingHealth = 150
    player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
    GetPlayerData(3).MaxJetpackFuel = 100
    GetPlayerData(3).AlliedTeam = 1
    player = GetPlayerData(3)
	player.TeamTombstone = 5
    StandardWorm(GetWormData(8),"Paris","wfRefC1_Paris")
    StandardWorm(GetWormData(9),"Trojan","wfRefC1_Trojan2")
    StandardWorm(GetWormData(10),"Trojan","wfRefC1_Trojan3")
    StandardWorm(GetWormData(11),"Trojan","wfRefC1_Trojan4")
    
    
    player.Flag = 78

    Worm = GetWormData(8) 
    Worm.HatOverride = "Hat.Roman2"
    Worm = GetWormData(9) 
    Worm.HatOverride = "Hat.Roman2"
    Worm = GetWormData(10) 
    Worm.HatOverride = "Hat.Roman2"
    Worm = GetWormData(11) 
    Worm.HatOverride = "Hat.Roman2"
    
    
    --Sets up Team 0 inventory
    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.FirePunch = kWF_INFINITE_AMOUNT
    inventory.Bazooka = 5
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.AirStrike = 1
    inventory.Parachute = 2
    inventory.Jetpack = kWF_INFINITE_AMOUNT
    inventory.Tower = kWF_INFINITE_AMOUNT
    inventory.Castle = 2
    inventory.Citadel = 1
    inventory.Keep = 4
    inventory.WormSelect = 0
    inventory.Girder = 8
    inventory.Ballista = 6
    inventory.RepairBuilding = 3
    inventory.MiniGun = 2
    inventory.Mortar = 5
    inventory.ClusterLauncher = 12
    inventory.FireGrenadeLauncher = 6
    inventory.TrojanDonkey = 1
    inventory.BatteringRam = 3
    inventory.Surrender = 0
    --inventory.GiantCrossbow = kWF_INFINITE_AMOUNT;
    --inventory.GiantLaser = kWF_INFINITE_AMOUNT;
    
    
    
    --Sets up Team 2 inventory
    EmptyInventory(2)
    inventory = GetPlayerInventory(2)
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.FirePunch = 6
    inventory.Bazooka = 5
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.BallistaDelay = 2
    inventory.AirStrike = 1
    inventory.AirStrikeDelay = 5
    inventory.Parachute = 2
    inventory.MiniGunDelay = 4
    inventory.Ballista = kWF_INFINITE_AMOUNT;
    inventory.BallistaDelay = 2

    
    
    
    --Sets up Team 3 inventory
    EmptyInventory(3)
    inventory = GetPlayerInventory(3)
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.FirePunch = 6
    inventory.Bazooka = 5
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.AirStrike = 1
    inventory.AirStrikeDelay = 5
    inventory.Parachute = 2

    
    inventory.WormSelect = kWF_INFINITE_AMOUNT
    inventory.SpawnWorm = kWF_INFINITE_AMOUNT
    inventory.Ballista = kWF_INFINITE_AMOUNT;
    inventory.MiniGun = 1
    inventory.MiniGunDelay = 4
    inventory.Mortar = 2
    inventory.SuperHippo = 1
    inventory.SuperHippoDelay = 10
    
    

    scheme = GetCurrentSchemeData()
    scheme.TurnTime = 6000      -- in hundredths of seconds
    scheme.SuddenDeathTime = 270000 
    scheme.RetreatTime = 500
    scheme.HotSeatTime = 0
        
    -- per turn probability dropping
    scheme.HealthInCrates = 0
    scheme.CrateProbability = 0
    
    -- probability of any crate being of a particular type
    scheme.WeaponProbability   = 0
    scheme.UtilityProbability   = 0
    scheme.HealthProbability   = 0
    
    StandardRefereeSettings()
    
    CreateNeutralWorm(12) -- Ghost worm used for EFMV
    Worm = GetWormData(12)
    Worm.HatOverride = "Hat.Helen"
    
    CreateNeutralWorm(13)
    SetWormHatFromPlayer(13,0)

    
end



--******************************************************


function HideWormsNow() -- we use this function like the initialise function


    SetInstantReplaysOn(false)

    SetTrojanDonkeyNumTurnsUntilExplosion ( 1 )

 
 
 
        
    EFMVFlyby() -- EFMVStart
	StartAllEFMVTimers() -- Actions during EFMV	
	
	WormAllowIdleAnims(0,false) -- Turn all Idle anims off, DON'T FORGET TO TURN THEM BACK ON!!!
	WormAllowIdleAnims(1,false)
	WormAllowIdleAnims(2,false)
	WormAllowIdleAnims(3,false)
	WormAllowIdleAnims(4,false)
	WormAllowIdleAnims(5,false)
	WormAllowIdleAnims(6,false)
	WormAllowIdleAnims(7,false)
	WormAllowIdleAnims(8,false)
	WormAllowIdleAnims(9,false)
	WormAllowIdleAnims(10,false)
	WormAllowIdleAnims(11,false)
    
	-- Uncomment these lines once a version with the seagull is in
	--PlayDetailObjectAnimation( "Seagull", "path1", true )
	--PlayDetailObjectAnimation( "Seagull", "flap", true )
end

--*****************************************************


function CheckSuddenDeath()

    return 0
end


--******************************************************


function CheckVictoryConditions()


    if referee.TotalGameTime >= 270000 and timesup == false then
        timesup = true
        SetCommentaryText("Miss.Generic.Timesup")       
        DelayCall("EndMissionFailed", 2)
                
                
    end
    
    return false
end


--*******************************************************

-- this function makes sure that Helen never gets a go, and so acts for the time like a dummy worm
function SetNextPlayerToGo( playerIndex )

    if playerIndex == 1 then
    
        if CheckAreAllWormsDead(2) == true or Player1StrongholdGone == true then
        
            if CheckAreAllWormsDead(3) == true or Player2StrongholdGone == true then
            
                return 0
            
            else
            
                return 3
            
            end
            
            
        end
        
        return 2
        
    end
    
    -- take turn order as normal
    return playerIndex
end



function WormDied( wormTaskId )
    

    
    
    worm0 = GetWormData( 0 )
    if worm0.Health <= 0 and worm0dead == false then
        worm0dead = true
        playerwormsdead = playerwormsdead + 1
        
    end
    
    worm1 = GetWormData( 1 )
    if worm1.Health <= 0 and worm1dead == false then
        worm1dead = true
        playerwormsdead = playerwormsdead + 1
        
    end 
    
    worm2 = GetWormData( 2 )
    if worm2.Health <= 0 and worm2dead == false then
        worm2dead = true
        playerwormsdead = playerwormsdead + 1
        
    end 
    
    
    worm3 = GetWormData( 3 )
    if worm3.Health <= 0 and worm3dead == false then
        worm3dead = true
        playerwormsdead = playerwormsdead + 1
        
    end 
    

    
    
    if playerwormsdead == 4 then
        EndMissionFailed()
    end
    
    
    
    
    
    Helen = GetWormData( 4 )
    
    if Helen.Health <= 0 then	
		-- a Helen has been killed so end the game with a cpu win
        helendead = true
        SetCommentaryText( "Miss.Generic.Game3" )
		EndMissionFailed()
                
	end
    
    
--    if CheckAreAllWormsDead( 0 ) == true then 
--    EndMissionFailed() 
--    end
    
    
end



function WormDamaged( wormIndex, AssailantTaskId, damage )
	
	if wormIndex == 4 and damage > 10 then
		
        SetCommentaryText( "Miss.Medieval4-EFMV.Intro16" )
	end

	-- every other worm takes damage as normal
	return damage
end




--*****************************************************


function TurnEnded(playerTaskId)


    if completed == true and helendead == false then
        CheckObjective(1)
--      CheckObjective(2)
                
		CameraArrayNumber = 10 -- Indexs the camera array to the end efmv sequence (14)
		GameHasFinished = 1
		Num = 19
		EFMVFlyby()
        StartAllEFMVTimers()
    
    end
    
    
    
    
    

--		CameraArrayNumber = 10 -- Indexs the camera array to the end efmv sequence (14)
--		GameHasFinished = 1
--		Num = 19
--		EFMVFlyby()
--    StartAllEFMVTimers()


end

--*******************************************************

function EndMissionSuccess()



        Unlock("LOCK.Movie.OrientalIntro")


        
        if referee.TotalGameTime < 150000 then 
           SetMedal(kGoldMedal)
           Unlock("LOCK.Weapon.Animal")
           Unlock("LOCK.Fortapedia.Animal")
           Unlock("LOCK.Fortapedia.Menelaus")
           Unlock("LOCK.Hat.Greek1")
        
        
        elseif referee.TotalGameTime < 180000 then 
            SetMedal(kSilverMedal) 
            Unlock("LOCK.Fortapedia.Menelaus")
            Unlock("LOCK.Hat.Greek1")
        
        
        
        elseif referee.TotalGameTime > 180000 then 
            SetMedal(kBronzeMedal) 
            Unlock("LOCK.Fortapedia.Menelaus")
            Unlock("LOCK.Hat.Greek1")
            
        end 






    SetCommentaryText("Miss.Generic.Success")
    
    EndRound(0)
end

function EndMissionFailed()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end



function BuildingHasBeenBuilt()

    NumVictoryLocations = GetPlayerResourcePoints( 0 ) 

    if NumVictoryLocations == 4 and checkobonce == false then
        checkobonce = true
        CheckObjective(3)
    
    end

    
end


--*********************************************************


function BuildingHasBeenDestroyed( PlayerId, BuildingType )



		Player0Stronghold = GetBuildPointInfo( "buildHere000" )
		if Player0Stronghold.BuildingType == -1 and Player0StrongholdGone == false then
			Player0StrongholdGone = true
             
            EndMissionFailed()
		end



		Player1Stronghold = GetBuildPointInfo( "buildHere0018" )
		if Player1Stronghold.BuildingType == -1 and Player1StrongholdGone == false then
			Player1StrongholdGone = true
                SetCommentaryText("Miss.Generic.Game17")
                SetCommentaryText("Miss.Generic.Hint35")
                HideWorm(5)
                HideWorm(6)
                HideWorm(7)
					
		end


		Player2Stronghold = GetBuildPointInfo( "buildHere0034" )
		if Player2Stronghold.BuildingType == -1 and Player2StrongholdGone == false then
			Player2StrongholdGone = true
                SetCommentaryText("Miss.Generic.Game")
                HideWorm(8)
                HideWorm(9)
                HideWorm(10)
                HideWorm(11)
                completed = true
        
		end


    collectgarbage()
end

--**********************************************************

function Chapter1Brief()
        SetBriefingBoxPosition(0,50) 
        SetBriefingBoxSize(190,120) 
    CreateBriefingBox("Miss.Greek5-Objectives")
end



function waterfallcrate()

        crate = CreateCrate()
        crate.Contents = kWF_WEAPON_GIANT_CROSSBOW -- what is in the crate.
        crate.NumContents = 1			-- amount in the crate use kWF_INFINITE_AMOUNT for infite
        crate.CrateId = 6				-- id only used and set by scripts
        crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
        crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
        crate.TeamCollectable = 0		-- -1 for all teams, otherwise the index of the team
        crate.GroundSnap = false		-- set to true for crate to be placed on the ground below spawn point.
        crate.FixedPosition = false		-- set to true, crate will not move i.e. stays at spanw point
        crate.UXB = false				-- whether crate is booby trapped
        crate.Destructible = false		-- whether crate can be destroyed.
        crate.Pushable = false			-- whether crate can be moved by weapons.
        crate.CollectableByPayload = false	-- whether crate can be collected by roaming rounds e.g. rhino
        crate.Collectable = true		-- whether crate can be collected
        SpawnCrate(crate.Index,"wfRefcrossbow")
        
end



function fingercrate()
        crate = CreateCrate()
        crate.Contents = kWF_UTILITY_REPAIR_BUILDING -- what is in the crate.
        crate.NumContents = 3			-- amount in the crate use kWF_INFINITE_AMOUNT for infite
        crate.CrateId = 7				-- id only used and set by scripts
        crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
        crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
        crate.TeamCollectable = 0		-- -1 for all teams, otherwise the index of the team
        crate.GroundSnap = false		-- set to true for crate to be placed on the ground below spawn point.
        crate.FixedPosition = true		-- set to true, crate will not move i.e. stays at spanw point
        crate.UXB = false				-- whether crate is booby trapped
        crate.Destructible = false		-- whether crate can be destroyed.
        crate.Pushable = false			-- whether crate can be moved by weapons.
        crate.CollectableByPayload = false	-- whether crate can be collected by roaming rounds e.g. rhino
        crate.Collectable = true		-- whether crate can be collected
        SpawnCrate(crate.Index,"wfRefrepair")

end


-- ***********************************************************************************************
-- *                                   Camera things bellow here     				                       *
-- ***********************************************************************************************


function StartAllEFMVTimers() 

    if CameraArrayNumber == 1 then
    
        Fade(false, 4, true) -- fades to black over 3 seconds


        EffectId1 = CreateParticleEffect("ceilingdust01", "wfRefdebri1") 
        EffectId2 = CreateParticleEffect("ceilingdust01", "wfRefdebri2") 
        EffectId3 = CreateParticleEffect("ceilingdust01", "wfRefdebri3") 
        EffectId4 = CreateParticleEffect("ceilingdust01", "wfRefdebri4") 
--    
--	    --spawns in the 'Mine wall'
--		SpawnMine("wfRefmine1")
--		SpawnMine("wfRefmine2")
--		SpawnMine("wfRefmine3")
--		SpawnMine("wfRefmine4")   
--		SpawnMine("wfRefmine5")
--		SpawnMine("wfRefmine6")
--		SpawnMine("wfRefmine7")
--		SpawnMine("wfRefmine8")
--		SpawnMine("wfRefmine9")
--		SpawnMine("wfRefmine10")
--		SpawnMine("wfRefmine11")   
--		SpawnMine("wfRefmine12")
--		SpawnMine("wfRefmine13")
--		SpawnMine("wfRefmine14")
--		SpawnMine("wfRefmine15") 
   
--		SpawnMine("wfRefmine16")
--		SpawnMine("wfRefmine17")   
--		SpawnMine("wfRefmine18")
--		SpawnMine("wfRefmine19")
--		SpawnMine("wfRefmine20")

 
 
    
		-- and helens prison
		SpawnOilDrum("wfRefoil1")
--		SpawnOilDrum("wfRefoil2")
		SpawnOilDrum("wfRefoil3")
--		SpawnOilDrum("wfRefoil4")        
		SpawnOilDrum("wfRefoil5")
--		SpawnOilDrum("wfRefoil6")
		SpawnOilDrum("wfRefoil7")    
        
		--behind enemy stronghold    
--		SpawnOilDrum("wfRefoil8")
		SpawnOilDrum("wfRefoil9")     
--		SpawnOilDrum("wfRefoil10")
		SpawnOilDrum("wfRefoil11")
--		SpawnOilDrum("wfRefoil12")
		SpawnOilDrum("wfRefoil13")
--		SpawnOilDrum("wfRefoil14")
        
        

                
        
    

        OrientateWorm(0,60)
        OrientateWorm(1,60)
        OrientateWorm(2,60)
        OrientateWorm(3,60)
        
        DelayCall("WormsAllBusyAtStart", 3)
        DelayCall("WormsAllBusyAtStart2", 6)
        DelayCall("TrojanDonkeyWormAnim1", 61)
        DelayCall("WormsDoSomethingWhileGoingOnAboutTrojanDonkey", 58)
        DelayCall("TrojanDonkeyWormAnim2", 64.62)
        DelayCall("TrojanDonkeyWormAnim3", 73)
        DelayCall("HelenisScaredAndTrojanAnims", 36)
        DelayCall("HelenisScaredAndTrojanAnims2", 39)
        DelayCall("CheekyWave", 51)
        DelayCall("waterfallcrate", 81)
        DelayCall("fingercrate", 3)
        
    elseif CameraArrayNumber == 11 then
    
    
    HideWorm(0)
    HideWorm(1)
    HideWorm(2)
    HideWorm(3)
    HideWorm(4)
    HideWorm(5)
    HideWorm(6)
    HideWorm(7)
    HideWorm(8)
    HideWorm(9)
    HideWorm(10)
    HideWorm(11)
    
    SweepAndClearArea("wfRefhelenoutro")
    SweepAndClearArea("wfRefplayeroutro")
    
    
    
    
    SpawnWorm( 12, "wfRefhelenoutro" ) 
    SpawnWorm( 13, "wfRefplayeroutro" )
    OrientateWorm(12,5)
    OrientateWorm(13,5)
    
    
    WormAllowIdleAnims(12,false) 
    WormAllowIdleAnims(13,false) 
    
    
    

    
    DelayCall("whichanim1", 0.5)
    DelayCall("whichanim2", 4)
    DelayCall("whichanim3", 9)    
    DelayCall("whichanim4", 10)     
        
    end
end
    
    
    
function  whichanim1()

	WormResetAnim(12) 
	WormQueueAnim(12,"worm_grateful") 
    
    WormResetAnim(13) 
	WormQueueAnim(13,"happy1") 
    
end
    
    
function  whichanim2()

	WormResetAnim(12) 
	WormQueueAnim(12,"worm_relax") 
    
    WormResetAnim(13) 
	WormQueueAnim(13,"worm_salute") 
    
end


function  whichanim3()

	WormResetAnim(12) 
	WormQueueAnim(12,"worm_insane") 
    

    
    
end


function  whichanim4()


    
    WormResetAnim(13) 
	WormQueueAnim(13,"worm_shrug") 
    
    
end







function EFMVFlyby() -- Starts the EFMV sequence

	 if EFMVCamerasAreActive == true then -- As requested, will disable the intro camera

		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
		
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end



function OnEndEFMV(szSeqName, bUserQuit)

	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()

	elseif bUserQuit == 0 then
	
		if CameraArrayNumber < 10 then
			EFMVFlyby()
		
		elseif CameraArrayNumber == 10  then  -- Just change the number variable to the amount of flyby cams.
			SetGameUpAndCancelEverything()
		
		elseif CameraArrayNumber == 11 then -- Start of the outro EFMV Sequence
			EFMVFlyby()
			
		elseif CameraArrayNumber == 12 then -- End of the outro EFMV Sequence
		
			EndMissionSuccess()  -- Game will end here if the user has completed the mission.
		end
	end
end



function SetGameUpAndCancelEverything() -- Called if the user skips the efmv sequence or the sequence has ended. - Things needed for the 
								--game go here.

	if GameHasFinished == 1 then
		
		 EndMissionSuccess()
		
	elseif GameHasFinished == 0 then
	
		WormAllowIdleAnims(0,true) -- Turn all Idle anims on
		WormAllowIdleAnims(1,true)
		WormAllowIdleAnims(2,true)
		WormAllowIdleAnims(3,true)
		WormAllowIdleAnims(4,true)
		WormAllowIdleAnims(5,true)
		WormAllowIdleAnims(6,true)
		WormAllowIdleAnims(7,true)
		WormAllowIdleAnims(8,true)
		WormAllowIdleAnims(9,true)
		WormAllowIdleAnims(10,true)
		WormAllowIdleAnims(11,true)
	
		CancelDelayCall("WormsAllBusyAtStart")
		CancelDelayCall("WormsAllBusyAtStart2")
		CancelDelayCall("TrojanDonkeyWormAnim1")
		CancelDelayCall("WormsDoSomethingWhileGoingOnAboutTrojanDonkey")
		CancelDelayCall("TrojanDonkeyWormAnim2")
		CancelDelayCall("TrojanDonkeyWormAnim3")
		CancelDelayCall("HelenisScaredAndTrojanAnims")
		CancelDelayCall("HelenisScaredAndTrojanAnims2")
		CancelDelayCall("CheekyWave")
	
		Chapter1Brief()
    


		--makes 1st stronghold weaker
		ModifyBuildingHealth( "buildHere0018", 30, true )
        
		FlushCommentaryText()

	end
	
end

--///////////////////////////////////////////////////////
--  Trigger text code

function EFMV_TextTrigger() 

	if Num == 26 then -- Will start the fade on the last line of text in the outro
		Fade(true, 3, true) -- fades to black over 3 seconds
	end

    Text = TextLabelsArray[Num]

-- (-1) is infinite, (0) is default to 2000 (2 secs)
    SetCommentaryText(Text, -1)
    
    Num = Num + 1

end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 


function WormsAllBusyAtStart()

	WormResetAnim(1) 
	WormQueueAnim(1,"Idle_moustache") 
	
	WormResetAnim(2) 
	WormQueueAnim(2,"worm_puzzled") 
	
	WormResetAnim(3) 
	WormQueueAnim(3,"Idle_eyebrowdrop") 
	
end

function WormsAllBusyAtStart2()
	WormResetAnim(0) 
	WormQueueAnim(0,"worm_wave1") 
end


function TrojanDonkeyWormAnim1()
	WormResetAnim(0) 
	WormQueueAnim(0,"worm_puzzled") 
end

function TrojanDonkeyWormAnim2()
	WormResetAnim(0) 
	WormQueueAnim(0,"Idle_bemused") 
end

function TrojanDonkeyWormAnim3()
	WormResetAnim(0) 
	WormQueueAnim(0,"Idle_anticipation") 
end

function HelenisScaredAndTrojanAnims()

	WormResetAnim(4) 
	WormQueueAnim(4,"scared2") 

	WormResetAnim(5) 
	WormQueueAnim(5,"angry1") 
	
	WormResetAnim(6) 	
	WormQueueAnim(6,"angry3")
	
	WormResetAnim(7) 
	WormQueueAnim(7,"angry1")
	
	WormResetAnim(8) 
	WormQueueAnim(8,"angry3")
	
	WormResetAnim(10) 
	WormQueueAnim(10,"angry3")
	
	WormResetAnim(11) 
	WormQueueAnim(11,"angry1")
end

function HelenisScaredAndTrojanAnims2()
	WormResetAnim(11) 
	WormQueueAnim(11,"angry3")
end


function WormsDoSomethingWhileGoingOnAboutTrojanDonkey()

	WormResetAnim(1) 
	WormQueueAnim(1,"Idle_sneeze") 
	
	WormResetAnim(2) 
	WormQueueAnim(2,"worm_looking") 
	
	WormResetAnim(3) 
	WormQueueAnim(3,"worm_tired") 
end

function CheekyWave()
	OrientateWorm(7,30)
	WormResetAnim(7) 
	WormQueueAnim(7,"worm_wave1")

end




