
--***********************************************************
--                Med01b
--***********************************************************
--		 objective two, get to Cornwall and destroy him, build on his point...

--************************************************************


function InitialiseLevel()

    LoadLevel("landscapes/M/M1.xom",true)

    SetupDefaultScheme()  
  
    SetObjectives("Miss.Medieval1-Objectives", 1)
    
    EnemyWormsDead = 0
    builtonhim = false
    stronggone = false
    UserStrongGone = false
    Human1Dead = false
    Human2Dead = false
    Human3Dead = false
    Human4Dead = false
    PlayersWormsDead = 0
	--efmv ONLY cut names, ARRAYS and variables
	bQuitable = true
	bUserQuit = 0
	CameraArrayNumber = 0
	GameHasFinished = 0
	Num = 1
    
    kwatchme = false
	
	-- stops the victory sequence from playing
	referee = GetRefereeData()
	referee.ShowVictorySequence = false
	
	--switch to false to disable cameras
	EFMVCamerasAreActive = true
	
	
	TextLabelsArray = { "Miss.Medieval1-EFMV.Intro1", "Miss.Medieval1-EFMV.Intro2", "Miss.Medieval1-EFMV.Intro3",	
					"Miss.Medieval1-EFMV.Intro4", "Miss.Medieval1-EFMV.Intro5", "Miss.Medieval1-EFMV.Intro7", "Miss.Medieval1-EFMV.Intro8", 
					"Miss.Medieval3-EFMV.Midtro4", "Miss.Medieval3-EFMV.Midtro5", "Miss.Medieval1-EFMV.Intro12",	
					"Miss.Medieval1-EFMV.Intro15", "Miss.Medieval1-EFMV.Intro16", "Miss.Medieval1-EFMV.Intro17", 
					"Miss.Medieval1-EFMV.Intro18", "Miss.Medieval1-EFMV.Intro19", "Miss.Medieval1-EFMV.Intro23", 
					"Miss.Medieval1-EFMV.Intro24", "Miss.Medieval1-EFMV.Intro25", "Miss.Medieval1-EFMV.Intro26", 
					"Miss.Medieval1-EFMV.Intro27", "Miss.Medieval1-EFMV.Intro28", "Miss.Medieval1-EFMV.Intro29", 
					"Miss.Medieval1-EFMV.Intro30", "Miss.Medieval1-EFMV.Intro31", "Miss.Medieval1-EFMV.Intro32" }	
					
	EFMVArray = { "intro", "cut1", "cut2", "cut4", "cut5", "cut11", "cut6", "cut8", "cut9", "cut10" } 
    
end
    

--*************************************************************
function CreatePlayers()

    -------- Player 0 ------------
        
    SetupHumanPlayer(4,100)
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"
	--player.VoiceBank = "Classic"

    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRefUtherStart"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRef001"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRef002"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRef003"

        
    --Sets up Team 0 inventory
    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
        
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Mortar = 5
    inventory.FireWeapon = 5
    inventory.ScienceLab = 1
        
    inventory.Grenade = 10
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.FireGrenadeLauncher = 15
   

    inventory.AirStrike = 1    
    inventory.FirePunch = 2
    inventory.Ballista = 10
    inventory.MiniGun = 6
    inventory.Keep = kWF_INFINITE_AMOUNT      
    inventory.Jetpack = 2
    inventory.Freeze = 0
    inventory.WormSelect = 4
    inventory.Parachute = 0
    inventory.Girder = 3
    inventory.RepairBuilding = 2
    inventory.Surrender = 0
    inventory.Tower = kWF_INFINITE_AMOUNT
    
 
    -------- Player 1 ------------
   
    
    player = CreatePlayer("AI")
	player.NumberOfWorms = 4
	player.Name = "Cornwall"
	player.WormStartingHealth = 80
	player.Hat = kHatMedieval1
    player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
    player.Flag = 54
    
    
    player = GetPlayerData(1)
    player.TeamTombstone = 9

    
    StandardWorm(GetWormData(4),"Duke","wfRefAIStart1")
    StandardWorm(GetWormData(5),"Grunt1","wfRefAIStart2")
    StandardWorm(GetWormData(6),"Grunt2","wfRefAIStart3")
    StandardWorm(GetWormData(7),"Grunt3","wfRefAIStart4")
    
    
	CreateNeutralWorm(8)
	SetWormHatFromPlayer(8,1)
 	CreateNeutralWorm(9)
	SetWormHatFromPlayer(9,1)
	CreateNeutralWorm(10)
	SetWormHatFromPlayer(10,1)
    
    --Sets up Team 1 inventory
    EmptyInventory(1)
    inventory = GetPlayerInventory(1)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Mortar = 2
    inventory.FireWeapon = 1

        
    inventory.Grenade = 10
    inventory.ClusterLauncher = 5
    inventory.FireGrenadeLauncher = 1
    inventory.FireGrenadeLauncherDelay = 5


    inventory.AirStrike = 1
    inventory.AirStrikeDelay = 5
    --inventory.SuperHippo = 10
        
    inventory.FirePunch = 2
    inventory.Ballista = 10
    inventory.MiniGun = 5
    --inventory.GiantCrossbow = 1
    --inventory.GiantCrossbowDelay = 7
           
        
    inventory.Jetpack = 1
    inventory.Freeze = 0
    inventory.WormSelect = 0
    inventory.Parachute = 0
    inventory.Girder = 3
    --inventory.RepairBuilding = 2
   

    -- No Crates !
    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0
    scheme.TurnTime = 6000	
    scheme.SuddenDeathTime = 270000
    StandardRefereeSettings()
    
end

--*******************************************************



function HideWormsNow()

   -- Watch("kwatchme")

    SetInstantReplaysOn(false)

   -- EffectId1 = CreateParticleEffect("magicaldoor", "wfRefMagicDoor1") 
    
    
--    EffectId1 = CreateParticleEffect("frozenice01", "wfRefFrozen1a") 
--    EffectId2 = CreateParticleEffect("frozenice02", "wfRefFrozen1b") 
--    EffectId3 = CreateParticleEffect("frozenice02", "wfRefFrozen2a") 
--    EffectId4 = CreateParticleEffect("frozenice01", "wfRefFrozen2b") 
--    --EffectId5 = CreateParticleEffect("frozenice02", "wfRefFrozen3a") 
--    --EffectId6 = CreateParticleEffect("frozenice02", "wfRefFrozen3b") 
--    EffectId7 = CreateParticleEffect("frozenice01", "wfRefFrozen4a") 
--    EffectId8 = CreateParticleEffect("frozenice02", "wfRefFrozen4b") 
--   -- EffectId9 = CreateParticleEffect("frozenice02", "wfRefFrozen5a") 
--   -- EffectId10 = CreateParticleEffect("frozenice02", "wfRefFrozen5b") 
--    EffectId11 = CreateParticleEffect("frozenice02", "wfRefFrozen6a") 
--    EffectId12 = CreateParticleEffect("frozenice02", "wfRefFrozen6b") 
--    EffectId13 = CreateParticleEffect("frozenice02", "wfRefFrozen7a") 
--    EffectId14 = CreateParticleEffect("frozenice02", "wfRefFrozen7b") 



    
    
    
    SetBuildingIndestructible( "buildHere0012", true, true )
     SetBuildingIndestructible( "buildHere004", true, true )
      SetBuildingIndestructible( "buildHere003", true, true )
       SetBuildingIndestructible( "buildHere000", true, true )
        SetBuildingIndestructible( "buildHere0024", true, true )
          SetBuildingIndestructible( "buildHere0029", true, true )
	  
	  --Enemy Tower for intro
	  SetBuildingIndestructible( "buildHere0014", true, true )
	    -----

--Your Teams Worms Hats

--    Worm = GetWormData(1) 
--    Worm.HatOverride = "Hat.Medieval3" 
--    
--    Worm = GetWormData(2) 
--    Worm.HatOverride = "Hat.Medieval3" 
--    
--    Worm = GetWormData(3) 
--    Worm.HatOverride = "Hat.Medieval3" 
--    
--~     Worm = GetPlayerData(0)
--~     Worm.HatOverride = "kHatWizard"
    
--------------------------------------    
   
    CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere006", true )
    CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere009", true )
    CreateBuilding( kWF_BUILDING_KEEP, 0, "buildHere0010", true ) 
    CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere0025", true )
    CreateBuilding( kWF_BUILDING_TOWER	, 0, "buildHere0026", true ) 
    
	
	for worm = 0, 7 do

		HideWorm( worm )
	end
	
--~ 	RemoveBuilding("buildHere006")
--~ 	RemoveBuilding("buildHere009")
--~ 	RemoveBuilding("buildHere0010")
--~ 	RemoveBuilding("buildHere0025")
	--RemoveBuilding("buildHere0026")
	
	StartAllEFMVTimers()
	EFMVFlyby()
    
end


--******************************************************

function CheckVictoryConditions()


    if referee.TotalGameTime >= 270000 then
                EndMissionFail()
    end


	return false
end

function CheckSuddenDeath()

    return 0

end


--******************************************************





function BuildingHasBeenDestroyed( BuildingType )
	
	-- A building has been destroyed
	
	
        -- Player's Stronghold has been destroyed.
        
        buildHerebuildHereUtherStronghold = GetBuildPointInfo( "buildHereUtherStronghold" )
        
        if buildHerebuildHereUtherStronghold.BuildingType == -1 and UserStrongGone == false then
        UserStrongGone = true
        EndMissionFail()
        end
        
        -- check if is the Cornwalls stronghold
            
		buildHere0029 = GetBuildPointInfo( "buildHere0029" )
        if buildHere0029.BuildingType == -1 and stronggone == false then
            stronggone = true
            SetCommentaryText( "Miss.Generic.Game17" )
            

        end
        
    -- Make buildings destructible and kill particles with each destruction of building in sequence.
        
        buildHere0014 = GetBuildPointInfo( "buildHere0014" )
        if buildHere0014.BuildingType == -1 then
            
            SetBuildingIndestructible( "buildHere0012", false, true )
            --KillParticleEffect(EffectId1)
            --KillParticleEffect(EffectId2)
        end
--    
        buildHere0012 = GetBuildPointInfo( "buildHere0012" )
        if buildHere0012.BuildingType == -1 then
            
            SetBuildingIndestructible( "buildHere004", false, true )
            --KillParticleEffect(EffectId3)
            --KillParticleEffect(EffectId4)
        end
        
        buildHere004 = GetBuildPointInfo( "buildHere004" )
        if buildHere004.BuildingType == -1 then
            
            SetBuildingIndestructible( "buildHere003", false, true )
            --KillParticleEffect(EffectId5)
            --KillParticleEffect(EffectId6)
            
            --killParticleEffect(EffectId13)
            --KillParticleEffect(EffectId14)
        end
        
        buildHere003 = GetBuildPointInfo( "buildHere003" )
        if buildHere003.BuildingType == -1 then
            
            SetBuildingIndestructible( "buildHere0024", false, true )
            --KillParticleEffect(EffectId5)
            --KillParticleEffect(EffectId6)
        end

        buildHere000 = GetBuildPointInfo( "buildHere0024" )
        if buildHere000.BuildingType == -1 then
            
            SetBuildingIndestructible( "buildHere0029", false, true )
            --KillParticleEffect(EffectId7)
            --KillParticleEffect(EffectId8)
        end
        
--        buildHere0024 = GetBuildPointInfo( "buildHere0024" )
--        if buildHere0024.BuildingType == -1 then
--            
--            SetBuildingIndestructible( "buildHere0029", false, true )
--            KillParticleEffect(EffectId11)
--            KillParticleEffect(EffectId12)
--        end
        
        
end

--******************************************************

function WormDied( wormTaskId )

    Human1 = GetWormData( 0 )
    Human2 = GetWormData( 1 )
    Human3 = GetWormData( 2 )
    Human4 = GetWormData( 3 )

     if CheckAreAllWormsDead( 0 ) == true then 
    EndMissionFail() 
    end
    
     if Human1.Health <= 0 and Human1Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human1Dead = true
    end
    
    if Human2.Health <= 0 and Human2Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human2Dead = true
    end
    
    if Human3.Health <= 0 and Human3Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human3Dead = true
    end
    
    if Human4.Health <= 0 and Human4Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human4Dead = true
    end
    
    if PlayersWormsDead == 3 then
    EndMissionFail() 
    end

	-- a worm somewhere has worm died 
	-- check it wasn't uther 
	--utherWorm = GetWormData( 0, 0 )
	
--	if utherWorm.Health <= 0 then	
		-- uthers has died so player 1 (AI) has won!!
	--	EndRound( 1 )
	--end


    if wormIndex == 4
    
        or wormIndex == 5
        or wormIndex == 6
        or wormIndex == 7 then
        EnemyWormsDead = EnemyWormsDead + 1
        
    end
    
    
    if EnemyWormsDead == 4 then
        --player has killed the all the enemy worms

        
    end  
   




	collectgarbage()
end 



--***************************************************


function BuildingHasBeenBuilt( PlayerId, BuildingType, buildingIndex ) 

   buildHere0029 = GetBuildPointInfo( "buildHere0029" )
   
    -- check if a building owned by the player is on cornwalls point
    if buildHere0029.PlayerIndex == 0 then
       
	if buildHere0029.BuildingType == kWF_BUILDING_KEEP then
		if builtonhim == false then
			-- Keep successfully built in right place
			builtonhim = true
			CheckObjective(0)
            
            -- Test THIS
             SweepAndClearArea("buildHere0024")
             SweepAndClearArea("buildHere001")
	
			GameHasFinished = 1
			CameraArrayNumber = 7
			Num = 16
			DelayCall("StartAllEFMVTimers", 5)
			DelayCall("EFMVFlyby", 5.5)
		end
	else
	
		-- a player building on cornwalls point, but it isn't a keep
		-- simplest is to remove it, shouldn't there be text as well?
		DelayCall( "RemoveCornwallBuilding", 3 )	
	end
    
    end
    
end

function RemoveCornwallBuilding()
	RemoveBuilding("buildHere0029")
    SetCommentaryText("Miss.Generic.Hint46")
end



function EndMissionSuccess()

        Unlock("LOCK.Landscape.Medieval1")

        if referee.TotalGameTime < 150000 then 
           SetMedal(kGoldMedal)
           Unlock("LOCK.Flag.Medieval1")
           Unlock("LOCK.Fortapedia.Medieval")
           Unlock("LOCK.Fortapedia.Uther")
           Unlock("LOCK.Fortapedia.Merlin")        
        
        elseif referee.TotalGameTime < 180000 then 
            SetMedal(kSilverMedal) 
            Unlock("LOCK.Fortapedia.Medieval")
            Unlock("LOCK.Fortapedia.Uther")
            Unlock("LOCK.Fortapedia.Merlin")
        
        elseif referee.TotalGameTime > 180000 then 
            SetMedal(kBronzeMedal) 
            Unlock("LOCK.Fortapedia.Medieval")
            Unlock("LOCK.Fortapedia.Uther")
            Unlock("LOCK.Fortapedia.Merlin")
        end 

	SetCommentaryText("Miss.Generic.Success")
	EndRound(0)
end

--**********************************************************************************************************

--					CAMERA STUFF DOWN BELOW

--**********************************************************************************************************


function EFMVFlyby() -- Starts the EFMV sequence
	
	SetEFMVCameraShakeRatio(0.0) 
	
	FlushCommentaryText()
	--if cameras are active then continue with intro
	 if EFMVCamerasAreActive == true then

		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
	
	--if cameras are disabled then start the game
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end

function OnEndEFMV(szSeqName, bUserQuit)

	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()

		elseif bUserQuit == 0 then
		
		--intro
		if CameraArrayNumber < 7 then
			EFMVFlyby()
		
		elseif CameraArrayNumber == 7  then --last intro cam
			SetGameUpAndCancelEverything()
		
		elseif CameraArrayNumber == 8 then
			EFMVFlyby()
		
		elseif CameraArrayNumber == 9 then
			EFMVFlyby()
		
		--last sequence in the outro
		elseif CameraArrayNumber == 10 then 
			--Game will end here if the player has completed the mission.
			EndMissionSuccess()
		end
	end
end

function StartAllEFMVTimers() 

	if CameraArrayNumber == 0 then
		
		
		DelayCall("SpawnMerlin1", 27.3)
		DelayCall("MerlinNoWay", 27.4)
		DelayCall("MerlinVanish", 30.4)
		DelayCall("SpawnMerlin", 35.5)
		DelayCall("MerlinMagic", 36.5)
		DelayCall("IceVanish", 42)
		DelayCall("MerlinHappy", 49)
		DelayCall("MerlinVanish", 53)
		DelayCall("SpawnUther", 68)
		DelayCall("UtherAaaaaay", 79)
		
	
	elseif CameraArrayNumber == 7 then
	
		SweepAndClearArea("wfRefOutroUther")
		SweepAndClearArea("wfRefAIStart2")
		
		DelayCall("HideAllWorms", 0)
		--DelayCall("SpawnUtherStronghold", 0)
		DelayCall("SpawnUther2", 0.1)
		DelayCall("UtherHappy", 0.2)
		DelayCall("UtherHappy", 6.2)
		DelayCall("SpawnPlayer", 11.8)
		DelayCall("UtherShakeHead", 8)
		DelayCall("UtherBemused", 8.9)
		DelayCall("PlayerPuzzled", 13.5)
		DelayCall("PlayerBemused", 17.8)
		--DelayCall("FadeToBlack", 38)
		--CancelDelayCall("UtherHappy", 11.8)
	end
end



function SetGameUpAndCancelEverything() 
-- Called if the user skips the efmv sequence or the sequence has ended.
	
	
	
	if GameHasFinished == 1 then
		EndMissionSuccess()
	
	else
        SetBriefingBoxPosition(0,0) 
		SetBriefingBoxSize(190,120) 
		CreateBriefingBox( "Miss.Medieval1-Objectives" )

        CancelDelayCall("SpawnMerlin1")
		CancelDelayCall("MerlinNoWay")
		CancelDelayCall("MerlinVanish")
		CancelDelayCall("SpawnMerlin")
		CancelDelayCall("MerlinMagic")
		CancelDelayCall("IceVanish")
		CancelDelayCall("MerlinHappy")
		CancelDelayCall("MerlinVanish")
		CancelDelayCall("SpawnUther")
		CancelDelayCall("UtherAaaaaay")
		
		SetBuildingIndestructible( "buildHere0014", false, true )
		
		--players buildings
--~ 		CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere006", true )
--~ 		CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere009", true )
--~ 		CreateBuilding( kWF_BUILDING_CITADEL, 0, "buildHere0010", true ) -- debug building
--~ 	    
--~ 		CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere0025", true )
		--CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere0026", true ) 
		
		
		--SpawnWorm(0, "wfRef000")
		--OrientateWorm(0, 150)
		
		HideWorm(8)
		
		for worm = 1, 7 do
		
			SpawnWorm( worm )
		end
	end
end	

function EndMissionFail()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end

---------------------------INTRO STUFF-----------------------------

function SpawnMerlin()

	--Merlin's Hat
	Worm = GetWormData(8) 
	Worm.HatOverride = "Hat.Wizard" 
    
	CreateParticleEffect("wormspawnA", "wfRefMerlinDoor")
	CreateParticleEffect("wormspawnB", "wfRefMerlinDoor")
	
	SpawnWorm(8, "wfRefMerlinDoor") -- dummy worm
	OrientateWormToCamera(8)
end

function SpawnMerlin1()
	Worm = GetWormData(8) 
	Worm.HatOverride = "Hat.Wizard" 
	CreateParticleEffect("wormspawnA", "wfRefMerlinDoor")
	CreateParticleEffect("wormspawnB", "wfRefMerlinDoor")
	
	SpawnWorm(8, "wfRefMerlinDoor")
	OrientateWormToCamera(8)
end

function MerlinNoWay()
	WormResetAnim(8)
	WormQueueAnim(8, "angry2")
end



function MerlinContemplates()
	WormResetAnim(8)
	WormQueueAnim(8, "worm_contemplates")
end

function MerlinAgree()
	WormResetAnim(8)
	WormQueueAnim(8, "worm_nod")
end

function MerlinMagic()
	WormResetAnim(8)
	WormQueueAnim(8, "worm_spellcast")
end

function IceVanish()
	SetBuildingIndestructible( "buildHere0014", false, true )
end

function MerlinHappy()
	OrientateWormToCamera(8)
	WormResetAnim(8)
	WormQueueAnim(8, "happy2")
end

function MerlinVanish()
	CreateParticleEffect("wormspawnA", "wfRefMerlinDoor")
	CreateParticleEffect("wormspawnB", "wfRefMerlinDoor")
	HideWorm(8)
end

function SpawnUther()
	SpawnWorm(0, "wfRefUtherStart")
	OrientateWormToCamera(0)
end

function UtherAaaaaay()
	WormAllowIdleAnims(0, false)
	OrientateWormToCamera(0)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_confident")
end

function UtherCompose()
	OrientateWormToCamera(0)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_compose")
	OrientateWormToCamera(0)
end

function UtherMotivate()
	OrientateWorm(0, 50)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_directingheave")
end


----------OUTRO: CAM = 7 / Num = 16 -------------------------------	

function HideAllWorms()
	
	for worm = 0, 7 do
		SpawnWorm( worm )
	end
	
	for worm = 0, 7 do
		HideWorm( worm )
	end
end

function SpawnUtherStronghold()
	CreateBuilding( kWF_BUILDING_KEEP, 0, "buildHere0029", true )
end

function SpawnUther2()
	SpawnWorm(0, "wfRefOutroUther") 
	OrientateWormToCamera(0)
end

function UtherHappy()
	WormQueueAnim(0, "happy2")
	
	--DelayCall("UtherHappy", 6)
end

function UtherBemused()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_clueless")
end

function SpawnPlayer()
	CreateParticleEffect("wormspawnA", "wfRefAIStart2")
	CreateParticleEffect("wormspawnB", "wfRefAIStart2")
	SpawnWorm(5, "wfRefAIStart2")
	WormResetAnim(5)
	OrientateWormToCamera(5)
end

function UtherShakeHead()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_shakehead")
end

function PlayerPuzzled()
	WormResetAnim(5)
	WormQueueAnim(5, "worm_puzzled")
end

function PlayerBemused()
	WormResetAnim(5)
	WormQueueAnim(5, "worm_bemused")
end

function FadeToBlack()
	Fade( true, 3, true )
end

--------------- TEXT CODE------------------------------

function EFMV_TextTrigger() 
	
	if Num == 25 then
		
		DelayCall("FadeToBlack", 3)
		
	end
	
	Text = TextLabelsArray[Num]
	
	-- (-1) is infinite, (0) is default to 2000 (2 secs)
	SetCommentaryText(Text, -1)
	
	Num = Num + 1

end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 


--*************************************

--~ function TurnEnded()
--~ 	--skip camera to outro
--~ 	CameraArrayNumber = 8
--~ 	--when mission has finished set to 1
--~ 	GameHasFinished = 1
--~ 	Num = 20
--~ 	
--~ 	for worm = 0, 7 do

--~ 		SpawnWorm( worm )
--~ 	end
--~ 	
--~ 	RemoveAllBuildings()
--~ 	
--~ 	StartAllEFMVTimers()
--~ 	EFMVFlyby()
--~ 	--EndRound( 0 )		
--~ end 


