--***********************************************************
--               med 05b
--***********************************************************

--	           objective two, connect two statues using buildings




function InitialiseLevel()
    LoadLevel("landscapes/M/M5.xom",true)

    --SetupDefaultScheme()
    
    scheme = GetCurrentSchemeData()
    

    scheme.CrateProbability = 0
    scheme.TurnTime = 60000
	scheme.SuddenDeathTime = 180000
	scheme.RetreatTime = 300
	scheme.HotSeatTime = 500
    
    SetObjectives("Miss.Medieval5-Objectives", 2)

    
    thasgottomerlin = false
    vmerlinsturn = false 
    vbuildinga = false
    vbuildingb = false
    tmerlinsafe = true
    vknightone = true
    varthurisup = false
    alreadyAtStronghold = false
    whichDialogBox = 1
    Enemy1StrongholdGone = false
    linkcomplete = false
    UserStrongGone = false
    Human1Dead = false
    Human2Dead = false
    Human3Dead = false
    Human4Dead = false
    PlayersWormsDead = 0
    stage = 2
    

	--efmv ONLY cut names, ARRAYS and variables
	bQuitable = true
	bUserQuit = 0
	CameraArrayNumber = 0
	GameHasFinished = 0
	Num = 1
	
	HaveSpawnedSiegeCrate = false
	Switch = false
	
	--this variables tell the script whether the game is in a mid sequence or not
	GameIsMidSequence = false
	
	-- stops the victory sequence from playing
	referee = GetRefereeData()
	referee.ShowVictorySequence = false
	
	--switch to false to disable cameras
	EFMVCamerasAreActive = true
	
	
	TextLabelsArray = { "Miss.Medieval5-EFMV.Intro1", "Miss.Medieval5-EFMV.Intro2", "Miss.Medieval5-EFMV.Intro3",	
					"Miss.Medieval5-EFMV.Intro4", "Miss.Medieval5-EFMV.Intro5", "Miss.Medieval5-EFMV.Intro6",	
					"Miss.Medieval5-EFMV.Intro7", "Miss.Medieval5-EFMV.Intro8", "Miss.Medieval5-EFMV.Intro9",	
					"Miss.Medieval5-EFMV.Intro10", "Miss.Medieval5-EFMV.Intro11", "Miss.Medieval5-EFMV.Intro12",	
					"Miss.Medieval5-EFMV.Intro13", "Miss.Medieval5-EFMV.Intro14", "Miss.Medieval5-EFMV.Intro15",	
					"Miss.Medieval5-EFMV.Midtro1", "Miss.Medieval5-EFMV.Midtro2", "Miss.Medieval5-EFMV.Midtro3", 
					"Miss.Medieval5-EFMV.Midtro4", "Miss.Medieval5-EFMV.Midtro5", "Miss.Medieval5-EFMV.Midtro6", 
					"Miss.Medieval5-EFMV.Midtro7", "Miss.Medieval5-EFMV.Midtro8", "Miss.Medieval5-EFMV.Midtro9", 
					"Miss.Medieval5-EFMV.Midtro10", "Miss.Medieval5-EFMV.Midtro11", "Miss.Medieval5-EFMV.Outro1", 
					"Miss.Medieval5-EFMV.Outro2", "Miss.Medieval5-EFMV.Outro3", "Miss.Medieval5-EFMV.Outro4", 
					"Miss.Medieval5-EFMV.Outro5", "Miss.Medieval5-EFMV.Outro6", "Miss.Medieval5-EFMV.Outro7", 
					"Miss.Medieval5-EFMV.Outro8", "Miss.Medieval5-EFMV.Outro9", "Miss.Medieval5-EFMV.Outro10", 
					"Miss.Medieval5-EFMV.Outro11", "Miss.Medieval5-EFMV.Outro12", "Miss.Medieval5-EFMV.Outro13", 
					"Miss.Medieval5-EFMV.Outro14", "Miss.Medieval5-EFMV.Outro15", "Miss.Medieval5-EFMV.Outro16", 
					"Miss.Medieval5-EFMV.Outro17", "Miss.Medieval5-EFMV.Outro18", "Miss.Medieval5-EFMV.Outro19"}	
					
	EFMVArray = { "intro", "cut1", "cut2", "cut3", "cut4", "cut5", "cut6", "cut7", "cut8", "cut9", "cut10", "cut11", "cut12", "cut13", "cut14"} 

end


--******************************************************************
--first briefing
function HideWormsNow()

    SetInstantReplaysOn(false)
 
    Watch("Enemy1StrongholdGone")

    EffectId1 = CreateParticleEffect("frozenice01", "wfRefIce1") 
    EffectId2 = CreateParticleEffect("frozenice02", "wfRefIce2") 
    EffectId3 = CreateParticleEffect("frozenice02", "wfRefIce3") 
    
    CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0034", true )
    CreateBuilding( kWF_BUILDING_KEEP, 1, "buildHere0033", true ) 
    CreateBuilding( kWF_BUILDING_KEEP, 1, "buildHere0035", true ) 
    RemoveVictoryLocation("buildHere008")
    
    SetBuildingIndestructible( "buildHere0039", true, true )
   
	
	for worm = 0, 8 do

		HideWorm( worm )
	end
	
	StartAllEFMVTimers()
	EFMVFlyby()
	--all functions within EFMV
	

end


--******************************************************************
function CreatePlayers()

	-------- Player 0 ------------
	
--	player = CreatePlayer("HUMAN")
--	player.NumberOfWorms = 4
--	player.Name = "Arthur Job"
--	player.WormStartingHealth = 100
--	player.VoiceBank = "Classic"
--	CreatePlayersTeam(player.PlayerIndex)
--    
--	GetPlayerData(0).MaxJetpackFuel = 100
--	StandardWorm(GetWormData(0),"scout","wfRefscout1")
--	StandardWorm(GetWormData(1),"Arthur","wfRefarthur")
--	StandardWorm(GetWormData(2),"Knight","wfRefknight1")
--	StandardWorm(GetWormData(3),"Knight","wfRefknight2")

    
    SetupHumanPlayer(4,100)
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"
	--player.VoiceBank = "Classic"

    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRefscout1"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRefarthur"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRefknight1"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRefknight2"

	
    --GetWormData(0,0).VitalWorm = true
    GetPlayerData(0).AlliedTeam = 0
    
        
    --Sets up Team 0 inventory
    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.Jetpack = 5
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Mortar = 15
    inventory.Tower = kWF_INFINITE_AMOUNT
    inventory.Keep = kWF_INFINITE_AMOUNT
    inventory.Castle = 5
    --inventory.ScienceLab = 5 -- DEBUG THING
    inventory.Ballista = 10
    inventory.FireGrenadeLauncher = 6
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.RepairBuilding = 2
    inventory.MiniGun = 3
    inventory.BatteringRam = 3
    inventory.WormSelect = 5
    inventory.SuperHippo = 1
    inventory.BananaBombLauncher = 3
    inventory.Surrender = 0
    inventory.Girder = 5
    inventory.HomingPigeon = 1
    inventory.AirStrike = 1

    -- Delays?


    -------- Player 1 ------------
    player = CreatePlayer("AI")
	player.NumberOfWorms = 5
	player.Name = "Nameless"
	player.WormStartingHealth = 666
    player.VoiceBank = "Classic"
    player.Flag = 54
    
    player = GetPlayerData(1)
    player.TeamTombstone = 9
    
	CreatePlayersTeam(player.PlayerIndex)
    
    GetPlayerData(1).MaxJetpackFuel = 100
    StandardWorm(GetWormData(4),"nameless one","wfRefnameless1")
    StandardWorm(GetWormData(5),"nameless two","wfRefnameless2")
    StandardWorm(GetWormData(6),"nameless three","wfRefnameless3")
    StandardWorm(GetWormData(7),"nameless four","wfRefnameless4") 
    StandardWorm(GetWormData(8),"Morgana","wfRefMorganaOutro")

    GetPlayerData(1).AlliedTeam = 1
    CopyContainer( GetAIParamsCPU3(), GetAIParamsWorm(4) ) 
    GetAIParamsWorm(4).WeightingAttackBuilding = 10 
        
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(5) ) 
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(6) ) 
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(7) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(8) ) 
    
    CreateNeutralWorm(9) -- dummy ballista worm
    CreateNeutralWorm(10) -- Merlin
    CreateNeutralWorm(11) -- dummy mordred worm
    CreateNeutralWorm(12) -- dummy Arthur worm
    SetWormHatFromPlayer(12,0)
    
    CreateNeutralWorm(13) -- dummy Morgana Worm
    CreateNeutralWorm(14) -- dummy scout worm
    
    
    --PLAYER CONTROLLED WORMS WITH HATS
    
--    Worm = GetWormData(1) 
--    Worm.HatOverride = "Hat.Medieval3" 
--   
--    Worm = GetWormData(2) 
--    Worm.HatOverride = "Hat.Medieval3" 
--     
--    Worm = GetWormData(3) 
--    Worm.HatOverride = "Hat.Medieval3"  
   
   
   
    --CPU CONTROLLED WORMS WITH HATS
    
    Worm = GetWormData(4) 
    Worm.HatOverride = "Hat.Medieval1" 
   
    Worm = GetWormData(5) 
    Worm.HatOverride = "Hat.Medieval1" 
     
    Worm = GetWormData(6) 
    Worm.HatOverride = "Hat.Medieval1"  
    
    Worm = GetWormData(7) 
    Worm.HatOverride = "Hat.Medieval1" 
     
    Worm = GetWormData(8) 
    Worm.HatOverride = "Hat.Medieval1"  
    
    
    Worm = GetWormData(11) 
    Worm.HatOverride = "Hat.Medieval2" 
     
    Worm = GetWormData(12) 
    Worm.HatOverride = "Hat.Medieval4"  
    
    -------------------------------------
    
    EmptyInventory(1)
    inventory = GetPlayerInventory(1)
                
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Jetpack = 0
    inventory.Parachute = 0
    inventory.Mortar = 6
    inventory.Tower = 4
    --inventory.Keep = 2   
    inventory.KeepDelay = 10         
    inventory.FireGrenadeLauncher = 3
    inventory.MiniGunDelay = 5
              
    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0
    scheme.TurnTime = 4500	

    StandardRefereeSettings()
end







--***************************************************************
function BuildingHasBeenBuilt( PlayerId, BuildingType , buildingIndex)

    -- a building has been created,at the start of the giant worma statue
    connecta = GetBuildPointInfo( "buildHere0015" )


    if connecta.PlayerIndex == 0 and vbuildinga == false then
    
        vbuildinga = true
        SetCommentaryText( "Miss.Medieval5-EFMV.Intro16" )
        --bothstatuesgot()
        
    end
	
        
    -- a building has been created,at the start of the giant wormb statue
    connectb = GetBuildPointInfo( "buildHere0031" )
	
    if connecta.PlayerIndex == 0 and vbuildingb == false then
    
        vbuildingb = true
                SetCommentaryText( "Miss.Medieval5-EFMV.Intro17" )
        --bothstatuesgot()
        
    end
    
    if vbuildinga == true and vbuildingb == true and linkcomplete == false then
    
        linkcomplete = true
        bothstatuesgot()

    end    
        
end

--**************************************************************
function BuildingHasBeenDestroyed( PlayerId, BuildingType )


    buildHere0012 = GetBuildPointInfo( "buildHere0012" )
        
        if buildHere0012.BuildingType == -1 and UserStrongGone == false then
        UserStrongGone = true
         ShowOnlyScriptCommentary(true)
        EndMissionFail()
        end

    -- a building has been destroyed at the start of the giant worma statue
    connecta = GetBuildPointInfo( "buildHere0015" )
                
    if connecta.PlayerIndex == 0 and vbuildinga == true then
    
        vbuildinga = false
        --SetCommentaryText( "Miss.Generic.Hint38" )
        
    end

                
    -- a building has been destroyed at the start of the giant wormb statue
    connectb = GetBuildPointInfo( "buildHere0039" )
                
    if connecta.PlayerIndex == 0 and vbuildingb == true then
    
        vbuildingb = false
        --SetCommentaryText( "Miss.Generic.Hint38" )
                            
    end
                
                
    --------------------------------------------------------
     
    --Check and see if the Enemy Stronghold has been destroyed.
    
    Enemy1Stronghold = GetBuildPointInfo( "buildHere0039" )
    
    if Enemy1Stronghold.BuildingType == -1 then
			
        Enemy1StrongholdGone = true
        --CheckObjective(0)
   end
   
   if Switch == false then
   

	if Enemy1StrongholdGone == true then
	
	CameraArrayNumber = 10 -- jump to outro
	GameHasFinished = 1
	Num = 27
	
	FlushCommentaryText()
	DelayCall("StartAllEFMVTimers", 4)
	DelayCall("EFMVFlyby", 4.5)
	
	Switch = true
	
	end

    end
    ----------------------------------------------------------
end

--*****************************************************
-- on to the last stage
function bothstatuesgot()
	
	CameraArrayNumber = 6 -- jump to midtro
        Num = 16
	GameIsMidSequence = true
        FlushCommentaryText()
        DelayCall("StartAllEFMVTimers", 4)
        DelayCall("EFMVFlyby", 4.1)
        CheckObjective(1)
	
        SetBuildingIndestructible( "buildHere0039", false, true )
	--ModifyBuildingHealth("buildHere0039", 0.00001)
        KillParticleEffect(EffectId1)
        KillParticleEffect(EffectId2)
        KillParticleEffect(EffectId3)


--EFMV Mid Mission1

    --if vbuildinga == true and vbuildingb == true and Enemy1StrongholdGone == true then
    
        
end


--***********************************************************
function WormDied( wormTaskId )


    Human1 = GetWormData( 0 )
    Human2 = GetWormData( 1 )
    Human3 = GetWormData( 2 )
    Human4 = GetWormData( 3 )

    if CheckAreAllWormsDead( 0 ) == true then 
    EndMissionFail() 
    end

     if Human1.Health <= 0 and Human1Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human1Dead = true
    end
    
    if Human2.Health <= 0 and Human2Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human2Dead = true
    end
    
    if Human3.Health <= 0 and Human3Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human3Dead = true
    end
    
    if Human4.Health <= 0 and Human4Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human4Dead = true
    end
    
    if PlayersWormsDead == 4 then
    EndMissionFail() 
    end

    --arthur = GetWormData( 1 )
	
    --if arthur.Health <= 0 then
    
        --SetCommentaryText( "Player 0 loses" )  
        -- arthur has died so player 1 (AI) has won!!
      --  EndMissionFail()
        
    --end
    


    Morgana = GetWormData( 8 )
	
    if Morgana.Health <= 0 then
    
--~        CameraArrayNumber = 10 -- jump to outro
--~        GameHasFinished = 1
--~        Num = 27
--~        FlushCommentaryText()
--~        DelayCall("StartAllEFMVTimers", 2)
--~        DelayCall("EFMVFlyby", 2.5)
        
    end



collectgarbage()
end 

--***************************************************************


function EndMissionSuccess()


        Unlock("LOCK.Scheme.FullGun")
        Unlock("LOCK.Fortpot")

        
        if referee.TotalGameTime < 120000 then 
           SetMedal(kGoldMedal)
           Unlock("LOCK.Weapon.Trojan")
           Unlock("LOCK.Fortapedia.Trojan")
            Unlock("LOCK.Fortapedia.Mordred")
            Unlock("LOCK.Hat.Medieval1")
            Unlock("LOCK.NEW.GALAHAD")
        
        elseif referee.TotalGameTime < 150000 then 
            SetMedal(kSilverMedal) 
            Unlock("LOCK.Fortapedia.Mordred")
            Unlock("LOCK.Hat.Medieval1")
            Unlock("LOCK.NEW.GALAHAD")
        
        
        elseif referee.TotalGameTime > 150000 then 
            SetMedal(kBronzeMedal) 
            Unlock("LOCK.Fortapedia.Mordred")
            Unlock("LOCK.Hat.Medieval1")
            Unlock("LOCK.NEW.GALAHAD")
        end 


    SetCommentaryText("Miss.Generic.Success")
    EndRound(0)
end

function EndMissionFail()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end

--**************************************************************
function placemines()


--ready for mine placement

end


--*************************************************************
function diedText()


    if stage == 3 then
        
        CreateBriefingBox( "Miss.Med5-3.Game7" )
        
    end


end

--**************************************************************

--~ function WormDamaged( wormIndex, AssailantTaskId, damage )
--~ 	
--~ 	if wormIndex == 8 and damage < 100 then
--~ 		-- worm 0 takes no damage!
--~ 		return 0
--~ 	end

--~ 	-- every other worm takes damage as normal
--~ 	return damage
--~ end


--**********************************************************************************************************

--					CAMERA STUFF DOWN BELOW

--**********************************************************************************************************


function StartAllEFMVTimers() 

FlushCommentaryText()

	if CameraArrayNumber == 0 then
		
		DelayCall("StartParticles", 1)
		DelayCall("SpawnMorganaAndMordredIntro", 1)
		DelayCall("MorganaWitch", 3.5)
		DelayCall("MordredWeirdo", 6.5)
		DelayCall("ResetAnims", 9.5)
		DelayCall("MordAndMorgDance", 10.5)
		DelayCall("MordAndMorgAaay", 14)
		DelayCall("MorganaMagic1", 18.2)
		DelayCall("MorganaMagic2", 18.8)

		DelayCall("SpawnMerlin", 35)
		DelayCall("MerlinHello", 36)
		DelayCall("MerlinThink", 40)
		DelayCall("MerlinNod", 41)
		DelayCall("MerlinChopChop", 66)
		DelayCall("MerlinVanish", 69)
	
	elseif CameraArrayNumber == 6 then
	
		DelayCall("SpawnSiegeCrate", 6)
		DelayCall("SpawnArthurAndMordred", 20)
		DelayCall("ArthurAaaay", 20)
		DelayCall("MordredShocked", 21)
		DelayCall("ArthurShocked", 22)
		DelayCall("MordredSpellcast", 23)
		DelayCall("ArthurAaaay", 24)
		DelayCall("MordredShocked", 25)
		DelayCall("ArthurShocked", 26)
		DelayCall("MordredSpellcast", 27)
		DelayCall("ArthurAaaay", 28)
		DelayCall("HideArthurAndMordred", 31)
		
	elseif CameraArrayNumber == 10 then
		
		SweepAndClearArea("wfRefmerlinOutro")
		SweepAndClearArea("wfRefMorganaOutro")
		SweepAndClearArea("wfRefarthurM1")
		SweepAndClearArea("wfRefmordred")
		SweepAndClearArea("wfRefPlayerOutro")
		
		DelayCall("SpawnMorgana", 1)
		DelayCall("SpawnMerlinAgain", 2.5)
		DelayCall("MerlinSpell", 3.5)
		DelayCall("CreateMerlinWeapon", 7)
		DelayCall("AimMerlinWeapon", 8)
		DelayCall("FireMerlinWeapon", 8.5)
		DelayCall("MorganaSCARED", 8)
		DelayCall("RhinoVanish", 10)
		--DelayCall("MorganaDie", 12)
		DelayCall("SpawnArthurAndMordred2", 12)
		DelayCall("ArthurAaaay", 18)
		DelayCall("MordredExplode", 20)
		DelayCall("MordredVanish", 23.5)
		
		DelayCall("ArthurPoisoned", 27)
		DelayCall("SpawnPlayerWorm", 30)
		--DelayCall("SpawnMerlinLastTime", 30)
		
		DelayCall("OrientateWormsToArthur", 31)
		
		DelayCall("PlayerCry", 31)
		DelayCall("MerlinCry", 33)
		DelayCall("PlayerCry", 35)
		DelayCall("MerlinCry", 37)
		DelayCall("PlayerCry", 39)
		DelayCall("MerlinCry", 41)
		DelayCall("PlayerCry", 43)
		DelayCall("MerlinCry", 45)
		DelayCall("PlayerCry", 47)
		DelayCall("MerlinCry", 49)
		DelayCall("PlayerCry", 51)
		DelayCall("MerlinCry", 53)
		
		DelayCall("OrientateAllWormsToCamera", 65)
		DelayCall("AllWormsAreHappy", 68)
		DelayCall("AllWormsAreHappy", 70)
		DelayCall("AllWormsAreHappy", 72)

	end
end


function CheckVictoryConditions()

            if referee.TotalGameTime >= 180000 then
                EndMissionFail()
            end
	return false
end


function CheckSuddenDeath()

    return 0

end

---------------------------- INTRO STUFF ----------------------------------

function StartParticles()
	CreateParticleEffect("wormspawnA", "wfRefStatueA")
	CreateParticleEffect("wormspawnB", "wfRefStatueA")
	CreateParticleEffect("wormspawnA", "wfRefStatueB")
	CreateParticleEffect("wormspawnB", "wfRefStatueB")
	
	DelayCall("StartParticles", 1)
end

function SpawnMorganaAndMordredIntro()
	CreateParticleEffect("wormspawnA", "wfRefMordredIntro")
	CreateParticleEffect("wormspawnB", "wfRefMordredIntro")
	SpawnWorm(11, "wfRefMordredIntro")
	OrientateWorm(11, 91)
	CreateParticleEffect("wormspawnA", "wfRefMorganaIntro")
	CreateParticleEffect("wormspawnB", "wfRefMorganaIntro")
	
	Worm = GetWormData(13) 
	Worm.HatOverride = "Hat.Witch" 
	SpawnWorm(13, "wfRefMorganaIntro")
	OrientateWorm(13, 105)
end

function OrientateMordred()
	OrientateWormToCamera(11)
	OrientateWormToCamera(11)
	OrientateWormToCamera(11)
	OrientateWormToCamera(11)

end

function OrientateMorgana()
	OrientateWormToCamera(13)
	OrientateWormToCamera(13)
	OrientateWormToCamera(13)
	OrientateWormToCamera(13)
end

function MorganaWitch()
	WormResetAnim(13)
	WormQueueAnim(13, "fire_estorm")
end

function MordredWeirdo()
	WormResetAnim(11)
	WormQueueAnim(11, "worm_insane")
end

function ResetAnims()
	WormResetAnim(11)
	WormResetAnim(13)
end

function MordAndMorgDance()
	WormResetAnim(11)
	WormQueueAnim(11, "happy2")
	WormResetAnim(13)
	WormQueueAnim(13, "happy2")
end
	

function MordAndMorgAaay()
	WormResetAnim(11)
	WormQueueAnim(11, "worm_confident")
	WormResetAnim(13)
	WormQueueAnim(13, "worm_confident")
end
	
	
function MorganaMagic1()
	WormResetAnim(13)
	WormQueueAnim(13, "worm_spellcast")
	
end

function MorganaMagic2()
	CreateParticleEffect("wormspawnA", "wfRefMorganaIntro")
	CreateParticleEffect("wormspawnB", "wfRefMorganaIntro")
	CreateParticleEffect("mediumsmokecloud", "wfRefMorganaIntro")
end


function SpawnMerlin()
	
	Worm = GetWormData(10) 
	Worm.HatOverride = "Hat.Wizard" 
	
	CreateParticleEffect("wormspawnA", "wfRefmerlin")
	CreateParticleEffect("wormspawnB", "wfRefmerlin")
	SpawnWorm(10, "wfRefmerlin")
	OrientateWorm(10, 300)
end

function MerlinHello()
	WormResetAnim(10)
	WormQueueAnim(10, "worm_confident")
end

function MerlinThink()
	WormResetAnim(10)
	WormQueueAnim(10, "worm_contemplates")
end

function MerlinNod()
	WormResetAnim(10)
	WormQueueAnim(10, "worm_nod")
end

function MerlinChopChop()
	WormResetAnim(10)
	WormQueueAnim(10, "worm_directingheave")
end

function MerlinVanish()
	CreateParticleEffect("wormspawnA", "wfRefmerlin")
	CreateParticleEffect("wormspawnB", "wfRefmerlin")
	HideWorm(10)
end

----------------------- MIDTRO STUFF: CAM = 6 / Num = 16 ------------------------------

	
function SpawnSiegeCrate()
	
	HaveSpawnedSiegeCrate = true
	
        crate = CreateCrate()
        crate.Contents = kWF_BUILDING_SCIENCE_LAB
        crate.NumContents = 1		
        crate.CrateId = 4		
        crate.TeamDestructible = 1	
        crate.WormCollectable = 0		
        crate.TeamCollectable = 0		
        crate.GroundSnap = false		
        crate.FixedPosition = false		
        crate.UXB = false				
        crate.Destructible = false		
        crate.Pushable = false			
        crate.CollectableByPayload = false	
        crate.Collectable = true
        crate.IsCritical = true
	SpawnCrate(0,"wfRefhealth8")
end

function SpawnArthurAndMordred()
	--HideWorm(0)
	SpawnWorm(12, "wfRefarthurM1")
	OrientateWorm(0, 50)
	SpawnWorm(11, "wfRefmordred")
	OrientateWorm(11, 190)
end

function ArthurShocked()
	--CreateParticleEffect("stampededust", "wfRefmordred")
	CreateExplosionEffects("wfRefmordred", kWF_EXPLOSION_SMALL, false)
	WormResetAnim(12)
	WormQueueAnim(12, "worm_shocked")
end

function MordredSpellcast()
	--CreateParticleEffect("stampededust", "wfRefarthurM1")
	CreateExplosionEffects("wfRefarthurM1", kWF_EXPLOSION_MEDIUM, false)
	WormResetAnim(11)
	WormQueueAnim(11, "worm_spellcast")
end

function ArthurAaaay()
	--CreateParticleEffect("stampededust", "wfRefmordred")
	CreateExplosionEffects("wfRefmordred", kWF_EXPLOSION_SMALL, false)
	WormResetAnim(12)
	WormQueueAnim(12, "worm_confident")
end

function MordredShocked()
	--CreateParticleEffect("stampededust", "wfRefarthurM1")
	CreateExplosionEffects("wfRefarthurM1", kWF_EXPLOSION_MEDIUM, false)
	WormResetAnim(11)
	WormQueueAnim(11, "fire_firepunch")
end

function HideArthurAndMordred()
	HideWorm(11)
	HideWorm(12)
end


--------------------OUTRO STUFF: CAM = 10 / Num = 27 --------------------

function SpawnMerlinAgain()
	--SpawnWorm(3)
	HideWorm(3)
	
	Worm = GetWormData(3) 
	Worm.HatOverride = "Hat.Wizard" 
	
	CreateParticleEffect("wormspawnA", "wfRefmerlinOutro")
	SpawnWorm(3, "wfRefmerlinOutro")
	OrientateWorm(3, 220)
end

function MerlinSpell()
	WormResetAnim(3)
	WormQueueAnim(3, "worm_spellcast")
end

function SpawnMorgana()
	--HideWorm(8)
	Worm = GetWormData(13) 
	Worm.HatOverride = "Hat.Witch" 
	
	SpawnWorm(13, "wfRefMorganaOutro")
	OrientateWorm(13, 70)
end

function CreateMerlinWeapon()
	CreateWeapon(3, kWF_WEAPON_BATTERING_RAM)
end

function AimMerlinWeapon()
	AimWeapon(3, 250, -13)
end

function FireMerlinWeapon()
	FireWeapon(3, 1)
end

function MorganaSCARED()	
	WormResetAnim(13)
	WormQueueAnim(13, "worm_shocked")
end

function RhinoVanish()
	RemoveWeapon(3)
end

function MorganaDie()
	WormResetAnim(13)
	WormQueueAnim(13, "die1")
end

-----------------------------------------------------------------------------------------------

function SpawnArthurAndMordred2()
	--SpawnWorm(1)
	HideWorm(1)
	SpawnWorm(12, "wfRefarthurM1")
	OrientateWorm(0, 50)
	SpawnWorm(11, "wfRefmordred")
	OrientateWorm(11, 190)
end

function MordredExplode()
	WormResetAnim(11)
	WormQueueAnim(11, "die2")
	--CreateExplosionEffects("wfRefmordred", kWF_EXPLOSION_LARGE, false)
end

function MordredVanish()
	CreateParticleEffect("wormspawnA", "wfRefmordred")
	CreateParticleEffect("wormspawnB", "wfRefmordred")
	HideWorm(11)
end

--~ function SpawnArthurLastTime()
--~ 	--HideWorm(1)
--~ 	SpawnWorm(12, "arthurM1")
--~ end

function ArthurPoisoned()
	WormAllowIdleAnims(12, false)
	WormResetAnim(12)
	WormQueueAnim(12, "aim_bazooka")
end

function SpawnPlayerWorm()
	--HideWorm(0)
	SpawnWorm(14, "wfRefPlayerOutro")
	OrientateWorm(14, 100)
end

function SpawnMerlinLastTime()
	--SpawnWorm(, "wfRefmerlinOutro")
	OrientateWorm(3, 150)
end

function OrientateWormsToArthur()
	OrientateWorm(14, 50)
	OrientateWorm(3, 50)
end

function PlayerCry()
	WormAllowIdleAnims(14, false) 
	WormResetAnim(14)
	WormQueueAnim(14, "sad2")
end

function MerlinCry()
	WormAllowIdleAnims(3, false) 
	WormResetAnim(3)
	WormQueueAnim(3, "sad2")
end

function OrientateAllWormsToCamera()
	WormResetAnim(12)
	OrientateWorm(14, 220)
	OrientateWorm(3, 220)
	OrientateWorm(12, 220)
end

function AllWormsAreHappy()
	WormResetAnim(14)
	WormQueueAnim(14, "happy1")
	WormResetAnim(12)
	WormQueueAnim(12, "happy2")
	WormResetAnim(3)
	WormQueueAnim(3, "happy3")
end

function FadeToBlack()
	Fade(true, 3, true)
end
	
---------------------------------------------------------------------------------
	
function EFMVFlyby() -- Starts the EFMV sequence
	
	SetInstantReplaysOn(false)
	SetEFMVCameraShakeRatio(0.0) 
	
	--if cameras are active then continue with intro
	 if EFMVCamerasAreActive == true then

		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
	
	--if cameras are disabled then start the game
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end

function OnEndEFMV(szSeqName, bUserQuit)

	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()

		elseif bUserQuit == 0 then
		
		--intro
--~ 		if CameraArrayNumber < 6 then
--~ 			EFMVFlyby()
		
		if CameraArrayNumber == 6  then --last intro cam
			SetGameUpAndCancelEverything()
		
--~ 		elseif CameraArrayNumber == 7 or CameraArrayNumber < 10 then --first of the mid sequences
--~ 			EFMVFlyby()
		
		elseif CameraArrayNumber == 10 then -- end of the mid game seq.
			GameIsMidSequence = false -- game is no longer in mid seq.
			
--~ 		elseif CameraArrayNumber == 11 or CameraArrayNumber  < 15 then 
--~ 			EFMVFlyby()
		
		elseif CameraArrayNumber == 15 then --last sequence in the outro
			--Game will end here if the player has completed the mission.
			EndMissionSuccess()
			
		else 
			EFMVFlyby()
		end
	end
end


function SetGameUpAndCancelEverything() 
-- Called if the user skips the efmv sequence or the sequence has ended.
	
	if GameIsMidSequence == true then
	
		if CameraArrayNumber < 10 then
		
			if HaveSpawnedSiegeCrate == false then
			
				SpawnSiegeCrate()
			end
			
			CancelDelayCall("SpawnSiegeCrate")
			CancelDelayCall("SpawnArthurAndMordred")
			CancelDelayCall("ArthurAaaay")
			CancelDelayCall("MordredShocked")
			CancelDelayCall("ArthurShocked")
			CancelDelayCall("MordredSpellcast")
			CancelDelayCall("ArthurAaaay")
			CancelDelayCall("MordredShocked")
			CancelDelayCall("ArthurShocked")
			CancelDelayCall("MordredSpellcast")
			CancelDelayCall("ArthurAaaay")
			CancelDelayCall("HideArthurAndMordred")
		end
	end
	
	if GameHasFinished == 1 then
		EndMissionSuccess()
		
	elseif GameHasFinished == 0 and GameIsMidSequence == false then
	--if the game hasn't finished and it IS NOT in a mid game seq. then set initial state up
	
		SetBriefingBoxPosition(0,0) 
		SetBriefingBoxSize(190,120) 
		CreateBriefingBox( "Miss.Medieval5-Objectives" ) 
		
		CancelDelayCall("StartParticles")
		CancelDelayCall("SpawnMorganaAndMordredIntro")
		CancelDelayCall("MorganaWitch")
		CancelDelayCall("MordredWeirdo")
		CancelDelayCall("ResetAnims", 9.5)
		CancelDelayCall("MordAndMorgDance")
		CancelDelayCall("MordAndMorgAaay")
		CancelDelayCall("MorganaMagic1")
		CancelDelayCall("MorganaMagic2")
		CancelDelayCall("SpawnMerlin")
		CancelDelayCall("MerlinHello")
		CancelDelayCall("MerlinThink")
		CancelDelayCall("MerlinNod")
		CancelDelayCall("MerlinChopChop")
		CancelDelayCall("MerlinVanish")
		
		HideWorm(11)
        HideWorm(10)-- added to hide merlin
		HideWorm(13)
		HideWorm(2)
		--SpawnWorm(8, "wfRefmorgana")
		
		for worm = 0, 7 do

			SpawnWorm( worm )
		end
	end
end	
	
--------------- TEXT CODE------------------------------

function EFMV_TextTrigger() 
	
	
	--if Num < 46 then
	
		Text = TextLabelsArray[Num]
		
		-- (-1) is infinite, (0) is default to 2000 (2 secs)
		SetCommentaryText(Text, -1)
		
		Num = Num + 1
	--end
	
	if Num == 46 then
	
		DelayCall("FadeToBlack", 1)
	end
end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 


--~ function TurnEnded()

--~ 	CameraArrayNumber = 10
--~ 	Num = 27
--~ 	EFMVFlyby()
--~ end
