--***********************************************************
--~ E3 Demo EFMV Sequence
--***********************************************************

function InitialiseLevel()
    LoadLevel("landscapes/DM/DM08.xom", true)

    bQuitable = true
    bUserQuit = 0
    Num = 0
    Num2 = 0
    
    --scheme stuff
    scheme = GetCurrentSchemeData()

    scheme.OverrideInventory = false
    scheme.WormSelectMode = false

    scheme.HealthInCrates = 15
    scheme.CrateProbability = 100

    scheme.TurnTime = 6000
    scheme.SuddenDeathTime = 60000
    scheme.RetreatTime = 500
    scheme.HotSeatTime = 500

    scheme.WeaponProbability   = 50
    scheme.UtilityProbability   = 35
    scheme.HealthProbability   = 15
    
    scheme.Bazooka.Crate = 0
    scheme.Bazooka.Delay    = 0

    scheme.Mortar.Crate    = 1
    scheme.Mortar.Delay    = 0

    scheme.FireWeapon.Crate    = 1
    scheme.FireWeapon.Delay    = 0

    scheme.RocketLauncher.Crate    = 1
    scheme.RocketLauncher.Delay    = 0

    scheme.Grenade.Crate    = 0
    scheme.Grenade.Delay    = 0

    scheme.Trebuchet.Crate     = 1
    scheme.Trebuchet.Delay     = 0

    scheme.BatteringRam.Crate     = 1
    scheme.BatteringRam.Delay     = 0

    scheme.MonkeyHerd.Crate     = 1
    scheme.MonkeyHerd.Delay     = 0

    scheme.MineStrike.Crate     = 1
    scheme.MineStrike.Delay     = 0

    scheme.Armageddon.Crate     = 1
    scheme.Armageddon.Delay     = 0

    scheme.FirePunch.Crate     = 0
    scheme.FirePunch.Delay     = 0

    scheme.Ballista.Crate     = 1
    scheme.Ballista.Delay     = 0

    scheme.GiantLaser.Crate     = 1
    scheme.GiantLaser.Delay     = 0

    scheme.Tower.Crate = 1
    scheme.Tower.Delay  = 0

    scheme.Keep.Crate   = 1
    scheme.Keep.Delay  = 0

    scheme.Castle.Crate   = 1
    scheme.Castle.Delay  = 0

    scheme.Citadel.Crate   = 1
    scheme.Citadel.Delay  = 0

    scheme.Jetpack.Crate     = 1
    scheme.Jetpack.Delay     = 0

    scheme.Freeze.Crate     = 0
    scheme.Freeze.Delay     = 0

    scheme.SkipGo.Crate     = 0
    scheme.SkipGo.Delay     = 0

    scheme.DoubleDamageCrate	= 1
    scheme.DoubleTimeCrate		= 0
    scheme.CrateShowerCrate		= 0
    scheme.CrateSpyCrate		= 0
    
    
end


function CreatePlayers()
    
        CreateStandardPlayer("HUMAN",4,"The Gods","Igor")
        StandardWorm(GetWormData(0),"Odin", "wfRefPlayerWorm1")  
        StandardWorm(GetWormData(1),"Thor", "wfRefPlayerWorm2")  
        StandardWorm(GetWormData(2),"Freya", "wfRefPlayerWorm3")
        StandardWorm(GetWormData(3),"Heimdall", "wfRefPlayerWorm4") 
        
        Worm = GetWormData(0) 
        Worm.HatOverride = "Hat.Oriental4" 
        Worm = GetWormData(1) 
        Worm.HatOverride = "Hat.Oriental4" 
        Worm = GetWormData(2) 
        Worm.HatOverride = "Hat.Oriental4" 
        Worm = GetWormData(3) 
        Worm.HatOverride = "Hat.Oriental4" 
        
       
      
        CreateStandardPlayer("Human",4,"Nasty Bunch","Classic")
        StandardWorm(GetWormData(4),"Dr H", "wfRefEnemyWorm1")
        StandardWorm(GetWormData(5),"Evil", "wfRefEnemyWorm2")  
        StandardWorm(GetWormData(6),"Jules", "wfRefEnemyWorm3")  
        StandardWorm(GetWormData(7),"Irvine", "wfRefEnemyWorm4")

        Worm = GetWormData(4) 
        Worm.HatOverride = "Hat.Oriental2" 
        Worm = GetWormData(5) 
        Worm.HatOverride = "Hat.Oriental2" 
        Worm = GetWormData(6) 
        Worm.HatOverride = "Hat.Oriental2" 
        Worm = GetWormData(7) 
        Worm.HatOverride = "Hat.Oriental2" 
        
        
            
	--PLAYER 1 INVENTORY--
	EmptyInventory(0)
        inventory = GetPlayerInventory(0)
        inventory.Bazooka = kWF_INFINITE_AMOUNT
	inventory.Mortar = 8
	inventory.FireWeapon = 5
	inventory.RocketLauncher = 2
	inventory.Grenade = kWF_INFINITE_AMOUNT
	inventory.Trebuchet = 2
	inventory.BatteringRam = 1
        inventory.BananaBombLauncher = 1
	inventory.MonkeyHerd = 2
	inventory.MineStrike = 1
	inventory.Armageddon = 1
	inventory.FirePunch = kWF_INFINITE_AMOUNT
	inventory.Ballista = 6
	inventory.GiantLaser = 2
	inventory.Tower = 5
	inventory.Keep = 2
	inventory.Castle = 1
	inventory.Citadel = 1
	inventory.Jetpack = 2
	inventory.Freeze = 0
	inventory.SkipGo = kWF_INFINITE_AMOUNT

	player = GetPlayerData(0)
	player.SpecialWeapon = "kNoSpecialWeapon"

	--PLAYER 2 INVENTORY--
	EmptyInventory(1)
        inventory = GetPlayerInventory(1)
        inventory.Bazooka = kWF_INFINITE_AMOUNT
	inventory.Mortar = 8
	inventory.FireWeapon = 5
	inventory.RocketLauncher = 2
	inventory.Grenade = kWF_INFINITE_AMOUNT
	inventory.Trebuchet = 2
	inventory.BatteringRam = 1
        inventory.BananaBombLauncher = 1
	inventory.MonkeyHerd = 2
	inventory.MineStrike = 1
	inventory.Armageddon = 1
	inventory.FirePunch = kWF_INFINITE_AMOUNT
	inventory.Ballista = 6
	inventory.GiantLaser = 2
	inventory.Tower = 5
	inventory.Keep = 2
	inventory.Castle = 1
	inventory.Citadel = 1
	inventory.Jetpack = 2
	inventory.Freeze = 0
	inventory.SkipGo = kWF_INFINITE_AMOUNT	
	
	player = GetPlayerData(1)
	player.SpecialWeapon = "kNoSpecialWeapon"
	
	referee = GetRefereeData()
	referee.TurnCounter = 0
	referee.WindDirection = 0
	referee.WindDirectionVariance = 180.0
	referee.WindStrengthMinimum = 0.0
	referee.WindStrengthVariance = 10.0
--	referee.SuspendTimer = true;

end

function HideWormsNow()

	CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHere0072", false )
	CreateBuilding( kWF_BUILDING_STRONGHOLD, 1, "buildHere0042", false )

end

function CheckSuddenDeath()

    referee = GetRefereeData()
     
    if referee.TotalGameTime >= 60000 then
        EndRound(-2)
    end    

end







