
-- Tutorial 5
--
-- Gripes:
-- * When a worm dies and respawns, the briefing box pops up before the worm is placed back upon the landscape.
-- * Cameras galore still to add in.
-- Bugs:

function InitialiseLevel()
    LoadLevel("landscapes/T/T3.xom",true) 

    scheme = GetCurrentSchemeData()

	scheme.BoobyTrapProbability = 0
	
    scheme.OverrideInventory = true
    scheme.WormSelectMode = false

    scheme.HealthInCrates = 50
    scheme.CrateProbability = 100

    scheme.TurnTime = 6500
    scheme.SuddenDeathTime = 270000
    scheme.RetreatTime = 500
    scheme.HotSeatTime = 0 --500

    scheme.WeaponProbability   = 25
    scheme.UtilityProbability   = 25
    scheme.HealthProbability   = 25
    
    scheme.Bazooka.Ammo = kWF_INFINITE_AMOUNT
    scheme.Bazooka.Crate = 0
    scheme.Bazooka.Delay    = 0

    scheme.Mortar.Ammo     = 5
    scheme.Mortar.Crate    = 1
    scheme.Mortar.Delay    = 0

    scheme.FireWeapon.Ammo     = 3
    scheme.FireWeapon.Crate    = 1
    scheme.FireWeapon.Delay    = 0

    scheme.HomingPigeon.Ammo     = 1
    scheme.HomingPigeon.Crate    = 0
    scheme.HomingPigeon.Delay    = 0

    scheme.RocketLauncher.Ammo     = 1
    scheme.RocketLauncher.Crate    = 1
    scheme.RocketLauncher.Delay    = 0

    scheme.Grenade.Ammo     = kWF_INFINITE_AMOUNT
    scheme.Grenade.Crate    = 0
    scheme.Grenade.Delay    = 0

    scheme.ClusterLauncher.Ammo     = 5
    scheme.ClusterLauncher.Crate    = 1
    scheme.ClusterLauncher.Delay    = 0

    scheme.FireGrenadeLauncher.Ammo     = 3
    scheme.FireGrenadeLauncher.Crate    = 1
    scheme.FireGrenadeLauncher.Delay    = 0

    scheme.BananaBombLauncher.Ammo      = 1
    scheme.BananaBombLauncher.Crate     = 1
    scheme.BananaBombLauncher.Delay     = 0

    scheme.Trebuchet.Ammo      = 1
    scheme.Trebuchet.Crate     = 0
    scheme.Trebuchet.Delay     = 0

    scheme.Canary.Ammo      = 1
    scheme.Canary.Crate     = 1
    scheme.Canary.Delay     = 0

    scheme.OldLady.Ammo      = 1
    scheme.OldLady.Crate     = 1
    scheme.OldLady.Delay     = 0

    scheme.BatteringRam.Ammo      = 0
    scheme.BatteringRam.Crate     = 0
    scheme.BatteringRam.Delay     = 0

    scheme.SuperHippo.Ammo      = 1
    scheme.SuperHippo.Crate     = 0
    scheme.SuperHippo.Delay     = 0

    scheme.MonkeyHerd.Ammo      = 0
    scheme.MonkeyHerd.Crate     = 0
    scheme.MonkeyHerd.Delay     = 0

    scheme.AirStrike.Ammo      = 1
    scheme.AirStrike.Crate     = 0
    scheme.AirStrike.Delay     = 0

    scheme.NapalmStrike.Ammo      = 0
    scheme.NapalmStrike.Crate     = 0
    scheme.NapalmStrike.Delay     = 0

    scheme.MineStrike.Ammo      = 1
    scheme.MineStrike.Crate     = 0
    scheme.MineStrike.Delay     = 6

    scheme.AnimalStrike.Ammo      = 0
    scheme.AnimalStrike.Crate     = 0
    scheme.AnimalStrike.Delay     = 0

    scheme.TrojanDonkey.Ammo      = 0
    scheme.TrojanDonkey.Crate     = 0
    scheme.TrojanDonkey.Delay     = 0

    scheme.ElectricalStorm.Ammo 	= 1
    scheme.ElectricalStorm.Crate	= 0
    scheme.ElectricalStorm.Delay	= 0

    scheme.Earthquake.Ammo      = 0
    scheme.Earthquake.Crate     = 0
    scheme.Earthquake.Delay     = 0

    scheme.Flood.Ammo      = 0
    scheme.Flood.Crate     = 0
    scheme.Flood.Delay     = 0

    scheme.NuclearStrike.Ammo      = 0
    scheme.NuclearStrike.Crate     = 0
    scheme.NuclearStrike.Delay     = 0

    scheme.Armageddon.Ammo      = 0
    scheme.Armageddon.Crate     = 0
    scheme.Armageddon.Delay     = 0

    scheme.FirePunch.Ammo      = kWF_INFINITE_AMOUNT
    scheme.FirePunch.Crate     = 0
    scheme.FirePunch.Delay     = 0

    scheme.Ballista.Ammo      = 3
    scheme.Ballista.Crate     = 1
    scheme.Ballista.Delay     = 0

    scheme.MiniGun.Ammo      = 2
    scheme.MiniGun.Crate     = 1
    scheme.MiniGun.Delay     = 0

    scheme.GiantCrossbow.Ammo      = 1
    scheme.GiantCrossbow.Crate     = 1
    scheme.GiantCrossbow.Delay     = 0

    scheme.GiantLaser.Ammo      = 0
    scheme.GiantLaser.Crate     = 0
    scheme.GiantLaser.Delay     = 0
    
    scheme.Tower.Ammo   = 10
    scheme.Tower.Crate = 1
    scheme.Tower.Delay  = 0

    scheme.Keep.Ammo   = 6
    scheme.Keep.Crate   = 1
    scheme.Keep.Delay  = 0

    scheme.Castle.Ammo   = 4
    scheme.Castle.Crate   = 1
    scheme.Castle.Delay  = 0

    scheme.Citadel.Ammo   = 1
    scheme.Citadel.Crate   = 0
    scheme.Citadel.Delay  = 0
    
    scheme.Wall.Ammo   = 0
    scheme.Wall.Crate   = 0
    scheme.Wall.Delay  = 0

    scheme.Hospital.Ammo   = 1
    scheme.Hospital.Crate   = 1
    scheme.Hospital.Delay  = 0

    scheme.Refinery.Ammo   = 1
    scheme.Refinery.Crate   = 1
    scheme.Refinery.Delay  = 0

    scheme.ScienceLab.Ammo   = 1
    scheme.ScienceLab.Crate   = 1
    scheme.ScienceLab.Delay  = 0

    scheme.Wonder.Ammo   = 0
    scheme.Wonder.Crate   = 0
    scheme.Wonder.Delay  = 0

    scheme.Farm.Ammo   = 0
    scheme.Farm.Crate   = 0
    scheme.Farm.Delay  = 0

    scheme.SiegeWorkshop.Ammo   = 0
    scheme.SiegeWorkshop.Crate   = 0
    scheme.SiegeWorkshop.Delay  = 0

    scheme.Storehouse.Ammo   = 0
    scheme.Storehouse.Crate   = 0
    scheme.Storehouse.Delay  = 0

    scheme.MasonsGuild.Ammo   = 0
    scheme.MasonsGuild.Crate   = 0
    scheme.MasonsGuild.Delay  = 0

    scheme.Market.Ammo   = 0
    scheme.Market.Crate   = 0
    scheme.Market.Delay  = 0

    scheme.Stronghold.Ammo   = 0
    scheme.Stronghold.Crate   = 0
    scheme.Stronghold.Delay  = 0

    scheme.Jetpack.Ammo      = 2
    scheme.Jetpack.Crate     = 1
    scheme.Jetpack.Delay     = 0

    scheme.Freeze.Ammo      = 1
    scheme.Freeze.Crate     = 0
    scheme.Freeze.Delay     = 0

    scheme.WormSelect.Ammo      = 1
    scheme.WormSelect.Crate     = 0
    scheme.WormSelect.Delay     = 0

    scheme.Parachute.Ammo      = 2
    scheme.Parachute.Crate     = 1
    scheme.Parachute.Delay     = 0

    scheme.Girder.Ammo      = 2
    scheme.Girder.Crate     = 1
    scheme.Girder.Delay     = 0

    scheme.RepairBuilding.Ammo      = 0
    scheme.RepairBuilding.Crate     = 0
    scheme.RepairBuilding.Delay     = 0

    scheme.SpawnWorm.Ammo      = 2
    scheme.SpawnWorm.Crate     = 0
    scheme.SpawnWorm.Delay     = 0

    scheme.SkipGo.Ammo      = kWF_INFINITE_AMOUNT
    scheme.SkipGo.Crate     = 0
    scheme.SkipGo.Delay     = 0

    scheme.Suicide.Ammo      = 0
    scheme.Suicide.Crate     = 0
    scheme.Suicide.Delay     = 0

    scheme.Surrender.Ammo      = 1
    scheme.Surrender.Crate     = 0
    scheme.Surrender.Delay     = 0

    scheme.DoubleDamageCrate	= 1
    scheme.DoubleTimeCrate		= 0
    scheme.CrateShowerCrate		= 0
    scheme.CrateSpyCrate		= 0
    
    scheme.NumRandomOilDrums = 16
    scheme.NumRandomMines = 10
    
    PointInTutorial = 0 -- counts where abouts we are in the tutorial
    HumanDead = 0       -- counts the number of dead worms on the enemy team
    EnemyDead = 0       -- counts the number of dead worms on the human team
    bQuitable = true
    InGameCameras = false       -- switch to see whether or not this is intro/outro or in-game
	kVictory = false			-- user has finished game!
	
	BriefingBoxIsOpen = false	-- tells me whether or not we have a briefing box open
end

function CreatePlayers()
	SetupHumanPlayer(4,100)
    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRef_T5H1"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRef_T5H2"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRef_T5H3"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRef_T5H4"

    CreateStandardPlayer("AI",4,"Remus' Army","Classic")
    player.WormStartingHealth = 100
    player.Flag = 75
	worm = GetWormData(4)
	worm.HatOverride = "Hat.Roman4"
    StandardWorm(GetWormData(4),"Remus","wfRef_T5E1")
	worm = GetWormData(5)
	worm.HatOverride = "Hat.Roman1"
    StandardWorm(GetWormData(5),"Legionnaire","wfRef_T5E2")
	worm = GetWormData(6)
	worm.HatOverride = "Hat.Roman3"
    StandardWorm(GetWormData(6),"Auxiliary","wfRef_T5E3")
	worm = GetWormData(7)
	worm.HatOverride = "Hat.Medieval2"
    StandardWorm(GetWormData(7),"Centurion","wfRef_T5E4")
	
    CopyContainer( GetAIParamsCPU1(), GetAIParamsWorm(4) )
    CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(5) )
    CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(6) )
    CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(7) )

	inventory = GetPlayerInventory(1)
	inventory.RepairBuilding = 0
	
    referee = GetRefereeData()
    referee.TurnCounter = 0
    referee.WindDirection = 0
    referee.WindDirectionVariance = 180.0
    referee.WindStrengthMinimum = 0.0
    referee.WindStrengthVariance = 10.0
	referee.ShowVictorySequence = false -- Turns the end of game worm celebrations off
	
	SetVictorySequenceAllowed(false)
	
	SetEFMVCameraShakeRatio(0.0)		-- command stops camera from shaking when buildings are created by the script
end

function HideWormsNow()
    TurnOffHudElement("GetReadyMsg", false)

	CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHere0021")
    CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere001")
    CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere0020")
    CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere0015")
    CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere0022")
    CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere0010")
    CreateBuilding( kWF_BUILDING_KEEP, 0, "buildHere000")

    CreateBuilding( kWF_BUILDING_STRONGHOLD, 1, "buildHere0036")
    FlushCommentaryText()
	
	WormAllowIdleAnims(0,false)
	WormAllowIdleAnims(1,false)
	WormAllowIdleAnims(2,false)
	WormAllowIdleAnims(3,false)
	WormAllowIdleAnims(4,false)
	WormAllowIdleAnims(5,false)
	WormAllowIdleAnims(6,false)
	WormAllowIdleAnims(7,false)
	WormResetAnim(0)
	WormResetAnim(1)
	WormResetAnim(2)
	WormResetAnim(3)
	WormResetAnim(4)
	WormResetAnim(5)
	WormResetAnim(6)
	WormResetAnim(7)
	OrientateWorm(0, -90)
	OrientateWorm(1, -90)
	OrientateWorm(2, -80)
	OrientateWorm(3, -100)
	OrientateWorm(4, 62)
	OrientateWorm(5, 0)
	OrientateWorm(6, 30)
	OrientateWorm(7, 30)
	
	TurnOnArtilleryMode(0)
    StartEFMV("IntroT4G",bQuitable)
end

function OnEndEFMV(szSeqName, bUserQuit)
    if InGameCameras == false then
        if bUserQuit == 0 then
            if szSeqName == "IntroT4G" then
                StartEFMV("IntroT4H")
				DelayCall("Intro_Text1", 1.5)
				DelayCall("IntroT4H_Anim1", 0.7)
				DelayCall("IntroT4H_Anim2", 2.2)
				DelayCall("IntroT4H_Anim3", 3.7)
			elseif szSeqName == "IntroT4H" then
				StartEFMV("IntroT4I")
				DelayCall("Intro_Text2", 1.0)
				DelayCall("IntroT4I_Anim1", 0.2)
				DelayCall("IntroT4I_Anim2", 3.9)
			elseif szSeqName == "IntroT4I" then
				StartEFMV("IntroT4J")
				DelayCall("IntroT4J_Anim1", 0.2)
				DelayCall("Intro_Text3", 1.0)
			elseif szSeqName == "IntroT4J" then
				BeginTutorial()
			elseif szSeqName == "ClipT5Outro" then
				EndMissionSuccess()
            end
        elseif bUserQuit == 1 then
            if szSeqName == "IntroT4G"
			or szSeqName == "IntroT4H"
			or szSeqName == "IntroT4I"
			or szSeqName == "IntroT4J" then 
                BeginTutorial()
            elseif szSeqName == "ClipT5Outro" then
				CancelDelayCall("EndingSequence_Text")
				CancelDelayCall("EndingSequence_Text2")
				EndMissionSuccess()
			end
        end
    end
end

function Intro_Text1()
	SetCommentaryText("Tut5.Opening.Comment1", 3500)
end

function Intro_Text2()
	SetCommentaryText("Tut5.Opening.Comment2", 3500)
end

function Intro_Text3()
	SetCommentaryText("Tut5.Opening.Comment3", 3000)
end

function IntroT4H_Anim1()
	WormResetAnim(2)
	WormQueueAnim(2, "worm_shakefist")
end

function IntroT4H_Anim2()
	WormResetAnim(1)
	WormQueueAnim(1, "worm_surveying")
end

function IntroT4H_Anim3()
	WormResetAnim(3)
	WormQueueAnim(3, "worm_comeon1")
end

function IntroT4I_Anim1()
	WormResetAnim(6)
	WormQueueAnim(6, "worm_comeon2")
end

function IntroT4I_Anim2()
	WormResetAnim(5)
	WormQueueAnim(5, "worm_shakefist")
end

function IntroT4J_Anim1()
	WormResetAnim(4)
	WormQueueAnim(4, "worm_speakangry1")
	WormQueueAnim(4, "worm_speakangry2")
	WormQueueAnim(4, "worm_shakefist")
end

function BeginTutorial()
	WormAllowIdleAnims(0,true)
	WormAllowIdleAnims(1,true)
	WormAllowIdleAnims(2,true)
	WormAllowIdleAnims(3,true)
	WormAllowIdleAnims(4,true)
	WormAllowIdleAnims(5,true)
	WormAllowIdleAnims(6,true)
	WormAllowIdleAnims(7,true)
	WormResetAnim(0)
	WormResetAnim(1)
	WormResetAnim(2)
	WormResetAnim(3)
	WormResetAnim(4)
	WormResetAnim(5)
	WormResetAnim(6)
	WormResetAnim(7)

    FlushCommentaryText()
    MakeDefaultBriefingBox("Tut5.Deathmatch.1")
end

function OnExitBriefingBox()
	BriefingBoxIsOpen = false

    if PointInTutorial == 0 then
		-- set special camera, show buildings going down
		DelayCall("DelayAfterClosingSecondBriefingBox", 0.1)
	elseif PointInTutorial == 1 then
        PointInTutorial = 2
        MakeDefaultBriefingBox("Tut5.Deathmatch.2")
    elseif PointInTutorial == 2 then
        PointInTutorial = 3
        MakeDefaultBriefingBox("Tut5.Deathmatch.3")
    elseif PointInTutorial == 10 then   -- failure
        EndMissionFail()
    elseif PointInTutorial == 20 then   -- success
		PointInTutorial = 21
		DelayCall("EndingSequence", 0.2)
    end
end

function DelayAfterClosingSecondBriefingBox()
	--StartGodAnimSequence()
	--DelayCall("RemoveGodWorm", 5.0)
	RemovePlayerBuildings()
end

function RemoveGodWorm()
	RemovePlayerBuildings()
end

function RemovePlayerBuildings()
	ShowBlackBorders()
	SetSpecialCamera("wfRef_T5_StrLookAt","wfRef_T5_StrCam")
	DelayCall("DeletePlayerBuildings",2.0)
	DelayCall("EndDeleteBuildingsScene",4.5)
end

function DeletePlayerBuildings()
	SmokeParticleAndSound("buildHere001")
    SmokeParticleAndSound("buildHere0020")
    SmokeParticleAndSound("buildHere0015")
    SmokeParticleAndSound("buildHere0022")
    SmokeParticleAndSound("buildHere0010")
    SmokeParticleAndSound("buildHere000")
end

function SmokeParticleAndSound(kBuildingRefPoint)
	PlaySound("Weapon.RoundExplode", kBuildingRefPoint)
	CreateParticleEffect("Explosion Smoke", kBuildingRefPoint)
	RemoveBuilding(kBuildingRefPoint)
end

function EndDeleteBuildingsScene()
	RemoveBlackBorders()
	PointInTutorial = 1
	EndSpecialCamera()
	MakeDefaultBriefingBox("Tut5.Deathmatch.1A")
	TurnOffArtilleryMode(0)
end

function EndingSequence()
	FlushCommentaryText()
	StartEFMV("ClipT5Outro", bQuitable)
	DelayCall("EndingSequence_Text", 2.5)
	DelayCall("EndingSequence_Text2", 7.5)
end

function EndingSequence_Text()
	SetCommentaryText("Tut5.Ending.Comment1", 4000)
end

function EndingSequence_Text2()
	SetCommentaryText("Tut5.Ending.Comment2", 4000)
end

-- ********************************************************************************************************
-- *                                            ENGINE ROOM!!                                             *
-- ********************************************************************************************************

function BriefingFail()
    PointInTutorial = 10
    referee = GetRefereeData()
    referee.WinningPlayer = 1
    MakeDefaultBriefingBox( "Tut5.Defeat" )
end

function BriefingSuccess()
	if kVictory == false then
		kVictory = true
		PointInTutorial = 20
		referee = GetRefereeData()
		referee.WinningPlayer = 0
		MakeDefaultBriefingBox( "Tut5.Victory" )
	end
end

function EndMissionFail()
    EndRound(1)
end

function EndMissionSuccess()
    Unlock("LOCK.Scheme.Advanced")

    EndRound(0)
end

function CheckVictoryConditions()
    -- check human stronghold
    stronghold = GetBuildPointInfo( "buildHere0021" )
    -- check human worms
    wormsDead = CheckAreAllWormsDead( 0 )
    
    if stronghold.BuildingType ~= kWF_BUILDING_STRONGHOLD or wormsDead == true then
        -- player has lost
        BriefingFail()
        --return true
    end
    
    -- check AI stronghold
    stronghold = GetBuildPointInfo( "buildHere0036" )
    -- check AI worms
    wormsDead = CheckAreAllWormsDead( 1 )
    
    if stronghold.BuildingType ~= kWF_BUILDING_STRONGHOLD or wormsDead == true then
        -- player has won
        BriefingSuccess()
        --return true	
    end
    
    -- no victory conditions have been met
    return false
end

function MakeDefaultBriefingBox(String)
	if BriefingBoxIsOpen == false then
		SetBriefingBoxPosition(0,0) -- two variables set size and position of briefing box
		SetBriefingBoxSize(190,120)
		CreateBriefingBox(String)
		BriefingBoxIsOpen = true
	end
end

function TurnOnArtilleryMode()
    PlayerWorm = GetWormData(0)
    PlayerWorm.ArtilleryMode = true
end

function TurnOffArtilleryMode()
    PlayerWorm = GetWormData(0)
    PlayerWorm.ArtilleryMode = false
end