--***********************************************************
--                Deathmatch 6
--Player is attacked from both sides by enemy. Must try to build out 
--whilst containing the two enemy bases.
--***********************************************************

function InitialiseLevel()
    LoadLevel("landscapes/DM/DM06.xom",true) 

scheme = GetCurrentSchemeData()

	scheme.OverrideInventory = false
	scheme.WormSelectMode = false
    
    scheme.SuddenDeathMode = "kWeaponSuperBazooka"

	scheme.HealthInCrates = 50
	scheme.CrateProbability = 50

	scheme.TurnTime = 6000
	scheme.SuddenDeathTime = 180000
	scheme.RetreatTime = 500
	scheme.HotSeatTime = 500

	scheme.WeaponProbability   = 50
	scheme.BuildingProbability = 50
	scheme.UtilityProbability   = 25
	scheme.HealthProbability   = 25
	
	scheme.Bazooka.Crate = 0
	scheme.Bazooka.Delay    = 0

	scheme.Mortar.Crate    = 0
	scheme.Mortar.Delay    = 0

	scheme.FireWeapon.Crate    = 1
	scheme.FireWeapon.Delay    = 0

	scheme.HomingPigeon.Crate    = 0
	scheme.HomingPigeon.Delay    = 0

	scheme.RocketLauncher.Crate    = 1
	scheme.RocketLauncher.Delay    = 0

	scheme.Grenade.Crate    = 0
	scheme.Grenade.Delay    = 0

	scheme.ClusterLauncher.Crate    = 1
	scheme.ClusterLauncher.Delay    = 0

	scheme.FireGrenadeLauncher.Crate    = 0
	scheme.FireGrenadeLauncher.Delay    = 0

	scheme.BananaBombLauncher.Crate     = 0
	scheme.BananaBombLauncher.Delay     = 0

	scheme.Trebuchet.Crate     = 0
	scheme.Trebuchet.Delay     = 0

	scheme.Canary.Crate     = 1
	scheme.Canary.Delay     = 0

	scheme.OldLady.Crate     = 1
	scheme.OldLady.Delay     = 0

	scheme.BatteringRam.Crate     = 0
	scheme.BatteringRam.Delay     = 0

	scheme.SuperHippo.Crate     = 0
	scheme.SuperHippo.Delay     = 0

	scheme.MonkeyHerd.Crate     = 0
	scheme.MonkeyHerd.Delay     = 0

	scheme.AirStrike.Crate     = 0
	scheme.AirStrike.Delay     = 0

	scheme.NapalmStrike.Crate     = 0
	scheme.NapalmStrike.Delay     = 0

	scheme.MineStrike.Crate     = 1
	scheme.MineStrike.Delay     = 0

	scheme.AnimalStrike.Crate     = 0
	scheme.AnimalStrike.Delay     = 0

	scheme.TrojanDonkey.Crate     = 0
	scheme.TrojanDonkey.Delay     = 10

	scheme.ElectricalStorm.Crate	= 0
	scheme.ElectricalStorm.Delay	= 0

	scheme.Earthquake.Crate     = 0
	scheme.Earthquake.Delay     = 10

	scheme.Flood.Crate     = 0
	scheme.Flood.Delay     = 8

	scheme.NuclearStrike.Crate     = 1
	scheme.NuclearStrike.Delay     = 0

	scheme.Armageddon.Crate     = 0
	scheme.Armageddon.Delay     = 0

	scheme.FirePunch.Crate     = 0
	scheme.FirePunch.Delay     = 0

	scheme.Ballista.Crate     = 0
	scheme.Ballista.Delay     = 0

	scheme.MiniGun.Crate     = 0
	scheme.MiniGun.Delay     = 0

	scheme.GiantCrossbow.Crate     = 1
	scheme.GiantCrossbow.Delay     = 0

	scheme.GiantLaser.Crate     = 1
	scheme.GiantLaser.Delay     = 0

	scheme.Tower.Crate = 1
	scheme.Tower.Delay  = 0

	scheme.Keep.Crate   = 1
	scheme.Keep.Delay  = 0

	scheme.Castle.Crate   = 1
	scheme.Castle.Delay  = 0

	scheme.Citadel.Crate   = 0
	scheme.Citadel.Delay  = 0

	scheme.Hospital.Crate   = 1
	scheme.Hospital.Delay  = 0

	scheme.Refinery.Crate   = 1
	scheme.Refinery.Delay  = 0

	scheme.ScienceLab.Crate   = 0
	scheme.ScienceLab.Delay  = 0

	scheme.Wonder.Crate   = 0
	scheme.Wonder.Delay  = 0

	scheme.Jetpack.Crate     = 0
	scheme.Jetpack.Delay     = 0

	scheme.Freeze.Crate     = 0
	scheme.Freeze.Delay     = 0

	scheme.WormSelect.Crate     = 0
	scheme.WormSelect.Delay     = 0

	scheme.Parachute.Crate     = 0
	scheme.Parachute.Delay     = 0

	scheme.Girder.Crate     = 0
	scheme.Girder.Delay     = 0

	scheme.RepairBuilding.Crate     = 1
	scheme.RepairBuilding.Delay     = 0

	scheme.SpawnWorm.Crate     = 0
	scheme.SpawnWorm.Delay     = 0

	scheme.SkipGo.Crate     = 0
	scheme.SkipGo.Delay     = 0

	scheme.Suicide.Crate     = 0
	scheme.Suicide.Delay     = 0

	scheme.Surrender.Crate     = 0
	scheme.Surrender.Delay     = 0

	scheme.DoubleDamageCrate	= 1
	scheme.DoubleTimeCrate		= 0
	scheme.CrateShowerCrate		= 0
	scheme.CrateSpyCrate		= 1
	
	scheme.NumRandomOilDrums = 0
	scheme.NumRandomMines = 0
	

	
end

function HideWormsNow()

	--Create Player Stonghold--
	CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHere0026", false )


	--Create Enemy Stonghold--
	CreateBuilding( kWF_BUILDING_STRONGHOLD, 1, "buildHere0074", false )
	CreateBuilding( kWF_BUILDING_STRONGHOLD, 1, "buildHere001", false )
	
	stronghold = GetBuildingData( "buildHere0074" )

	stronghold.VitalBuilding = false

	stronghold = GetBuildingData( "buildHere001" )

	stronghold.VitalBuilding = false
	
	FlushCommentaryText()
end	


function CreatePlayers()
	
	-- Team 0, Player controlled worms
	SetupHumanPlayer(4,100)



	GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRefPlayerWorm1"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRefPlayerWorm2"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRefPlayerWorm3"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRefPlayerWorm4"
	

	
	
	--Create At Team--
	player = CreatePlayer("AI")
	player.NumberOfWorms = 4
	player.Name = "Builders"
	player.ResourcePoints = 16
	player.Handicap = 1
	player.WormStartingHealth = 100
	player.VoiceBank = "Classic"
    
    
    player = GetPlayerData(1)
    player.TeamTombstone = 1
    
	CreatePlayersTeam(player.PlayerIndex)
	StandardWorm(GetWormData(player.PlayerIndex,0),"Nesmut","wfRefEnemyWorm1")
	StandardWorm(GetWormData(player.PlayerIndex,1),"Rahotep","wfRefEnemyWorm2")
	StandardWorm(GetWormData(player.PlayerIndex,2),"Tjtayu","wfRefEnemyWorm3")
	StandardWorm(GetWormData(player.PlayerIndex,3),"Henuka","wfRefEnemyWorm4")

	
        CopyContainer( GetAIParamsCPU3(), GetAIParamsWorm(4) )
	GetAIParamsWorm(4).StrategicBuildStrengthen = 300
        CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(5) )
        CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(6) )
        CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(7) )
	
	--Change Hats--
	Worm = GetWormData(4) 
	Worm.HatOverride = "Hat.Egyptian4" 
	Worm = GetWormData(5) 
	Worm.HatOverride = "Hat.Egyptian4" 
	Worm = GetWormData(6) 
	Worm.HatOverride = "Hat.Egyptian4" 
	Worm = GetWormData(7) 
	Worm.HatOverride = "Hat.Egyptian4" 

	--Sets up Player inventory
	EmptyInventory(0)
	inventory = GetPlayerInventory(0)
	inventory.Bazooka = kWF_INFINITE_AMOUNT    
	inventory.Grenade = kWF_INFINITE_AMOUNT    
	inventory.FirePunch = kWF_INFINITE_AMOUNT 
	inventory.Canary = 1 
	
      
	inventory.NapalmStrike = 1   
	inventory.ClusterLauncher = 6
	inventory.Ballista = 4
	
	inventory.FireWeapon = 2
	inventory.MiniGun = 2   
	inventory.BatteringRam = 1

	inventory.SuperHippo = 1
	inventory.AnimalStrike = 1
	
	inventory.GiantLaser = 1
    
	inventory.Tower = 10
	inventory.Keep = 4
	inventory.Castle = 2
	inventory.Citadel = 1
	inventory.Hospital = 1
	inventory.Refinery = 1
	inventory.ScienceLab = 1
    
	inventory.Jetpack = 2
	inventory.Girder = 2
	inventory.SkipGo = kWF_INFINITE_AMOUNT
	inventory.Surrender = 1
	inventory.SpawnWorm = 2
    
 
	--Delays
	inventory.NapalmStrikeDelay = 3
	inventory.BatteringRamDelay = 5
	inventory.SuperHippoDelay = 6
	inventory.NuclearStrikeDelay = 8
	 
  

	--Sets up AI inventory
	EmptyInventory(1)
	inventory = GetPlayerInventory(1)
	inventory.Bazooka = kWF_INFINITE_AMOUNT    
	inventory.Grenade = kWF_INFINITE_AMOUNT    
	inventory.FirePunch = kWF_INFINITE_AMOUNT 
	inventory.ElectricalStorm = 1 
	
      
	inventory.NapalmStrike = 1   
	inventory.ClusterLauncher = 6
	inventory.Ballista = 4
	
	inventory.FireWeapon = 2
	inventory.FireGrenadeLauncher = 2
	inventory.MiniGun = 2   
	inventory.BatteringRam = 1

	inventory.SuperHippo = 1
	inventory.AnimalStrike = 1
	
	inventory.GiantLaser = 1
    
	inventory.Tower = 10
	inventory.Keep = 8
	inventory.Castle = 4
	inventory.Citadel = 1
	inventory.Hospital = 1
	inventory.Refinery = 1
	inventory.ScienceLab = 1
    
	inventory.Jetpack = 2
	inventory.Girder = 2
	inventory.SkipGo = kWF_INFINITE_AMOUNT
	inventory.Surrender = 1
	inventory.SpawnWorm = 2
    
 
	--Delays
	inventory.NapalmStrikeDelay = 3
	inventory.BatteringRamDelay = 4
	inventory.SuperHippoDelay = 6
	inventory.NuclearStrikeDelay = 8

	referee = GetRefereeData()
	referee.TurnCounter = 0
	referee.WindDirection = 0
	referee.WindDirectionVariance = 180.0
	referee.WindStrengthMinimum = 0.0
	referee.WindStrengthVariance = 10.0
--	referee.SuspendTimer = true;

end

function RoundIsComingToAnEnd()

    referee = GetRefereeData()

    if referee.WinningPlayer == 0 then

        EndRound(0)
		Unlock("LOCK.Deathmatch.07")
		Unlock("LOCK.Fortapedia.Puppet") 
    else
                
        EndRound(1)

    end
end
