--***********************************************************
--                Default level
--***********************************************************

function InitialiseLevel()
    LoadLevel("landscapes/MP/MM2.xom",true)

	scheme = GetCurrentSchemeData()

	scheme.OverrideInventory = true
	scheme.WormSelectMode = false

	scheme.HealthInCrates = 50
	scheme.CrateProbability = 0

	scheme.TurnTime = 4500
	scheme.SuddenDeathTime = 270000
	scheme.RetreatTime = 500
	scheme.HotSeatTime = 0

	scheme.ResourceMax = 32

	scheme.WeaponProbability   = 0
	scheme.UtilityProbability   = 0
	scheme.BuildingProbability   = 50
	scheme.HealthProbability   = 0

	scheme.Bazooka.Ammo = kWF_INFINITE_AMOUNT
	scheme.Bazooka.Crate = 0
	scheme.Bazooka.Delay    = 0

	scheme.Mortar.Ammo     = 4
	scheme.Mortar.Crate    = 1
	scheme.Mortar.Delay    = 0

	scheme.FireWeapon.Ammo     = 3
	scheme.FireWeapon.Crate    = 1
	scheme.FireWeapon.Delay    = 0

	scheme.HomingPigeon.Ammo     = 2
	scheme.HomingPigeon.Crate    = 1
	scheme.HomingPigeon.Delay    = 0

	scheme.RocketLauncher.Ammo     = 1
	scheme.RocketLauncher.Crate    = 1
	scheme.RocketLauncher.Delay    = 0

	scheme.Grenade.Ammo     = kWF_INFINITE_AMOUNT
	scheme.Grenade.Crate    = 0
	scheme.Grenade.Delay    = 0

	scheme.ClusterLauncher.Ammo     = 4
	scheme.ClusterLauncher.Crate    = 1
	scheme.ClusterLauncher.Delay    = 0
    
	scheme.FireGrenadeLauncher.Ammo     = 3
	scheme.FireGrenadeLauncher.Crate    = 1
	scheme.FireGrenadeLauncher.Delay    = 0

	scheme.BananaBombLauncher.Ammo      = 2
	scheme.BananaBombLauncher.Crate     = 1
	scheme.BananaBombLauncher.Delay     = 0
    
	scheme.Trebuchet.Ammo      = 1
	scheme.Trebuchet.Crate     = 1
	scheme.Trebuchet.Delay     = 0

	scheme.Canary.Ammo      = kWF_INFINITE_AMOUNT
	scheme.Canary.Crate     = 0
	scheme.Canary.Delay     = 0

	scheme.OldLady.Ammo      = 4
	scheme.OldLady.Crate     = 1
	scheme.OldLady.Delay     = 0

	scheme.BatteringRam.Ammo      = 3
	scheme.BatteringRam.Crate     = 1
	scheme.BatteringRam.Delay     = 0

	scheme.SuperHippo.Ammo      = 2
	scheme.SuperHippo.Crate     = 1
	scheme.SuperHippo.Delay     = 0

	scheme.MonkeyHerd.Ammo      = 1
	scheme.MonkeyHerd.Crate     = 1
	scheme.MonkeyHerd.Delay     = 0

	scheme.AirStrike.Ammo      = kWF_INFINITE_AMOUNT
	scheme.AirStrike.Crate     = 0
	scheme.AirStrike.Delay     = 4
    
	scheme.NapalmStrike.Ammo      = 4
	scheme.NapalmStrike.Crate     = 1
	scheme.NapalmStrike.Delay     = 4

	scheme.MineStrike.Ammo      = 3
	scheme.MineStrike.Crate     = 1
	scheme.MineStrike.Delay     = 6

	scheme.AnimalStrike.Ammo      = 2
	scheme.AnimalStrike.Crate     = 1
	scheme.AnimalStrike.Delay     = 0

	scheme.TrojanDonkey.Ammo      = 1
	scheme.TrojanDonkey.Crate     = 1
	scheme.TrojanDonkey.Delay     = 0

	scheme.ElectricalStorm.Ammo 	= kWF_INFINITE_AMOUNT
	scheme.ElectricalStorm.Crate	= 0
	scheme.ElectricalStorm.Delay	= 4
    
	scheme.Earthquake.Ammo      = 4
	scheme.Earthquake.Crate     = 1
	scheme.Earthquake.Delay     = 0
    
	scheme.Flood.Ammo      = 3
	scheme.Flood.Crate     = 1
	scheme.Flood.Delay     = 0

	scheme.NuclearStrike.Ammo      = 2
	scheme.NuclearStrike.Crate     = 1
	scheme.NuclearStrike.Delay     = 0

	scheme.Armageddon.Ammo      = 1
	scheme.Armageddon.Crate     = 1
	scheme.Armageddon.Delay     = 0

	scheme.FirePunch.Ammo      = kWF_INFINITE_AMOUNT
	scheme.FirePunch.Crate     = 0
	scheme.FirePunch.Delay     = 0
    
	scheme.Ballista.Ammo      = 4
	scheme.Ballista.Crate     = 1
	scheme.Ballista.Delay     = 0

	scheme.MiniGun.Ammo      = 3
	scheme.MiniGun.Crate     = 1
	scheme.MiniGun.Delay     = 0

	scheme.GiantCrossbow.Ammo      = 2
	scheme.GiantCrossbow.Crate     = 1
	scheme.GiantCrossbow.Delay     = 0

	scheme.GiantLaser.Ammo      = 1
	scheme.GiantLaser.Crate     = 1
	scheme.GiantLaser.Delay     = 0

	scheme.Tower.Ammo   = kWF_INFINITE_AMOUNT
	scheme.Tower.Crate = 1
	scheme.Tower.Delay  = 0
    
	scheme.Keep.Ammo   = 3
	scheme.Keep.Crate = 1
	scheme.Keep.Delay  = 0
    
	scheme.Castle.Ammo   = 2
	scheme.Castle.Crate   = 1
	scheme.Castle.Delay  = 0
    
	scheme.Citadel.Ammo   = 1
	scheme.Citadel.Crate   = 1
	scheme.Citadel.Delay  = 0
    
	scheme.Wall.Ammo   = 0
	scheme.Wall.Crate   = 0
	scheme.Wall.Delay  = 0

	scheme.Hospital.Ammo   = 1
	scheme.Hospital.Crate   = 1
	scheme.Hospital.Delay  = 0
    
	scheme.Refinery.Ammo   = 1
	scheme.Refinery.Crate   = 1
	scheme.Refinery.Delay  = 0
    
	scheme.ScienceLab.Ammo   = 1
	scheme.ScienceLab.Crate   = 1
	scheme.ScienceLab.Delay  = 0

	scheme.Wonder.Ammo   = 1
	scheme.Wonder.Crate   = 1
	scheme.Wonder.Delay  = 0
    
	scheme.Farm.Ammo   = 0
	scheme.Farm.Crate   = 0
	scheme.Farm.Delay  = 0

	scheme.SiegeWorkshop.Ammo   = 0
	scheme.SiegeWorkshop.Crate   = 0
	scheme.SiegeWorkshop.Delay  = 0
    
	scheme.Storehouse.Ammo   = 0
	scheme.Storehouse.Crate   = 0
	scheme.Storehouse.Delay  = 0

	scheme.MasonsGuild.Ammo   = 0
	scheme.MasonsGuild.Crate   = 0
	scheme.MasonsGuild.Delay  = 0

	scheme.Market.Ammo   = 0
	scheme.Market.Crate   = 0
	scheme.Market.Delay  = 0
    
	scheme.Stronghold.Ammo   = 0
	scheme.Stronghold.Crate   = 0
	scheme.Stronghold.Delay  = 0

	scheme.Jetpack.Ammo      = kWF_INFINITE_AMOUNT
	scheme.Jetpack.Crate     = 1
	scheme.Jetpack.Delay     = 0
    
	scheme.Freeze.Ammo      = 0
	scheme.Freeze.Crate     = 1
	scheme.Freeze.Delay     = 0
    
	scheme.WormSelect.Ammo      = 0
	scheme.WormSelect.Crate     = 1
	scheme.WormSelect.Delay     = 0

	scheme.Parachute.Ammo      = 0
	scheme.Parachute.Crate     = 1
	scheme.Parachute.Delay     = 0

	scheme.Girder.Ammo      = 0
	scheme.Girder.Crate     = 1
	scheme.Girder.Delay     = 0
    
	scheme.RepairBuilding.Ammo      = 0
	scheme.RepairBuilding.Crate     = 1
	scheme.RepairBuilding.Delay     = 0
    
	scheme.SpawnWorm.Ammo      = 0
	scheme.SpawnWorm.Crate     = 1
	scheme.SpawnWorm.Delay     = 0

	scheme.SkipGo.Ammo      = kWF_INFINITE_AMOUNT
	scheme.SkipGo.Crate     = 0
	scheme.SkipGo.Delay     = 0

	scheme.Suicide.Ammo      = 4
	scheme.Suicide.Crate     = 0
	scheme.Suicide.Delay     = 0

	scheme.Surrender.Ammo      = 0
	scheme.Surrender.Crate     = 0
	scheme.Surrender.Delay     = 0

	scheme.DoubleDamageCrate	= 1
	scheme.DoubleTimeCrate		= 1
	scheme.CrateShowerCrate		= 1
	scheme.CrateSpyCrate		= 1
	
	scheme.NumRandomOilDrums = 16
	scheme.NumRandomMines = 16
	
	mine = CreateMine()
	mine.Fuse = 5.0
	mine.RandomFuse = true
	mine.Dud = false
	mine.GroundSnap = false
	mine.Index = 666
	SpawnMine("Random",mine)
	
	mine = CreateMine()
	mine.Fuse = 5.0
	mine.RandomFuse = true
	mine.Dud = false
	mine.GroundSnap = true
	mine.Index = 667
	SpawnMine("Random",mine)

end

function CreatePlayers()
--	player = GetPlayerData(0)		-- this must be set from the frontend.
--	player = CreatePlayer(player.IsHuman)
--	CreatePlayersTeam(player.PlayerIndex)
	-- the above code sets up the player using data set by the frontend.

	player = CreatePlayer("HUMAN")
	player.NumberOfWorms = 4
	player.Name = "Parsons"
	player.ResourcePoints = 16
	player.Handicap = 1
	player.WormStartingHealth = 100
      player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
	StandardWorm(GetWormData(player.PlayerIndex,0),"Fluffy")
	StandardWorm(GetWormData(player.PlayerIndex,1),"Psycho")
	StandardWorm(GetWormData(player.PlayerIndex,2),"Coward")
	StandardWorm(GetWormData(player.PlayerIndex,3),"Peaches")
	
	player = CreatePlayer("HUMAN")
	player.NumberOfWorms = 4
	player.Name = "Big Lebowski"
	player.ResourcePoints = 16
	player.Handicap = 1
	player.WormStartingHealth = 100
	player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
	StandardWorm(GetWormData(player.PlayerIndex,0),"Nihilist")
	StandardWorm(GetWormData(player.PlayerIndex,1),"Ferret")
	StandardWorm(GetWormData(player.PlayerIndex,2),"Marmot")
	StandardWorm(GetWormData(player.PlayerIndex,3),"Mr Lebowski")
	
        CopyContainer( GetAIParamsCPU3(), GetAIParamsWorm(4) )
        CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(5) )
        CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(6) )
        CopyContainer( GetAIParamsWorm(4), GetAIParamsWorm(7) )
    
	referee = GetRefereeData()
	referee.TurnCounter = 0
	referee.WindDirection = 0
	referee.WindDirectionVariance = 180.0
	referee.WindStrengthMinimum = 0.0
	referee.WindStrengthVariance = 10.0
	--referee.SuspendTimer = true;

end

function MineDetonated( mineIndex )
	nTest2 = GetNumMines()
	
	if ( mineIndex == 666 ) then
		worm = GetWormData(0)
		worm.Health = 69
	end
end