
--***********************************************************
--                Egypt1
--***********************************************************
--		 objective one, Appease the four gods with four FirePunches to crates/targets, keep Horus alive,
--		 and get to a certain place.
--		 
--	           

--************************************************************



function InitialiseLevel()	
    
    GodTargetsDestroyed = 0
    HorusReachedStrongholdSpawnPoint = false
    ActivateTrigger = false
    targetstatus = false
    targetsdestroyed = 0
    WhichCrate = 0	 	
    cratescollected = 0
    weaponfired = 0
    shottaken = false
    inventory_memory = 0 
    currentInventory = 0
    EndOfMissionTrigger = false
    HeavenlyLight = 0
    
    EFMVActive = false
    
    trigger2reached = false
    trigger3reached = false
    trigger4reached = false
    trigger5reached = false
        
    
    firegone = 0
    
    LoadLevel("landscapes/E/E1.xom",true)
    
    SetObjectives("Miss.Egypt1-Objectives", 3)

    SetupDefaultScheme()    
    
    stopcutscenefordrowning = false
  
    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0
    scheme.HotSeatTime = 0

    
	--efmv ONLY cut names, ARRAYS and variables
	bQuitable = true
	bUserQuit = 0
	CameraArrayNumber = 0
	GameHasFinished = 0
	Num = 1
	GameIsMidSequence = false
	
	--switch to false to disable cameras
	EFMVCamerasAreActive = true
	
	referee = GetRefereeData()
	referee.ShowVictorySequence = false

	TextLabelsArray = { "Miss.Egypt1-EFMV.Intro1", "Miss.Egypt1-EFMV.Intro2", "Miss.Egypt1-EFMV.Intro3", "Miss.Egypt1-EFMV.Intro4", 
					"Miss.Egypt1-EFMV.Intro5", "Miss.Egypt1-EFMV.Intro6", "Miss.Egypt1-EFMV.Intro7", "Miss.Egypt1-EFMV.Intro8", 
					"Miss.Egypt1-EFMV.Intro9", "Miss.Egypt1-EFMV.Intro10", "Miss.Egypt1-EFMV.Intro11", "Miss.Egypt1-EFMV.Intro12",	
					"Miss.Egypt1-EFMV.Intro13", "Miss.Generic.Hint4", "Miss.Egypt1-EFMV.Intro14", "Miss.Egypt1-EFMV.Intro15", 
					"Miss.Egypt1-EFMV.Intro16", "Miss.Egypt1-EFMV.Intro17", "Miss.Egypt1-EFMV.Intro18", "Miss.Egypt1-EFMV.Spooky", 
					"Miss.Egypt1-EFMV.Intro19", "Miss.Egypt1-EFMV.Intro20", "Miss.Egypt1-EFMV.Intro21", "Miss.Egypt1-EFMV.Intro22", 
					"Miss.Egypt1-EFMV.Intro23", "Miss.Egypt1-EFMV.Intro24", "Miss.Egypt1-EFMV.Intro25","Miss.Egypt1-EFMV.Intro26", 
					"Miss.Egypt1-EFMV.Intro27", "Miss.Egypt1-EFMV.Intro28" } 
					   
	EFMVArray = { "intro", "cut1", "cut2", "cut3", "cratecut1", "cut4", "cut5", "cut6", "cut7", "cut8", "cut9", "cut10", "cratelook1",
                        "cratelook2","cratelook3","cratelook4"} 
    
end

--*************************************************************


function CreatePlayers()

    -------- Player 0 ------------
    
--    player = CreatePlayer("HUMAN")
--	player.NumberOfWorms = 1
--	player.Name = "Horus"
--	player.WormStartingHealth = 150
--    player.VoiceBank = "Classic"
--	CreatePlayersTeam(player.PlayerIndex)

--	StandardWorm(GetWormData(0),"Horus","wfRef000Horus")
--	GetWormData(0,0).VitalWorm = true
--    
--    
--    player = CreatePlayer("HUMAN")
--	player.NumberOfWorms = 5
--	player.Name = "The Undead"
--	player.WormStartingHealth = 150
--    player.VoiceBank = "Classic"
--    player.Hat = kHatEgyptian4
--	CreatePlayersTeam(player.PlayerIndex)

--	StandardWorm(GetWormData(1),"Mummy 1","wfRef001")    
--	StandardWorm(GetWormData(2),"Mummy 2","wfRef002")    
--	StandardWorm(GetWormData(3),"Mummy 3","wfRef003")
--	StandardWorm(GetWormData(4),"Seth","wfRef004")    
--	StandardWorm(GetWormData(5),"Pharaoh","wfRef005")
    
    SetupHumanPlayer(6,100)
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"
    --player.VoiceBank = "Classic"
    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRef000Horus"
    GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRef001"
    GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRef002"
    GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRef003"
    GetWormData(player.PlayerIndex,4).SpawnPointName ="wfRef004"
    GetWormData(player.PlayerIndex,5).SpawnPointName ="wfRef005"
    
      CreateNeutralWorm(6)
      SetWormHatFromPlayer(6,0)
    
    --wfRef000HorusStartGame
    
    -- Let's sort out which hats the worms are going to wear.
    
--    Worm = GetWormData(0) 
--    Worm.HatOverride = "NoHat" 
    
    --Pharaoh       
    Worm = GetWormData(1) 
    Worm.HatOverride = "Hat.Egyptian4" 
   
    --Seth
    Worm = GetWormData(4) 
    Worm.HatOverride = "Hat.Egyptian3"
    
    
    
--    --Mummy Worms
    Worm = GetWormData(2) 
    Worm.HatOverride = "Hat.Egyptian4" 
--   
    Worm = GetWormData(3) 
    Worm.HatOverride = "Hat.Egyptian4" 
--   
    Worm = GetWormData(4) 
    Worm.HatOverride = "Hat.Egyptian3" 
--    
    Worm = GetWormData(5) 
    Worm.HatOverride = "Hat.Egyptian4" 
    
    Worm = GetWormData(6) 
    Worm.HatOverride = "Hat.Egyptian3" 
--   
    -------------------------------------------------------------
    

    --CreateNeutralWorm(6)
    
    --Sets up Team 0 inventory

    EmptyInventory(0)
    inventory.Surrender = 0
    --inventory.Jetpack = 10
    inventory = GetPlayerInventory(0)
   
    EmptyInventory(1)
    
    fdamage1 = CreateProximityObject("wfRefFire1", kWF_PROXIMITY_FIRE, 0.5)
    fdamage2 = CreateProximityObject("wfRefFire2", kWF_PROXIMITY_FIRE, 0.5)
    fdamage3 = CreateProximityObject("wfRefFire3", kWF_PROXIMITY_FIRE, 0.5)
    fdamage4 = CreateProximityObject("wfRefFire4", kWF_PROXIMITY_FIRE, 0.5)
    
    StandardRefereeSettings()

end




--********************************************************************************************************************************

function TimeExpiredOnLongTurn()

	-- mission only fails on death, so reset the timers to give another six minutes
	
	scheme = GetCurrentSchemeData()
	scheme.SuddenDeathTime = 360 * 100
	
	referee = GetRefereeData()
	referee.TotalGameTime = 0
end

function HideWormsNow()

        SetInstantReplaysOn(false)

        Watch("cratescollected")
        Watch("firegone")

        TurnOffHudElement("Time", false)
	
        SetupNeverEndingTurn(360,false)
        
        EffectId1 = CreateParticleEffect("largefire", "wfRefGodTarget001") 
        EffectId2 = CreateParticleEffect("largefire", "wfRefGodTarget002") 
        EffectId3 = CreateParticleEffect("largefire", "wfRefGodTarget003") 
        EffectId4 = CreateParticleEffect("largefire", "wfRefGodTarget004") 
        
        Arrow = GetDetailObjectData("BouncyArrow")
        Arrow.IsCollidable = false
        
        SetDetailObjectTimerEvent("BouncyArrow", kEventSetInvisible, 0.1)
        EffectId5 = PlayDetailObjectAnimation( "BouncyArrow", "bounceSource", true )	
        
        MakeMine(2,"wfRefMine1a",5.0,true)
        MakeMine(2,"wfRefMine1b",5.0,true)
        MakeMine(2,"wfRefMine1c",5.0,true)
        MakeMine(2,"wfRefMine1d",5.0,true)
        MakeMine(2,"wfRefMine1e",5.0,true)
        
        
        MakeMine(2,"wfRefMine2a",5.0,true)
        MakeMine(2,"wfRefMine2b",5.0,true)
        MakeMine(2,"wfRefMine2c",5.0,true)
        MakeMine(2,"wfRefMine2d",5.0,true)
        MakeMine(2,"wfRefMine2e",5.0,true)
        
        
        MakeMine(2,"wfRefMine3a",5.0,true)
        MakeMine(2,"wfRefMine3b",5.0,true)
        MakeMine(2,"wfRefMine3c",5.0,true)
        MakeMine(2,"wfRefMine3d",5.0,true)
        MakeMine(2,"wfRefMine3e",5.0,true)
        
       MakeMine(2,"wfRefMine4",5.0,true)
       MakeMine(2,"wfRefMine5",5.0,true)
        
        
        
--	    SpawnMine("wfRefMine1a")
--	    SpawnMine("wfRefMine1b")    
--	    SpawnMine("wfRefMine1c")    
--	    SpawnMine("wfRefMine1d")    
--	    SpawnMine("wfRefMine1e")    
--	    
--	    SpawnMine("wfRefMine2a")
--	    SpawnMine("wfRefMine2b")    
--	    SpawnMine("wfRefMine2c")    
--	    SpawnMine("wfRefMine2d")    
--	    SpawnMine("wfRefMine2e")
--	
--	    SpawnMine("wfRefMine3a")
--	    SpawnMine("wfRefMine3b")    
--	    SpawnMine("wfRefMine3c")    
--	    SpawnMine("wfRefMine3d")    
--	    SpawnMine("wfRefMine3e")
--	
--	    SpawnMine("wfRefMine4")
--	    SpawnMine("wfRefMine5") 



	    -- weapon crates, and also  can not be destroyed as its a first easy mission
		crate = CreateCrate()
		crate.Contents = kWF_WEAPON_FIRE_PUNCH
		crate.NumContents = 1		
		crate.CrateId = 4		
		crate.TeamDestructible = 1	
		crate.WormCollectable = 0		
		crate.TeamCollectable = 0		
		crate.GroundSnap = false		
		crate.FixedPosition = false		
		crate.UXB = false				
		crate.Destructible = false		
		crate.Pushable = false			
		crate.CollectableByPayload = false	
		crate.Collectable = true
		crate.IsCritical = true
		SpawnCrate(0,"wfRefGodBazooka001")
		
		crate = CreateCrate()
		crate.Contents = kWF_WEAPON_FIRE_PUNCH
		crate.NumContents = 1	
		crate.CrateId = 5		
		crate.TeamDestructible = 1		
		crate.WormCollectable = 0		
		crate.TeamCollectable = 0		
		crate.GroundSnap = false		
		crate.FixedPosition = false		
		crate.UXB = false				
		crate.Destructible = false		
		crate.Pushable = false			
		crate.CollectableByPayload = false	
		crate.Collectable = true	
		crate.IsCritical = true
		SpawnCrate(1,"wfRefGodBazooka002")
		
		crate = CreateCrate()
		crate.Contents = kWF_WEAPON_FIRE_PUNCH
		crate.NumContents = 1	
		crate.CrateId = 6		
		crate.TeamDestructible = 1	
		crate.WormCollectable = 0		
		crate.TeamCollectable = 0		
		crate.GroundSnap = false		
		crate.FixedPosition = false		
		crate.UXB = false				
		crate.Destructible = false		
		crate.Pushable = false			
		crate.CollectableByPayload = false	
		crate.Collectable = true
		crate.IsCritical = true	
		SpawnCrate(2,"wfRefGodBazooka003")
		
		crate = CreateCrate()
		crate.Contents = kWF_WEAPON_FIRE_PUNCH
		crate.NumContents = 1		
		crate.CrateId = 7		
		crate.TeamDestructible = 1		
		crate.WormCollectable = 0		
		crate.TeamCollectable = 0		
		crate.GroundSnap = false		
		crate.FixedPosition = false		
		crate.UXB = false				
		crate.Destructible = false		
		crate.Pushable = false			
		crate.CollectableByPayload = false	
		crate.Collectable = true	
		crate.IsCritical = true
		SpawnCrate(3,"wfRefGodBazooka004")
	
		crate = CreateCrate()
		crate.Contents = kWF_TRIGGER_CRATE 
		crate.NumContents = 1			
		crate.CrateId = 0			
		crate.TeamDestructible = 0		
		crate.WormCollectable = 1		
		crate.TeamCollectable = 4		
		crate.GroundSnap = true		
		crate.FixedPosition = true		
		crate.UXB = false				
		crate.Destructible = true		
		crate.Pushable = false			
		crate.CollectableByPayload = false	
		crate.Collectable = false	
		crate.Model = "Crate.Target"
		crate.SpinBaby = true
		crate.ScaleFactor = 1.0
		SpawnCrate(0,"wfRefGodTarget001")
        
        
        crate = CreateCrate()
		crate.Contents = kWF_TRIGGER_CRATE 
		crate.NumContents = 1			
		crate.CrateId = 1			
		crate.TeamDestructible = 0		
		crate.WormCollectable = 1		
		crate.TeamCollectable = 4		
		crate.GroundSnap = true		
		crate.FixedPosition = true
		crate.UXB = false				
		crate.Destructible = true		
		crate.Pushable = false			
		crate.CollectableByPayload = false	
		crate.Collectable = false	
		crate.Model = "Crate.Target"	
		crate.SpinBaby = true
		crate.ScaleFactor = 1.0
		SpawnCrate(1,"wfRefGodTarget002")
		
        crate = CreateCrate()
		crate.Contents = kWF_TRIGGER_CRATE 
		crate.NumContents = 1			
		crate.CrateId = 2			
		crate.TeamDestructible = 0		
		crate.WormCollectable = 1		
		crate.TeamCollectable = 4		
		crate.GroundSnap = true		
		crate.FixedPosition = true		
		crate.UXB = false				
		crate.Destructible = true		
		crate.Pushable = false			
		crate.CollectableByPayload = false	
		crate.Collectable = false		
		crate.Model = "Crate.Target"
		crate.SpinBaby = true
		crate.ScaleFactor = 1.0
		SpawnCrate(2,"wfRefGodTarget003")
        
        crate = CreateCrate()
		crate.Contents = kWF_TRIGGER_CRATE 
		crate.NumContents = 1			
		crate.CrateId = 3			
		crate.TeamDestructible = 0		
		crate.WormCollectable = 1		
		crate.TeamCollectable = 4		
		crate.GroundSnap = true		
		crate.FixedPosition = true		
		crate.UXB = false				
		crate.Destructible = true		
		crate.Pushable = false			
		crate.CollectableByPayload = false	
		crate.Collectable = false	
		crate.Model = "Crate.Target"
		crate.SpinBaby = true
		crate.ScaleFactor = 1.0
		SpawnCrate(3,"wfRefGodTarget004")
        
	    --hides all worms for flyby
		HideWorm( 0 )
		HideWorm( 1 )
		HideWorm( 2 )
		HideWorm( 3 )
		HideWorm( 4 )
		HideWorm( 5 )

	ShowOnlyScriptCommentary(true)
	
	Fade(false, 0.2, false)
	StartAllEFMVTimers()   
	EFMVFlyby()
	--all functions within EFMV
	
end


function CheckVictoryConditions()
    if CheckAreAllWormsDead(0) then
	    return true					-- turn finished worm is dead
    else
            return false
    end
end

--*********************************************************

function WormDamaged( wormIndex, AssailantTaskId, damage )
	
	if wormIndex == 0 and EFMVActive == false then

        SetCommentaryText("Miss.Generic.Hint39")
        
        
        return damage
	end


	return damage
end


--********************************************************


function KillFireParticle1()

         KillParticleEffect(EffectId1)
         RemoveProximityObject(fdamage1)

end


----------------------------------------------

function KillFireParticle2()

        KillParticleEffect(EffectId2)
        RemoveProximityObject(fdamage2)
end


----------------------------------------------

function KillFireParticle3()

        KillParticleEffect(EffectId3)
        RemoveProximityObject(fdamage3)
end


----------------------------------------------

function KillFireParticle4()

        KillParticleEffect(EffectId4)
        RemoveProximityObject(fdamage4)
end


----------------------------------------------


function CrateCollected()

    cratescollected = cratescollected + 1
    

    --text for when crates are collected
    if cratescollected == 1 then 
        SetCommentaryText("Miss.Generic.Game7") 
            
        DelayCall("KillFireParticle1", 6)   
        targetstatus = true
        firegone = 1
        
        GameIsMidSequence = true
        CameraArrayNumber = 12
        DelayCall("EFMVFlyby", 5)
    
    
    elseif cratescollected == 2 then 
        SetCommentaryText("Miss.Generic.Game8") 
        
         DelayCall("KillFireParticle2", 6)   
         targetstatus = true
         firegone = 2
        
        GameIsMidSequence = true
        CameraArrayNumber = 13
        DelayCall("EFMVFlyby", 5)
    
    
    elseif cratescollected == 3 then 
        SetCommentaryText("Miss.Generic.Hint4a")  
             DelayCall("KillFireParticle3", 6)  
        targetstatus = true
        firegone = 3
        
        GameIsMidSequence = true
        CameraArrayNumber = 14
        DelayCall("EFMVFlyby", 5)
        
        
    
    elseif cratescollected == 4 then 
        SetCommentaryText("Miss.Generic.Game9") 
        SetCommentaryText("Miss.Generic.Game1") 
            DelayCall("KillFireParticle4", 6)  
        firegone = 4
        
        -- GameIsMidSequence = true
        CameraArrayNumber = 15
        DelayCall("EFMVFlyby", 5)
        
        EmptyInventory(0)
        inventory = GetPlayerInventory(0)
        inventory.FirePunch = kWF_INFINITE_AMOUNT
        
        Worm = GetWormData(1) 
        Worm.HatOverride = "Hat.Egyptian4" 
            
        CheckObjective(1)
            targetstatus = true
    end
    
    inventory = GetPlayerInventory(0)
    inventory_memory = inventory.FirePunch
    

    collectgarbage()
end
   
--***********************************************************************************************************************   
    
   

function WormDied( WormIndex )

    if WormIndex == 0 then
        if EFMVActive == false then
        SetCommentaryText("Miss.Generic.Game3")
        end
	EndMissionFail()
    end

end

function WormDiedInNeverEndingTurn(nWormDiedIndex)
    -- deliberately empty   
end


function WormDrownedDuringACutScene()

	EndMissionFail()
end


function WormAboutToDrown()

	stopcutscenefordrowning = true

end


--************************************************
    
    
function SetNextPlayerToGo( nPlayerIndex )
	
	if nPlayerIndex == 1 then
		return 0
	end

	return nPlayerIndex
end
    
--********The crates/god targets are placed in front of the Worm statues, only destructible - NOT COLLECTABLE!!!************
function CrateDestroyed()
	
	WhichCrate = WhichCrate + 1
        
	if WhichCrate == 1 then
    SetCommentaryText("Miss.Generic.Game9")	
	end 	
		
        
        
	if WhichCrate == 2 then
    SetCommentaryText("Miss.Generic.Game9")
	end 


	if WhichCrate == 3 then
    SetCommentaryText("Miss.Generic.Game9")
	end 
    
    
    if WhichCrate == 4 then
    
    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.FirePunch = 0
    
    DelayCall("MidGameEFMVSequence", 2)
    
end
    

	
        targetsdestroyed = targetsdestroyed + 1
        
	collectgarbage()
	
end


--CRATE TARGETS SPAWNS!!!!!!


----



function MidGameEFMVSequence()
	 --cut to midgame camera 
	CameraArrayNumber = 8
	Num = 22
	GameIsMidSequence = true
        SpawnHeavenlyLight()
	bQuitable = true
	EFMVFlyby()
end

--****************************************************

function CheckTargetStatus ()


	--inventory = GetPlayerInventory( 0 )
	--currentInventory = inventory.FirePunch
        
        --if inventory_memory ~= currentInventory then
            --weaponfired = weaponfired + 1
            --shottaken = true
        --end

	--if targetstatus == true then
            --if shottaken == true then
		--if weaponfired > targetsdestroyed then
        
        
      
end








--*************Horus has reached the spawn point for the stronghold to appear*********************	  
  
function OnEntrypCubetrigger1( wormTaskId )
	if ActivateTrigger == true then
		Horus = GetWormData(wormTaskId)
	    
		if Horus.WormIndex == 0 and HorusReachedStrongholdSpawnPoint == false then
	    
			HorusReachedStrongholdSpawnPoint = true
            
			--spawns mummy worms at end
--~ 			SpawnWorm( 1 )
--~ 			SpawnWorm( 2 )
--~ 			SpawnWorm( 3 )
            
			StrongholdIsSpawnedIn()
		end
	end
end 


function OnEntrypCubetrigger2( wormTaskId )

		
	    
		if trigger2reached == false then
	    
			trigger2reached = true
            SetCommentaryText("Miss.Medieval4-EFMV.Intro16")
			
		end

end 


function OnEntrypCubetrigger3( wormTaskId )

		Horus = GetWormData(wormTaskId)
	    
		if Horus.WormIndex == 0 and trigger3reached == false then
	    
			trigger3reached = true
            SetCommentaryText("Miss.Medieval4-EFMV.Intro16")
			
		end

end 

function OnEntrypCubetrigger4( wormTaskId )

		Horus = GetWormData(wormTaskId)
	    
		if Horus.WormIndex == 0 and trigger4reached == false then
	    
			trigger4reached = true
            SetCommentaryText("Miss.Generic.Hint11")
			
		end

end 


function OnEntrypCubetrigger5( wormTaskId )

		Horus = GetWormData(wormTaskId)
	    
		if Horus.WormIndex == 0 and trigger5reached == false then
	    
			trigger5reached = true
			SetCommentaryText("Miss.Generic.Hint11")
			
		end

end 


--***********************   Hidden Worms return   *************************

function StrongholdIsSpawnedIn ()
	--CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHere007" )

	
	--game has finished so go to outro
	GameHasFinished = 1
	CameraArrayNumber = 9
	Num = 23
        KillHeavenlyLight()
	StartAllEFMVTimers() 
	DelayCall("EFMVFlyby", 2)
end

function EndMissionSuccess()

        Unlock("LOCK.Fortapedia")
    
        --if referee.TotalGameTime < 180000 then 
        SetMedal(kGoldMedal)
           Unlock("LOCK.Flag.Egyptian")
           Unlock("LOCK.Fortapedia.Egypt") 
--        
--        
--        elseif referee.TotalGameTime < 500 then 
--        SetMedal(kSilverMedal) 
--        Unlock("LOCK.Fortapedia.Egypt")
--        
--        
--        
--        elseif referee.TotalGameTime > 500 then 
--        SetMedal(kBronzeMedal) 
--        Unlock("LOCK.Fortapedia.Egypt")
        --end 


    SetCommentaryText("Miss.Generic.Success")
    EndRound(0)
end

function EndMissionFail()
    EndRound(-2)
end

function CheckSuddenDeath()
    return false
end



--Checks if the players time runs out
--function TimeExpiredOnLongTurn()
--	if EndOfMissionTrigger == false and HorusReachedStrongholdSpawnPoint == false then
--    
--    
--        SetCommentaryText("Chall.Generic.Win3")
--		EndMissionFail()
--		EndOfMissionTrigger = true
--	end
--end

function PlayerUsedItem(eItem,nPlayerIndex,nWormIndex)
	if eItem == kWF_WEAPON_FIRE_PUNCH then
		DelayCall("PlayerFiredFirePunch",6)  
	end
end

--In this section we are checking for the 4 god targets being destroyed, removing the weaponry from the player
--and then giving them the Stronghold they need to place in order to advance to the next chapter.
function PlayerFiredFirePunch()
        if ActivateTrigger == false then
            CheckTargetStatus()
        end
	
        if WhichCrate == 4 then  
            ActivateTrigger = true
            --At this point I will need to display an EFMV cutscene to show where the trigger is Horus must go. 
	end	
end

--***********************************************************

--**********************************************************************************************************

--					CAMERA STUFF DOWN BELOW

--**********************************************************************************************************


function EFMVFlyby() -- Starts the EFMV sequence
	
	if stopcutscenefordrowning == false then
	
		--if cameras are active then continue with intro
		 if EFMVCamerasAreActive == true then
	
			CameraArrayNumber = CameraArrayNumber + 1
			StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
            EFMVActive = true
        
		--if cameras are disabled then start the game
		elseif EFMVCamerasAreActive == false then
			SetGameUpAndCancelEverything()
		end

	end
end

function OnEndEFMV(szSeqName, bUserQuit)

    EFMVActive = false
    
	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()

		elseif bUserQuit == 0 then
	
		if CameraArrayNumber < 8 then
			bQuitable = true
			EFMVFlyby()
		
		elseif CameraArrayNumber == 8  then --last intro cam
			SetGameUpAndCancelEverything()
			
		--start of mid-game sequence
		elseif CameraArrayNumber == 9 then
			--GameIsMidSequence = false
        
		elseif CameraArrayNumber == 10 then
			EFMVFlyby()
	
		elseif CameraArrayNumber == 11 then
			EFMVFlyby()
			
		elseif CameraArrayNumber == 12 then 
			EndMissionSuccess()
		end
        end
        
        if CameraArrayNumber == 13 or CameraArrayNumber == 14 or 
            CameraArrayNumber == 15 or CameraArrayNumber == 16 then
           
		GameIsMidSequence = false
	end
end



function StartAllEFMVTimers() 
	
	if CameraArrayNumber == 0 then
	
		--DelayCall("WhiteScreenOut", 27.5)
		DelayCall("SpawnSeth", 27.7)
		DelayCall("SethGreeting", 30)
		DelayCall("SethHappygoLucky", 33.5)
		DelayCall("SethScowl", 39.7 )
		DelayCall("SpawnPharaoh", 44)
		DelayCall("PharoahGreeting", 45)
		DelayCall("PharaohDisappointed", 49)
		DelayCall("PharoahCry", 54.5)
		DelayCall("KillOffPharaoh", 59 )
		DelayCall("SpawnHorus", 64)
		DelayCall("SethLookLeft", 64.5)
		DelayCall("HorusWave", 66)
		DelayCall("SethSpeak", 70)
		DelayCall("OrientateHorusToSeth", 70)
		DelayCall("OrientateHorusToCam", 73)
		DelayCall("HorusWhatever", 74)
		DelayCall("SethSpeak", 73.5)
		DelayCall("OrientateSeth", 125)
		DelayCall("SethBow", 126)
		DelayCall("HorusNod", 128)
		DelayCall("HorusNod", 128.5)
		DelayCall("HideSeth", 129)
                DelayCall("SpawnHeavenlyLight", 100)
                DelayCall("KillHeavenlyLight", 130)
	
	elseif CameraArrayNumber == 9 then 
		
		DelayCall("MoveSeth", 3)
		DelayCall("SpawnHorusPart2", 3)
		DelayCall("SethDance", 6)
		
		DelayCall("MummyScreenShake", 12)
		DelayCall("SpawnMummyWorm1", 13)
		DelayCall("HorusShocked", 13.5)
		DelayCall("MummyScreenShake", 14)
		DelayCall("SpawnMummyWorm2", 15)
		DelayCall("HorusScared1", 15)
		DelayCall("MummyScreenShake", 18)
		DelayCall("HorusScared2", 17)
		DelayCall("SpawnMummyWorm3", 19.7)
		
		DelayCall("HorusBazooka", 22)
		DelayCall("HorusAimBazooka", 23)
		DelayCall("SethHorusNOOOOO", 23.3)
		DelayCall("HorusPutBazAway", 25)
		DelayCall("HorusRepent", 26)
		--DelayCall("FadeToBlack", 43.4)
	end
end

---------------------------INTRO STUFF--------------------------------

--~ function WhiteScreenOut()
--~ 	Fade(false, 9, false)
--~ end

function SpawnSeth()
	CreateParticleEffect("wormspawnA", "wfRefEFMVSeth") 
	SpawnWorm(4, "wfRefEFMVSeth")
	OrientateWorm(4, 140) 
end

function SethGreeting()
	WormAllowIdleAnims(4, false)
	WormResetAnim(4)
	WormQueueAnim(4, "worm_confident")
end

function SethHappygoLucky()
	WormResetAnim(4)
	WormQueueAnim(4, "happy2")
end

function SethScowl()
	WormAllowIdleAnims(4, false)	
	WormResetAnim(4)
	WormQueueAnim(4, "worm_speakangry1")
end

function SpawnPharaoh()
	
	Worm = GetWormData(6) 
	Worm.HatOverride = "Hat.Egyptian1" 
	
	CreateParticleEffect("wormspawnA", "wfRefEFMVPharaoh") 
	CreateParticleEffect("wormspawnB", "wfRefEFMVPharaoh") 
	SpawnWorm(6, "wfRefEFMVPharaoh")
	OrientateWorm(6, 110)
end

function PharoahGreeting()
	WormResetAnim(6)
	WormQueueAnim(6, "worm_wave1")
end

function PharaohDisappointed()
	WormResetAnim(6)
	WormQueueAnim(6, "disappointed1")
end

function PharoahCry()
	WormResetAnim(6)
	WormQueueAnim(6, "worm_clueless")
end

function KillOffPharaoh()
	CreateParticleEffect("wormspawnA", "wfRefEFMVPharaoh") 
	HideWorm(6)
end

function SethLookLeft()
	OrientateWormToWorm(4, 0) 
	WormResetAnim(4)
	WormQueueAnim(4, "worm_contemplates")
--~ 	WormResetAnim(4)
--~ 	WormQueueAnim(4, "worm_salute")
	
end

function SethSpeak()
	--WormResetAnim(4)
	WormQueueAnim(4, "worm_speak3")
	
	DelayCall("SethSpeak", 1.76)
end

function OrientateHorusToSeth()
	OrientateWormToWorm(0, 4) 
end

function OrientateHorusToCam()
	OrientateWorm(0, 125)
end

function HorusWhatever()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_bemused")
end

function SpawnHorus()
	
	--Worm = GetWormData(0) 
	--Worm.HatOverride = "NoHat" 
	
	CreateParticleEffect("wormspawnA", "wfRef000Horus") 
	SpawnWorm(0, "wfRef000Horus")
	OrientateWorm(0, 125)
end

function HorusWave()
	WormAllowIdleAnims(0, false)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_salute")
end

function OrientateSeth()
	CancelDelayCall("SethSpeak")
	OrientateWorm(4, 140)
end

function SethBow()
	WormResetAnim(4)
	WormQueueAnim(4, "worm_bow")
end

function HorusNod()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_nod")
end

function HideSeth()
	CreateParticleEffect("wormspawnA", "wfRefEFMVSeth")
	HideWorm(4)
end

----------------------OUTRO: CAM = 9 / Num = 23 --------------------------

function MoveSeth()
	CreateParticleEffect("wormspawnB", "wfRef001") 
	SpawnWorm(4, "wfRefEFMVSeth1")
end

function SpawnHorusPart2()
	--Worm = GetWormData(0) 
	--Worm.HatOverride = "NoHat" 
	HideWorm(0)
	WormAllowIdleAnims(0, false)
	SpawnWorm(0, "wfRefEFMVHorus")
end

function SethDance()
	WormAllowIdleAnims(4, false)
	WormResetAnim(4)
	WormQueueAnim(4, "worm_spellcast")
end

function MummyScreenShake()
	SetCameraShake(2, 25, 3, 7, 0.1, 0.1, false)
end

function HorusShocked()
	--WormQueueAnim(0, "Neutral")
	WormResetAnim(0)
	WormQueueAnim(0, "worm_shocked")
end

function HorusScared1()
	--WormQueueAnim(0, "Neutral")
	WormResetAnim(0)
	WormQueueAnim(0, "worm_franticpointing")
end

function HorusScared2()
	--WormQueueAnim(0, "Neutral")
	WormResetAnim(0)
	WormQueueAnim(0, "scared3")
end

function SpawnMummyWorm1()

	Worm = GetWormData(1) 
	Worm.HatOverride = "Hat.Egyptian4"  
	
	WormAllowIdleAnims(1, false)
	CreateParticleEffect("wormspawnB", "wfRef001") 
	SpawnWorm(1, "wfRef001")
	--WormResetAnim(1)
	WormQueueAnim(1, "worm_mummy")
	
	DelayCall("MummyLoop", 1.26)
end

function SpawnMummyWorm2()
	WormAllowIdleAnims(2, false)
	CreateParticleEffect("wormspawnB", "wfRef002") 
	SpawnWorm(2, "wfRef002")
	--WormResetAnim(2)
	WormQueueAnim(2, "worm_mummy")
	OrientateWormToWorm(4, 2)
	
	DelayCall("MummyLoop", 1.26)
end

function SpawnMummyWorm3()
	WormAllowIdleAnims(3, false)
	CreateParticleEffect("wormspawnB", "wfRef003") 
	SpawnWorm(3, "wfRef003")
	--WormResetAnim(3)
	WormQueueAnim(3, "worm_mummy")
	OrientateWormToWorm(4, 3)

	
	DelayCall("MummyLoop", 1.26)
end

function MummyLoop()
	WormQueueAnim(1, "worm_mummy")
	WormQueueAnim(2, "worm_mummy")
	WormQueueAnim(3, "worm_mummy")
	
	DelayCall("MummyLoop", 1.26)
end


function SpawnHeavenlyLight()

        HeavenlyLight = 1

        SetDetailObjectTimerEvent("BouncyArrow", kEventSetVisible, 0.1)
--        EffectId5 = CreateParticleEffect
         

end

function KillHeavenlyLight()

        HeavenlyLight = 0

        SetDetailObjectTimerEvent("BouncyArrow", kEventSetInvisible, 0.1)
        DestroyDetailObject("BouncyArrow")
       
end

		
function HorusBazooka()
	CreateWeapon(0, kWF_WEAPON_BAZOOKA)
end

function HorusAimBazooka()
	AimWeapon(0, 10, 10)
end

function SethHorusNOOOOO()
	OrientateWormToWorm(4, 0)
	WormResetAnim(4)
	WormQueueAnim(4, "angry2")
end

function HorusPutBazAway()
	OrientateWormToWorm(0, 4)
	CreateParticleEffect("wormspawnA", "wfRefEFMVHorus") 
	CreateParticleEffect("wormspawnB", "wfRefEFMVHorus") 
	RemoveWeapon(0)
end

function HorusRepent()
	WormResetAnim(0)
	WormQueueAnim(0, "disappointed1")
end

function FadeToBlack()
	Fade(true, 3, true)
end
--------------------------------------------------------------------------------------------------------------
function SetGameUpAndCancelEverything() 
-- Called if the user skips the efmv sequence or the sequence has ended.
	
	if GameIsMidSequence == true then
	end
	
	if GameHasFinished == 1 then
    
		EndMissionSuccess()
		
	elseif GameHasFinished == 0 and GameIsMidSequence == false then
	
		SetBriefingBoxPosition(0,0) 
		SetBriefingBoxSize(190,120) 
		CreateBriefingBox("Miss.Egypt1-Objectives")
		
		--    These points will be used for particles when they are ready.    
		--    SpawnOilDrum("wfRefOil1") 
		--    SpawnOilDrum("wfRefOil2")
		--    SpawnOilDrum("wfRefOil3") 
		--    SpawnOilDrum("wfRefOil4")
		--    SpawnOilDrum("wfRefOil5") 
		--    SpawnOilDrum("wfRefOil6")
		--    SpawnOilDrum("wfRefOil7") 
		
		--    SpawnOilDrum("wfRefOil9") 
		--    SpawnOilDrum("wfRefOil10")
		    
		--    RemoveVictoryLocation( "buildHere001" )
		--    RemoveVictoryLocation( "buildHere002" )
		--    RemoveVictoryLocation( "buildHere003" )
		--    RemoveVictoryLocation( "buildHere004" )
		--    RemoveVictoryLocation( "buildHere005" )
		--    RemoveVictoryLocation( "buildHere006" )
		--    RemoveVictoryLocation( "buildHere007" )
		--    RemoveVictoryLocation( "buildHere008" )
		--    RemoveVictoryLocation( "buildHere009" )
		--    RemoveVictoryLocation( "buildHere0010" )
		--    RemoveVictoryLocation( "buildHere0011" )
		--    RemoveVictoryLocation( "buildHere0013" )
		--    RemoveVictoryLocation( "buildHere0014" )
		--    RemoveVictoryLocation( "buildHere0016" )
		--    RemoveVictoryLocation( "buildHere0017" )
		--    RemoveVictoryLocation( "buildHere0018" )
		
		CancelDelayCall("WhiteScreenOut")
		CancelDelayCall("SpawnSeth")
		CancelDelayCall("SethGreeting")
		CancelDelayCall("SethHappygoLucky")
		CancelDelayCall("SethScowl")
		CancelDelayCall("SpawnPharaoh")
		CancelDelayCall("PharoahGreeting")
		CancelDelayCall("PharaohDisappointed")
		CancelDelayCall("PharoahCry")
		CancelDelayCall("KillOffPharaoh")
		CancelDelayCall("SpawnHorus")
		CancelDelayCall("SethLookLeft")
		CancelDelayCall("HorusWave")
		CancelDelayCall("SethSpeak")
		CancelDelayCall("OrientateHorusToSeth")
		CancelDelayCall("OrientateHorusToCam")
		CancelDelayCall("HorusWhatever")
		CancelDelayCall("SethSpeak")
		CancelDelayCall("OrientateSeth")
		CancelDelayCall("SethBow")
		CancelDelayCall("HorusNod")
		CancelDelayCall("HorusNod")
		CancelDelayCall("HideSeth")
                CancelDelayCall("SpawnHeavenlyLight")
                CancelDelayCall("KillHeavenlyLight")
                
                if HeavenlyLight == 1 then
                    KillHeavenlyLight()
                end

		SpawnWorm(4)
		HideWorm(4)
		HideWorm(6)
		SpawnWorm(0)
		HideWorm(0)
		SpawnWorm(0, "wfRef000HorusStartGame")
		OrientateWorm(0, 140)
		FlushCommentaryText()
	end
end	
	

	
--------------- TEXT CODE------------------------------

function EFMV_TextTrigger() 
	
	if Num == 30 then
	
		Fade(true, 3, true)
	end
	
	Text = TextLabelsArray[Num]
	
	-- (-1) is infinite, (0) is default to 2000 (2 secs)
	SetCommentaryText(Text, -1)
	
	Num = Num + 1

end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 


function MakeMine(IndexNo,String,kFuse,GSnap)
    mine = CreateMine()
    mine.Fuse = kFuse
    mine.RandomFuse = false
    mine.Dud = false
    mine.GroundSnap = GSnap
    mine.Index = IndexNo
    SpawnMine(String,mine) 
end

