-- Greek Mission 1c
--
-- * Paris must survive.
-- * Helen must survive.
-- * Player must kill all enemies.
-- * Player must destroy certain buildpoint in order to free Helen.



	TextLabelsArray = { "Miss.Greek1-EFMV.Intro1", "Miss.Greek1-EFMV.Intro2", "Miss.Greek1-EFMV.Intro3", "Miss.Greek1-EFMV.Intro4", "Miss.Greek1-EFMV.Intro5", "Miss.Greek1-EFMV.Intro6",
                          "Miss.Greek1-EFMV.Intro7", "Miss.Greek1-EFMV.Intro8", "Miss.Greek1-EFMV.Intro9", "Miss.Greek1-EFMV.Intro10", "Miss.Greek1-EFMV.Intro11", "Miss.Greek1-EFMV.Intro12",
                          "Miss.Greek1-EFMV.Intro13", "Miss.Greek1-EFMV.Intro14", "Miss.Greek1-EFMV.Intro15","Miss.Greek1-EFMV.Intro16", "Miss.Greek1-EFMV.Intro17" } -- intro11 on are outro texts

function InitialiseLevel()
    LoadLevel("landscapes/G/G1.xom",true)
    SetupDefaultScheme()   
    
    SetObjectives("Miss.Greek1-Objectives", 4)

    CameraArrayNumber = 0 -- Used for EFMV ONLY
    bQuitable = true -- Used for EFMV ONLY
    GameHasFinished = 0 -- Used for EFMV OUTRO ONLY
    Num = 1 -- Used for the EFMV Text Array ONLY
    EFMVCamerasAreActive = true -- Set to false to disable the intro EFMV camera
    CrateInBuildingSpawn = false
    CrateOnWashingLine = false
    
    helendamaged = false
    
	referee = GetRefereeData()
    referee.ShowVictorySequence = false -- Turns the end of game worm celebrations off
     
    EFMVArray = { "intro", "cut1", "cut2", "cut3", "cut4", "cut5", "cut6"} -- EFMV - cut6 is the outro
	    
			
	
end

function CreatePlayers()
    turn = 0            -- the turn number (currently dormant in this script)
    WhichCrate = 0      -- used to set the crate INDEX, not the crate ID

    -- Team 0, Human Controlled Team - Paris

    
--    player = CreatePlayer("HUMAN")
--	player.NumberOfWorms = 4
--	player.Name = "Human Team"
--	player.WormStartingHealth = 60
--    player.VoiceBank = "Classic"
--	CreatePlayersTeam(player.PlayerIndex)
--    StandardWorm(GetWormData(0),"Soldier 0","wfRefC3_Paris")
--    StandardWorm(GetWormData(1),"Soldier 1","wfRefC3_Crew0")
--    StandardWorm(GetWormData(2),"Soldier 2","wfRefC3_Crew1")
--    StandardWorm(GetWormData(3),"Soldier 3","wfRefC3_Crew2")
    
    
    
    
    SetupHumanPlayer(4,100)
	--player.VoiceBank = "Classic"
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"
    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRefC3_Paris"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRefC3_Crew0"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRefC3_Crew1"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRefC3_Crew2"
    
    

    GetPlayerData(0).AlliedTeam = 0 
    -- Team 1, CPU Vital Dummy Worm - Helen
    
    player = CreatePlayer("HUMAN")
	player.NumberOfWorms = 1
	player.Name = "Helen of Troy"
	player.WormStartingHealth = 10
    player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
    StandardWorm(GetWormData(4),"Helen","wfRefC3_Helen")
    
    GetWormData(4).VitalWorm = true
    GetPlayerData(1).AlliedTeam = 1   
    Worm = GetWormData(4)
    Worm.HatOverride = "Hat.Helen"

    player.Flag = 79
 
    -- Team 2, CPU Enemy Worms
    
    
    

    
    player = CreatePlayer("AI")
	player.NumberOfWorms = 5
	player.Name = "Enemy Army"
	player.WormStartingHealth = 40
    player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
    player = GetPlayerData(2)
	player.TeamTombstone = 4
    StandardWorm(GetWormData(5),"Grunt Dunst","wfRefC3_Enemy0")
    CopyContainer( GetAIParamsCPU5(), GetAIParamsWorm(5) )
    GetAIParamsWorm(5).WeightingAttackBuilding = 0
    
    StandardWorm(GetWormData(6),"Grunt Kel","wfRefC3_Enemy1")
    CopyContainer( GetAIParamsWorm(5),GetAIParamsWorm(6) ) 
    StandardWorm(GetWormData(7),"Grunt Grant","wfRefC3_Enemy2" )
    CopyContainer( GetAIParamsWorm(5),GetAIParamsWorm(7) ) 
    StandardWorm(GetWormData(8),"Grunt Kev","wfRefC3_Enemy3")
    CopyContainer( GetAIParamsWorm(5),GetAIParamsWorm(8) ) 
    StandardWorm(GetWormData(9),"Grunt Rob","wfRefC3_Menelaus")
    CopyContainer( GetAIParamsWorm(5),GetAIParamsWorm(9) ) 
    GetPlayerData(2).AlliedTeam = 1
    

    Worm = GetWormData(5) 
    Worm.HatOverride = "Hat.Roman3"
    Worm = GetWormData(6) 
    Worm.HatOverride = "Hat.Roman3"
    Worm = GetWormData(7) 
    Worm.HatOverride = "Hat.Roman3"
    Worm = GetWormData(8) 
    Worm.HatOverride = "Hat.Roman3"
    Worm = GetWormData(9) 
    Worm.HatOverride = "Hat.Roman3"
 
 
    player.Flag = 76
 
    
    --Sets up Team 0 inventory
    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.FirePunch = 2
    inventory.Mortar = kWF_INFINITE_AMOUNT
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    --inventory.AirStrike = kWF_INFINITE_AMOUNT
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT;
    inventory.Ballista = kWF_INFINITE_AMOUNT;
    inventory.Parachute = 2
    inventory.WormSelect = 2
    inventory.Tower = 0
    inventory.Surrender = 0
--~     inventory.Jetpack = kWF_INFINITE_AMOUNT -- DEBUG
        
    --Clears out hat worm inventory
    EmptyInventory(1)
        
    --Sets up Team 2 inventory
    EmptyInventory(2)
    inventory = GetPlayerInventory(2)
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.FirePunch = kWF_INFINITE_AMOUNT
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Ballista = kWF_INFINITE_AMOUNT
    
    scheme = GetCurrentSchemeData()
    scheme.TurnTime = 4500
--~     scheme.RoundTime = 0
    scheme.SuddenDeathTime = 0
    scheme.RetreatTime = 500
    scheme.HotSeatTime = 500
    scheme.HealthInCrates = 50
    scheme.CrateProbability = 0
    scheme.WeaponProbability   = 0
    scheme.UtilityProbability   = 0
    scheme.HealthProbability   = 100
    
	CreateNeutralWorm(10) -- Ghost worm used for EFMV
    Worm = GetWormData(10) 
    Worm.HatOverride = "Hat.Roman4"
    
    
	CreateNeutralWorm(11) -- Ghost worm used for EFMV
    Worm = GetWormData(11) 
    Worm.HatOverride = "Hat.Roman4"
    
    
    
  
    StandardRefereeSettings()
end


 -- we use this function like the initialise function -- Things that need to appear at the start of the EFMV goes in here.
function HideWormsNow()

    SetInstantReplaysOn(false)


    EffectId1 = CreateParticleEffect("dandilion", "wfRefdandy1") 
    EffectId2 = CreateParticleEffect("dandilion", "wfRefdandy2") 

    EffectId3 = CreateParticleEffect("dandilion", "wfRefdandy3") 
    EffectId4 = CreateParticleEffect("dandilion", "wfRefdandy4") 

    EffectId5 = CreateParticleEffect("dandilion", "wfRefdandy5") 
    EffectId6 = CreateParticleEffect("dandilion", "wfRefdandy6") 
    
    
    SpawnOilDrum("wfRefoil1")
    SpawnOilDrum("wfRefoil2")
    SpawnOilDrum("wfRefoil3")
    SpawnOilDrum("wfRefoil4")        



    PlayDetailObjectAnimation("seagull01", "path1", true)
	PlayDetailObjectAnimation("seagull01", "flap", true)
    DelayCall("Seagull2", 0.5)
    DelayCall("Seagull3", 0.7)
    DelayCall("Seagull4", 1.1)
    DelayCall("Seagull5", 1.3)
    DelayCall("Seagull6", 1.9)

    
    PlayDetailObjectAnimation("butterfly01", "path1", true)
	PlayDetailObjectAnimation("butterfly01", "flap", true)
    DelayCall("butterfly2", 0.4)
    DelayCall("butterfly3", 0.8)
    DelayCall("butterfly4", 1.2)
    DelayCall("butterfly5", 1.6)
    DelayCall("butterfly6", 1.9)
    DelayCall("butterfly7", 2.1)
    DelayCall("butterfly8", 2.4)






SetEFMVCameraShakeRatio(0.0) -- Turn the camera shake for the EFMV off

-- mines for helens prison
    SpawnMine("wfRefmine1")
    SpawnMine("wfRefmine2")
    SpawnMine("wfRefmine3")
    SpawnMine("wfRefmine4")
    SpawnMine("wfRefmine5")
    SpawnMine("wfRefmine6")
    SpawnMine("wfRefmine7")
    SpawnMine("wfRefmine8")
    SpawnMine("wfRefmine9")
    SpawnMine("wfRefmine10")
    SpawnMine("wfRefmine11")
    SpawnMine("wfRefmine12")
    SpawnMine("wfRefmine13")
    SpawnMine("wfRefmine14")
--    SpawnMine("wfRefmine15")
--    SpawnMine("wfRefmine16")





-- remove all the buildings and then create the ones we want
    RemoveAllBuildings()
    CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHere000")
--    CreateBuilding( kWF_BUILDING_TOWER, 0, "buildHere0016")
--    CreateBuilding( kWF_BUILDING_CASTLE, 0, "buildHere000")
    
    CreateBuilding( kWF_BUILDING_STRONGHOLD, 2, "buildHere0012")
    CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0013")
    CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0015")
    
    CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0021", false )
    
    ModifyBuildingHealth( "buildHere0013", 5, true  )
    ModifyBuildingHealth( "buildHere0015", 5, true  )

    FlushCommentaryText()


-- crate hidden in well
    crate = CreateCrate()
    crate.Contents = kWF_BUILDING_TOWER
    crate.NumContents = 4		
    crate.CrateId = 0		
    crate.TeamDestructible = -1	
    crate.WormCollectable = -1		
    crate.TeamCollectable = -1		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true
    crate.IsCritical = false
    SpawnCrate(0,"wfRefcrate1")
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_HEALTH -- what is in the crate.
    crate.HealthInCrate = 30		-- amount of health in a health crate, if set to negative uses the current scheme's CrateHealth
    crate.CrateId = 6				-- id only used and set by scripts
    crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
    crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
    crate.TeamCollectable = 0		-- -1 for all teams, otherwise the index of the team
    crate.GroundSnap = true		-- set to true for crate to be placed on the ground below spawn point.
    crate.FixedPosition = false		-- set to true, crate will not move i.e. stays at spanw point
    crate.UXB = false				-- whether crate is booby trapped
    crate.Destructible = true		-- whether crate can be destroyed.
    crate.Pushable = false			-- whether crate can be moved by weapons.
    crate.CollectableByPayload = false	-- whether crate can be collected by roaming rounds e.g. rhino
    crate.Collectable = true		-- whether crate can be collected
    SpawnCrate(crate.Index,"wfRefcrate4")
        
        
        crate = CreateCrate()
    crate.Contents = kWF_UTILITY_HEALTH -- what is in the crate.
    crate.HealthInCrate = 30		-- amount of health in a health crate, if set to negative uses the current scheme's CrateHealth
    crate.CrateId = 7				-- id only used and set by scripts
    crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
    crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
    crate.TeamCollectable = 0		-- -1 for all teams, otherwise the index of the team
    crate.GroundSnap = true		-- set to true for crate to be placed on the ground below spawn point.
    crate.FixedPosition = false		-- set to true, crate will not move i.e. stays at spanw point
    crate.UXB = false				-- whether crate is booby trapped
    crate.Destructible = true		-- whether crate can be destroyed.
    crate.Pushable = false			-- whether crate can be moved by weapons.
    crate.CollectableByPayload = false	-- whether crate can be collected by roaming rounds e.g. rhino
    crate.Collectable = true		-- whether crate can be collected
    SpawnCrate(crate.Index,"wfRefcrate5")
    

	WormAllowIdleAnims(0,false) -- Turn off the idle anims, DON'T FORGET TO TURN THEM BACK ON!!!!!!!!!
	WormAllowIdleAnims(1,false)
	WormAllowIdleAnims(2,false)
	WormAllowIdleAnims(3,false)
	WormAllowIdleAnims(4,false)
	WormAllowIdleAnims(5,false)
	WormAllowIdleAnims(6,false)
	WormAllowIdleAnims(7,false)
	WormAllowIdleAnims(8,false)
	WormAllowIdleAnims(9,false)
	WormAllowIdleAnims(10,false)
	
    --ShowOnlyScriptCommentary(true)
    EFMVFlyby() -- EFMVStart
	StartAllEFMVTimers() -- Actions during EFMV	
end


function Seagull2()
    PlayDetailObjectAnimation("seagull02", "path1", true)
	PlayDetailObjectAnimation("seagull02", "flap", true)
end

function Seagull3()
    PlayDetailObjectAnimation("seagull03", "path1", true)
	PlayDetailObjectAnimation("seagull03", "flap", true)
end

function Seagull4()
    PlayDetailObjectAnimation("seagull04", "path1", true)
	PlayDetailObjectAnimation("seagull04", "flap", true)
end

function Seagull5()
    PlayDetailObjectAnimation("seagull05", "path1", true)
	PlayDetailObjectAnimation("seagull05", "flap", true)
end

function Seagull6()
    PlayDetailObjectAnimation("seagull06", "path1", true)
	PlayDetailObjectAnimation("seagull06", "flap", true)
end






function butterfly2()
    PlayDetailObjectAnimation("butterfly02", "path1", true)
	PlayDetailObjectAnimation("butterfly02", "flap", true)
end


function butterfly3()
    PlayDetailObjectAnimation("butterfly03", "path1", true)
	PlayDetailObjectAnimation("butterfly03", "flap", true)
end


function butterfly4()
    PlayDetailObjectAnimation("butterfly04", "path1", true)
	PlayDetailObjectAnimation("butterfly04", "flap", true)
end


function butterfly5()
    PlayDetailObjectAnimation("butterfly05", "path1", true)
	PlayDetailObjectAnimation("butterfly05", "flap", true)
end


function butterfly6()
    PlayDetailObjectAnimation("butterfly06", "path1", true)
	PlayDetailObjectAnimation("butterfly06", "flap", true)
end


function butterfly7()
    PlayDetailObjectAnimation("butterfly07", "path1", true)
	PlayDetailObjectAnimation("butterfly07", "flap", true)
end


function butterfly8()
    PlayDetailObjectAnimation("butterfly08", "path1", true)
	PlayDetailObjectAnimation("butterfly08", "flap", true)
end



function UpdateWind()
    --sets the wind to be low for the first stage

       referee = GetRefereeData()
       referee.WindStrengthMinimum = 0.0
       referee.WindStrengthVariance = 0.0


   return true
end


function WormDamaged( wormIndex, AssailantTaskId, damage )
	
	if wormIndex == 4 and damage > 1 and helendamaged == false then
		
        SetCommentaryText( "Miss.Medieval4-EFMV.Intro16" )
        helendamaged = true
        
	end

	-- every other worm takes damage as normal
	return damage
end




-- this function makes sure that Helen never gets a go, and so acts for the time like a dummy worm
function SetNextPlayerToGo( playerIndex )
    if playerIndex == 1 then
        if CheckAreAllWormsDead(2) == true then
            return 0
        else
            return 2
        end
    end
    
    -- take turn order as normal
    return playerIndex
end

function CheckSuddenDeath()
end

function CheckVictoryConditions()
    return false
end

function TurnEnded(playerTaskId)

-- 	CameraArrayNumber = 6 -- Indexs the camera array to the end efmv sequence (8)
-- 	StartAllEFMVTimers() 
-- 	GameHasFinished = 1
-- 	Num = 13
-- 	EFMVFlyby()


    if EnemyDead == 5 then

        CheckObjective(2)

    end
    
    if EnemyDead == 5 and HelenFree == true then
    
        Chapter3Success()
        
    end

    collectgarbage()
end

function EndMissionSuccess()



        Unlock("LOCK.Scheme.Construction")
        Unlock("LOCK.Fortpot")

        
        --if referee.TotalGameTime < 100 then 
           SetMedal(kGoldMedal)
           Unlock("LOCK.Flag.Greek1")
            Unlock("LOCK.Fortapedia.Greek")
            Unlock("LOCK.Fortapedia.Paris")
        
        
--        elseif referee.TotalGameTime < 500 then 
--            SetMedal(kSilverMedal) 
--            Unlock("LOCK.Fortapedia.Greek")
--            Unlock("LOCK.Fortapedia.Paris")
        
        
        
--        elseif referee.TotalGameTime > 500 then 
--            SetMedal(kBronzeMedal) 
--            Unlock("LOCK.Fortapedia.Greek")
--            Unlock("LOCK.Fortapedia.Paris")
--            
--        end 




    SetCommentaryText("Miss.Generic.Success")
    EndRound(0)
end

function EndMissionFailed()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end

function WormDied( WormIndex ) 
    DeadWorm = GetWormData( WormIndex )
    



    if WormIndex == 4 then
        SetCommentaryText("Miss.Generic.Extra4")
        DelayCall("EndMissionFailed", 2)
    end
    
--    
    if CheckAreAllWormsDead( 0 ) == true then 
    EndMissionFailed() 
    end
    
    if DeadWorm.TeamIndex == 2 then
        EnemyDead = EnemyDead + 1
        if EnemyDead < 4 then
            RandomText = RandomRange(2.0,true)
            if RandomText == 0 then
                SetCommentaryText("Miss.Generic.Hint37")
            elseif RandomText == 1 then
                SetCommentaryText("Miss.Generic.Hint35")
            elseif RandomText == 2 then
                SetCommentaryText("Miss.Generic.Hint13")
            end
        elseif EnemyDead == 4 then
            SetCommentaryText("Miss.Generic.Game18")
        elseif EnemyDead == 5 and HelenFree == false then
            SetCommentaryText("Miss.Greek1.Game3")
            --Helen text needed here
        end
    end
end

function BuildingHasBeenDestroyed( PlayerId, BuildingType )



	playerstronghold = GetBuildPointInfo( "buildHere000" )
    if playerstronghold.BuildingType == -1 then

            
        --players base gone so fail
        DelayCall("EndMissionFailed", 1)
        
	end




    WhatBuilding = GetBuildPointInfo( "buildHere0012" )
    if WhatBuilding.BuildingType == -1 and EndSwitch == false then
        EndSwitch = true
        HelenFree = true
        CheckObjective(3)

        SetCommentaryText("Miss.Generic.Hint37")
        if EnemyDead < 5 then
            SetCommentaryText("Chall.Deathmatch2.Game3")
        end
    end
    
    WhatBuilding = GetBuildPointInfo( "buildHere0013" )
    if WhatBuilding.BuildingType == -1 and EndSwitch == false then
        EndSwitch = true
        HelenFree = true
        SetCommentaryText("Miss.Generic.Hint36")
        CheckObjective(3)

        if EnemyDead < 5 then
            SetCommentaryText("Chall.Deathmatch2.Game3")
        end
    end
    
    WhatBuilding = GetBuildPointInfo( "buildHere0015" )
    if WhatBuilding.BuildingType == -1 and EndSwitch == false then
      SetCommentaryText("Miss.Generic.Hint36")
        EndSwitch = true
        HelenFree = true
        CheckObjective(3)

        if EnemyDead < 5 then
            SetCommentaryText("Chall.Deathmatch2.Game3")
        end

    end
end




function Chapter3Success() -- Now will start the end EFMV sequence when the mission is completed.
	CameraArrayNumber = 6 -- Indexs the camera array to the end efmv sequence (8)
	StartAllEFMVTimers() 
	GameHasFinished = 1
	Num = 13
	EFMVFlyby()
end



function Chap3Variables()
    EnemyDead = 0       -- counts how many enemy are dead
    HelenFree = false   -- set to true when a tower is destroyed and Helen is freed
    EndSwitch = false   -- set to true when mission completed so endmission cannot be sent twice (unlikely anyway)
end

function Chapter3Brief()
    SetBriefingBoxPosition(0,0) 
    SetBriefingBoxSize(190,120) 
    CreateBriefingBox("Miss.Greek1-Objectives")
end

function crateonline()

	CrateOnWashingLine = true

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_HOMING_PIGEON
    crate.NumContents = 1		
    crate.CrateId = 1		
    crate.TeamDestructible = -1	
    crate.WormCollectable = -1		
    crate.TeamCollectable = -1		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true
    crate.IsCritical = false
    SpawnCrate(1,"wfRefcrate2")

end


function cratebypillar()

	CrateInBuildingSpawn = true
	
    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_HOMING_PIGEON
    crate.NumContents = 1	
    crate.CrateId = 2		
    crate.TeamDestructible = -1	
    crate.WormCollectable = -1		
    crate.TeamCollectable = -1		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true
    crate.IsCritical = false
    SpawnCrate(2,"wfRefcrate3")

end



-- ***********************************************************************************************
-- *                                   Camera things bellow here     				             *
-- ***********************************************************************************************


function StartAllEFMVTimers() 


		OrientateWorm(0,300) -- Orientate the players worms
		OrientateWorm(1,350) 
		OrientateWorm(2,310) 
		OrientateWorm(3,290) 


	if CameraArrayNumber == 1 then

		SpawnWorm(10, "wfRefEFMVParis1")
		OrientateWorm(4,300) -- Orientate the Helen worm
		OrientateWorm(10,250) -- Orientate the paris ghost worm
		OrientateWorm(5,350) -- Orientate the thug1 ghost worm
		OrientateWorm(6,10) -- Orientate the thug2 ghost worm
		OrientateWorm(7,150) -- Orientate the thug3 ghost worm
		OrientateWorm(8,80) -- Orientate the thug4 ghost worm
        
        
        
		DelayCall("HelenAnimation", 1)
		DelayCall("ParisWormAnimation1", 18)
		DelayCall("Thug1Animation", 38)
		DelayCall("Thug2Animation", 44)
		DelayCall("Thug3Animation", 48)
		DelayCall("ParisWormAnimation2", 53)
		DelayCall("crateonline", 83)
		DelayCall("cratebypillar", 13)
        
	elseif CameraArrayNumber == 6 then
	
		HideWorm(4) -- Hide the Helen worm as we have no idea where it is.
		SweepAndClearArea("wfRefEFMVHelen1")
		SweepAndClearArea("wfRefEFMVParis")
		SpawnWorm(10, "wfRefEFMVHelen1")
		SpawnWorm(11, "wfRefEFMVParis")
        Worm = GetWormData(11)
        Worm.HatOverride = "Hat.Helen"
        
		OrientateWorm(10,300) -- Orientate the paris ghost worm
		OrientateWorm(11,420) -- Orientate the Helen ghost worm
		DelayCall("EndParisAnimation", 0.1)
		DelayCall("EndHelenAnimation1", 2.8)
		DelayCall("EndParisAnimation2", 5.75)
		DelayCall("EndHelenAnimation", 6)
	end	
end



function EFMVFlyby() -- Starts the EFMV sequence

	 if EFMVCamerasAreActive == true then -- As requested, will disable the intro camera

		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
		
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end



function OnEndEFMV(szSeqName, bUserQuit)

if bUserQuit == 1 then -- User has skipped EFMV
	SetGameUpAndCancelEverything()

	elseif bUserQuit == 0 then
	
		if CameraArrayNumber < 6 then
			EFMVFlyby()
		
		elseif CameraArrayNumber == 6  then  -- Just change the number variable to the amount of flyby cams.
			SetGameUpAndCancelEverything()
		
		elseif CameraArrayNumber == 7 then -- End of the outro EFMV Sequence
		
			
			--SetCommentaryText("Miss.Generic.Game") -- Game will end here if the user has completed the mission.
			 EndMissionSuccess()
		end
end
end



function SetGameUpAndCancelEverything() -- Called if the user skips the efmv sequence or the sequence has ended. - Things needed for the 
								--game go here.

	if GameHasFinished == 1 then
		--SetCommentaryText("Miss.Generic.Game") -- End of EFMV Outro if the user has quit the sequence
		 EndMissionSuccess()
		
	elseif GameHasFinished == 0 then
	
	if CrateOnWashingLine == false then
		crateonline()
	end
	
	if CrateInBuildingSpawn == false then
		cratebypillar()
	end
	
	
	
	SetEFMVCameraShakeRatio(1.0) -- Turn the camera shake for the EFMV on
	
		WormAllowIdleAnims(0,true) -- Turn on the idle anims.
		WormAllowIdleAnims(1,true)
		WormAllowIdleAnims(2,true)
		WormAllowIdleAnims(3,true)
		WormAllowIdleAnims(4,true)
		WormAllowIdleAnims(5,true)
		WormAllowIdleAnims(6,true)
		WormAllowIdleAnims(7,true)
		WormAllowIdleAnims(8,true)
		WormAllowIdleAnims(9,true)
		WormAllowIdleAnims(10,true)
		
		CancelDelayCall("ParisWormAnimation1")
		CancelDelayCall("Thug1Animation")
		CancelDelayCall("Thug2Animation")
		CancelDelayCall("Thug3Animation")
		CancelDelayCall("ParisWormAnimation2")
		CancelDelayCall("HelenAnimation")
		CancelDelayCall("crateonline")
		CancelDelayCall("cratebypillar")
		HideWorm(10)
		Chapter3Brief()
		Chap3Variables()

end
	
end

--///////////////////////////////////////////////////////
--  Trigger text code

function EFMV_TextTrigger() 

	if Num == 17 then
		Fade(true, 3, true) -- fades to black over 3 seconds
	end

    
    Text = TextLabelsArray[Num]
    
-- (-1) is infinite, (0) is default to 2000 (2 secs)
    SetCommentaryText(Text, 0)
    Num = Num + 1
    
end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 



--/// Intro animations bellow here //////

function ParisWormAnimation1()
	WormResetAnim(10) 
	WormQueueAnim(10,"worm_smug") 
end

function ParisWormAnimation2()
	WormResetAnim(10) 
	WormQueueAnim(10,"worm_comeon3") 
end

function HelenAnimation()
	WormResetAnim(4) 
	WormQueueAnim(4,"scared2") 
	DelayCall("HelenAnimation2", 6.80)
end

function HelenAnimation2()
	WormResetAnim(4) 
	WormQueueAnim(4,"scared3") 
	DelayCall("HelenAnimation", 6.40)
end

function Thug1Animation()
	WormResetAnim(6) 
	WormQueueAnim(6,"taunt1") 
end

function Thug2Animation()
	WormResetAnim(7) 
	WormQueueAnim(7,"angry3") 
end

function Thug3Animation()
	OrientateWorm(10,70) -- Orientate the paris ghost worm for cut3
	WormResetAnim(8) 
	WormQueueAnim(8,"angry1") 
end

function EndParisAnimation()
	WormQueueAnim(11,"sad2") 
	WormResetAnim(10) 
	WormQueueAnim(10,"worm_smug") 
end

function EndParisAnimation2()
	WormResetAnim(10) 
	WormQueueAnim(10,"worm_directingheave") 
end

function EndHelenAnimation1()
	WormResetAnim(11) 
	WormQueueAnim(11,"scared2") 
end

function EndHelenAnimation()
	--WormResetAnim(11) 
	WormQueueAnim(11,"scared1") 
	DelayCall("EndHelenAnimation2", 1.6)
end

function EndHelenAnimation2()
	--WormResetAnim(11) 
	WormQueueAnim(11,"scared2") 
	DelayCall("EndHelenAnimation2", 6.75)
end





