
-- Do a search in this script for CUTOFF and you come across all the areas where a scripted camera sequence
-- is necessary.
-- Do a search in this script for ENDPOINT and you will come across the parts of the script where one chapter
-- ends and the next starts.
-- Do a search for PENDING to find piece of the script that are waiting on development.

-- *Medieval 2, 3 chapters*
--
-- Chapter 1: Collect crate 'Excalibur' from top of stairwell, make way back to Galahad's fortress.
-- Chapter 2: Player must collect crates dropped by lady of lake!
-- ! need to delay crates the user collects
-- Chapter 3: Player must defeat enemy and capture all victory locations

-- ! Sort out the mess in CreatePlayers()


--It's now set that if the player CAPTURES 5 victory locations, the mission will end as long as they have collected the Excalibur CRATE


function InitialiseLevel()
    LoadLevel("landscapes/M/M2.xom",true)
    SetupDefaultScheme()    
    
    Watch("StartAllEFMVTimers") 
    
    SetObjectives("Miss.Medieval2-Objectives", 2)

    
    got1 = false
    got2 = false
    got3 = false
    got4 = false
    got5 = false
    got6 = false
    UserStrongGone = false
    
    Human1Dead = false
    Human2Dead = false
    Human3Dead = false
    Human4Dead = false
    PlayersWormsDead = 0
    
    --ArthurHasExcalibur = false
    NumVictoryLocations = 0
    
    	--efmv ONLY cut names, ARRAYS and variables
	bQuitable = true
	bUserQuit = 0
	CameraArrayNumber = 0
	GameHasFinished = 0
	Num = 1
    
        Turn = 0
	
--~ 	-- stops the victory sequence from playing
	referee = GetRefereeData()
	referee.ShowVictorySequence = false
	
	--switch to false to disable cameras
	EFMVCamerasAreActive = true
	
	
	TextLabelsArray = { "Miss.Medieval2-EFMV.Intro1", "Miss.Medieval2-EFMV.Intro2", "Miss.Medieval2-EFMV.Intro3",	
					"Miss.Medieval2-EFMV.Intro4", "Miss.Medieval2-EFMV.Intro5", "Miss.Medieval2-EFMV.Intro6",	
					"Miss.Medieval2-EFMV.Intro13", "Miss.Medieval2-EFMV.Intro14", "Miss.Medieval2-EFMV.Intro15",	
					"Miss.Medieval2-EFMV.Intro19", "Miss.Medieval2-EFMV.Intro20", "Miss.Medieval2-EFMV.Intro21",	
					"Miss.Medieval2-EFMV.Intro22", "Miss.Medieval2-EFMV.Intro23", "Miss.Medieval2-EFMV.Intro24",	
					"Miss.Medieval2-EFMV.Intro25", "Miss.Medieval2-EFMV.Intro26" }	
					
	EFMVArray = { "intro", "cut1", "cut4", "cut5", "cut7", "cut6" } 
    
end


function CreatePlayers()
    WhichCrate = 0      -- This variable is used to create the game's internal crate index number.

--    player = CreatePlayer("HUMAN")
--	player.NumberOfWorms = 4
--	player.Name = "Arthur Job"
--	player.WormStartingHealth = 120
--    player.VoiceBank = "Classic"
--	CreatePlayersTeam(player.PlayerIndex)
    
    GetPlayerData(0).MaxJetpackFuel = 100
--    StandardWorm(GetWormData(0),"Arthur","wfRefC1_Arthur")
--    StandardWorm(GetWormData(1),"Galahad","wfRefC1_Galahad")
--    StandardWorm(GetWormData(2),"Ector","wfRefC1_Ector")
--    StandardWorm(GetWormData(3),"Captain","wfRefC1_Captain")
  
    SetupHumanPlayer(4,100)
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"
	--player.VoiceBank = "Classic"

	GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRefC1_Arthur"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRefC1_Galahad"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRefC1_Ector"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRefC1_Captain"

  
	GetPlayerData(0).MaxJetpackFuel = 999
    
	
    
    
    --Sets up Team 0 inventory
    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.FirePunch = kWF_INFINITE_AMOUNT
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Tower = kWF_INFINITE_AMOUNT
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.RepairBuilding = 5
    inventory.Ballista = 3
    inventory.Keep = 6
    inventory.FireGrenadeLauncher = 7
    inventory.Castle = 3
    inventory.WormSelect = kWF_INFINITE_AMOUNT
    inventory.Parachute = kWF_INFINITE_AMOUNT
    inventory.Girder =2
    inventory.Jetpack = kWF_INFINITE_AMOUNT
    inventory.Surrender = 0
    --DEBUG WEAPON!!!!
    inventory.SuperHippo = 2
    inventory.BananaBombLauncher = 1
    


    
    player = CreatePlayer("AI")
	player.NumberOfWorms = 4
	player.Name = "Gawain"
	player.WormStartingHealth = 80
    player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
    player.Flag = 54
    
    player = GetPlayerData(1)
    player.TeamTombstone = 9
    
    GetPlayerData(1).MaxJetpackFuel = 999
    StandardWorm(GetWormData(4),"Gawain","wfRefC1_Gawain")
    StandardWorm(GetWormData(5),"Gawain's Capt","wfRefC1_GCapt")
    StandardWorm(GetWormData(6),"Grunt","wfRefC1_Grunt")
    StandardWorm(GetWormData(7),"Grunt2","wfRefC1_Grunt2")
        
    CopyContainer( GetAIParamsCPU4(), GetAIParamsWorm(4) ) 
    GetAIParamsWorm(4).WeightingAttackBuilding = 1
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(5) ) 
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(6) ) 
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(7) )
    
    GetAIParamsWorm(0).WeightingThisWormValue = 1
    GetAIParamsWorm(1).WeightingThisWormValue = 1
    GetAIParamsWorm(2).WeightingThisWormValue = 1
    GetAIParamsWorm(3).WeightingThisWormValue = 1
    
    CreateNeutralWorm(8) -- dummy worm in EFMV battle
    CreateNeutralWorm(9) -- dummy worm in EFMV battle
    CreateNeutralWorm(10) -- dummy worm in EFMV battle
    CreateNeutralWorm(11) -- dummy worm in EFMV battle
    CreateNeutralWorm(12) -- dummy merlin
    
    EmptyInventory(1)
    inventory = GetPlayerInventory(1)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.ClusterLauncherDelay = 4
    --inventory.FireGrenadeLauncher = 5
    --inventory.FireGrenadeLauncherDelay = 3
    inventory.FirePunch = kWF_INFINITE_AMOUNT
    
    -- No Crates !
    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0
    scheme.TurnTime = 4500
    scheme.SuddenDeathTime = 270000
    StandardRefereeSettings()
end

function HideWormsNow()

    SetInstantReplaysOn(false)

    --RemoveBuilding("buildHere0020")
    
    --RemoveBuilding("buildHere0028")
    --RemoveBuilding("buildHere0027")
    --RemoveBuilding("buildHere0021")
    --RemoveBuilding("buildHere0019")
    --RemoveBuilding("buildHere0018")
    --RemoveBuilding("buildHere0017")
    --RemoveBuilding("buildHere0016")
    --RemoveBuilding("buildHere0015")

    Watch("NumVictoryLocations")
    Watch("ArthurHasExcalibur")
    

    PlayDetailObjectAnimation("bat01", "path1", true)
	PlayDetailObjectAnimation("bat01", "flap", true)
    DelayCall("bat2", 0.5)
    DelayCall("bat3", 0.9)
    DelayCall("bat4", 1.4)
    DelayCall("bat5", 1.6)
    DelayCall("bat6", 2.3)


SetBuildingIndestructible("buildHere0039", true)
SetBuildingIndestructible("buildHere0038", true)
SetBuildingIndestructible("buildHere0040", true)
SetBuildingIndestructible("buildHere0037", true)
SetBuildingIndestructible("buildHere002", true)
SetBuildingIndestructible("buildHere003", true)
SetBuildingIndestructible("buildHere004", true)
SetBuildingIndestructible("buildHere001", true)
SetBuildingIndestructible("buildHere000", true)





--EffectId3 = CreateParticleEffect("musicalnotes", "wfRefExcaliburEffect")


--        crate = CreateCrate()
--		crate.Contents = kWF_WEAPON_FIRE_PUNCH
--		crate.NumContents = 1		
--		crate.CrateId = 0		
--		crate.TeamDestructible = 0	
--		crate.WormCollectable = 0		
--		crate.TeamCollectable = 10		
--		crate.GroundSnap = true		
--		crate.FixedPosition = false		
--		crate.UXB = false				
--		crate.Destructible = false		
--		crate.Pushable = false			
--		crate.CollectableByPayload = false	
--		crate.Collectable = true
--		crate.IsCritical = true
--		SpawnCrate(0,"wfRefExcalibur")

	HideWorm(0)
	
	StartAllEFMVTimers()
	EFMVFlyby()
	--all functions within EFMV
	
	
end

function CheckSuddenDeath()

    return 0

end

function CheckVictoryConditions()

     if referee.TotalGameTime >= 270000 then
                EndMissionFail()
    end

    return false
end



function bat2()
    PlayDetailObjectAnimation("bat02", "path1", true)
	PlayDetailObjectAnimation("bat02", "flap", true)
end

function bat3()
    PlayDetailObjectAnimation("bat03", "path1", true)
	PlayDetailObjectAnimation("bat03", "flap", true)
end

function bat4()
    PlayDetailObjectAnimation("bat04", "path1", true)
	PlayDetailObjectAnimation("bat04", "flap", true)
end

function bat5()
    PlayDetailObjectAnimation("bat05", "path1", true)
	PlayDetailObjectAnimation("bat05", "flap", true)
end

function bat6()
    PlayDetailObjectAnimation("bat06", "path1", true)
	PlayDetailObjectAnimation("bat06", "flap", true)
end




function BuildingHasBeenDestroyed()

 buildHere0038 = GetBuildPointInfo( "buildHere0038" )
        
        if buildHere0038.BuildingType == -1 and UserStrongGone == false then
        UserStrongGone = true
        EndMissionFailed()
        end

end



function BuildingHasBeenBuilt(PlayerId,BuildingType,buildingIndex)
    if PlayerId == 0 then
    
            NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if  NumVictoryLocations == 5 then
            CheckObjective(1)
            CameraArrayNumber = 5
            Num = 13
            GameHasFinished = 1
	    ShowOnlyScriptCommentary(true)
            FlushCommentaryText()
            DelayCall("StartAllEFMVTimers", 0.6)
            DelayCall("EFMVFlyby", 0.9)
        end
    
        NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if NumVictoryLocations == 1 and got1 == false then
            got1 = true
            SetCommentaryText("Miss.Generic.Game10")
        end
    
    
        NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if NumVictoryLocations == 2 and got2 == false then
            got2 = true
            SetCommentaryText("Miss.Generic.Game10")
        end
    
        NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if NumVictoryLocations == 3 and got3 == false then
            got3 = true
            SetCommentaryText("Miss.Generic.Game10")
        end
    
        NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if NumVictoryLocations == 4 and got4 == false then
            got4 = true
            SetCommentaryText("Miss.Generic.Game10")
        end
    
            NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if NumVictoryLocations == 5 and got5 == false then
            got5 = true
            --SetCommentaryText("Miss.Generic.Game10")
        end
    
        NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if NumVictoryLocations == 6 and got6 == false then
            got6 = true
                SetCommentaryText("Miss.Generic.Game10")
            end
        
    end
end

function TurnEnded(playerTaskId)
    
    Turn = Turn + 1

--    NumVictoryLocations = GetPlayerResourcePoints( 0 )
--    if NumVictoryLocations == 5 then
--		CheckObjective(1)
--		CameraArrayNumber = 5
--		Num = 13
--		GameHasFinished = 1
--		FlushCommentaryText()
--		DelayCall("StartAllEFMVTimers", 1)
--		DelayCall("EFMVFlyby", 1.5)
--    end
    
   
    if Turn == 2 then
    SetCommentaryText("Miss.Generic.Hint9")
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_GIRDER
    crate.NumContents = 3		
    crate.CrateId = 1		
    crate.TeamDestructible = 0	
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = true		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true
    SpawnCrate(1,"wfRefLakeCrate1")
    end
    
    
    if Turn == 5 then
    SetCommentaryText("Miss.Generic.Hint10")
    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_AIR_STRIKE
    crate.NumContents = 1		
    crate.CrateId = 2		
    crate.TeamDestructible = 0	
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = true		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true
    SpawnCrate(2,"wfRefLakeCrate2")
    end
    
    if Turn == 8 then
    SetCommentaryText("Miss.Generic.Hint30")
    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_BATTERING_RAM
    crate.NumContents = 1		
    crate.CrateId = 3		
    crate.TeamDestructible = 0	
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = true		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true
    SpawnCrate(3,"wfRefLakeCrate3")
    end
    
    if Turn == 8 then
    SetCommentaryText("Miss.Generic.Hint9")
    crate = CreateCrate()
    crate.Contents =  kWF_WEAPON_HOMING_PIGEON
    crate.NumContents = 1		
    crate.CrateId = 4		
    crate.TeamDestructible = 0	
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = true		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true
    SpawnCrate(4,"wfRefLakeCrate4")
    end
    
    collectgarbage()
end



--This is the Check to see if Excalibur has been collected.

--function CrateCollected()

--    crate = GetCrateData(0,"wfRefExcalibur")
--	
--	if crate.CrateId == 0 and ArthurHasExcalibur == false then
--    ArthurHasExcalibur = true
--    end
--    
--	collectgarbage()

--end

---*******************************************************--

function WormDied( wormIndex )


    Human1 = GetWormData( 0 )
    Human2 = GetWormData( 1 )
    Human3 = GetWormData( 2 )
    Human4 = GetWormData( 3 )

    if CheckAreAllWormsDead( 0 ) == true then 
    EndMissionFailed() 
    end
    
    
     if Human1.Health <= 0 and Human1Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human1Dead = true
    end
    
    if Human2.Health <= 0 and Human2Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human2Dead = true
    end
    
    if Human3.Health <= 0 and Human3Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human3Dead = true
    end
    
    if Human4.Health <= 0 and Human4Dead == false then
    PlayersWormsDead = PlayersWormsDead + 1
    Human4Dead = true
    end
    
    if PlayersWormsDead == 3 then
    EndMissionFailed() 
    end

    
    
    --if wormIndex == 0 then
        --EndMissionFailed()
        if wormIndex == 4
        or wormIndex == 5
        or wormIndex == 6
        or wormIndex == 7 then
        EnemyWormsDead = EnemyWormsDead + 1
    end
    
    collectgarbage()
end

function EndMissionSuccess()


        Unlock("LOCK.Landscape.Medieval2")

        
        if referee.TotalGameTime < 150000 then 
           SetMedal(kGoldMedal)
           Unlock("LOCK.Flag.Medieval2")
            Unlock("LOCK.Fortapedia.Lady")
        
        
        elseif referee.TotalGameTime < 180000 then 
            SetMedal(kSilverMedal) 
            Unlock("LOCK.Fortapedia.Lady")
        
        
        
        elseif referee.TotalGameTime > 180000 then 
            SetMedal(kBronzeMedal) 
            Unlock("LOCK.Fortapedia.Lady")
        end 



    SetCommentaryText("Miss.Generic.Success")
    EndRound(0)
end

function EndMissionFailed()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end

-- **************************************************************************************************
-- *                                   Relevant to Chapter 3 Only                                   *
-- **************************************************************************************************

function StartChapter3()
    CopyContainer( GetAIParamsCPU4(), GetAIParamsWorm(4) ) 
    GetAIParamsWorm(4).WeightingAttackBuilding = 1
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(5) ) 
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(6) ) 
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(7) )
    
    GetAIParamsWorm(0).WeightingThisWormValue = 1
    GetAIParamsWorm(1).WeightingThisWormValue = 1
    GetAIParamsWorm(2).WeightingThisWormValue = 1
    GetAIParamsWorm(3).WeightingThisWormValue = 1

    Chapter = 3
    Chap3Variables()

end

function Chap3Variables()
    TextControl = 0 -- This variable is used as a switch to prevent text repeating itself sometimes..
    EnemyWormsDead = 0
end

function Chapter3Brief()
    SetBriefingBoxPosition(0,0) 
    SetBriefingBoxSize(190,120) 
    CreateBriefingBox("Miss.Med2-3.Brief")
end

function Chapter3Success()
   
end



--**********************************************************************************************************

--					CAMERA STUFF DOWN BELOW

--**********************************************************************************************************

function EFMVFlyby() -- Starts the EFMV sequence
	
	--if cameras are active then continue with intro
	 if EFMVCamerasAreActive == true then

		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
	
--~ 		ExplosionArrayNumber = ExplosionArrayNumber + 1
--~ 		StartExplosion(ExplosionArray[ExplosionArrayNumber])
	
	--if cameras are disabled then start the game
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end

function OnEndEFMV(szSeqName, bUserQuit)

	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()

		elseif bUserQuit == 0 then
		
		--intro
		if CameraArrayNumber < 5 then
			EFMVFlyby()
		
		elseif CameraArrayNumber == 5  then --last intro cam
			SetGameUpAndCancelEverything()
		
		--last sequence in the outro
		elseif CameraArrayNumber == 6 then 
			--Game will end here if the player has completed the mission.
			EndMissionSuccess()
		end
	end
end

function StartAllEFMVTimers() 
	
	if CameraArrayNumber == 0 then
		
		DelayCall("SpawnFallGuy", 1)
		DelayCall("FallGuyExplosion1", 11.5)
		DelayCall("FallGuyExplosion2", 12)
		DelayCall("FallGuyDie", 12)
		DelayCall("RemoveFallGuy", 15.5)
		
		DelayCall("SortThePissinWormsOut", 1)
		DelayCall("CreateMortar_Gaw", 1)
		DelayCall("AimMortar_Gaw", 2)
		DelayCall("FireMortar_Gaw", 4)
		DelayCall("FireMortar_Gaw", 6)
		DelayCall("FireMortar_Gaw", 8)
		DelayCall("FireMortar_Gaw", 10)
		DelayCall("FireMortar_Gaw", 12)
		DelayCall("CreateBallista_Gala", 1)
		DelayCall("AimBallista_Gala", 2)
		DelayCall("FireBallista_Gala", 3)
		DelayCall("FireBallista_Gala", 5)
		DelayCall("FireBallista_Gala", 7)
		DelayCall("FireBallista_Gala", 9)
		DelayCall("FireBallista_Gala", 11)
		DelayCall("FireBallista_Gala", 13)
		DelayCall("FireBallista_Gala", 15)
		DelayCall("Explosion1", 1)
		DelayCall("Explosion2", 2)
		DelayCall("Explosion3", 4)
		DelayCall("Explosion4", 6)
		DelayCall("Explosion5", 7)
		DelayCall("Explosion6", 9)
		DelayCall("Explosion7", 10)
		DelayCall("Explosion8", 12)
		DelayCall("Explosion9", 14)
		DelayCall("RemoveBallista_Gala", 20)
		DelayCall("RemoveMortar_Gaw", 20)
		DelayCall("ArthurSpawn", 29.5)
 		DelayCall("ArthurWave", 30)
		DelayCall("ArthurGrateful", 35)
		DelayCall("CaptainSalute", 41.5)
		DelayCall("EctorSalute", 43.5)
		DelayCall("GalahadSalute", 46)
		DelayCall("ArthurNod", 66)
		--DelayCall("ArthurNod", 66.5)
		DelayCall("ArthurConfident", 71)
		DelayCall("ArthurUnderstands", 74)
	
	elseif CameraArrayNumber == 5 then
	
		SweepAndClearArea("wfRefC2_Arthur")
		SweepAndClearArea("wfRefMerlinOutro")
		
		DelayCall("MoveArthur", 0.1)
		DelayCall("SpawnMerlin", 1.5)
		DelayCall("MerlinHeheh", 3)
		DelayCall("MerlinNod", 7)
		DelayCall("MerlinNod", 7.5)
		DelayCall("MerlinTurnAndChat", 9.5)
		DelayCall("ArthurSpeak", 3)
	end
end


function SetGameUpAndCancelEverything() 
-- Called if the user skips the efmv sequence or the sequence has ended.
	
SetBuildingIndestructible("buildHere0039", false)
SetBuildingIndestructible("buildHere0038", false)
SetBuildingIndestructible("buildHere0040", false)
SetBuildingIndestructible("buildHere0037", false)
SetBuildingIndestructible("buildHere002", false)
SetBuildingIndestructible("buildHere003", false)
SetBuildingIndestructible("buildHere004", false)
SetBuildingIndestructible("buildHere001", false)
SetBuildingIndestructible("buildHere000", false)

    
	if GameHasFinished == 1 then
		EndMissionSuccess()
	else
	
		Chap3Variables()
		    
		SetBriefingBoxPosition(0,0) 
		SetBriefingBoxSize(190,120) 
		CreateBriefingBox("Miss.Medieval2-Objectives")
		
		
		CancelDelayCall("SpawnFallGuy")
		CancelDelayCall("FallGuyExplosion1")
		CancelDelayCall("FallGuyExplosion2")
		CancelDelayCall("FallGuyDie")
		CancelDelayCall("RemoveFallGuy")
		CancelDelayCall("SortThePissinWormsOut")
		CancelDelayCall("CreateMortar_Gaw")
		CancelDelayCall("AimMortar_Gaw")
		CancelDelayCall("FireMortar_Gaw")
		CancelDelayCall("FireMortar_Gaw")
		CancelDelayCall("FireMortar_Gaw")
		CancelDelayCall("FireMortar_Gaw")
		CancelDelayCall("FireMortar_Gaw")
		CancelDelayCall("CreateBallista_Gala")
		CancelDelayCall("AimBallista_Gala")
		CancelDelayCall("FireBallista_Gala")
		CancelDelayCall("FireBallista_Gala")
		CancelDelayCall("FireBallista_Gala")
		CancelDelayCall("FireBallista_Gala")
		CancelDelayCall("FireBallista_Gala")
		CancelDelayCall("FireBallista_Gala")
		CancelDelayCall("FireBallista_Gala")
		CancelDelayCall("Explosion1")
		CancelDelayCall("Explosion2")
		CancelDelayCall("Explosion3")
		CancelDelayCall("Explosion4")
		CancelDelayCall("Explosion5")
		CancelDelayCall("Explosion6")
		CancelDelayCall("Explosion7")
		CancelDelayCall("Explosion8")
		CancelDelayCall("Explosion9")
		CancelDelayCall("RemoveBallista_Gala")
		CancelDelayCall("RemoveMortar_Gaw")
		CancelDelayCall("ArthurSpawn")
 		CancelDelayCall("ArthurWave")
		CancelDelayCall("ArthurGrateful")
		CancelDelayCall("CaptainSalute")
		CancelDelayCall("EctorSalute")
		CancelDelayCall("GalahadSalute")
		CancelDelayCall("ArthurNod")
		CancelDelayCall("ArthurNod")
		CancelDelayCall("ArthurConfident")
		CancelDelayCall("ArthurUnderstands")
        
		HideWorm(11)
        
	end
end	

-----------------------------INTRO STUFF-------------------------------------

function Explosion1()
	CreateExplosionEffects("wfRefC1_Grunt", kWF_EXPLOSION_LARGE, false)
	CreateExplosionEffects("wfRefC1_Arthur", kWF_EXPLOSION_LARGE, false)
end

function Explosion2()
	CreateExplosionEffects("wfRefC1_GCapt", kWF_EXPLOSION_LARGE, false)
	CreateExplosionEffects("wfRefC1_Arthur", kWF_EXPLOSION_LARGE, false)
end

function Explosion3()
	CreateExplosionEffects("wfRefC1_Arthur", kWF_EXPLOSION_LARGE, false)
end

function Explosion4()
	CreateExplosionEffects("wfRefC1_Gawain", kWF_EXPLOSION_LARGE, false)
end

function Explosion5()
	CreateExplosionEffects("wfRefC1_Galahad", kWF_EXPLOSION_LARGE, false)
end

function Explosion6()
	CreateExplosionEffects("wfRefC1_Gawain", kWF_EXPLOSION_LARGE, false)
end

function Explosion7()
	CreateExplosionEffects("wfRefC1_Captain", kWF_EXPLOSION_LARGE, false)
end

function Explosion8()
	CreateExplosionEffects("wfRefC1_Ector", kWF_EXPLOSION_LARGE, false)
end

function Explosion9()
	CreateExplosionEffects("wfRefC1_Grunt2", kWF_EXPLOSION_LARGE, false)
end

function SpawnFallGuy()
	SpawnWorm(11, "wfRefFallguy")
end

function FallGuyExplosion1()
	CreateExplosionEffects("wfRefExplosion1", kWF_EXPLOSION_LARGE, false)
end

function FallGuyExplosion2()
	CreateExplosionEffects("wfRefExplosion2", kWF_EXPLOSION_LARGE, false)
end

function FallGuyDie()
	WormQueueAnim(11, "worm_shocked")
end

function RemoveFallGuy()
	HideWorm(11)
end

-------------------------GAWAINS MORTAR-----------------------------------

function CreateMortar_Gaw()
	CreateWeapon(4, kWF_WEAPON_BALLISTA)
end

function AimMortar_Gaw()
	AimWeapon(4, 150, -6)
end

function FireMortar_Gaw()
	FireWeapon(4, 1)
end

function AimMortar2_Gaw()
	AimWeapon(4, 200, -7)
end

function FireMortar2_Gaw()
	FireWeapon(4, 1)
end

function AimMortar3_Gaw()
	AimWeapon(4, 90, -6)
end

function FireMortar3_Gaw()
	FireWeapon(4, 1)
end

function RemoveMortar_Gaw()
	RemoveWeapon(4)
end

-------------------------GALAHAD's BALLISTA-------------------------------

function CreateBallista_Gala()
	CreateWeapon(1, kWF_WEAPON_BALLISTA)
end

function AimBallista_Gala()
	AimWeapon(1, 330, -9.5)
end

function FireBallista_Gala()
	FireWeapon(1, 1)
end

function RemoveBallista_Gala()
	RemoveWeapon(1)
end
-------------------------------------------------------------------------------
function SortThePissinWormsOut()
	WormAllowIdleAnims(1, false)
	WormAllowIdleAnims(2, false)
	WormAllowIdleAnims(3, false)
	--OrientateWorm(1, 50)
	OrientateWorm(2, 330)
	OrientateWorm(3, 350)
end

function ArthurSpawn()
	WormAllowIdleAnims(0, false)
	CreateParticleEffect("wormspawnA", "wfRefC1_Arthur")
	CreateParticleEffect("wormspawnB", "wfRefC1_Arthur")
	SpawnWorm(0, "wfRefC1_Arthur")
	OrientateWorm(0, 55)
end

function ArthurWave()
	WormAllowIdleAnims(0, false)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_confident")
end

function ArthurGrateful()
	WormAllowIdleAnims(0, false)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_grateful")
end

function EctorSalute()
	WormResetAnim(2)
	WormQueueAnim(2, "worm_flutter")
end

function CaptainSalute()
	WormResetAnim(3)
	WormQueueAnim(3, "worm_salute")
end

function GalahadSalute()
	OrientateWorm(1, 0)
	WormResetAnim(1)
	WormQueueAnim(1, "happy2")
end


function ArthurUnderstands()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_understands")
end

function ArthurNod()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_bemused")
end

function ArthurConfident()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_salute")
end


------------OUTRO: CAM = 5 /  NUM = 13 ----------------------------------
function MoveArthur()
	HideWorm(0)
	
--	Worm = GetWormData(0) 
--	Worm.HatOverride = "NoHat" 
	
	SpawnWorm(0, "wfRefC2_Arthur")
	OrientateWorm(0, 52)
end

function SpawnMerlin()
	
	Worm = GetWormData(12) 
	Worm.HatOverride = "Hat.Wizard" 
	
	SpawnWorm(12, "wfRefMerlinOutro")
	--CreateExplosionEffects("wfRefMerlinOutro", kWF_EXPLOSION_SMALL, false)
	CreateParticleEffect("wormspawnA", "wfRefMerlinOutro")
	CreateParticleEffect("wormspawnB", "wfRefMerlinOutro")
	OrientateWormToCamera(12)
	OrientateWormToWorm(0, 12)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_shocked")
end	

function MerlinNod()
	OrientateWormToWorm(12, 0)
	WormResetAnim(12)
	WormQueueAnim(12, "worm_nod")
end

function MerlinHeheh()
	WormResetAnim(12)
	WormQueueAnim(12, "worm_flutter")
end

function MerlinTurnAndChat()
	WormResetAnim(12)
	WormQueueAnim(12, "worm_directingheave")
end

function ArthurSpeak()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_speak2")
	DelayCall("ArthurSpeak", 1.9)
end



--------------- TEXT CODE------------------------------

function EFMV_TextTrigger() 
	
	if Num == 17 then
	
		Fade(true, 3, true)
		
	end
	
	Text = TextLabelsArray[Num]
	
	-- (-1) is infinite, (0) is default to 2000 (2 secs)
	SetCommentaryText(Text, -1)
	
	Num = Num + 1

end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 


--*************************************


--~ function TurnEnded()
--~ 	--skip camera to outro
--~ 	CameraArrayNumber = 7
--~ 	--when mission has finished set to 1
--~ 	GameHasFinished = 1
--~ 	Num = 22
--~ 	StartAllEFMVTimers()
--~ 	EFMVFlyby()
--~ 	--EndRound( 0 )		
--~ end 

