--***********************************************************
--                Med04a
--***********************************************************
--	 objective one, parachute down while collecting the crates that spawn.

function InitialiseLevel()

    LoadLevel("landscapes/M/M4.xom",true)

    SetupDefaultScheme()
    
     
    SetObjectives("Miss.Medieval4-Objectives", 3)
    
    whichcrate = 1
    stage = 1
    Player1StrongholdGone = false
    donepart2 = false
    buildinggone = false 
    text1done = false
    text2done = false
    text3done = false
    text4done = false
    text5done = false
    missionfailed = false
    wlevel = 50
    missionatfinalstage = false
    
    
    --UpdateWind()

    	--efmv ONLY cut names, ARRAYS and variables
	bQuitable = true
	bUserQuit = 0
	CameraArrayNumber = 0
	GameHasFinished = 0
	Num = 1
	
	--these variables tell the script whether the game is in a mid sequence or not
	GameIsMidSequence = false

	
	-- stops the victory sequence from playing
--~ 	referee = GetRefereeData()
--~ 	referee.ShowVictorySequence = false
	
	--switch to false to disable cameras
	EFMVCamerasAreActive = true
	
	
	TextLabelsArray = { "Miss.Medieval4-EFMV.Intro1", "Miss.Medieval4-EFMV.Intro2", "Miss.Medieval4-EFMV.Intro3",	
					"Miss.Medieval4-EFMV.Intro4", "Miss.Medieval4-EFMV.Intro5", "Miss.Medieval4-EFMV.Intro6",	
					"Miss.Medieval4-EFMV.Intro7", "Miss.Medieval4-EFMV.Intro8", "Miss.Medieval4-EFMV.Intro9",	
					"Miss.Medieval4-EFMV.Intro10", "Miss.Medieval4-EFMV.Intro11", "Miss.Medieval4-EFMV.Intro12",	
					"Miss.Medieval4-EFMV.Midtro1", "Miss.Medieval4-EFMV.Midtro2", "Miss.Medieval4-EFMV.Midtro3",	
					"Miss.Medieval4-EFMV.Midtro4", "Miss.Medieval4-EFMV.Midtro5", "Miss.Medieval4-EFMV.Midtro6",	
					"Miss.Medieval4-EFMV.Midtro7", "Miss.Medieval4-EFMV.Midtro8","Miss.Medieval4-EFMV.Midtro16", 
					"Miss.Medieval4-EFMV.Midtro17", "Miss.Medieval4-EFMV.Midtro18", "Miss.Medieval4-EFMV.Midtro23", 
					"Miss.Medieval4-EFMV.Midtro19", "Miss.Medieval4-EFMV.Midtro24", "Miss.Medieval4-EFMV.Midtro25", 
					"Miss.Medieval4-EFMV.Outro1", "Miss.Medieval4-EFMV.Outro2", "Miss.Medieval4-EFMV.Outro3", 
					"Miss.Medieval4-EFMV.Outro4", "Miss.Medieval4-EFMV.Outro5", "Miss.Medieval4-EFMV.Outro6", 
					"Miss.Medieval4-EFMV.Outro7", "Miss.Medieval4-EFMV.Outro8", "Miss.Medieval4-EFMV.Outro9" }	
					
	EFMVArray = { "intro", "cut1", "cut2", "cut3", "cut4", "cut5", "cut6", "cut7", "cut8", "cut9" } 
    
    
end
    


--**************************************************************************
--hide the AI dummy worm and start droping the crates
function HideWormsNow()

    SetInstantReplaysOn(false)
    
    PlayDetailObjectAnimation( "holygrail", "grailSource", true )
    EffectId1 = CreateParticleEffect("holygrail", "wfRefGrailEffect") 	

    SetInstantReplaysOn(false)

    TurnOffHudElement("Time", false)
   
    ShowOnlyScriptCommentary(true)
	
	DelayCall ("dropcrates", 1)
	HideWorm(1)
	--all functions within EFMV
	StartAllEFMVTimers()
	EFMVFlyby()
    
end


--**************************************************************************
function CreatePlayers()
-- team 0

    
--    player = CreatePlayer("HUMAN")
--	player.NumberOfWorms = 1
--	player.Name = "Only Arthur"
--	player.WormStartingHealth = 100
--    player.VoiceBank = "Classic"
--	CreatePlayersTeam(player.PlayerIndex)
--    
--    StandardWorm(GetWormData(0),"Arthur","wfRef000")
--           
           
    SetupHumanPlayer(1,100)
	player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"

    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRef000"
    
            
    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.Surrender = 0
    --inventory.Jetpack = 99
    inventory.Parachute = kWF_INFINITE_AMOUNT
              
    -- creates a blank player just so there can be enemy buildings to destroy              
    
    player = CreatePlayer("AI")
	player.NumberOfWorms = 1
	player.Name = "Noneplayer"
	player.WormStartingHealth = 100
    player.VoiceBank = "Classic"
	CreatePlayersTeam(player.PlayerIndex)
    
    --BELOW IS WHERE I SHALL HIDE THE HIDDEN WORM'S HEALTH BAR.
    --SetTeamHealthHidden(1,true)
    
    
    StandardWorm(GetWormData(1),"Noneplayer","wfRef002") 
  


               
    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0

    StandardRefereeSettings()
    referee = GetRefereeData()
--    referee.SuspendTimer = true
    SetupNeverEndingTurn( 600, false )
    
end






--*****************************************************************************
-- spawns crates in depending on which has just been collected
function dropcrates()
    

    if whichcrate == 1 then
    
        ChangeWind( 8,  270)
        crate = CreateCrate()
        crate.Contents = kWF_UTILITY_PARACHUTE
        crate.NumContents = 1			
        crate.CrateId = 1				
        crate.TeamDestructible = 4		
        crate.WormCollectable = 0		
        crate.TeamCollectable = 0		
        crate.GroundSnap = false		
        crate.FixedPosition = false		
        crate.UXB = false				
        crate.Destructible = true		
        crate.Pushable = false			
        crate.CollectableByPayload = false	
        crate.Collectable = true		
        SpawnCrate(crate.Index,"wfRefCrateDrop1")

    
    
    

    elseif whichcrate == 2 then
    
        ChangeWind( 7,  145)
        crate = CreateCrate()
        crate.Contents = kWF_UTILITY_PARACHUTE
        crate.NumContents = 1			
        crate.CrateId = 2				
        crate.TeamDestructible = 4		
        crate.WormCollectable = 0		
        crate.TeamCollectable = 0		
        crate.GroundSnap = false		
        crate.FixedPosition = false		
        crate.UXB = false				
        crate.Destructible = true		
        crate.Pushable = false			
        crate.CollectableByPayload = false	
        crate.Collectable = true		
        SpawnCrate(crate.Index,"wfRefCrateDrop2")
    

    elseif whichcrate == 3 then
    
        ChangeWind( 6,  245)
        crate = CreateCrate()
        crate.Contents = kWF_UTILITY_PARACHUTE
        crate.NumContents = 1			
        crate.CrateId = 3				
        crate.TeamDestructible = 4		
        crate.WormCollectable = 0		
        crate.TeamCollectable = 0		
        crate.GroundSnap = false		
        crate.FixedPosition = false		
        crate.UXB = false				
        crate.Destructible = true		
        crate.Pushable = false			
        crate.CollectableByPayload = false	
        crate.Collectable = true		
        SpawnCrate(crate.Index,"wfRefCrateDrop3")
    

    elseif whichcrate == 4 then
    
        ChangeWind( 8,  45)
        crate = CreateCrate()
        crate.Contents = kWF_UTILITY_PARACHUTE
        crate.NumContents = 1			
        crate.CrateId = 4				
        crate.TeamDestructible = 4		
        crate.WormCollectable = 0		
        crate.TeamCollectable = 0		
        crate.GroundSnap = false		
        crate.FixedPosition = false		
        crate.UXB = false				
        crate.Destructible = true		
        crate.Pushable = false			
        crate.CollectableByPayload = false	
        crate.Collectable = true		
        SpawnCrate(crate.Index,"wfRefCrateDrop4")
    

    elseif whichcrate == 5 then

        ChangeWind( 8,  45)
        crate = CreateCrate()
        crate.Contents = kWF_UTILITY_PARACHUTE
        crate.NumContents = 1			
        crate.CrateId = 5				
        crate.TeamDestructible = 4		
        crate.WormCollectable = 0		
        crate.TeamCollectable = 0		
        crate.GroundSnap = false		
        crate.FixedPosition = false		
        crate.UXB = false				
        crate.Destructible = true		
        crate.Pushable = false			
        crate.CollectableByPayload = false	
        crate.Collectable = true		
        SpawnCrate(crate.Index,"wfRefCrateDrop5")
    
    
    elseif whichcrate == 6 then
    
        ChangeWind( 8,  45)
        crate = CreateCrate()
        crate.Contents = kWF_UTILITY_PARACHUTE
        crate.NumContents = 1			
        crate.CrateId = 6				
        crate.TeamDestructible = 4		
        crate.WormCollectable = 0		
        crate.TeamCollectable = 0		
        crate.GroundSnap = false		
        crate.FixedPosition = false		
        crate.UXB = false				
        crate.Destructible = true		
        crate.Pushable = false			
        crate.CollectableByPayload = false	
        crate.Collectable = true		
        SpawnCrate(crate.Index,"wfRefCrateDrop6")
    

    elseif whichcrate == 7 then
    
        ChangeWind( 8,  45)
        crate = CreateCrate()
        crate.Contents = kWF_UTILITY_PARACHUTE
        crate.NumContents = 1			
        crate.CrateId = 7				
        crate.TeamDestructible = 4		
        crate.WormCollectable = 0		
        crate.TeamCollectable = 0		
        crate.GroundSnap = false		
        crate.FixedPosition = false		
        crate.UXB = false				
        crate.Destructible = true		
        crate.Pushable = false			
        crate.CollectableByPayload = false	
        crate.Collectable = true		
        SpawnCrate(crate.Index,"wfRefCrateDrop7")
    
    
    elseif whichcrate == 8 then
    
        ChangeWind( 8,  45)
        crate = CreateCrate()
        crate.Contents = kWF_UTILITY_PARACHUTE
        crate.NumContents = 1			
        crate.CrateId = 8				
        crate.TeamDestructible = 4		
        crate.WormCollectable = 0		
        crate.TeamCollectable = 0		
        crate.GroundSnap = false		
        crate.FixedPosition = false		
        crate.UXB = false				
        crate.Destructible = true		
        crate.Pushable = false			
        crate.CollectableByPayload = false	
        crate.Collectable = true		
        SpawnCrate(crate.Index,"wfRefCrateDrop8")
         
        
    elseif whichcrate == 9 then
    
        ChangeWind( 8,  45)
        crate = CreateCrate()
        crate.Contents = kWF_UTILITY_PARACHUTE
        crate.NumContents = 1			
        crate.CrateId = 9				
        crate.TeamDestructible = 4		
        crate.WormCollectable = 0		
        crate.TeamCollectable = 0		
        crate.GroundSnap = false		
        crate.FixedPosition = false		
        crate.UXB = false				
        crate.Destructible = true		
        crate.Pushable = false			
        crate.CollectableByPayload = false	
        crate.Collectable = true		
        SpawnCrate(crate.Index,"wfRefCrateDrop9")
               
        
        
    end   
    whichcrate = whichcrate + 1
     
end



--***********************************************************************
function CrateCollected()
    -- when a crate is collected these are run.
    dropcrates()
   
        
    if whichcrate == 1 then
        
        SetCommentaryText( "Miss.Medieval4-EFMV.Intro14" )
        
    end  
        
        
    if whichcrate == 2 then
        
        SetCommentaryText( "Miss.Medieval4-EFMV.Intro13" )
        
    end  
    
    if whichcrate == 3 then
        
        SetCommentaryText( "Miss.Medieval4-EFMV.Intro13" )
        
    end  

    if whichcrate == 4 then
        
        SetCommentaryText( "Miss.Medieval4-EFMV.Intro13" )
        
    end  
    
    if whichcrate == 5 then
        
        SetCommentaryText( "Miss.Medieval4-EFMV.Intro13" )
        
    end  
        
        
    if whichcrate == 6 then
        
        SetCommentaryText( "Miss.Medieval4-EFMV.Intro15" )
        
    end      
    
        
    if whichcrate == 7 then
        
        SetCommentaryText( "Miss.Medieval4-EFMV.Intro13" )
        
    end      
        
        
    if whichcrate == 8 then
        
        SetCommentaryText( "Miss.Medieval4-EFMV.Intro16" )
        
    end    
    
    
    if whichcrate == 9 then
        
        SetCommentaryText( "Miss.Medieval4-EFMV.Intro17" )
        
    end   
    
        
    if whichcrate == 10 then
        
        SetCommentaryText( "Miss.Medieval4-EFMV.Intro18" )
        
    end      
        
        
            
    if whichcrate == 15 then
        
        SetCommentaryText( "Miss.Generic.Hint35" )
        
    end      
        
        
        
    if whichcrate == 11 then
        stage = 2 --sets which stage the player is on
	
	-- sam bug fix : make sure the parachute is off the worm
	RemoveJetpack(0)
	-- sam bug fix
	
    worm = GetWormData(0)
    worm.ArtilleryMode = true
    
        -- efmv for win on stage 2  
	CameraArrayNumber = 3 -- jump to first mid game seq.
	Num = 13
	GameIsMidSequence = true 
	DelayCall("StartAllEFMVTimers", 2)
	DelayCall("EFMVFlyby", 2.5)
	
	DelayCall("PlayerParticle", 1)
        DelayCall("moveplayer1", 1)
        DelayCall("playersbuildpoint", 2)
        winThisRound()
    end
        
        
    collectgarbage()
end

--*******************************************************************
-- moves player one when they have collect all the crates in chapter 1
function moveplayer1()

	ShowOnlyScriptCommentary(false)
    	CreateParticleEffect("wormspawnA", "wfRef001")
	CreateParticleEffect("wormspawnB", "wfRef001")
	MoveWorm( 0, "wfRef001", true )
    
end


function MovePlayer2()
	ShowOnlyScriptCommentary(false)
    	CreateParticleEffect("wormspawnA", "wfRef001")
	CreateParticleEffect("wormspawnB", "wfRef001")
	MoveWorm( 0, "wfRef001", true )
end

function PlayerParticle()
	CreateParticleEffect("wormspawnA", "wfRef001")
	CreateParticleEffect("wormspawnB", "wfRef001")
end

--*************************************************************************
-- changes the wind after everycrate so the player can para to the next one
function myUpdateWind()

    if whichcrate == 1 then
        referee = GetRefereeData()
        referee.WindStrengthMinimum = 5.0
        referee.WindStrengthVariance = 0.0
        referee.WindDirectionBase = 180.0
        referee.WindDirectionVariance = 0.0
        return true
    end



    if whichcrate == 2 then
        referee = GetRefereeData()
        referee.WindStrengthMinimum = 8.0
        referee.WindStrengthVariance = 0.0
        referee.WindDirectionBase = 100.0
        referee.WindDirectionVariance = 0.0
        return true
    end

    if whichcrate == 3 then
        referee = GetRefereeData()
        referee.WindStrengthMinimum = 8.0
        referee.WindStrengthVariance = 0.0
        referee.WindDirectionBase = 100.0
        referee.WindDirectionVariance = 0.0
        return true
    end


    if whichcrate == 4 then
        referee = GetRefereeData()
        referee.WindStrengthMinimum = 8.0
        referee.WindStrengthVariance = 0.0
        referee.WindDirectionBase = 100.0
        referee.WindDirectionVariance = 0.0
        return true
    end    
    
    
    if whichcrate == 5 then
        referee = GetRefereeData()
        referee.WindStrengthMinimum = 8.0
        referee.WindStrengthVariance = 0.0
        referee.WindDirectionBase = 100.0
        referee.WindDirectionVariance = 0.0
        return true
    end    
    
    
    if whichcrate == 6 then
        referee = GetRefereeData()
        referee.WindStrengthMinimum = 8.0
        referee.WindStrengthVariance = 0.0
        referee.WindDirectionBase = 100.0
        referee.WindDirectionVariance = 0.0
        return true
    end    
    
    
    if whichcrate == 7 then
        referee = GetRefereeData()
        referee.WindStrengthMinimum = 8.0
        referee.WindStrengthVariance = 0.0
        referee.WindDirectionBase = 100.0
        referee.WindDirectionVariance = 0.0
        return true
    end    
    
    
    
    if whichcrate == 8 then
        referee = GetRefereeData()
        referee.WindStrengthMinimum = 8.0
        referee.WindStrengthVariance = 0.0
        referee.WindDirectionBase = 100.0
        referee.WindDirectionVariance = 0.0
        return true
    end 


    if whichcrate == 9 then
        referee = GetRefereeData()
        referee.WindStrengthMinimum = 8.0
        referee.WindStrengthVariance = 0.0
        referee.WindDirectionBase = 100.0
        referee.WindDirectionVariance = 0.0
        return true
    end

    referee = GetRefereeData()
    referee.WindStrengthMinimum = 5.0
    referee.WindStrengthVariance = 0.0
    referee.WindDirectionBase = 180.0
    referee.WindDirectionVariance = 0.0
    return true 
    
end

--**********************************************************
function WormDied( wormTaskId )

    -- a worm somewhere has worm died 
    -- check it wasn't uther 
    arthur = GetWormData( 0 )
	
    if arthur.Health <= 0 then	
    
        -- arthur has died so player 0 has lost
        
        EndMissionFail()
        
    end

	collectgarbage()
end 



--**********************************************************
--makes only worm 0

function SetNextPlayerToGo( playerIndex )
    return 0
end 



--**********************************************************
function CheckVictoryConditions()

    
    --Don't want the game to end unless I say so
    return false
end


--*************************************************************
-- sets up the players only building which they use for chapter 2
function playersbuildpoint()

    CreateBuilding( kWF_BUILDING_CITADEL, 0, "buildHere0015", false )
    SetBuildingIndestructible( "buildHere0015", true )
    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    
    inventory.GiantCrossbow = 3
    --inventory.Trebuchet = 5
    inventory.BananaBombLauncher = 2
    inventory.FireGrenadeLauncher = 5
    inventory.ClusterLauncher = 5
    inventory.BatteringRam = 2


end



--**************************************************************


function winThisRound()
   

end
  
 
--*********************************

function EndMissionSuccess()


        Unlock("LOCK.Landscape.Medieval3")


        
        --if referee.TotalGameTime < 100 then 
           SetMedal(kGoldMedal)
           Unlock("LOCK.Gravestone.Medieval1")
            Unlock("LOCK.Fortapedia.Gawain")
            Unlock("LOCK.NEW.ECTOR")

        
--        elseif referee.TotalGameTime < 500 then 
--            SetMedal(kSilverMedal) 
--            Unlock("LOCK.Fortapedia.Gawain")
--        
        
--        
--        elseif referee.TotalGameTime > 500 then 
--            SetMedal(kBronzeMedal) 
--            Unlock("LOCK.Fortapedia.Gawain")
--        end 


    SetCommentaryText("Miss.Generic.Success")
    EndRound(0)
end

function EndMissionFail()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end

--***************************************************

function BuildingHasBeenDestroyed( PlayerId, BuildingType )
  
    
    Player1Stronghold = GetBuildPointInfo( "buildHere0010" )
    if Player1Stronghold.BuildingType == -1 and Player1StrongholdGone == false then
	    
        
    worm = GetWormData(0)
    worm.ArtilleryMode = false
    
    CancelDelayCall("PlayedUsedItemDelay")
        
    ShowOnlyScriptCommentary(true)
        
        donepart2 = true 
        buildinggone = true  
        stage = 3  
        missionatfinalstage = true
	
        lastchapter()	
        Player1StrongholdGone = true
        SetCommentaryText("Miss.Medieval4-EFMV.Midtro9")
        
	
	CameraArrayNumber = 5 --mid game seq 2
	Num = 21
	FlushCommentaryText()
	MovePlayer2()
	DelayCall("StartAllEFMVTimers", 3)
	DelayCall("EFMVFlyby", 3.5)
	
					
    end
        
end


--function PlayerUsedItem( item, playerId, wormId )
function WeaponExpired( item, playerId, wormId )

 -- get player 0's inventory container 
    inventory = GetPlayerInventory( 0 ) 
    
    -- check what weaponry is left

--    if inventory.Trebuchet == 0 and text1done == false then 
--    
--        text1done = true
--        SetCommentaryText("Miss.Generic.Hint30")
--    
--    end 

    if inventory.GiantCrossbow == 0 and inventory.BananaBombLauncher == 0 and inventory.FireGrenadeLauncher == 0 and inventory.BatteringRam == 0 and inventory.ClusterLauncher == 0 and donepart2 == false then 
        SetCommentaryText("Miss.Medieval4-EFMV.Midtro15")
        DelayCall("PlayedUsedItemDelay", 3)
    end 
    
end

function PlayedUsedItemDelay()
    SetCommentaryText("Miss.Generic.Lose1a")
    EndMissionFail()
end

--collectgarbage()


function MidGameEFMVSequence()
	
end



function TimeExpiredOnLongTurn()


        if  stage == 3 then


                -- only fail the mission once
                if missionfailed == false then


                        missionfailed = true
                        EndMissionFail()


                end
        else
                -- infinite stages
                -- reset turn time
                referee = GetRefereeData()
                referee.TotalGameTime = 0
        end


end




function lastchapter()

    scheme = GetCurrentSchemeData()
    
    -- three minutes
    timeforlastchapter = 180
    
    scheme.SuddenDeathTime = timeforlastchapter * 100

    referee = GetRefereeData()
    referee.TotalGameTime = 0

    TurnOffHudElement("Time", false)
    
    
    
    
------------------

    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    --inventory.Jetpack = kWF_INFINITE_AMOUNT; 
    inventory.Girder = 2     

    leapdropcrates()


end

---------------------------------------

--function waterlevelmove()
--    BarrierLevel = GetBarrierLevel()
--    SetBarrierLevel(80)
--    DelayCall("waterlevelset",0.1)

--end


------------SAMS METHOD-------------

function waterlevelmove()


    wlevel = wlevel  + 0.2


     SetBarrierLevel( wlevel )


    DelayCall("waterlevelmove",0.1)
end
------------SAMS METHOD-------------



--function waterlevelset()

--    wlevel = wlevel  + 0.1
--    waterlevelmove()
--end

---------------------------------------

function leapdropcrates()

--    SetCommentaryText( "Miss.Generic.Extra6")
--    
--    TurnOffHudElement("Time", true)
--    
--    ShowOnlyScriptCommentary(false)

--    DelayCall("waterlevelmove", 6)


-------------SAMS METHOD-----------
 SetCommentaryText( "Miss.Generic.Extra6")


    TurnOffHudElement("Time", true)


    ShowOnlyScriptCommentary(false)


    -- set water level
    SetBarrierLevel( 50 )
    wlevel = GetBarrierLevel()


    -- kick off the water movement
    DelayCall("waterlevelmove", 45)
    
-------------SAMS METHOD-----------

    
    RemoveWeapon( 0 )
    RemoveBuilding( "buildHere0015" )
    
    referee = GetRefereeData()
    referee.SuspendTimer = false
    
    --SetBarrierLevel(80) 
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_GIRDER
    crate.NumContents = 1		
    crate.CrateId = 10				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop10")
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_GIRDER
    crate.NumContents = 1		
    crate.CrateId = 11				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop11")
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_GIRDER
    crate.NumContents = 1		
    crate.CrateId = 12				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop12")
    
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_GIRDER
    crate.NumContents = 1		
    crate.CrateId = 13				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop13")    
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_GIRDER
    crate.NumContents = 1		
    crate.CrateId = 14				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop14")
    
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_GIRDER
    crate.NumContents = 1		
    crate.CrateId = 15				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop15")
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_GIRDER
    crate.NumContents = 1		
    crate.CrateId = 16				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop16")
    
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_GIRDER
    crate.NumContents = 1		
    crate.CrateId = 17				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop17")      
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_GIRDER
    crate.NumContents = 2		
    crate.CrateId = 18				
    crate.TeamDestructible = 4		
    crate.WormCollectable = 0		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = true		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefCrateDrop18")
    
    
--    
--    crate = CreateCrate()
--    crate.Contents = kWF_UTILITY_GIRDER
--    crate.NumContents = 1		
--    crate.CrateId = 19				
--    crate.TeamDestructible = 4		
--    crate.WormCollectable = 0		
--    crate.TeamCollectable = 0		
--    crate.GroundSnap = false		
--    crate.FixedPosition = false		
--    crate.UXB = false				
--    crate.Destructible = true		
--    crate.Pushable = false			
--    crate.CollectableByPayload = false	
--    crate.Collectable = true		
--    SpawnCrate(crate.Index,"wfRefCrateDrop19")
    
 

      
end




function OnEntrypCubetrigger1( wormTaskId )


	
    arthur = GetWormData(wormTaskId)
    
    if arthur.WormIndex == 0 and missionatfinalstage == true then
    
	SetCommentaryText("Miss.Generic.Game8")
    
	CameraArrayNumber = 8 -- jump to outro
	Num = 28
	GameHasFinished = 1
	FlushCommentaryText()
	DelayCall("StartAllEFMVTimers", 2)
	DelayCall("EFMVFlyby", 2.5)
    CheckObjective(2)
    end
        
end



--**********************************************************************************************************

--					CAMERA STUFF DOWN BELOW

--**********************************************************************************************************


function StartAllEFMVTimers() 
	
	if CameraArrayNumber == 0 then
		
		DelayCall("SpawnPlayer", 1)
		DelayCall("PlayerSmug", 6)
		DelayCall("PlayerAaaaay", 9)
		DelayCall("PlayerNod", 15)
		DelayCall("PlayerNod", 15.5)
		DelayCall("PlayerFlutter", 19)
		DelayCall("PlayerUnderstandsNot", 23)
		DelayCall("PlayerWorried", 31.5)
		DelayCall("PlayerThoughtful", 39)
		DelayCall("PlayerSalute", 62)
	
	elseif CameraArrayNumber == 3 then
		
		DelayCall("OrientateWormToCam", 9)
		DelayCall("PlayerScared2", 11)
		DelayCall("PlayerNod2", 36)
		DelayCall("PlayerNod2", 36.5)
		
		
	elseif CameraArrayNumber == 5 then
        
        bQuitable = false
		DelayCall("PlayerSmug2", 5)
		DelayCall("PlayerScared", 12)
		DelayCall("PlayerSalute2", 45)
		
	elseif CameraArrayNumber == 8 then
        
        bQuitable = true
		
		DelayCall("OrientateWormToCam2", 2)
		DelayCall("PlayerHappy", 1)
		DelayCall("PlayerShakeHead", 7)
		DelayCall("PlayerDisappointed", 10)
		DelayCall("PlayerDisappointed2", 17)
		DelayCall("PlayerScratchHead", 24)
		DelayCall("WormShrug", 27)
		DelayCall("PlayerVanish", 29)
	end
end

----------------------INTRO STUFF---------------------------------

function SpawnPlayer()
	
--~ 	Worm = GetWormData(0) 
--~ 	Worm.HatOverride = "NoHat" 
	
	WormAllowIdleAnims(0, false) 
	SpawnWorm(0, "wfRef000")
	OrientateWorm(0, 140)
end

function PlayerSmug()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_smug")
end

function PlayerAaaaay()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_confident")
end

function PlayerFlutter()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_flutter")
end

function PlayerWorried()
	WormResetAnim(0)
	WormQueueAnim(0, "scared3")
end

function PlayerNod()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_nod")
end

function PlayerUnderstandsNot()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_clueless")
end

function PlayerNeutral()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_neutral")
end

function PlayerThoughtful()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_contemplates")
end

function PlayerSalute()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_salute")
end


-------------------------MIDTRO 1 -----------------------------
function OrientateWormToCam()
	WormAllowIdleAnims(0, false) 
	OrientateWormToCamera(0)
	OrientateWormToCamera(0)
	OrientateWormToCamera(0)
	OrientateWormToCamera(0)
end

function PlayerScared2()
	WormAllowIdleAnims(0, false) 
	WormResetAnim(0)
	WormQueueAnim(0, "scared2")
end

function PlayerNod2()
	WormAllowIdleAnims(0, false) 
	OrientateWormToCamera(0)
	OrientateWormToCamera(0)
	OrientateWormToCamera(0)
	OrientateWormToCamera(0)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_nod")
end
	
-- Do the worm nod thing again

------------------------MIDTRO 2-----------------------------

function PlayerSmug2()

	WormAllowIdleAnims(0, false)
	OrientateWormToCamera(0)
	OrientateWormToCamera(0)
	OrientateWormToCamera(0)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_smug")
end

function PlayerScared()
	WormResetAnim(0)
	WormQueueAnim(0, "scared3")
end

function PlayerSalute2()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_salute")
end

--------OUTRO: CAM = 8 / Num = 28--------------------------
function OrientateWormToCam2()
	OrientateWormToCamera(0)
	OrientateWormToCamera(0)
	OrientateWormToCamera(0)
	OrientateWormToCamera(0)

end

function PlayerHappy()
	WormAllowIdleAnims(0, false)
	WormResetAnim(0)
	WormQueueAnim(0, "happy2")
end

function PlayerDisappointed()
	WormAllowIdleAnims(0, false)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_bemused")
end	

function PlayerDisappointed2()
	WormAllowIdleAnims(0, false)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_clueless")
end	

function PlayerScratchHead()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_puzzled")
end

function PlayerShakeHead()
	WormResetAnim(0)
	WormQueueAnim(0, "dazedrecover")
end

function WormShrug()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_shrug")
end

function PlayerVanish()
	CreateParticleEffect("wormspawnA", "wfRef000Outro")
	CreateParticleEffect("wormspawnB", "wfRef000Outro")
	HideWorm(0)
end
------------------------------------------------------------------

function EFMVFlyby() -- Starts the EFMV sequence
	
	FlushCommentaryText()
	
	--if cameras are active then continue with intro
	 if EFMVCamerasAreActive == true then

		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
	
	--if cameras are disabled then start the game
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end

function OnEndEFMV(szSeqName, bUserQuit)

	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()

		elseif bUserQuit == 0 then
		
		if CameraArrayNumber == 3  then --last intro cam
			SetGameUpAndCancelEverything()
		
		elseif CameraArrayNumber == 5 then -- end of the 1st mid game seq.
			-- Return to game
		elseif CameraArrayNumber == 8 then -- end of 2nd mid game seq.
			GameIsMidSequence = false -- game is no longer mid seq.
			-- Return to game
		
		elseif CameraArrayNumber == 10 then --last sequence in the outro
			--Game will end here if the player has completed the mission.
			EndMissionSuccess()
		else
			EFMVFlyby()
		end
	end
end


function SetGameUpAndCancelEverything() 
-- Called if the user skips the efmv sequence or the sequence has ended.
	
	if GameIsMidSequence == true then -- return to game after mid seq. has played
	end
	
	if GameHasFinished == 1 then
		EndMissionSuccess()
	end
	
	if GameHasFinished == 0 and GameIsMidSequence == false then
	--if the game hasn't finished and it IS NOT in a mid game seq. then set initial state up
	
        SetBriefingBoxPosition(0,0) 
		SetBriefingBoxSize(190,120) 
    
		CreateBriefingBox( "Miss.Medieval4-Objectives" )
		--HideWorm( 1 )  
		
		CancelDelayCall("SpawnPlayer")
		CancelDelayCall("PlayerSmug")
		CancelDelayCall("PlayerAaaaay")
		CancelDelayCall("PlayerNod")
		CancelDelayCall("PlayerNod")
		CancelDelayCall("PlayerFlutter")
		CancelDelayCall("PlayerUnderstandsNot")
		CancelDelayCall("PlayerWorried")
		CancelDelayCall("PlayerThoughtful")
		CancelDelayCall("PlayerSalute")
	end
end	
	
--------------- TEXT CODE------------------------------

function EFMV_TextTrigger() 
    
	if Num == 36 then
	
		Fade(true, 3, true)
		
	end
    
        Text = TextLabelsArray[Num]

-- (-1) is infinite, (0) is default to 2000 (2 secs)
        SetCommentaryText(Text, -1)
    
        Num = Num + 1
    --end
end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 
