
--***********************************************************
--                Oriental1a
--***********************************************************

-- objective one, defeat the warlord and keep the emperor alive



function InitialiseLevel()
    
    
    LoadLevel("landscapes/O/O1.xom",true)

    SetupDefaultScheme()
    SetObjectives("Miss.Oriental1-Objectives", 4)

    
    whichDialogBox = 1 
    EnemyWormsDead = 0
    firsttime = true
    firsttime2 = true
    timesup = false
    Repairs = 0
    hurtworm4once = false
    hurtworm5once = false
    build14done = false
    build15done = false
    build16done = false
    build17done = false
    build18done = false
    build28done = false
    build29done = false
    build31done = false
    thirdpart = false
    surrounddone = 0
    got2 = false
    got3 = false
    got4 = false
    got5 = false
    got6 = false
    stage = 1
    crateone = false
    cratetwo = false
    cratethree = false
    cratesix = false
    donewonder = false
    oktohidewarlord2 = false -- sorts if its ok to hide warlord
    
	CameraArrayNumber = 0 -- Used for EFMV ONLY
	bQuitable = true -- Used for EFMV ONLY
	GameHasFinished = 0 -- Used for EFMV OUTRO ONLY
	Num = 1 -- Used for the EFMV Text Array ONLY
	EFMVCamerasAreActive = true -- Set to false to disable the intro EFMV camera
	GameHasJustFinishedAMidEFMVSequence = false -- Used to tell the game that it's in a mid EFMV sequence
	referee = GetRefereeData()
        referee.ShowVictorySequence = false -- Turn the worm end anim off
     
	EFMVArray = { "intro", "cut1", "cut2", "cut3", "cut4", "cut5", "cut6", "cut7", "cut22", "cut8", "cut9", "cut10", "cut11", "cut12", "cut13"
			, "cut24", "cut23", "cut19", "cut20", "cut21"} -- EFMV - cut20 is the outro, Mid1 is Cut3, Mid2 is Cut8
	    
	TextLabelsArray = { "Miss.Oriental1-EFMV.Intro1", "Miss.Oriental1-EFMV.Intro2", "Miss.Oriental1-EFMV.Intro3", "Miss.Oriental1-EFMV.Intro4", "Miss.Oriental1-EFMV.Intro5", "Miss.Oriental1-EFMV.Intro6",
		"Miss.Oriental1-EFMV.Intro7", "Miss.Oriental1-EFMV.Intro8", "Miss.Oriental1-EFMV.Intro9", "Miss.Oriental1-EFMV.Intro10", "Miss.Oriental1-EFMV.Intro11", "Miss.Oriental1-EFMV.Intro12",
		"Miss.Oriental1-EFMV.Intro13", "Miss.Oriental1-EFMV.Intro14", "Miss.Oriental1-EFMV.Intro15","Miss.Oriental1-EFMV.Intro16", "Miss.Oriental1-EFMV.Intro17" , "Miss.Oriental1-EFMV.Intro18"
		, "Miss.Oriental1-EFMV.Intro19", "Miss.Oriental1-EFMV.Intro20", "Miss.Oriental1-EFMV.Intro21", "Miss.Oriental1-EFMV.Intro22", "Miss.Oriental1-EFMV.Intro23", "Miss.Oriental1-EFMV.Intro24"
		, "Miss.Oriental1-EFMV.Intro25", "Miss.Oriental1-EFMV.Intro26", "Miss.Oriental1-EFMV.Intro27", "Miss.Oriental1-EFMV.Intro28", "Miss.Oriental1-EFMV.Intro29", "Miss.Oriental1-EFMV.Intro30"
		, "Miss.Oriental1-EFMV.Intro31", "Miss.Oriental1-EFMV.Intro32", "Miss.Oriental1-EFMV.Intro33", "Miss.Oriental1-EFMV.Intro34", "Miss.Oriental1-EFMV.Intro35", "Miss.Oriental1-EFMV.Intro36"
		, "Miss.Oriental1-EFMV.Intro37", "Miss.Oriental1-EFMV.Intro38", "Miss.Oriental1-EFMV.Intro39", "Miss.Oriental1-EFMV.Intro40", "Miss.Oriental1-EFMV.Intro41", "Miss.Oriental1-EFMV.Intro42"
		, "Miss.Oriental1-EFMV.Intro43", "Miss.Oriental1-EFMV.Intro44", "Miss.Oriental1-EFMV.Intro45", "Miss.Oriental1-EFMV.Intro46"} 
    
end

--***********************************************************

function CreatePlayers() 

--    --team 0
--    player = CreatePlayer("HUMAN")
--	player.NumberOfWorms = 4
--	player.Name = "Player"
--	player.WormStartingHealth = 100
--    player.VoiceBank = "Classic"
--	CreatePlayersTeam(player.PlayerIndex)
--    GetPlayerData(0).AlliedTeam = 0
--    
--    StandardWorm(GetWormData(0),"worm1","wfRef000")
--    StandardWorm(GetWormData(1),"worm2","wfRef001")    
--    StandardWorm(GetWormData(2),"worm3","wfRef002")    
--    StandardWorm(GetWormData(3),"worm4","wfRef003")


    SetupHumanPlayer(4,200)
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"

    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRef000"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRef001"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRef002"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRef003"
    GetPlayerData(0).AlliedTeam = 0





    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Mortar = kWF_INFINITE_AMOUNT
    inventory.FireWeapon = 0
    inventory.HomingPigeon = 0
    inventory.RocketLauncher = 0
    inventory.Jetpack = 2
--    inventory.Tower = kWF_INFINITE_AMOUNT
--    inventory.Keep = 1
--    inventory.Castle = 1
    inventory.Grenade = 10
    inventory.Ballista = 20
    inventory.FireGrenadeLauncher = 0
    inventory.BananaBombLauncher = 0
    inventory.AirStrike = 2
    inventory.AirStrikeDelay = 2
    inventory.BatteringRam = 1
    inventory.Surrender = 0
    --team 1    
    player = CreatePlayer("AI")
	player.NumberOfWorms = 1
	player.Name = "Warlord 1"
	player.WormStartingHealth = 20
    player.VoiceBank = "Classic"
    --player.Flag = 62
	CreatePlayersTeam(player.PlayerIndex)
    GetPlayerData(1).AlliedTeam = 1
    player = GetPlayerData(1)
	player.TeamTombstone = 12
    
    
    StandardWorm(GetWormData(4),"Warlord 1","wfRef004")
    
    CopyContainer(GetAIParamsCPU4(), GetAIParamsWorm(4))
    GetAIParamsWorm(4).WeightingAttackBuilding = 0

    Worm = GetWormData(4) 
    Worm.HatOverride = "Hat.Oriental1"

  




    EmptyInventory(1)
    inventory = GetPlayerInventory(1)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Mortar = 5
    inventory.FireWeapon = 0
    inventory.HomingPigeon = 0
    inventory.RocketLauncher = 0
    inventory.Jetpack = 0
    inventory.Grenade = 10
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.FireGrenadeLauncher = 0
    inventory.BananaBombLauncher = 0
    inventory.Trebuchet = 0
    inventory.BatteringRam = 0
    

    
    --team 2    
    player = CreatePlayer("AI")
	player.NumberOfWorms = 4
	player.Name = "Warlord 2 Mob"
	player.WormStartingHealth = 100
    player.VoiceBank = "Classic"
    --player.Flag = 63
	CreatePlayersTeam(player.PlayerIndex)
    GetPlayerData(2).AlliedTeam = 1
    player = GetPlayerData(1)
	player.TeamTombstone = 13
    StandardWorm(GetWormData(5),"Warlord 2","wfRef009")
    StandardWorm(GetWormData(6),"samurai Fred","wfRef0010")    
    StandardWorm(GetWormData(7),"samurai Ian","wfRef0011")    
    StandardWorm(GetWormData(8),"samurai Matt","wfRef0012")
    
    
    CopyContainer(GetAIParamsCPU4(), GetAIParamsWorm(5))
    GetAIParamsWorm(5).WeightingAttackBuilding = 0
    
    
    CopyContainer(GetAIParamsWorm(5), GetAIParamsWorm(6))
    CopyContainer(GetAIParamsWorm(5), GetAIParamsWorm(7))
    CopyContainer(GetAIParamsWorm(5), GetAIParamsWorm(8))
    
    
    
    
    Worm = GetWormData(5) 
    Worm.HatOverride = "Hat.Oriental2"
    Worm = GetWormData(6) 
    Worm.HatOverride = "Hat.Oriental2"
    Worm = GetWormData(7) 
    Worm.HatOverride = "Hat.Oriental2" 
    Worm = GetWormData(8) 
    Worm.HatOverride = "Hat.Oriental2" 

    
    

    EmptyInventory(2)
    inventory = GetPlayerInventory(2)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.Mortar = 4
    inventory.ClusterLauncher = 8
    inventory.Ballista = 2
    inventory.BatteringRam = 0
    inventory.GiantCrossbow = 2
    inventory.FireGrenadeLauncher = 2
    inventory.BananaBombLauncher = 1
    inventory.BananaBombLauncherDelay = 16
        
        
    --team 3    
    player = CreatePlayer("AI")
	player.NumberOfWorms = 4
	player.Name = "Warlord 3 Mob"
	player.WormStartingHealth = 100
    player.VoiceBank = "Classic"
    player.Flag = 64
	CreatePlayersTeam(player.PlayerIndex)
    GetPlayerData(3).AlliedTeam = 1
    player = GetPlayerData(1)
	player.TeamTombstone = 14
    
    StandardWorm(GetWormData(9),"Warlord 3","wfRef0013")
    StandardWorm(GetWormData(10),"samurai Rich","wfRef0014")    
    StandardWorm(GetWormData(11),"samurai Mike","wfRef0015")    
    StandardWorm(GetWormData(12),"samurai Sam","wfRef0016")
    
    CopyContainer(GetAIParamsCPU5(), GetAIParamsWorm(9))
    GetAIParamsWorm(9).WeightingAttackBuilding = 0
    
    CopyContainer(GetAIParamsWorm(9), GetAIParamsWorm(10))
    CopyContainer(GetAIParamsWorm(9), GetAIParamsWorm(11))
    CopyContainer(GetAIParamsWorm(9), GetAIParamsWorm(12))




    Worm = GetWormData(9) 
    Worm.HatOverride = "Hat.Oriental3"
    Worm = GetWormData(10) 
    Worm.HatOverride = "Hat.Oriental3"
    Worm = GetWormData(11) 
    Worm.HatOverride = "Hat.Oriental3" 
    Worm = GetWormData(12) 
    Worm.HatOverride = "Hat.Oriental3" 
   
    



    EmptyInventory(3)
    inventory = GetPlayerInventory(3)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.Tower = 5
    inventory.Keep = 3
    inventory.Mortar = 2
    inventory.ClusterLauncher = 5
    inventory.Ballista = 2
    inventory.BatteringRam = 1
    inventory.GiantCrossbow = 2
    inventory.FireGrenadeLauncher = 2
    
    
    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0
    scheme.HotSeatTime = 0
    scheme.SuddenDeathTime = 270000
    StandardRefereeSettings()
    referee = GetRefereeData()
    
    
    --referee.SuspendTimer = true -- Commeted out as it breaks the intro EFMV camera, Bloody thing!
    CreateNeutralWorm(13) -- Ghost worm used for EFMV
    SetWormHatFromPlayer(13,0)

    CreateNeutralWorm(14) -- Ghost worm used for EFMV
    SetWormHatFromPlayer(14,0)

end


--******************************************************


function HideWormsNow()

    SetInstantReplaysOn(false)


    PlayDetailObjectAnimation("OrientalBird", "path1", true)
    PlayDetailObjectAnimation("OrientalBird", "flap", true)
         
         
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_HEALTH -- what is in the crate.
    crate.HealthInCrate = 100		-- amount of health in a health crate, if set to negative uses the current scheme's CrateHealth
    crate.CrateId = 4				-- id only used and set by scripts
    crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
    crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
    crate.TeamCollectable = 0		-- -1 for all teams, otherwise the index of the team
    crate.GroundSnap = true		-- set to true for crate to be placed on the ground below spawn point.
    crate.FixedPosition = false		-- set to true, crate will not move i.e. stays at spanw point
    crate.UXB = false				-- whether crate is booby trapped
    crate.Destructible = true		-- whether crate can be destroyed.
    crate.Pushable = false			-- whether crate can be moved by weapons.
    crate.CollectableByPayload = false	-- whether crate can be collected by roaming rounds e.g. rhino
    crate.Collectable = true		-- whether crate can be collected
    SpawnCrate(4,"wfRefcrate4")



    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_REPAIR_BUILDING
    crate.NumContents = 2		
    crate.CrateId = 5		
    crate.TeamDestructible = -1	
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true
    crate.IsCritical = false
    SpawnCrate(5,"wfRefcrate5")



	SetEFMVCameraShakeRatio(0.0) -- Then the camera shake off 

	HideWorm(3) -- Hide thr emperor worm as he spawns in during the intro
	HideWorm(5)
	HideWorm(6)
	HideWorm(7)
	HideWorm(8)

    SpawnMine("wfRefmine1")
    SpawnMine("wfRefmine2")    
    SpawnMine("wfRefmine3")    
    SpawnMine("wfRefmine4")    
    SpawnMine("wfRefmine5")    
	    
    SpawnMine("wfRefmine6")
    SpawnMine("wfRefmine7")    
    SpawnMine("wfRefmine8") 

    SpawnMine("wfRefmine9")
    SpawnMine("wfRefmine10")    
    SpawnMine("wfRefmine11") 



	WormAllowIdleAnims(3,false)
	WormAllowIdleAnims(0,false)
	WormAllowIdleAnims(13,false)
	WormAllowIdleAnims(14,false)

	EFMVFlyby() -- EFMVStart
	StartAllEFMVTimers() -- Actions during EFMV	
    TurnOffHudElement( "TeamStatus", false ) 
end

--**************************************************


function CheckVictoryConditions()


    if referee.TotalGameTime >= 270000 and timesup == false then
        timesup = true

        SetCommentaryText("Miss.Generic.Timesup")       
        DelayCall("EndMissionFailed", 2)
                
                
    end


    return false
end




--***************************************************



function WormDamaged( wormIndex, AssailantTaskId, damage )
	
	if wormIndex == 4 and damage > 1 and hurtworm4once == false then
		hurtworm4once = true
        SetCommentaryText( "Miss.Generic.Hint25" )
	end


	if wormIndex == 5 and damage > 1 and hurtworm5once == false then
		hurtworm5once = true
        SetCommentaryText( "Miss.Medieval4-EFMV.Intro16" )
	end


	-- every other worm takes damage as normal
	return damage
end



--***************************************************


function WormDied( wormIndex )

 
    if wormIndex == 4 then
        CheckObjective(1)

        SetCommentaryText("Miss.Generic.Game9")
        secondpart()
        
    end
    
    
    --players worms died
    if CheckAreAllWormsDead( 0 ) == true then 
        EndMissionFailed() 
    end
    
    
--game over if team 2s worms are killed
    if wormIndex == 5 and oktohidewarlord2 == false then
    
        SetCommentaryText("Miss.Generic.Hint38")
        EndMissionFailed()
        
    end
    
    if CheckAreAllWormsDead( 3 ) == true and donewonder == true then 
        Num = 45
        CameraArrayNumber = 18
        GameHasFinished = 1
        StartAllEFMVTimers()
        EFMVFlyby() -- EFMVStartEND
    
    end
 
    
    collectgarbage()
    
end 

--*********************************************************

function UpdateWind()
    --sets the wind to be low for the first stage

       referee = GetRefereeData()
       referee.WindStrengthMinimum = 2.0
       referee.WindStrengthVariance = 2.0


   return true
end


--**********************************************************


function SetNextWormToGo( playerIndex, wormIndex )	

--	referee = GetRefereeData()
--        -- Dont let the Emperor get a go
--	if playerIndex == 0 and wormIndex == 3 then
--		return 0
--	end


	collectgarbage()
	
	return wormIndex
end



--***************************************************************



function SetNextPlayerToGo( playerIndex ) 


--Lots of checks coz hide worm function kicks off
-- check if player 1 is getting a go 



    if stage == 3 and firsttime2 == true then 
    
    firsttime2 = false
    return 0
    end 
    
    
    if stage == 3 and playerIndex == 1 then 
    

    return 3
    end 

    if stage == 3 and playerIndex == 2 then 
    

    return 3
    end 


    if stage == 1 and playerIndex == 2 then 
    
    return 0
    end 
    
    
    if stage == 1 and playerIndex == 3 then 
    
    return 0
    end 
    
    
    
    if stage == 2 and playerIndex == 1 then 
    
    return 2
    end 
    
    if stage == 2 and playerIndex == 2 and firsttime == true then 
    
        firsttime = false
        
    return 0
    end 
    
    if stage == 2 and playerIndex == 3 then 
    
    return 0
    end




return playerIndex 
end






--**************************************************************


function EndMissionSuccess()

        Unlock("LOCK.Landscape.Oriental1")
        Unlock("LOCK.Fortpot")

        
        if referee.TotalGameTime < 150000 then 
           SetMedal(kGoldMedal)
           Unlock("LOCK.Flag.Oriental1")
            Unlock("LOCK.Fortapedia.Oriental")        
        
        elseif referee.TotalGameTime < 180000 then 
            SetMedal(kSilverMedal) 
            Unlock("LOCK.Fortapedia.Oriental")        
        
        
        elseif referee.TotalGameTime > 180000 then 
            SetMedal(kBronzeMedal) 
            Unlock("LOCK.Fortapedia.Oriental")
        end 


    SetCommentaryText("Miss.Generic.Success")
    EndRound(0)
end

function EndMissionFailed()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end


--**************************************************************

function secondpart()

    stage = 2


    
    -- Building and worm spawns that where in here have moved to the function MidSeqenceEFMVBuildingSpawns(), this is
    -- so the spawns take place on a timer during the mid sequence EFMV, any changes to spawns in this section just stick em in that function :)
    
    inventory = GetPlayerInventory( 0 )
	Repairs = inventory.RepairBuilding
    
    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Mortar = kWF_INFINITE_AMOUNT
    inventory.FireWeapon = 0
    inventory.HomingPigeon = 0
    inventory.RocketLauncher = 0
    inventory.Jetpack = 4
    --inventory.Tower = kWF_INFINITE_AMOUNT
    inventory.Keep = kWF_INFINITE_AMOUNT
--    inventory.Castle = 1
    inventory.Grenade = 10
    inventory.Ballista = 20
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.BananaBombLauncher = 0
    inventory.AirStrike = 2
    inventory.AirStrikeDelay = 2
    inventory.BatteringRam = 3
    inventory.Surrender = 0
    inventory.RepairBuilding = Repairs

    
    FlushCommentaryText()
    
    	Num = 17
	CameraArrayNumber = 3
	GameHasJustFinishedAMidEFMVSequence = true
	DelayCall("StartAllEFMVTimers", 2)
	DelayCall( "EFMVFlyby", 2 )  -- EFMVStart Mid Sequence 1
	
end


function BuildingHasBeenBuilt(PlayerId,BuildingType,buildingIndex)
--has the player surrounded the enemy stronghold

    BuildPoint14 = GetBuildPointInfo( "buildHere0014" ) 
    if BuildPoint14.BuildingType == kWF_BUILDING_KEEP and build14done == false then
                    
        build14done = true
        surrounddone = surrounddone + 1
        SetCommentaryText("Miss.Generic.Hint37" )
         
    end


    BuildPoint15 = GetBuildPointInfo( "buildHere0015" ) 
    if BuildPoint15.BuildingType == kWF_BUILDING_KEEP and build15done == false then
                    
        build15done = true
        surrounddone = surrounddone + 1
        SetCommentaryText("Miss.Generic.Hint37" )
         
    end



    BuildPoint16 = GetBuildPointInfo( "buildHere0016" ) 
    if BuildPoint16.BuildingType == kWF_BUILDING_KEEP and build16done == false then
                    
        build16done = true
        surrounddone = surrounddone + 1
        SetCommentaryText("Miss.Generic.Hint37" )
         
    end


    BuildPoint17 = GetBuildPointInfo( "buildHere0017" ) 
    if BuildPoint17.BuildingType == kWF_BUILDING_KEEP and build17done == false then
                    
        build17done = true
        surrounddone = surrounddone + 1
        SetCommentaryText("Miss.Generic.Hint37" )
         
    end


    BuildPoint18 = GetBuildPointInfo( "buildHere0018" ) 
    if BuildPoint18.BuildingType == kWF_BUILDING_KEEP and build18done == false then
                    
        build18done = true
        surrounddone = surrounddone + 1
        SetCommentaryText("Miss.Generic.Hint37" )
         
    end

    BuildPoint29 = GetBuildPointInfo( "buildHere0029" ) 
    if BuildPoint29.BuildingType == kWF_BUILDING_KEEP and build29done == false then
                    
        build29done = true
        surrounddone = surrounddone + 1
        SetCommentaryText("Miss.Generic.Hint37" )
         
    end


    BuildPoint28 = GetBuildPointInfo( "buildHere0028" ) 
    if BuildPoint28.BuildingType == kWF_BUILDING_KEEP and build28done == false then
                    
        build28done = true
        surrounddone = surrounddone + 1
        SetCommentaryText("Miss.Generic.Hint37" )
         
    end


    BuildPoint31 = GetBuildPointInfo( "buildHere0031" ) 
    if BuildPoint31.BuildingType == kWF_BUILDING_KEEP and build31done == false then
                    
        build31done = true
        surrounddone = surrounddone + 1
        SetCommentaryText("Miss.Generic.Hint37" )
         
    end



    if surrounddone == 8 and stage == 2 then
        oktohidewarlord3 = true 
        SetCommentaryText("Miss.Generic.Hint40" )
        thirdpartfunc()
    end






end










function BuildingHasBeenDestroyed( BuildingType )
	
    
    
    buildHere0030 = GetBuildPointInfo( "buildHere0030" )
    if buildHere0030.BuildingType == -1 then
                    
        
        SetCommentaryText("Miss.Generic.Hint41" )
        EndMissionFailed()
    end
    
    

    buildHere0014 = GetBuildPointInfo( "buildHere0014" )
    if buildHere0014.BuildingType == -1 and build14done == true then
                    
        build14done = false
        surrounddone = surrounddone - 1
        SetCommentaryText("Miss.Generic.Hint38" )
        
    end


    buildHere0015 = GetBuildPointInfo( "buildHere0015" )
    if buildHere0015.BuildingType == -1 and build15done == true then
                    
        build15done = false
        surrounddone = surrounddone - 1
        SetCommentaryText("Miss.Generic.Hint38" )
        
    end


    buildHere0016 = GetBuildPointInfo( "buildHere0016" )
    if buildHere0016.BuildingType == -1 and build16done == true then
                    
        build16done = false
        surrounddone = surrounddone - 1
        SetCommentaryText("Miss.Generic.Hint38" )
        
    end



    buildHere0017 = GetBuildPointInfo( "buildHere0017" )
    if buildHere0017.BuildingType == -1 and build17done == true then
                    
        build17done = false
        surrounddone = surrounddone - 1
        SetCommentaryText("Miss.Generic.Hint38" )
        
    end



    buildHere0018 = GetBuildPointInfo( "buildHere0018" )
    if buildHere0018.BuildingType == -1 and build18done == true then
                    
        build18done = false
        surrounddone = surrounddone - 1
        SetCommentaryText("Miss.Generic.Hint38" )
        
    end


    buildHere0029 = GetBuildPointInfo( "buildHere0029" )
    if buildHere0029.BuildingType == -1 and build29done == true then
                    
        build29done = false
        surrounddone = surrounddone - 1
        SetCommentaryText("Miss.Generic.Hint38" )
        
    end



    buildHere0028 = GetBuildPointInfo( "buildHere0028" )
    if buildHere0028.BuildingType == -1 and build28done == true then
                    
        build28done = false
        surrounddone = surrounddone - 1
        SetCommentaryText("Miss.Generic.Hint38" )
        
    end

    buildHere0031 = GetBuildPointInfo( "buildHere0031" )
    if buildHere0031.BuildingType == -1 and build31done == true then
                    
        build31done = false
        surrounddone = surrounddone - 1
        SetCommentaryText("Miss.Generic.Hint38" )
        
    end




end



--*****************************************




function thirdpartfunc()

    -- Building and worm spawns that where in here have moved to the function MidSeqenceEFMVBuildingSpawns2(), this is
    -- so the spawns take place on a timer during the mid sequence EFMV, any changes to spawns in this section just stick em in that function :)

    stage = 3


    
    
    
    CheckObjective(2)


    inventory = GetPlayerInventory( 0 )
	Repairs = inventory.RepairBuilding

    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Mortar = kWF_INFINITE_AMOUNT
    inventory.FireWeapon = 0
    inventory.HomingPigeon = 0
    inventory.RocketLauncher = 0
    inventory.Jetpack = 10
--    inventory.Tower = kWF_INFINITE_AMOUNT
    inventory.Keep = kWF_INFINITE_AMOUNT
--    inventory.Castle = 1
    inventory.Grenade = 10
    inventory.Ballista = 20
    inventory.FireGrenadeLauncher = 0
    inventory.BananaBombLauncher = 0
    inventory.AirStrike = kWF_INFINITE_AMOUNT
    inventory.Wonder = 1
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.Surrender = 0
    inventory.RepairBuilding = Repairs
    
    
    FlushCommentaryText()
    
    
    thirdpart = true
    
    	Num = 30
	CameraArrayNumber = 9
	GameHasJustFinishedAMidEFMVSequence = true
	DelayCall( "StartAllEFMVTimers", 3 ) -- EFMV Mid sequence 2 spawns and things
	DelayCall( "EFMVFlyby", 3 ) -- EFMV Mid sequence 2

end




function TurnEnded() -- All the bits in green are for debug camera use, just uncomment the block for the camera you want to see, will kick in after a turn

--     	Num = 30
-- 	CameraArrayNumber = 9
-- 	GameHasJustFinishedAMidEFMVSequence = true
-- 	MidSeqenceEFMVBuildingSpawns() 
-- 	DelayCall( "StartAllEFMVTimers", 3 ) -- EFMV Mid sequence 2 spawns and things
-- 	DelayCall( "EFMVFlyby", 3 ) -- EFMV Mid sequence 2



--     	Num = 17
-- 	CameraArrayNumber = 3
-- 	GameHasJustFinishedAMidEFMVSequence = true
-- 	DelayCall("StartAllEFMVTimers", 2)
-- 	DelayCall( "EFMVFlyby", 2 )  -- EFMVStart Mid Sequence 1



	inventory = GetPlayerInventory( 0 )
	currentWonders = inventory.Wonder

    if currentWonders < 1 and thirdpart == true then
    CheckObjective(3)
    donewonder = true
 	Num = 45
 	CameraArrayNumber = 18
 	GameHasFinished = 1
 	StartAllEFMVTimers()
 	EFMVFlyby() -- EFMVStartEND
        
    end
end

function CheckSuddenDeath()
    return 0
end






		
-- ***********************************************************************************************
-- *                                   Camera things bellow here     				                       *
-- ***********************************************************************************************


function StartAllEFMVTimers() 

		--hides team2 and 3 for the moment
-- 		HideWorm(5)
-- 		HideWorm(6)
-- 		HideWorm(7)
-- 		HideWorm(8)
    
	if CameraArrayNumber == 1 then
	
		OrientateWorm(4,150)
	
		HideWorm(9)
		HideWorm(10)
		HideWorm(11)
		HideWorm(12)
		
		AddVictoryLocation( "buildHere004" )
		AddVictoryLocation( "buildHere0027" )
		AddVictoryLocation( "buildHere0040" )
		AddVictoryLocation( "buildHere0021" )
--	 creates players area
		CreateBuilding( kWF_BUILDING_SCIENCE_LAB, 0, "buildHere001", true )  
		CreateBuilding( kWF_BUILDING_CASTLE, 0, "buildHere002", true )
		CreateBuilding( kWF_BUILDING_CASTLE, 0, "buildHere003", true )  
		CreateBuilding( kWF_BUILDING_CASTLE, 0, "buildHere004", true )
--		CreateBuilding( kWF_BUILDING_CASTLE, 0, "buildHere005", true )  
--		CreateBuilding( kWF_BUILDING_CASTLE, 0, "buildHere0011", true )
		CreateBuilding( kWF_BUILDING_CASTLE, 0, "buildHere0012", true )
--	enemy buildings
		--CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0045", true )
		CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0046", true )    
		--CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0047", true )    
-- 	 stops player building where they shouldn't... yet
		ScorchBuildPoint("buildHere0033", kInfiniteScorch)
		ScorchBuildPoint("buildHere0032", kInfiniteScorch)
		ScorchBuildPoint("buildHere0027", kInfiniteScorch)
		ScorchBuildPoint("buildHere0019", kInfiniteScorch)
		ScorchBuildPoint("buildHere0020", kInfiniteScorch)
    
		FlushCommentaryText()



		OrientateWorm(0,250) -- Orientates players worm to the camera
		WormPLAYERAnimation()
		DelayCall( "SpawnEmperorWormDuringIntro", 24)
		DelayCall("PlayerWormBreathe", 23)
		DelayCall("EmperorAnimation1", 26)
		--DelayCall("PlayerWormTired", 29.6)
		DelayCall("EmperorAnimation2", 27.75)
		DelayCall("EmperorAnimation3", 30.25)
		DelayCall("EmperorAnimation4", 33.50)
		DelayCall("EmperorAnimation5", 54)
		DelayCall("EmperorAnimation6", 36)
		DelayCall("EmperorAnimation7", 57.25)
		DelayCall("EmperorAnimation8", 59.25)
		DelayCall("PlayerAnimation", 59.7)
		DelayCall("Warlord1Animation1",38)
		DelayCall("Warlord1Animation2",42.16)
		DelayCall("Warlord1Animation3",51.74)
	
	elseif CameraArrayNumber == 3 then -- Mid sequence 1 things
	
		SweepAndClearArea("wfRef003") -- Will remove anything that could cause trouble from the spawn locations
		SweepAndClearArea("wfRef000")
	
		HideWorm(0) -- Hide the players worms during the Mid EFMV sequences
		HideWorm(1)
		HideWorm(2)
		HideWorm(3)

		SpawnWorm( 13, "wfRef003" ) -- Spawn ghost worm on emperor spot
		SpawnWorm( 14, "wfRef000" ) -- Spawn ghost worm on player spot
		
		OrientateWorm(13,250)
		OrientateWorm(14,250)
	
		DelayCall( "MidSeqenceEFMVBuildingSpawns", 8)
		DelayCall( "MidSequence1SpawnEffect",8)
		
		DelayCall("Warloard2Animation", 9)
		DelayCall( "PlayerGhostAnimationMidSequence1", 11)
		DelayCall("EmperorGhostAnimationMidSequence2",11)
		DelayCall( "WarlordAnimationMidSequence2", 28)
		DelayCall( "WarlordAnimationMidSequence3", 32.1)
		DelayCall("BothWormsBreathe", 37)
		DelayCall("WarlordAnimationMidSequence4", 35.85)
		DelayCall("ThumbsUp", 56)
        DelayCall("crate1", 2)
        DelayCall("crate2", 3)
        DelayCall("crate3", 4)
		
		
	elseif CameraArrayNumber == 9 then -- Mid sequence 2 things
	

		SweepAndClearArea("wfRef003") -- Will remove anything that could cause trouble from the spawn locations
		SweepAndClearArea("wfRef009")
		
		HideWorm(0) -- Hide the players worms during the Mid EFMV sequences
		HideWorm(1)
		HideWorm(2)
		HideWorm(3)
		HideWorm(5)
		HideWorm(6)
		HideWorm(7)
		HideWorm(8)
		SpawnWorm( 13, "wfRef003" ) -- Spawn ghost worm on emperor spot
		SpawnWorm( 14, "wfRef009" ) -- Spawn ghost worm on Warlord spot
		
		OrientateWorm(14,80)
		OrientateWorm(13,280)
	
		DelayCall("DefeatedWarlordAnimationMidSequence1",10)
		DelayCall("TheEmperorSpeaks", 12)
		DelayCall("TheEmperorBreathes", 13.75) 
		DelayCall("TheEmperorBreathes", 14.75) 
		DelayCall("WarlordBreathes", 16.75)
		DelayCall("WarlordSpeaks", 17.75)
		DelayCall("Warlordconfused", 18.5)
		DelayCall("MidSeqenceEFMVBuildingSpawns2", 21)
		DelayCall("Warlord3SpawnEffect", 21)
		DelayCall("Warlord3animations", 21.5)
		DelayCall( "WarlordSpeaks2", 60)
		DelayCall("Playeranimations1", 27)
		DelayCall("Playeranimations2", 28.5)
		DelayCall( "EmperorSpeaks2", 54)
		DelayCall( "EmperorSpeaks3", 55.5)
		DelayCall( "TheEmperorBreathes", 56.5)
		DelayCall("EmperorReady1", 71)
		DelayCall("EmperorReady2", 73)
        DelayCall("crate6", 1)
		
	elseif CameraArrayNumber == 18 then -- END EFMV
		
		SweepAndClearArea("wfRef003") -- Will remove anything that could cause trouble from the spawn locations
		HideWorm(3) -- Hide the players emperor worm
		--SpawnWorm( 13, "wfRef003" ) -- Spawn ghost worm on emperor spot
		OrientateWorm(13,240)
	end
	
end




function crate1()
    crateone = true

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_OLD_LADY
    crate.NumContents = 1		
    crate.CrateId = 0		
    crate.TeamDestructible = -1	
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true
    crate.IsCritical = false
    SpawnCrate(0,"wfRefcrate1")



end



function crate2()
    cratetwo = true

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_OLD_LADY
    crate.NumContents = 1		
    crate.CrateId = 1		
    crate.TeamDestructible = -1	
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true
    crate.IsCritical = false
    SpawnCrate(1,"wfRefcrate2")



end


function crate3()
    cratethree = true

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_OLD_LADY
    crate.NumContents = 1		
    crate.CrateId = 2		
    crate.TeamDestructible = -1	
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true
    crate.IsCritical = false
    SpawnCrate(2,"wfRefcrate3")



end




function crate6()

    cratesix = true

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_MINE_STRIKE
    crate.NumContents = 1		
    crate.CrateId = 6		
    crate.TeamDestructible = -1	
    crate.WormCollectable = -1		
    crate.TeamCollectable = -1		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true
    crate.IsCritical = false
    SpawnCrate(6,"wfRefcrate6")


end

function EFMVFlyby() -- Starts the EFMV sequence

	FlushCommentaryText()

	 if EFMVCamerasAreActive == true then -- As requested, will disable the intro camera

		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
		
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end
 
function OnEndEFMV(szSeqName, bUserQuit)

	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()

	elseif bUserQuit == 0 then
	
		if CameraArrayNumber == 3  then  -- Just change the number variable to the amount of flyby cams.
			SetGameUpAndCancelEverything()
			
			elseif CameraArrayNumber == 9 then -- End of Mid Sequence 1
				SetGameUpAndCancelEverything()
			--Do something to start the game going again. 
		
			elseif CameraArrayNumber == 18 then -- End of Mid Sequence 2
				FlushCommentaryText()
		
				GameHasJustFinishedAMidEFMVSequence = true
				SetGameUpAndCancelEverything()
				-- Do something to return to the game
		
			elseif CameraArrayNumber == 20 then -- End of Outro EFMV
				EndMissionSuccess()
		
			else
				EFMVFlyby()

			 
		end
	end
end



function SetGameUpAndCancelEverything() -- Called if the user skips the efmv sequence or the sequence has ended. - Things needed for the game go here.
	
								
	if GameHasJustFinishedAMidEFMVSequence == true then
	
	
			if CameraArrayNumber < 10 then -- Mid sequence 1
		
				CancelDelayCall("MidSeqenceEFMVBuildingSpawns")
				MidSeqenceEFMVBuildingSpawns()
				HideWorm(13) -- Hide the ghost worms
				HideWorm(14)
				ReturnWorm(0) -- Put the players worms back in position
				ReturnWorm(1) 
				ReturnWorm(2) 
				ReturnWorm(3) 
				CancelDelayCall("Warloard2Animation")
				CancelDelayCall( "PlayerGhostAnimationMidSequence1")
				CancelDelayCall("EmperorGhostAnimationMidSequence2")
				CancelDelayCall( "WarlordAnimationMidSequence2")
				CancelDelayCall( "WarlordAnimationMidSequence3")
				CancelDelayCall("BothWormsBreathe")
				CancelDelayCall("WarlordAnimationMidSequence4")
				CancelDelayCall("ThumbsUp")
				CancelDelayCall( "MidSeqenceEFMVBuildingSpawns")
			
                if crateone == false then
                    crate1()
                end            
            
                if cratetwo == false then
                    crate2()
                end 
            
            
                if cratethree == false then
                    crate3()
                end             
            
            
            
            
			elseif CameraArrayNumber >9 then -- MidSequence 2 
		
				CancelDelayCall( "MidSeqenceEFMVBuildingSpawns2")
				MidSeqenceEFMVBuildingSpawns2()
				GameHasJustFinishedAMidEFMVSequence = false
				HideWorm(13) -- Hide the ghost worms
				HideWorm(14)
				ReturnWorm(0) -- Put the players worms back in position
				ReturnWorm(1) 
				ReturnWorm(2) 
				ReturnWorm(3) 
				ReturnWorm(5)  -- Warlord worms here
				ReturnWorm(6) 
				ReturnWorm(7) 
				ReturnWorm(8) 

				CancelDelayCall("DefeatedWarlordAnimationMidSequence1")
				CancelDelayCall("TheEmperorSpeaks")
				CancelDelayCall("TheEmperorBreathes") 
				CancelDelayCall("TheEmperorBreathes") 
				CancelDelayCall("WarlordBreathes")
				CancelDelayCall("WarlordSpeaks")
				CancelDelayCall("Warlordconfused")
				CancelDelayCall("MidSeqenceEFMVBuildingSpawns2")
				CancelDelayCall("Warlord3SpawnEffect")
				CancelDelayCall("Warlord3animations")
				CancelDelayCall( "WarlordSpeaks2")
				CancelDelayCall("Playeranimations1")
				CancelDelayCall("Playeranimations2")
				CancelDelayCall( "EmperorSpeaks2")
				CancelDelayCall( "EmperorSpeaks3")
				CancelDelayCall( "TheEmperorBreathes")
				CancelDelayCall("EmperorReady1")
				CancelDelayCall("EmperorReady2")
			








			end
		
	
			FlushCommentaryText()
			-- do something to return to the game
						
	
	elseif GameHasJustFinishedAMidEFMVSequence == false then
	
			if GameHasFinished == 1 then 
				--SetCommentaryText("Miss.Generic.Game") -- End of EFMV Outro if the user has quit the sequence
				 EndMissionSuccess()
			 
			elseif GameHasFinished == 0 and GameHasJustFinishedAMidEFMVSequence == false then
		
				SetEFMVCameraShakeRatio(1.0) -- Turn the camera shake back on 

				CancelDelayCall( "SpawnEmperorWormDuringIntro", 24)
				CancelDelayCall("PlayerWormBreathe")
				CancelDelayCall("EmperorAnimation1")
				CancelDelayCall("EmperorAnimation2")
				CancelDelayCall("EmperorAnimation3")
				CancelDelayCall("EmperorAnimation4")
				CancelDelayCall("EmperorAnimation5")
				CancelDelayCall("EmperorAnimation6")
				CancelDelayCall("EmperorAnimation7")
				CancelDelayCall("EmperorAnimation8")
				CancelDelayCall("PlayerAnimation")
				CancelDelayCall("Warlord1Animation1")
				CancelDelayCall("Warlord1Animation2")
				CancelDelayCall("Warlord1Animation3")
				CancelDelayCall("WormPLAYERAnimation")
		
				SpawnWorm(3,"wfRef003")
				SetBriefingBoxPosition(0,0) 
				SetBriefingBoxSize(210,128) 
				CreateBriefingBox("Miss.Oriental1-Objectives")
			end
	end
end

--///////////////////////////////////////////////////////
--  Trigger text code

function EFMV_TextTrigger() 

    	if Num == 46 then
		DelayCall("fade",9)
	end
	
    Text = TextLabelsArray[Num]
    
-- (-1) is infinite, (0) is default to 2000 (2 secs)
    SetCommentaryText(Text, -1)
    Num = Num + 1
    
end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 


--////////////////////// Intro animations     ///////////////////////             

function SpawnEmperorWormDuringIntro()                 
	WormResetAnim(0) 					 
	WormQueueAnim(0,"worm_bemused")		

	CreateParticleEffect("Explosion Smoke", "wfRef003")	
	SpawnWorm( 3, "wfRef003" )
	OrientateWorm(3,250) -- Orientates Emperors worm to the camera
end

function PlayerWormTired()
	WormResetAnim(0) 					 
	WormQueueAnim(0,"worm_looking")
end


function PlayerWormBreathe()
	WormResetAnim(0) 					 
	WormQueueAnim(0,"breathe")
	DelayCall("PlayerWormBreathe",2)
end


function EmperorAnimation1()
	WormResetAnim(3) 
	WormQueueAnim(3,"worm_speakangry2") 
end

function EmperorAnimation2()
	WormResetAnim(3) 
	WormQueueAnim(3,"worm_shakefist") 
end

function EmperorAnimation3()
	WormResetAnim(3) 
	WormQueueAnim(3,"angry3") 
end

function EmperorAnimation4()
	WormResetAnim(3) 
	WormQueueAnim(3,"worm_speakangry2") 
end

function EmperorAnimation5()
	WormResetAnim(3) 
	WormQueueAnim(3,"angry3") 
end

function EmperorAnimation6()
	WormResetAnim(3) 
	WormQueueAnim(3,"angry3") 
end

function EmperorAnimation7()
	WormResetAnim(3) 
	WormQueueAnim(3,"angry1") 
end

function EmperorAnimation8()
	WormResetAnim(3) 
	WormQueueAnim(3,"angry3") 
end

function PlayerAnimation()
	CancelDelayCall("PlayerWormBreathe")
	WormResetAnim(0) 
	WormQueueAnim(0,"happy1") 
end
	

function WormPLAYERAnimation()
	WormResetAnim(0) 
	WormQueueAnim(0,"Idle_freeze") 
	
	if Num < 7 then
		DelayCall( "WormPLAYERAnimation", 6.3) -- Will stop the been cold animation when the emperor appears
	end
end

function Warlord1Animation1()
	WormResetAnim(4) 
	WormQueueAnim(4,"Idle_lookaround") 
end

function Warlord1Animation2()
	WormResetAnim(4) 
	WormQueueAnim(4,"Idle_eyebrowdrop") 
end

function Warlord1Animation3()
	WormResetAnim(4) 
	WormQueueAnim(4,"worm_smug") 
end

--////////////////////////////////////////////




--///// Mid sequence 1 animations ///////////////////////

function Warloard2Animation()
	WormResetAnim(5) 
	WormQueueAnim(5,"angry3") 
end


function  PlayerGhostAnimationMidSequence1()
	--WormResetAnim(14) 
	WormQueueAnim(14,"breathe") 
	DelayCall("PlayerGhostAnimationMidSequence2", 2)
end

function  PlayerGhostAnimationMidSequence2()
	--WormQueueAnim(14,"breathe") 
	DelayCall("PlayerGhostAnimationMidSequence3", 2)
end

function  PlayerGhostAnimationMidSequence3()
	--WormResetAnim(14) 
	WormQueueAnim(14,"breathe") 
	DelayCall("PlayerGhostAnimationMidSequence4", 2)
end

function  PlayerGhostAnimationMidSequence4()
	WormResetAnim(14) 
	WormQueueAnim(14,"worm_contemplates") 
	--DelayCall("PlayerGhostAnimationMidSequence4", 2)
end

function  EmperorGhostAnimationMidSequence2()
	WormResetAnim(13) 
	WormQueueAnim(13,"worm_speak3") 
	DelayCall("EmperorGhostAnimationMidSequence3",1.75)
end

function  EmperorGhostAnimationMidSequence3()
	WormResetAnim(13) 
	WormQueueAnim(13,"worm_directingheave") 
	DelayCall("EmperorGhostAnimationMidSequence4",5)
end

function  EmperorGhostAnimationMidSequence4()
	WormResetAnim(13) 
	WormQueueAnim(13,"worm_anticipation") 
end

function  WarlordAnimationMidSequence2()
	WormResetAnim(5) 
	WormQueueAnim(5,"worm_comeon3") 
end

function  WarlordAnimationMidSequence3()
	WormResetAnim(5) 
	WormQueueAnim(5,"worm_smug") 
end

function  WarlordAnimationMidSequence4()
	WormResetAnim(5) 
	WormQueueAnim(5,"worm_flutter") 
end

function BothWormsBreathe()
	--WormResetAnim(13) 
	WormQueueAnim(13,"breathe") 
	--WormResetAnim(14) 
	WormQueueAnim(14,"breathe") 
	DelayCall("BothWormsBreathe",2.2)
end

function ThumbsUp()
	CancelDelayCall("BothWormsBreathe")
	WormResetAnim(14) 
	WormQueueAnim(14,"happy1")
end
	



--///////////////////////////////////////////////////



--///// Mid sequence 2 animations///////////////////////

function  EmperorReady1()
	WormQueueAnim(13,"happy1") 
end

function  EmperorReady2()
	WormQueueAnim(13,"worm_anticipation") 
end

function  EmperorSpeaks2()
	WormResetAnim(13) 
	WormQueueAnim(13,"worm_speak3") 
end

function  EmperorSpeaks3()
	WormQueueAnim(13,"worm_shrug") 
end

function  DefeatedWarlordAnimationMidSequence1()
	WormResetAnim(14) 
	WormQueueAnim(14,"worm_puzzled") 
end

function  TheEmperorSpeaks()
	WormResetAnim(13) 
	WormQueueAnim(13,"worm_speak3") 
end

function TheEmperorBreathes()
	WormResetAnim(13) 
	WormQueueAnim(13,"breathe") 
end

function  WarlordSpeaks()
	--OrientateWorm(14,240)
	WormResetAnim(14) 
	WormQueueAnim(14,"worm_speak3") 
end

function  WarlordSpeaks2()
	--OrientateWorm(14,240)
	WormResetAnim(14) 
	WormQueueAnim(14,"worm_shrug") 
end

function  WarlordBreathes()
	WormQueueAnim(14,"breathe") 
end

function  Warlordconfused()
	WormQueueAnim(14,"worm_puzzled") 
end

function Warlord3animations()
	WormResetAnim(10) 
	WormQueueAnim(10,"worm_comeon3") 
end

function Playeranimations1()
	WormResetAnim(13) 
	WormQueueAnim(13,"worm_speak3") 
end

function Playeranimations2()
	--WormResetAnim(13) 
	WormQueueAnim(13,"worm_puzzled") 
end


--///////////////////////////////////////////////////
	

function MidSeqenceEFMVBuildingSpawns() -- Mid sequence 1

	SweepAndClearArea("wfRef009") -- Will remove anything that could cause trouble from the spawn locations
	SweepAndClearArea("wfRef0010")
	SweepAndClearArea("wfRef0011")
	SweepAndClearArea("wfRef0012")
	SweepAndClearArea("buildHere0030")
	SweepAndClearArea("buildHere0028")
	SweepAndClearArea("buildHere0029")
	SweepAndClearArea("buildHere0018")
	SweepAndClearArea("buildHere0017")
	SweepAndClearArea("buildHere0016")
	SweepAndClearArea("buildHere0014")
	SweepAndClearArea("buildHere0015")
	SweepAndClearArea("buildHere0031")
	
		
	SpawnWorm( 5, "wfRef009" )
	SpawnWorm( 6, "wfRef0010" )
	SpawnWorm( 7, "wfRef0011" )
	SpawnWorm( 8, "wfRef0012" )
	OrientateWorm(5,80)

	CreateBuilding( kWF_BUILDING_STRONGHOLD, 2, "buildHere0030", true ) 
	CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0028", true )
	CreateBuilding( kWF_BUILDING_CASTLE, 2, "buildHere0029", true )
	CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0018", true )
	CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0017", true )
	CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0016", true )
	CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0014", true )
	CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0015", true )
	CreateBuilding( kWF_BUILDING_TOWER, 2, "buildHere0031", true )
    
end

function MidSequence1SpawnEffect()
	CreateParticleEffect("Explosion Smoke", "wfRef009")
end	

function Warlord3SpawnEffect()
	CreateParticleEffect("Explosion Smoke", "wfRef0014")
end


function MidSeqenceEFMVBuildingSpawns2() -- Mid sequence 2

	SweepAndClearArea("wfRef0013") -- Will remove anything that could cause trouble from the spawn locations
	SweepAndClearArea("wfRef0014")
	SweepAndClearArea("wfRef0015")
	SweepAndClearArea("wfRef0016")
	SweepAndClearArea("buildHere0025")
	SweepAndClearArea("buildHere0026")
	SweepAndClearArea("buildHere0024")
	SweepAndClearArea("buildHere0033")
	SweepAndClearArea("buildHere0032")
	SweepAndClearArea("buildHere0027")
	SweepAndClearArea("buildHere0019")
	SweepAndClearArea("buildHere0020")

	SpawnWorm( 9, "wfRef0013" )
	SpawnWorm( 10, "wfRef0014" )
	SpawnWorm( 11, "wfRef0015" )
	SpawnWorm( 12, "wfRef0016" )
	OrientateWorm(5,350)
	OrientateWorm(10,60)
    
--~ 	HideWorm(5)
--~ 	HideWorm(6)
--~ 	HideWorm(7)
--~ 	HideWorm(8)

    FlushCommentaryText()

	CreateBuilding( kWF_BUILDING_STRONGHOLD, 3, "buildHere0025", true ) 
	CreateBuilding( kWF_BUILDING_TOWER, 3, "buildHere0026", true )
	CreateBuilding( kWF_BUILDING_TOWER, 3, "buildHere0024", true )
	
	ScorchBuildPoint("buildHere0033", kNoOwner)
	ScorchBuildPoint("buildHere0032", kNoOwner)
	ScorchBuildPoint("buildHere0027", kNoOwner)
	ScorchBuildPoint("buildHere0019", kNoOwner)
	ScorchBuildPoint("buildHere0020", kNoOwner)
    
end

function fade()
Fade(true, 3, true) -- fades to black over 3 seconds
end
