--***********************************************************
--                Oriental2


--***********************************************************

function InitialiseLevel()
    LoadLevel("landscapes/O/O2.xom",true)
    SetObjectives("Miss.Oriental2-Objectives", 4)

    --SetupDefaultScheme()
    
    --Initial global variables
    part = 1
    partonedone = false
    parttwodone = false
    partthreedone = false
    
    
    
    NumCrateCollected = 0
    PlayerWormsDead = 0
    
	CameraArrayNumber = 0 -- Used for EFMV ONLY
	bQuitable = true -- Used for EFMV ONLY
	GameHasFinished = 0 -- Used for EFMV OUTRO ONLY
	Num = 1 -- Used for the EFMV Text Array ONLY
	EFMVCamerasAreActive = true -- Set to false to disable the intro EFMV camera
	GameHasJustFinishedAMidEFMVSequence = false --Used to tell the game that it's in a mid EFMV sequence
	Crate1HasSpawned = false -- To check the first EFMV starting crate
	referee = GetRefereeData()
        referee.ShowVictorySequence = false -- Turns the end of game worm celebrations off
     
	EFMVArray = { "intro", "cut1", "cut2","cut6","cut7"} -- EFMV - cut 4 = mid sequence 1, cut 7 = end sequence. ** Myabe an number 8 cut**
	    
	    
	TextLabelsArray = { "Miss.Oriental2-EFMV.Intro1", "Miss.Oriental2-EFMV.Intro2", "Miss.Oriental2-EFMV.Intro3", "Miss.Oriental2-EFMV.Intro4", "Miss.Oriental2-EFMV.Intro5", "Miss.Oriental2-EFMV.Intro6",
				"Miss.Oriental2-EFMV.Intro7", "Miss.Oriental2-EFMV.Intro8", "Miss.Oriental2-EFMV.Intro9", "Miss.Oriental2-EFMV.Intro10", "Miss.Oriental2-EFMV.Intro11", "Miss.Oriental2-EFMV.Intro12",
				"Miss.Oriental2-EFMV.Intro13", "Miss.Oriental2-EFMV.Intro14", "Miss.Oriental2-EFMV.Intro15","Miss.Oriental2-EFMV.Intro16", "Miss.Oriental2-EFMV.Intro17" , "Miss.Oriental2-EFMV.Intro18"
				, "Miss.Oriental2-EFMV.Intro19", "Miss.Oriental2-EFMV.Intro20", "Miss.Oriental2-EFMV.Intro21", "Miss.Oriental2-EFMV.Intro22", "Miss.Oriental2-EFMV.Intro23", "Miss.Oriental2-EFMV.Intro24"
				, "Miss.Oriental2-EFMV.Intro25", "Miss.Oriental2-EFMV.Intro26", "Miss.Oriental2-EFMV.Intro27", "Miss.Oriental2-EFMV.Intro28", "Miss.Oriental2-EFMV.Intro29", "Miss.Oriental2-EFMV.Intro30"
				, "Miss.Oriental2-EFMV.Intro31", "Miss.Oriental2-EFMV.Intro32", "Miss.Oriental2-EFMV.Intro33", "Miss.Oriental2-EFMV.Intro34", "Miss.Oriental2-EFMV.Intro35", "Miss.Oriental2-EFMV.Intro36"}
 
end




function CreatePlayers()

    
        -- Setup the Players Team 3 monks with only parachute to use to
        -- descend the mountain.
        
--        player = CreatePlayer("HUMAN")
--        player.NumberOfWorms = 3
--        player.Name = "Monks"
--        player.WormStartingHealth = 1
--        player.VoiceBank = "Classic"
--        CreatePlayersTeam(player.PlayerIndex)
        SetupHumanPlayer(3,1)
        player = GetPlayerData(0)
        player.SpecialWeapon =  "kNoSpecialWeapon"
        GetPlayerData(0).MaxJetpackFuel = 600
        

	
 
        GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRefMonk1"
        GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRefMonk2"
        GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRefMonk3"
   
   
        player = CreatePlayer("AI")
        player.NumberOfWorms = 1
        player.Name = "Noneplayer"
        player.WormStartingHealth = 100
        player.VoiceBank = "Classic"
        CreatePlayersTeam(player.PlayerIndex)
    
        StandardWorm(GetWormData(3),"Noneplayer","wfRefDummy") 
   
   
   
        EmptyInventory(0)
        inventory = GetPlayerInventory(0)
--~         inventory.Parachute = kWF_INFINITE_AMOUNT
        inventory.Jetpack = kWF_INFINITE_AMOUNT
        inventory.Surrender = 0 
--        SetupNeverEndingTurn( 300, false )
        -- No Crates !
        scheme = GetCurrentSchemeData()
        scheme.CrateProbability = 0
        scheme.TurnTime = 8500	
        scheme.HotSeatTime = 0
	
	-- SAM bug fix: Need to set retreat time to less than five seconds 
	-- because of the delay in DelayCall("partoneended", 5)
	scheme.RetreatTime = 400
	
	CreateNeutralWorm( 4 ) -- Used for EFMV
    SetWormHatFromPlayer(4,0)

    
	CreateNeutralWorm( 5 ) -- Used for EFMV
    SetWormHatFromPlayer(5,0)

    
	CreateNeutralWorm( 6 ) -- Used for EFMV
    SetWormHatFromPlayer(6,0)

    
    
    
	CreateNeutralWorm( 7 ) -- Used for EFMV	
    SetWormHatFromPlayer(7,0)

    
end


function CheckSuddenDeath()
    return 0
end

function HideWormsNow()

    SetInstantReplaysOn(false)

    PlayDetailObjectAnimation("crow01", "path1", true)
	PlayDetailObjectAnimation("crow01", "flap", true)
    DelayCall("crow2", 1.4)



    
    HideWorm (0)
    HideWorm (1)
    HideWorm (2)
    HideWorm (3)
    
    SpawnTargets()
    
    StartAllEFMVTimers() -- Actions during EFMV	
    EFMVFlyby() -- EFMVStart
	
end


function crow2()
    PlayDetailObjectAnimation("crow02", "path1", true)
	PlayDetailObjectAnimation("crow02", "flap", true)
end




function SetNextPlayerToGo( playerIndex )
    return 0
end 


function SpawnTargets()

--~ --first lot of crates
--~  if part == 1 and NumCrateCollected == 0 then
--~  
--~     crate = CreateCrate()
--~     crate.Contents = kWF_UTILITY_JETPACK 
--~     crate.NumContents = 1			
--~     crate.CrateId = 1				
--~     crate.TeamDestructible = -1		
--~     crate.WormCollectable = -1		
--~     crate.TeamCollectable = 0		
--~     crate.GroundSnap = false		
--~     crate.FixedPosition = true		
--~     crate.UXB = false				
--~     crate.Destructible = false		
--~     crate.Pushable = false			
--~     crate.CollectableByPayload = false	
--~     crate.Collectable = true		
--~     SpawnCrate(crate.Index,"wfRefTargets1")

--~ end


 if part == 1 and NumCrateCollected == 1 then

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 2				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets2")

end

 if part == 1 and NumCrateCollected == 2 then


    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 3				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets3")
end

 if part == 1 and NumCrateCollected == 3 then

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 4				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets4")
end
 
  if part == 1 and NumCrateCollected == 4 then

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 5				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets5")
 
 end
 
  if part == 1 and NumCrateCollected == 5 then

 
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 6				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets6") 
    
    SetCommentaryText("Miss.Generic.Hint42")
    
end    
    
    
 if part == 1 and NumCrateCollected == 6 then
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 7				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets7") 
    
    SetCommentaryText("Miss.Generic.Hint43")
    
end


 if part == 1 and NumCrateCollected == 7 then
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 8				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets8")
   
    SetCommentaryText("Miss.Generic.Hint44") 
    
end


--second lot of crates
    if part == 2 and NumCrateCollected == 8 then

--    HideWorm (0)
--    SpawnWorm( 1, "wfRefMonk2" )

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 9				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets9")
end

if part == 2 and NumCrateCollected == 9 then

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 10				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets10")

end

if part == 2 and NumCrateCollected == 10 then
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 11				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets11")
end

if part == 2 and NumCrateCollected == 11 then

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 12				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets12")
end

if part == 2 and NumCrateCollected == 12 then
 
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 13				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets13")
 end

if part == 2 and NumCrateCollected == 13 then
 
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 14				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets14") 
    
    SetCommentaryText("Miss.Generic.Hint42")
    
end

if part == 2 and NumCrateCollected == 14 then    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 15				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets15") 
    
    SetCommentaryText("Miss.Generic.Hint43")
    
    
end

if part == 2 and NumCrateCollected == 15 then    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 16			
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets16") 
    
    SetCommentaryText("Miss.Generic.Hint44")

    
end
    
    
--third lot of crates    
    if part == 3 and NumCrateCollected == 16 then
    
--    HideWorm (1)
--    SpawnWorm( 2, "wfRefMonk3" )

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 17				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets17")
end
    
    
   
if part == 3 and NumCrateCollected == 17 then

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 18				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets18")

end
    
    
   
if part == 3 and NumCrateCollected == 18 then
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 19				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets19")

end
    
    
   
if part == 3 and NumCrateCollected == 19 then
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 20				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets20")

 end
    
    
   
if part == 3 and NumCrateCollected == 20 then
 
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 21				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets21")
 
 
end
    
    
   
if part == 3 and NumCrateCollected == 21 then
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 22			
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets22") 
    
    SetCommentaryText("Miss.Generic.Hint42")
    
end
    
    
   
if part == 3 and NumCrateCollected == 22 then    
    
    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 23				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets23") 
    
    SetCommentaryText("Miss.Generic.Hint43")
    
end
    
    
   
if part == 3 and NumCrateCollected == 23 then    
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 24		
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets24") 
    
    SetCommentaryText("Miss.Generic.Hint44")
    

end
    

	
	
--last part going back up, efmv goes here I think
    if part == 4 and NumCrateCollected == 24 then 
    CheckObjective(2)

	Num = 20
	CameraArrayNumber = 3
	GameHasJustFinishedAMidEFMVSequence = true
    FlushCommentaryText()
	DelayCall("StartAllEFMVTimers", 2) 
	DelayCall( "EFMVFlyby", 2 )  -- EFMVStart Mid Sequence 1

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 25				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets25")
end
    

if part == 4 and NumCrateCollected == 25 then 

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 26				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets26")

end
    

if part == 4 and NumCrateCollected == 26 then 

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 27				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets27")

end
    

if part == 4 and NumCrateCollected == 27 then 
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 28				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets28")

end
    

if part == 4 and NumCrateCollected == 28 then  
 
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 29				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets29")
 
end
    

if part == 4 and NumCrateCollected == 29 then  
 
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 30			
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets30") 
    
    --SetCommentaryText("Miss.Generic.Hint42")
    
    
end
    

if part == 4 and NumCrateCollected == 30 then     
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 31				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets31") 
    
    --SetCommentaryText("Miss.Generic.Hint43")
    
end
    

if part == 4 and NumCrateCollected == 31 then     
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 32		
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets32") 

    --SetCommentaryText("Miss.Generic.Hint44")

    CheckObjective(3)

    end
    
    
    
    

    

end




function CrateCollected(TargetIndex)








    SetCommentaryText("Miss.Generic.Game8")


    if part == 1 then

        worm = GetWormData(0)
        worm.JetpackFuel = (worm.JetpackFuel + 500)
    
    end
    
    if part == 2 then
    
        worm = GetWormData(1)
        worm.JetpackFuel = (worm.JetpackFuel + 450)
    
    end
    
    if part == 3 then
    
        worm = GetWormData(2)
        worm.JetpackFuel = (worm.JetpackFuel + 350)
    
    end
    
    if part == 4 then
    
        worm = GetWormData(0)
        worm.JetpackFuel = (worm.JetpackFuel + 250)
    
    end
    
    NumCrateCollected = NumCrateCollected + 1
    
    
    if NumCrateCollected == 8 then
    EndTurn()
    DelayCall("partoneended", 5)
    
    

    
    
    part = 2

    
    
    end
    
    
    if NumCrateCollected == 16 then
    
    
    EndTurn()
    DelayCall("parttwoended", 5)
    

    
    part = 3

    
    end
    
    
    if NumCrateCollected == 24 then
    
    EndTurn()
    DelayCall("partthreeended", 5)
    
    

    
    
    part = 4

    
    end
    
    
    if NumCrateCollected == 32 then
    
	Num = 28
	CameraArrayNumber = 4
	GameHasFinished = 1
    FlushCommentaryText()
	StartAllEFMVTimers()
	DelayCall("StartAllEFMVTimers", 2) 
	DelayCall( "EFMVFlyby", 2.5 )  -- EFMVStartEND MISSION SUCCESS() CALLED HERE


    
    part = 5

    
    end
    
    SpawnTargets()

    
end

function partoneended()

    partonedone = true

end


function parttwoended()

    parttwodone = true

end

function partthreeended()

    partthreedone = true

end





function TurnEnded()

    if part == 1 and NumCrateCollected < 8 then
    
        EndMissionFailed()
    
    end


    if part == 2 and NumCrateCollected < 16  and partonedone == true then
    
        EndMissionFailed()
    
    end

    if part == 3 and NumCrateCollected < 24 and parttwodone == true then
    
        EndMissionFailed()
    
    end
    
    
    if part == 4 and NumCrateCollected < 32 and partthreedone == true then
    
        EndMissionFailed()
    
    end

end




function CrateDestroyed(TargetIndex)


end







function CheckTargets()

    
end




function TimeExpiredOnLongTurn()



end


--*************************************************************

function EndMissionSuccess()



        Unlock("LOCK.Speech.Statesman")


        
        --if referee.TotalGameTime < 100 then 
           SetMedal(kGoldMedal)
            Unlock("LOCK.Flag.Oriental2")
        
        
--        elseif referee.TotalGameTime < 500 then 
--            SetMedal(kSilverMedal) 
--            Unlock("LOCK.Flag.Oriental2")
        
        
        
--        elseif referee.TotalGameTime > 500 then 
--            SetMedal(kBronzeMedal) 
--            Unlock("LOCK.Flag.Oriental2")
--        end 


    SetCommentaryText("Miss.Generic.Success")
    EndRound(0)
end

function EndMissionFailed()
        SetCommentaryText("Miss.Generic.Failed")
        EndRound(1)
end

--*************************************************************


function WormDied(wormIndex)

    if wormIndex == 0
        
        or wormIndex == 1
        or wormIndex == 2 then
        
        PlayerWormsDead = PlayerWormsDead + 1
        
    end
    
      
    

    
    
    if PlayerWormsDead == 1 then
        -- a players worm has died 
        SetCommentaryText("Miss.Generic.Game3")
        DelayCall("EndMissionFailed", 2)
        
    end    

end




function CheckVictoryConditions( )

	return false
    
end


-- ***********************************************************************************************
-- *                                   Camera things bellow here     				                       *
-- ***********************************************************************************************


function StartAllEFMVTimers() 

	
	if CameraArrayNumber == 0 then
		Fade( false, 2, true) -- fades from black over 2 seconds

		SpawnWorm( 4, "wfRefMonk1" )
		SpawnWorm( 5, "wfRefMonk2" )
		SpawnWorm( 6, "wfRefMonk3" )
		SpawnWorm( 7, "wfRefPlayerCut4")
		OrientateWorm(4,130) 
		OrientateWorm(5,70) 
		OrientateWorm(6,100) 
 		OrientateWorm(7,100) 
		--DelayCall( "MonkAnimations",18)
		DelayCall( "CrateAppears1",42) 
		DelayCall( "CrateAppears2",50) 
		DelayCall( "CrateAppears3",54) 
		DelayCall( "CrateAppears4",57) 
		DelayCall( "CrateAppears5",59) 
		DelayCall( "CrateAppears6",61) 
		DelayCall( "CrateAppears7",63) 
		DelayCall( "CrateAppears8",65) 
		DelayCall( "CrateAppears9",67) 
--		DelayCall("Monk2introAnimation1", 7)
--		DelayCall("Monk2introAnimation1", 11.17)
--		DelayCall("Monk2introAnimation1", 15.33)
--		DelayCall("Monk2introAnimation1", 19.49)
--		DelayCall("Monk2introAnimation1", 23.65)
--		DelayCall("Monk2introAnimation2", 26.9)
--		DelayCall("Monk2introAnimation3", 29.9)
--		DelayCall("Monk1introAnimation1", 7) -- looking
		--DelayCall("Monk1introAnimation2", 14) -- puzzled 
		--DelayCall("Monk1introAnimation3", 17.65) -- tired
		--DelayCall("Monk1introAnimation4", 23.91) -- firepunch idle
		--DelayCall("Monk1introAnimation5", 28.91) -- flutter
		
	elseif CameraArrayNumber == 3 then
		FlushCommentaryText()
	
		--DelayCall( "CrateAppears10",2) 
		DelayCall( "CrateAppears11",4) 
		DelayCall( "CrateAppears12",6) 
		DelayCall( "CrateAppears13",10) 
		DelayCall( "CrateAppears14",13) 
		DelayCall( "CrateAppears15",14) 
		DelayCall( "CrateAppears16",22) 
		DelayCall( "CrateAppears17",24) 
		
	elseif CameraArrayNumber == 4 then
    
        SpawnWorm( 7, "wfRefPlayerCut4")
        OrientateWorm(7,100) 
        DelayCall("EmperorAnimation", 1)

        
		DelayCall("StrongHoldENDEFMVSpawm", 27)
		-- Things for End Sequence here
	end
	
end



function EFMVFlyby() -- Starts the EFMV sequence

	 if EFMVCamerasAreActive == true then -- As requested, will disable the intro camera

		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
		
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end
 
function OnEndEFMV(szSeqName, bUserQuit)

	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()

	elseif bUserQuit == 0 then
	
		if CameraArrayNumber == 3  then  -- Just change the number variable to the amount of flyby cams.
			SetGameUpAndCancelEverything()

			elseif CameraArrayNumber == 4 then -- End of Mid Sequence 1
				SetGameUpAndCancelEverything()
				FlushCommentaryText() 
				GameHasJustFinishedAMidEFMVSequence = false
				
				CancelDelayCall( "MidSequenceMonkAnimation")
				CancelDelayCall( "MidSequencePlayerAnimation")
				HideWorm (4)
				HideWorm (5)
				HideWorm (6)
		
			elseif CameraArrayNumber == 5 then
				EndMissionSuccess()
			else
			EFMVFlyby()
			 
		end
	end
end



function SetGameUpAndCancelEverything() -- Called if the user skips the efmv sequence or the sequence has ended. - Things needed for the 
								--game go here.
								
	if GameHasJustFinishedAMidEFMVSequence == true then
	
		CancelDelayCall( "CrateAppears10") 
		CancelDelayCall( "CrateAppears11") 
		CancelDelayCall( "CrateAppears12") 
		CancelDelayCall( "CrateAppears13") 
		CancelDelayCall( "CrateAppears14") 
		CancelDelayCall( "CrateAppears15") 
		CancelDelayCall( "CrateAppears16") 
		CancelDelayCall( "CrateAppears17") 
		--SweepAndClearArea("wfRefTargets25")
		SweepAndClearArea("wfRefTargets26")
		SweepAndClearArea("wfRefTargets27")
		SweepAndClearArea("wfRefTargets28")
		SweepAndClearArea("wfRefTargets29")
		SweepAndClearArea("wfRefTargets30")
		SweepAndClearArea("wfRefTargets31")
		SweepAndClearArea("wfRefTargets32")
		-- do something to return to the game
	end							

	if GameHasFinished == 1 then 
		--SetCommentaryText("Miss.Generic.Game") -- End of EFMV Outro if the user has quit the sequence
		 EndMissionSuccess()
		 
	elseif GameHasFinished == 0 and GameHasJustFinishedAMidEFMVSequence == false then
	
		if Crate1HasSpawned == false then
	
			crate = CreateCrate()
			crate.Contents = kWF_UTILITY_JETPACK 
			crate.NumContents = 1			
			crate.CrateId = 1				
			crate.TeamDestructible = -1		
			crate.WormCollectable = -1		
			crate.TeamCollectable = 0		
			crate.GroundSnap = false		
			crate.FixedPosition = true		
			crate.UXB = false				
			crate.Destructible = false		
			crate.Pushable = false			
			crate.CollectableByPayload = false	
			crate.Collectable = true		
			SpawnCrate(crate.Index,"wfRefTargets1")
		end
	

		CancelDelayCall( "CrateAppears1") 
		CancelDelayCall( "CrateAppears2") 
		CancelDelayCall( "CrateAppears3") 
		CancelDelayCall( "CrateAppears4") 
		CancelDelayCall( "CrateAppears5") 
		CancelDelayCall( "CrateAppears6") 
		CancelDelayCall( "CrateAppears7") 
		CancelDelayCall( "CrateAppears8") 
		CancelDelayCall( "CrateAppears9") 
		CancelDelayCall("Monk2introAnimation1")
		CancelDelayCall("Monk2introAnimation1")
		CancelDelayCall("Monk2introAnimation1")
		CancelDelayCall("Monk2introAnimation1")
		CancelDelayCall("Monk2introAnimation1")
		CancelDelayCall("Monk2introAnimation2")
		CancelDelayCall("Monk2introAnimation3")
		CancelDelayCall("Monk1introAnimation1") -- looking
		CancelDelayCall("Monk1introAnimation2") -- puzzled 
		CancelDelayCall("Monk1introAnimation3") -- tired
		CancelDelayCall("Monk1introAnimation4") -- firepunch idle
		CancelDelayCall("Monk1introAnimation5") -- flutter
		SweepAndClearArea("wfRefTargets2")
		SweepAndClearArea("wfRefTargets3")
		SweepAndClearArea("wfRefTargets4")
		SweepAndClearArea("wfRefTargets5")
		SweepAndClearArea("wfRefTargets6")
		SweepAndClearArea("wfRefTargets7")
		SweepAndClearArea("wfRefTargets8")
		SweepAndClearArea("wfRefTargets9")
        SweepAndClearArea("wfRefTargets29")
        
        
		HideWorm (4)
		HideWorm (5)
		HideWorm (6)
        HideWorm (7)
		SpawnWorm( 0, "wfRefMonk1" )
		SpawnWorm( 1, "wfRefMonk2" )
		SpawnWorm( 2, "wfRefMonk3" )
		--SpawnWorm( 3, "wfRefDummy" )
	
        
		SetBriefingBoxPosition(0,0) 
		SetBriefingBoxSize(190,120) 
		CreateBriefingBox("Miss.Oriental2-Objectives")
        
	
	-- Put what's in Hid worms in here
	end

	

	
end

--///////////////////////////////////////////////////////
--  Trigger text code

function EFMV_TextTrigger() 

	if Num == 36 then
		Fade(true, 3, true) -- fades to black over 3 seconds
	end

    
	Text = TextLabelsArray[Num]
    
	-- (-1) is infinite, (0) is default to 2000 (2 secs)
	SetCommentaryText(Text, -1)
	Num = Num + 1
    
end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 


function Monk1introAnimation1()
	WormResetAnim(4) 
	WormQueueAnim(4,"worm_looking") 
end

function Monk1introAnimation2()
	WormResetAnim(4) 
	WormQueueAnim(4,"worm_puzzled") 
end

function Monk1introAnimation3()
	WormResetAnim(4) 
	WormQueueAnim(4,"worm_tired") 
end

function Monk1introAnimation4()
	WormResetAnim(4) 
	WormQueueAnim(4,"Idle_firepunch") 
end

function Monk1introAnimation5()
	WormResetAnim(4) 
	WormQueueAnim(4,"worm_flutter") 
end

function Monk2introAnimation1()
	WormResetAnim(5) 
	WormQueueAnim(5,"worm_sleep") 
end

function Monk2introAnimation2()
	WormResetAnim(5) 
	WormQueueAnim(5,"worm_wake") 
end

function Monk2introAnimation3()
	WormResetAnim(5) 
	WormQueueAnim(5,"worm_tired") 
end

function EmperorAnimation()
	WormResetAnim(7) 
	WormQueueAnim(7,"angry1") 
end


--~ function TurnEnded()

--~ 	Num = 28
--~ 	CameraArrayNumber = 7
--~ 	GameHasFinished = 1
--~ 	StartAllEFMVTimers() 
--~ 	DelayCall( "EFMVFlyby", 2 )  -- EFMVStartEND MISSION SUCCESS() CALLED HERE
--~ end

function CrateAppears1()

	Crate1HasSpawned = true

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 2				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = true	
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets1")
    --DelayCall("CrateAppears2", 4)

end


function CrateAppears2()

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 3				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = true	
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets2")
    --SweepAndClearArea("wfRefTargets1")
    --DelayCall("CrateAppears3", 4)

end

function CrateAppears3()

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 4				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = true	
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets3")
      SweepAndClearArea("wfRefTargets2")

   -- DelayCall("CrateAppears4", 4)
end

function CrateAppears4()

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 5				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = true	
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets4")
      SweepAndClearArea("wfRefTargets4")
    --DelayCall("CrateAppears5", 2)
end
 
function CrateAppears5()

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 6				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = true
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets5")
      SweepAndClearArea("wfRefTargets4")

    --DelayCall("CrateAppears6", 2)
 
 end
 
function CrateAppears6()

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 7				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = true	
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets6") 
    SweepAndClearArea("wfRefTargets5")
    --DelayCall("CrateAppears7", 2)
    
end    
    
    
function CrateAppears7()
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 8				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = true	
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets7") 
    SweepAndClearArea("wfRefTargets6")
    --DelayCall("CrateAppears8",2)
end

function CrateAppears8()
	crate = CreateCrate()
	crate.Contents = kWF_UTILITY_JETPACK 
	crate.NumContents = 1			
	crate.CrateId = 9				
	crate.TeamDestructible = -1		
	crate.WormCollectable = -1		
	crate.TeamCollectable = 0		
	crate.GroundSnap = false		
	crate.FixedPosition = true		
	crate.UXB = false				
	crate.Destructible = true	
	crate.Pushable = false			
	crate.CollectableByPayload = false	
	crate.Collectable = true		
	SpawnCrate(crate.Index,"wfRefTargets8") 
--~ 	SweepAndClearArea("wfRefTargets6")
    --DelayCall("CrateAppears8",2)
end

function CrateAppears9()
	crate = CreateCrate()
	crate.Contents = kWF_UTILITY_JETPACK 
	crate.NumContents = 1			
	crate.CrateId = 10				
	crate.TeamDestructible = -1		
	crate.WormCollectable = -1		
	crate.TeamCollectable = 0		
	crate.GroundSnap = false		
	crate.FixedPosition = true		
	crate.UXB = false				
	crate.Destructible = true	
	crate.Pushable = false			
	crate.CollectableByPayload = false	
	crate.Collectable = true		
	SpawnCrate(crate.Index,"wfRefTargets9") 
--~ 	SweepAndClearArea("wfRefTargets6")
    --DelayCall("CrateAppears8",2)
end



-- Mid sequence crate EFMV sequence bellow here......


--~ function CrateAppears10()

--~     crate = CreateCrate()
--~     crate.Contents = kWF_UTILITY_JETPACK 
--~     crate.NumContents = 1			
--~     crate.CrateId = 25				
--~     crate.TeamDestructible = -1		
--~     crate.WormCollectable = -1		
--~     crate.TeamCollectable = 0		
--~     crate.GroundSnap = false		
--~     crate.FixedPosition = true		
--~     crate.UXB = false				
--~     crate.Destructible = false		
--~     crate.Pushable = false			
--~     crate.CollectableByPayload = false	
--~     crate.Collectable = true		
--~     SpawnCrate(crate.Index,"wfRefTargets25")
--~ end
    

function CrateAppears11()

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 26				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets26")

end
    

function CrateAppears12()

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 27				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets27")

end
    

function CrateAppears13()

    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 28				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets28")

end
    

function CrateAppears4()
 
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 29				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets29")
 
end
    

function CrateAppears15()
 
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 30			
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets30") 
    
    
end
    

function CrateAppears16()   
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 31				
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets31") 
    
end
    

function CrateAppears17()  
    
    crate = CreateCrate()
    crate.Contents = kWF_UTILITY_JETPACK 
    crate.NumContents = 1			
    crate.CrateId = 32		
    crate.TeamDestructible = -1		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(crate.Index,"wfRefTargets32") 

end



function StrongHoldENDEFMVSpawm()
	CreateBuilding( kWF_BUILDING_STRONGHOLD, 3, "buildHere0014", true ) 
end




