--***********************************************************
--                O3
--***********************************************************

function InitialiseLevel()
    LoadLevel("landscapes/O/O3.xom",true)

    SetupDefaultScheme()
    SetObjectives("Miss.Oriental3-Objectives", 2)

    
    Player1StrongholdGone = false
    Player2StrongholdGone = false
    CastleHere = false
    stage = 1
    
	CameraArrayNumber = 0 -- Used for EFMV ONLY
	bQuitable = true -- Used for EFMV ONLY
	GameHasFinished = 0 -- Used for EFMV OUTRO ONLY
	Num = 1 -- Used for the EFMV Text Array ONLY
	EFMVCamerasAreActive = true -- Set to false to disable the intro EFMV camera
	GameHasJustFinishedAMidEFMVSequence = false --Used to tell the game that it's in a mid EFMV sequence
	referee = GetRefereeData()
        referee.ShowVictorySequence = false -- Turns the end of game worm celebrations off
     
	EFMVArray = { "intro", "cut1", "cut2", "cut3", "cut4", "cut7", "cut8", "cut9", "cut10", "cut11", "cut12", "cut13", "cut14"}
	    
	    
	TextLabelsArray = { "Miss.Oriental3-EFMV.Intro1", "Miss.Oriental3-EFMV.Intro2", "Miss.Oriental3-EFMV.Intro3", "Miss.Oriental3-EFMV.Intro4", "Miss.Oriental3-EFMV.Intro5",
				"Miss.Oriental3-EFMV.Intro7", "Miss.Oriental3-EFMV.Intro8", "Miss.Oriental3-EFMV.Intro9", "Miss.Oriental3-EFMV.Intro10", "Miss.Oriental3-EFMV.Intro11", "Miss.Oriental3-EFMV.Intro12",
				"Miss.Oriental3-EFMV.Intro13", "Miss.Oriental3-EFMV.Intro14", "Miss.Oriental3-EFMV.Midtro1","Miss.Oriental3-EFMV.Midtro2", "Miss.Oriental3-EFMV.Midtro3" , "Miss.Oriental3-EFMV.Midtro4"
				, "Miss.Oriental3-EFMV.Midtro5", "Miss.Oriental3-EFMV.Midtro6", "Miss.Oriental3-EFMV.Midtro7", "Miss.Oriental3-EFMV.Midtro8", "Miss.Oriental3-EFMV.Midtro9", "Miss.Oriental3-EFMV.Outro1"
				, "Miss.Oriental3-EFMV.Outro2", "Miss.Oriental3-EFMV.Outro3", "Miss.Oriental3-EFMV.Outro4", "Miss.Oriental3-EFMV.Outro5", "Miss.Oriental3-EFMV.Outro6", "Miss.Oriental3-EFMV.Outro7"
				, "Miss.Oriental3-EFMV.Outro8", "Miss.Oriental3-EFMV.Outro9", "Miss.Oriental3-EFMV.Outro10", "Miss.Oriental3-EFMV.Outro11", "Miss.Oriental3-EFMV.Outro12", "Miss.Oriental3-EFMV.Outro13"}
   
end


function CreatePlayers()

    -------- Player 0 ------------
--   CreateStandardPlayer("HUMAN",4,"Horus","Classic")
--    GetPlayerData(0).WormStartingHealth = 100
--    StandardWorm(GetWormData(0),"player 0","wfRef000Mongel")
--    StandardWorm(GetWormData(1),"player 1","wfRef001")    
--    StandardWorm(GetWormData(2),"player 2","wfRef002")    
--    StandardWorm(GetWormData(3),"player 3","wfRef003")
    

    SetupHumanPlayer(4,60)
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"

    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRef000Mongel"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRef001"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRef002"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRef003"
    
    --Sets up Team 0 inventory
    
    
	EmptyInventory(0)
	inventory = GetPlayerInventory(0)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
	inventory.Grenade = kWF_INFINITE_AMOUNT
	inventory.Tower = 15
	inventory.Keep = 2
	inventory.Castle = 1
    inventory.BatteringRam = kWF_INFINITE_AMOUNT
    inventory.Surrender = 0
    
    -------- Player 1 Enemy ------------
    CreateStandardPlayer("AI",5,"Horde","Classic")
    GetPlayerData(1).WormStartingHealth = 150
    player.Flag = 64
    InfiniteInventory(player.PlayerIndex)
    StandardWorm(GetWormData(4),"Mongol Boss","wfRefEnemy004")
    StandardWorm(GetWormData(5),"Mongol Gilbert","wfRefEnemy005")
    StandardWorm(GetWormData(6),"Mongol Burnell","wfRefEnemy006")
    StandardWorm(GetWormData(7),"Mongol Adi","wfRefEnemy007")
    StandardWorm(GetWormData(8),"Mongol Jones","wfRefEnemy008")
	player = GetPlayerData(1)
	player.TeamTombstone = 12



    Worm = GetWormData(4) 
    Worm.HatOverride = "Hat.Oriental3"
    Worm = GetWormData(5) 
    Worm.HatOverride = "Hat.Oriental3"
    Worm = GetWormData(6) 
    Worm.HatOverride = "Hat.Oriental3" 
    Worm = GetWormData(7) 
    Worm.HatOverride = "Hat.Oriental3" 
    Worm = GetWormData(8) 
    Worm.HatOverride = "Hat.Oriental3" 


    CopyContainer( GetAIParamsCPU4(), GetAIParamsWorm(4) )
    GetAIParamsWorm(4).WeightingAttackBuilding = 10

    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(5) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(6) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(7) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(8) )

    EmptyInventory(1)
    inventory = GetPlayerInventory(1)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Mortar = kWF_INFINITE_AMOUNT
    inventory.MortarDelay = 4
    inventory.FireGrenadeLauncher = 2
    inventory.FireGrenadeLauncherDelay = 3
    inventory.HomingPigeon = 1
    inventory.HomingPigeonDelay = 12
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.Ballista = kWF_INFINITE_AMOUNT
    inventory.FireWeapon = 3
    inventory.MiniGun = 8
    inventory.FireWeaponDelay = 4  
    inventory.RocketLauncher = 1
    inventory.RocketLauncherDelay = 10
    
    inventory.Tower = kWF_INFINITE_AMOUNT
    --inventory.Keep = kWF_INFINITE_AMOUNT
    inventory.Castle = 1

 


     


    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0
    scheme.HotSeatTime = 0
    scheme.TurnTime = 3500
    scheme.SuddenDeathTime = 18000
    
    WormAllowIdleAnims(1,false) 
    WormAllowIdleAnims(2,false) 
    WormAllowIdleAnims(3,false) 
    WormAllowIdleAnims(4,false) 
    WormAllowIdleAnims(5,false) 
    
    CreateNeutralWorm( 9 ) -- Used for EFMV Outro
	CreateNeutralWorm( 10 ) -- Used for EFMV Outro

    
    StandardRefereeSettings()
    
    
end






function HideWormsNow()


    SetInstantReplaysOn(false)



    --RemoveVictoryLocation( "buildHere0026" )
    --RemoveVictoryLocation( "buildHere0023" )
    --RemoveVictoryLocation( "buildHere004" )
    --RemoveVictoryLocation( "buildHere005" )
    RemoveVictoryLocation( "buildHere0016" )
    RemoveVictoryLocation( "buildHere0017" )

    --RemoveVictoryLocation( "buildHere0036" )
    --RemoveVictoryLocation( "buildHere0035" )

    RemoveBuilding("buildHere003")
    RemoveBuilding("buildHere006")  
    RemoveBuilding("buildHere005")
    RemoveBuilding("buildHere0023")
    --RemoveBuilding("buildHere0033")
    --RemoveBuilding("buildHere0034")
    --RemoveBuilding("buildHere0035")
    --RemoveBuilding("buildHere0036")
    RemoveBuilding("buildHere0023")  
    RemoveBuilding("buildHere0016") 
    RemoveBuilding("buildHere0021") 


	crate = CreateCrate()
    crate.Contents = kWF_WEAPON_GIANT_LASER
    crate.NumContents = 1			
    crate.CrateId = 10				
    crate.TeamDestructible = 4		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(10,"wfRefcrate10")


    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_SUPER_HIPPO
    crate.NumContents = 1			
    crate.CrateId = 11				
    crate.TeamDestructible = 4		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = false		
    crate.FixedPosition = false		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(11,"wfRefcrate11")


	WormAllowIdleAnims(0,false)
	WormAllowIdleAnims(1,false)
	WormAllowIdleAnims(2,false)
	WormAllowIdleAnims(3,false)

	StartAllEFMVTimers() -- Actions during EFMV	
	EFMVFlyby() -- EFMVStart
	

end


function TurnEnded()

--~                      	Num = 23
--~ 			CameraArrayNumber = 9
--~ 			GameHasFinished = 1
--~ 			DelayCall( "StartAllEFMVTimers", 2)
--~ 			DelayCall( "EFMVFlyby", 2)	-- EFMVStartendEND


--CHECK HERE IF THE FINAL CASTLE HAS BEEN PLACED.



        inventory = GetPlayerInventory( 0 ) 

-- check if there's less than 1 SpawnWorm left 
    if inventory.Castle == 0 and CastleHere == false then 
    CheckObjective(0)

       CastleHere = true
        secondpart()
    end




    referee = GetRefereeData()
    TotalTime = referee.TotalGameTime
    
    if TotalTime >= 18000 and stage == 1 then
        EndMissionFailed()
    end


    if Player2StrongholdGone == true then
 
        CheckObjective(1)

        DelayCall( "StartAllEFMVTimers", 1)
        DelayCall( "EFMVFlyby", 1)	-- EFMVStartendEND
 
    end
 
 
 
 

    

end



function CheckSuddenDeath()
    return 0
end





function CheckVictoryConditions()


        referee = GetRefereeData()

  
            if referee.TotalGameTime >= 180000 and stage == 2 then
            --note different to stage 1 time
                EndMissionFailed()
            end
        
        
	return false
        
end 





function EndMissionSuccess()


        Unlock("LOCK.Landscape.Oriental3")


        
        if referee.TotalGameTime < 120000 then 
           SetMedal(kGoldMedal)
            Unlock("LOCK.Flag.Oriental3")
        
        
        elseif referee.TotalGameTime < 150000 then 
            SetMedal(kSilverMedal) 
            Unlock("LOCK.Flag.Oriental3")
        
        
        
        elseif referee.TotalGameTime > 150000 then 
            SetMedal(kBronzeMedal) 
            Unlock("LOCK.Flag.Oriental3")
        end 



    SetCommentaryText("Miss.Generic.Success")
    EndRound(0)
end

function EndMissionFailed()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end
    
    
function WormDied( wormTaskId )


    
    
    if CheckAreAllWormsDead( 0 ) == true then 
    EndMissionFailed() 
    end
    
    
    
    
end        
    
    

    
    
function secondpart()

	Num = 14
	CameraArrayNumber = 6
	GameHasJustFinishedAMidEFMVSequence = true
	StartAllEFMVTimers() 
	EFMVFlyby() -- EFMVStart

    stage = 2

    SetCommentaryText ("Miss.Generic.Win4a")
    
    scheme = GetCurrentSchemeData()
    scheme.TurnTime = 4500
    scheme.SuddenDeathTime = 180000

    DelayCall("weapondrops", 16)
    


end
    
    
function BuildingHasBeenDestroyed( PlayerId, BuildingType )
	

		Player1Stronghold = GetBuildPointInfo( "buildHere004" )
		if Player1Stronghold.BuildingType == -1 and Player1StrongholdGone == false then
			Player1StrongholdGone = true
                SetCommentaryText("Miss.Generic.Hint39")
                  EndMissionFailed()
					
		end
        
        
        Player2Stronghold = GetBuildPointInfo( "buildHere0032" )
        if Player2Stronghold.BuildingType == -1 and Player2StrongholdGone == false then
			Player2StrongholdGone = true
                SetCommentaryText("Miss.Generic.Hint36")
                     	Num = 23
			CameraArrayNumber = 9
			GameHasFinished = 1

        end
        
        
        
end    

--drops all crates for the mid camera
function weapondrops()

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_GIANT_CROSSBOW
    crate.NumContents = 4			
    crate.CrateId = 1				
    crate.TeamDestructible = 4		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = true		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(1,"wfRefcrate1")

DelayCall("weapondrops2", 1)
end
    
    
function weapondrops2()

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_BATTERING_RAM 
    crate.NumContents = 1			
    crate.CrateId = 2				
    crate.TeamDestructible = 4		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = true		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(2,"wfRefcrate2")


DelayCall("weapondrops3", 1)
end    
    
    
function weapondrops3()

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_FIRE_GRENADE_LAUNCHER 
    crate.NumContents = 5			
    crate.CrateId = 3				
    crate.TeamDestructible = 4		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = true		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(3,"wfRefcrate3")


DelayCall("weapondrops4", 1)
end    
    
    
function weapondrops4()

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_BALLISTA
    crate.NumContents = 20			
    crate.CrateId = 4				
    crate.TeamDestructible = 4		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = true		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(4,"wfRefcrate4")

DelayCall("weapondrops5", 1)
end    
    
    
    
function weapondrops5()

    crate = CreateCrate()
    crate.Contents = kWF_BUILDING_CASTLE
    crate.NumContents = 8			
    crate.CrateId = 5				
    crate.TeamDestructible = 4		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = true		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(5,"wfRefcrate5")

DelayCall("weapondrops6", 1)
end  
    
    
function weapondrops6()

    crate = CreateCrate()
    crate.Contents = kWF_BUILDING_KEEP
    crate.NumContents = 20			
    crate.CrateId = 6				
    crate.TeamDestructible = 4		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = true		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(6,"wfRefcrate6")

DelayCall("weapondrops7", 1)
end    
    
    
    
function weapondrops7()

    crate = CreateCrate()
    crate.Contents = kWF_BUILDING_CITADEL
    crate.NumContents = 2			
    crate.CrateId = 7				
    crate.TeamDestructible = 4		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = true		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(7,"wfRefcrate7")

DelayCall("weapondrops8", 1)
end  
    
    
function weapondrops8()

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_MORTAR
    crate.NumContents = 25			
    crate.CrateId = 8				
    crate.TeamDestructible = 4		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = true		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(8,"wfRefcrate8")

DelayCall("weapondrops9", 1)
end      
    
    
function weapondrops9()

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_FIRE_WEAPON
    crate.NumContents = 4			
    crate.CrateId = 9				
    crate.TeamDestructible = 4		
    crate.WormCollectable = -1		
    crate.TeamCollectable = 0		
    crate.GroundSnap = true		
    crate.FixedPosition = true		
    crate.UXB = false				
    crate.Destructible = false		
    crate.Pushable = false			
    crate.CollectableByPayload = false	
    crate.Collectable = true		
    SpawnCrate(9,"wfRefcrate9")


end       
    
    
    
    
    
    
    
    
-- ***********************************************************************************************
-- *                                   Camera things bellow here     				                       *
-- ***********************************************************************************************


function StartAllEFMVTimers() 

	if CameraArrayNumber == 0 then -- intro things
	
		
--~ 		HideWorm (0)
--~ 		HideWorm (1)
--~ 		HideWorm (2)
--~ 		HideWorm (3)
		OrientateWorm(0,310)
		OrientateWorm(4,260)
		OrientateWorm(5,260)
		OrientateWorm(6,260)
		OrientateWorm(7,260)
		OrientateWorm(8,260)		
		DelayCall("EveryonebreatheNow", 3)
		DelayCall("Mongle1LooksAngry", 3)
		DelayCall("Mongle2LooksAngry", 4)
		DelayCall("Mongle3LooksAngry", 5)
		DelayCall("Mongle4LooksAngry", 6)
		DelayCall("Mongle5LooksAngry", 7)
		DelayCall("Mongle1LooksAngry2", 29)
		DelayCall("Mongle2LooksAngry2", 29)
		DelayCall("Mongle3LooksAngry2", 28)
		DelayCall("Mongle4LooksAngry2", 26)
		DelayCall("Mongle5LooksAngry2", 25)
		DelayCall("OrientateWormsForSecondCameraPass", 22)
		DelayCall("WormThinks", 31)
		DelayCall("WormThinks2", 34)
		DelayCall("WormThinks3", 37)
		DelayCall("PlayerWormEndAnimation", 42)
		
	elseif CameraArrayNumber == 6 then -- Mid sequence 1 things...
		FlushCommentaryText()
	
		SweepAndClearArea("wfRefEfmvPlayer")
		SpawnWorm(9, "wfRefEfmvPlayer")	
		OrientateWorm(9,10)
		DelayCall("MidSequenceAnimation", 7)
		DelayCall("MidSequenceAnimation2", 11)
		DelayCall("MidSequenceAnimation3", 12)
	
	elseif CameraArrayNumber == 9 then -- Outro things
		FlushCommentaryText()
	
		SweepAndClearArea("wfRefEfmvPlayer")
		SweepAndClearArea("wfRefEfmvEmperor")
		SpawnWorm( 10, "wfRefEfmvPlayer" )
		OrientateWorm(10,10)	
		DelayCall("EmperorSpawn", 12)
		DelayCall("EmperorEndAnimation", 12.5)
		DelayCall("EmperorEndAnimation2", 14)
		DelayCall("EmperorEndAnimation4", 16.5)
		DelayCall("EmperorEndAnimation5", 18.5)
		DelayCall("EmperorEndAnimation3", 20.5)
		DelayCall("PlayerEndAnimation3", 12)
		DelayCall("PlayerEndAnimation3", 14)
		DelayCall("PlayerEndAnimation1", 16)
		DelayCall("PlayerEndAnimation2", 19.5)
		DelayCall("PlayerEndAnimation3", 21)
		--SpawnWorm( 10, "wfRefEfmvPlayer") -- Will spawn in the player worm when the map is ready
	
		HideWorm (0)
		HideWorm (1)
		HideWorm (2)
		HideWorm (3)

	
	end
	
end



function EFMVFlyby()  -- Starts the EFMV sequence

	 if EFMVCamerasAreActive == true then -- As requested, will disable the intro camera
        
		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
		
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end
 
 
function OnEndEFMV(szSeqName, bUserQuit)

	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()
        FlushCommentaryText()
	elseif bUserQuit == 0 then
		
		if CameraArrayNumber == 6  then  -- Just change the number variable to the amount of flyby cams.
			SetGameUpAndCancelEverything()
		
			
		elseif CameraArrayNumber == 9 then -- End of Mid Sequence 1
			SetGameUpAndCancelEverything()
		-- Do something to start the game going again. 
		
		elseif CameraArrayNumber == 13 then -- End of Outro EFMV
--~ 			Fade(true, 3, true) -- fades to black over 3 seconds
			EndMissionSuccess()
		
		else
			EFMVFlyby() -- Loops back into the EFMV array if no conditions are met.
			 
		end
	end
end

function SetGameUpAndCancelEverything() -- Called if the user skips the efmv sequence or the sequence has ended. - Things needed for the 
								--game go here.
								
	if GameHasJustFinishedAMidEFMVSequence == true then
	
		CancelDelayCall("MidSequenceAnimation")
		CancelDelayCall("MidSequenceAnimation2")
		CancelDelayCall("MidSequenceAnimation3")
		HideWorm(9)
		GameHasJustFinishedAMidEFMVSequence = false
		-- do something to return to the game
        
    elseif GameHasJustFinishedAMidEFMVSequence == false then
    
    
	
        if GameHasFinished == 1 then 
		
            Fade(true, 3, true) -- fades to black over 3 seconds
             EndMissionSuccess()

		 
	    elseif GameHasFinished == 0 and GameHasJustFinishedAMidEFMVSequence == false then
	
		
            SpawnWorm(0)	
            SpawnWorm(1)
            SpawnWorm(2)
            SpawnWorm(3)
            WormAllowIdleAnims(1,true) 
            WormAllowIdleAnims(2,true) 
            WormAllowIdleAnims(3,true) 
            WormAllowIdleAnims(4,true) 
            WormAllowIdleAnims(5,true) 
            CancelDelayCall("Mongle1LooksAngry")
            CancelDelayCall("Mongle2LooksAngry")
            CancelDelayCall("Mongle3LooksAngry")
            CancelDelayCall("Mongle4LooksAngry")
            CancelDelayCall("Mongle5LooksAngry")
            CancelDelayCall("Mongle1LooksAngry2")
            CancelDelayCall("Mongle2LooksAngry2")
            CancelDelayCall("Mongle3LooksAngry2")
            CancelDelayCall("Mongle4LooksAngry2")
            CancelDelayCall("Mongle5LooksAngry2")
            CancelDelayCall("OrientateWormsForSecondCameraPass")
            CancelDelayCall("WormThinks")
            CancelDelayCall("WormThinks2")
            CancelDelayCall("WormThinks3")
            CancelDelayCall("PlayerWormEndAnimation")
            CancelDelayCall("EveryonebreatheNow")
            SetBriefingBoxPosition(0,0)
            SetBriefingBoxSize(190,120)
            CreateBriefingBox("Miss.Oriental3-Objectives")
            
        end
        
        
		
	end

end

--///////////////////////////////////////////////////////
--  Trigger text code

function EFMV_TextTrigger() 

	if Num == 35 then
		Fade(true, 3, true) -- fades to black over 3 seconds
	end

--~ 	if Num == 6 then -- Nasty hack to remove a line of text in a desperate attempt to ge the EFMV to match the mission.
--~ 	
--~ 		Num = Num + 1
--~ 		EFMV_TextTriggerEnd() 
--~ 	else

    
	    Text = TextLabelsArray[Num]
    
	-- (-1) is infinite, (0) is default to 2000 (2 secs)
	    SetCommentaryText(Text, -1)
	    Num = Num + 1
--~ 	end
    
end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end     
    
    
function Mongle1LooksAngry()

	WormResetAnim(4) 
	WormQueueAnim(4,"angry1") 
end

function Mongle2LooksAngry()

	WormResetAnim(5) 
	WormQueueAnim(5,"worm_comeon1") 
end

function Mongle3LooksAngry()

	WormResetAnim(6) 
	WormQueueAnim(6,"angry3") 
end

function Mongle4LooksAngry()

	WormResetAnim(7) 
	WormQueueAnim(7,"angry3") 
end

function Mongle5LooksAngry()

	WormResetAnim(8) 
	WormQueueAnim(8,"angry1") 
end

function Mongle1LooksAngry2()

	WormResetAnim(4) 
	WormQueueAnim(4,"worm_comeon1") 
end

function Mongle2LooksAngry2()

	WormResetAnim(5) 
	WormQueueAnim(5,"angry1") 
end

function Mongle3LooksAngry2()

	WormResetAnim(6) 
	WormQueueAnim(6,"angry3") 
end

function Mongle4LooksAngry2()

	WormResetAnim(7) 
	WormQueueAnim(7,"worm_comeon3") 
end

function Mongle5LooksAngry2()

	WormResetAnim(8) 
	WormQueueAnim(8,"worm_comeon3") 
end

function OrientateWormsForSecondCameraPass()

	OrientateWorm(4,260)
	OrientateWorm(5,260)
	OrientateWorm(6,260)
	OrientateWorm(7,300)
	OrientateWorm(8,340)	
end

function WormThinks()
	--WormResetAnim(0) 
	WormQueueAnim(0,"worm_contemplates") 
end

function WormThinks2()
	--WormResetAnim(0) 
	WormQueueAnim(0,"worm_understands") 
end

function WormThinks3()
	--WormResetAnim(0) 
	WormQueueAnim(0,"worm_anticipation") 
end

function PlayerWormEndAnimation()
	WormQueueAnim(0,"breathe") 
	DelayCall("PlayerWormEndAnimation", 2)
end

function EveryonebreatheNow()
	WormQueueAnim(1,"breathe") 
	WormQueueAnim(2,"breathe") 
	WormQueueAnim(3,"breathe") 
	DelayCall("EveryonebreatheNow", 2)
end

function MidSequenceAnimation()
	WormQueueAnim(9,"worm_puzzled") 
end

function MidSequenceAnimation2()
	WormQueueAnim(9,"worm_shrug") 
end

function MidSequenceAnimation3()
	WormQueueAnim(9,"breathe") 
end

function EmperorSpawn()
    SpawnWorm( 9, "wfRefEfmvEmperor" )
    OrientateWorm(9,50)	
end

function EmperorEndAnimation()
	WormQueueAnim(9,"worm_speak3")
end

function EmperorEndAnimation2()
	WormQueueAnim(9,"happy1")
end

function EmperorEndAnimation3()
	WormQueueAnim(9,"breathe")
end

function PlayerEndAnimation1()
	WormQueueAnim(10,"disappointed1")
end

function PlayerEndAnimation2()
	WormQueueAnim(10,"breathe")
end

function PlayerEndAnimation3()
	WormQueueAnim(10,"breathe")
end

function PlayerEndAnimation4()
	WormQueueAnim(10,"breathe")
end

function PlayerEndAnimation5()
	WormQueueAnim(10,"breathe")
end