
-- Oriental 4
--

--


function InitialiseLevel()
    LoadLevel("landscapes/O/O4.xom",true)
    SetupDefaultScheme()
    SetObjectives("Miss.Oriental4-Objectives", 3)

    
    build17done = false
    Player1StrongholdGone = false
    Player2StrongholdGone = false   
    gotwonder = true  
    timesup = false
	CameraArrayNumber = 0 -- Used for EFMV ONLY
	bQuitable = true -- Used for EFMV ONLY
	GameHasFinished = 0 -- Used for EFMV OUTRO ONLY
	Num = 1 -- Used for the EFMV Text Array ONLY
	EFMVCamerasAreActive = true -- Set to false to disable the intro EFMV camera
	BuildingisActive = false
     
	EFMVArray = { "intro", "cut1", "cut3", "cut4", "cut5", "cut6", "cut12", "cut13"} -- EFMV - cut 4 = mid sequence 1, cut 7 = end sequence. ** Myabe an number 8 cut**
	    
	    
	TextLabelsArray = { "Miss.Oriental4-EFMV.Intro1", "Miss.Oriental4-EFMV.Intro2", "Miss.Oriental4-EFMV.Intro3", "Miss.Oriental4-EFMV.Intro4", "Miss.Oriental4-EFMV.Intro5", "Miss.Oriental4-EFMV.Intro6",
				"Miss.Oriental4-EFMV.Intro7", "Miss.Oriental4-EFMV.Intro8", "Miss.Oriental4-EFMV.Intro9", "Miss.Oriental4-EFMV.Intro10", "Miss.Oriental4-EFMV.Intro11", "Miss.Oriental4-EFMV.Intro12",
				"Miss.Oriental4-EFMV.Intro13", "Miss.Oriental4-EFMV.Intro14", "Miss.Oriental4-EFMV.Intro15","Miss.Oriental4-EFMV.Intro16", "Miss.Oriental4-EFMV.Intro17" , "Miss.Oriental4-EFMV.Outro1"
				, "Miss.Oriental4-EFMV.Outro2", "Miss.Oriental4-EFMV.Outro3", "Miss.Oriental4-EFMV.Outro4", "Miss.Oriental4-EFMV.Outro5", "Miss.Oriental4-EFMV.Outro6", "Miss.Oriental4-EFMV.Outro7"}
				
	referee = GetRefereeData()
        referee.ShowVictorySequence = false -- Turns the end of game worm celebrations off
    
end

function CreatePlayers() 
    
    
--    player = CreatePlayer("HUMAN")
--	player.NumberOfWorms = 4
--	player.Name = "Player"
--	player.WormStartingHealth = 100
--    player.VoiceBank = "Classic"
--	CreatePlayersTeam(player.PlayerIndex)
--    

--    GetPlayerData(0).MaxJetpackFuel = 600
--    StandardWorm(GetWormData(0),"Samurai Jax","wfRefC1_Human3")
--    StandardWorm(GetWormData(1),"Samurai Varley","wfRefC1_Human2")
--    StandardWorm(GetWormData(2),"General","wfRefC1_Human1")
--    StandardWorm(GetWormData(3),"Architect","wfRefC1_Human4")
    
    
    SetupHumanPlayer(4,100)
	--player.VoiceBank = "Classic"
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"



    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRefC1_Human3"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRefC1_Human2"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRefC1_Human1"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRefC1_Human4"
    
    
    
    
    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.Jetpack = 4
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.FireGrenadeLauncher = 2
    inventory.BatteringRam = 1
    inventory.AirStrike = 1
    inventory.Ballista = 6
    inventory.MiniGun = 2
    inventory.Tower = kWF_INFINITE_AMOUNT;
    inventory.Keep = 3
    inventory.Castle = 2
    inventory.Citadel = 1
    inventory.WormSelect = 4
    inventory.BananaBombLauncher = 2
    inventory.Wonder = 1
    inventory.Surrender = 0



    
    
    player = CreatePlayer("AI")
	player.NumberOfWorms = 6
	player.Name = "Tekigun"
    player.VoiceBank = "Classic"
    player.WormStartingHealth = 50
    player.Flag = 64
	CreatePlayersTeam(player.PlayerIndex)
    player = GetPlayerData(1)
	player.TeamTombstone = 12
    
    


    StandardWorm(GetWormData(4),"Tekihei Dennis","wfRefC1_Enem1")
    StandardWorm(GetWormData(5),"Tekihei Dunstan","wfRefC1_Enem2")
    StandardWorm(GetWormData(6),"Tekihei Carthew","wfRefC1_Enem3")
    StandardWorm(GetWormData(7),"Tekihei Dimond","wfRefC1_Enem4")
    StandardWorm(GetWormData(8),"Tekihei Patrik","wfRefC1_Enem5")
    StandardWorm(GetWormData(9),"Tekihei Smith","wfRefC1_Enem6")

    CopyContainer( GetAIParamsCPU4(), GetAIParamsWorm(4) )
    GetAIParamsWorm(4).WeightingAttackBuilding = 0
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(5) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(6) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(7) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(8) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(9) )
    
    EmptyInventory(1)
    inventory = GetPlayerInventory(1)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Grenade = kWF_INFINITE_AMOUNT
    inventory.Jetpack = 3
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.FireGrenadeLauncher = 4
    inventory.BatteringRam = 2
    inventory.AirStrike = 1
    inventory.Ballista = 5
    inventory.MiniGun = 4
    inventory.Tower = kWF_INFINITE_AMOUNT;
    inventory.Keep = 2
    inventory.Castle = 3
    inventory.Mortar = 8
    inventory.AirStrike = 6
    inventory.MineStrike = 3
    inventory.MineStrikeDelay = 5
    inventory.FirePunch = kWF_INFINITE_AMOUNT

    
    Worm = GetWormData(4) 
    Worm.HatOverride = "Hat.Oriental3"
    Worm = GetWormData(5) 
    Worm.HatOverride = "Hat.Oriental3"
    Worm = GetWormData(6) 
    Worm.HatOverride = "Hat.Oriental3"
    Worm = GetWormData(7) 
    Worm.HatOverride = "Hat.Oriental3" 
    Worm = GetWormData(8) 
    Worm.HatOverride = "Hat.Oriental3" 
    Worm = GetWormData(9) 
    Worm.HatOverride = "Hat.Oriental3" 



    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0
    scheme.TurnTime = 6000
    scheme.SuddenDeathTime = 270000
    scheme.RetreatTime = 500
    scheme.HotSeatTime = 0


    WormAllowIdleAnims( 2 , false) 

    
    StandardRefereeSettings()
    


    
    

end



function CheckSuddenDeath()

    return false

end

function HideWormsNow()


    SetInstantReplaysOn(false)




    RemoveBuilding( "buildHere0017", false )
	EFMVFlyby() -- EFMVStart
	StartAllEFMVTimers()  -- Actions during EFMV	

end




function CheckVictoryConditions()


    if referee.TotalGameTime >= 270000 and timesup == false then
        timesup = true
        SetCommentaryText("Miss.Generic.Timesup")       
        DelayCall("EndMissionFailed", 2)
                
                
    end


    return false
end

function WormDied( wormIndex )

    if CheckAreAllWormsDead( 0 ) == true then 
    EndMissionFailed() 
    end

    collectgarbage()
end



--function TurnEnded(playerTaskId)
--   
--    collectgarbage()
--end

--****************************************************

function EndMissionSuccess()


        Unlock("LOCK.Scheme.LineOfSight")


        
        if referee.TotalGameTime < 120000 then 
           SetMedal(kGoldMedal)
            Unlock("LOCK.Gravestone.Oriental1")
        
        
        elseif referee.TotalGameTime < 150000 then 
            SetMedal(kSilverMedal) 
            Unlock("LOCK.Gravestone.Oriental1")
        
        
        
        elseif referee.TotalGameTime > 150000 then 
            SetMedal(kBronzeMedal) 
            Unlock("LOCK.Gravestone.Oriental1")
        end 



    SetCommentaryText("Miss.Generic.Success")
    EndRound(0)
end

function EndMissionFailed()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end



--***************************************************

function spawncrate()


		crate = CreateCrate()
		crate.Contents = kWF_WEAPON_TREBUCHET
		crate.NumContents = 1			
		crate.CrateId = 1			
		crate.TeamDestructible = -1		
		crate.WormCollectable = -1		
		crate.TeamCollectable = 0		
		crate.GroundSnap = false		
		crate.FixedPosition = false		
		crate.UXB = false				
		crate.Destructible = true		
		crate.Pushable = false			
		crate.CollectableByPayload = false	
		crate.Collectable = true	
		crate.Model = "Crate.Weapon"	
		SpawnCrate(1,"wfRefC1_Crate1")


		crate = CreateCrate()
		crate.Contents = kWF_WEAPON_MONKEY_HERD
		crate.NumContents = 1			
		crate.CrateId = 2			
		crate.TeamDestructible = -1		
		crate.WormCollectable = -1		
		crate.TeamCollectable = 0		
		crate.GroundSnap = false		
		crate.FixedPosition = false		
		crate.UXB = false				
		crate.Destructible = true		
		crate.Pushable = false			
		crate.CollectableByPayload = false	
		crate.Collectable = true	
		crate.Model = "Crate.Weapon"	
		SpawnCrate(2,"wfRefC1_Crate2")
        
        

--    crate = CreateCrate()
--    crate.Contents = kWF_UTILITY_HEALTH 
--    crate.HealthInCrate = 30		
--    crate.CrateId = 3				
--    crate.TeamDestructible = -1		
--    crate.WormCollectable = -1		
--    crate.TeamCollectable = 0		
--    crate.GroundSnap = true		
--    crate.FixedPosition = false		
--    crate.UXB = false				
--    crate.Destructible = false		
--    crate.Pushable = false			
--    crate.CollectableByPayload = false	
--    crate.Collectable = true		
--    SpawnCrate(crate.Index,"wfRefC1_Crate3")
    
    
    
    		crate = CreateCrate()
		crate.Contents = kWF_UTILITY_REPAIR_BUILDING
		crate.NumContents = 3			
		crate.CrateId = 3			
		crate.TeamDestructible = -1		
		crate.WormCollectable = -1		
		crate.TeamCollectable = 0		
		crate.GroundSnap = false		
		crate.FixedPosition = false		
		crate.UXB = false				
		crate.Destructible = true		
		crate.Pushable = false			
		crate.CollectableByPayload = false	
		crate.Collectable = true	
		crate.Model = "Crate.Weapon"	
		SpawnCrate(3,"wfRefC1_Crate3")
        




end


--*************************************************

function CrateDestroyed()

 


end


function CrateCollected(CrateIndex)

--checks for which crate is collected
    cratecol = GetCrateData(CrateIndex)
    
    

    
    
    
    if cratecol.CrateId == 2 then
		
        SetCommentaryText("Miss.Generic.Hint9")
        
        
	end
    
    if cratecol.CrateId == 3 then
		
        
        
        
	end
    
end


function BuildingHasBeenBuilt(PlayerId,BuildingType,buildingIndex)
--has the player built the wonder on the enemy stronghold

    NumVictoryLocations = GetPlayerResourcePoints( 0 )


    if NumVictoryLocations == 5 then

        CheckObjective(1)

    end


    BuildPoint17 = GetBuildPointInfo( "buildHere0017" ) 
    if BuildPoint17.BuildingType == kWF_BUILDING_WONDER and build17done == false then
                    
        build17done = true
        CheckObjective(2)

        	Num = 18
		CameraArrayNumber = 7
		GameHasFinished = 1
		DelayCall("EFMVFlyby", 2) -- END EFMVStart Mission success here
        
         
    else
    
            

            if BuildingType == kWF_BUILDING_WONDER and build17done == false and gotwonder == true then

                SetCommentaryText("Miss.Generic.Hint46")
                EndMissionFailed()

            end

    end


end




function BuildingHasBeenDestroyed( PlayerId, BuildingType )
	

		Player1Stronghold = GetBuildPointInfo( "buildHere0037" )
		if Player1Stronghold.BuildingType == -1 and Player1StrongholdGone == false then
			Player1StrongholdGone = true
                SetCommentaryText("Miss.Generic.Hint39")
                  EndMissionFailed()
					
		end
        
        
        Player2Stronghold = GetBuildPointInfo( "buildHere0017" )
        if Player2Stronghold.BuildingType == -1 and Player2StrongholdGone == false then
			Player2StrongholdGone = true
                SetCommentaryText("Miss.Generic.Game17")
                CheckObjective(0)
    
                    
		end
        
        
        
        
end 










-- ***********************************************************************************************
-- *                                   Camera things bellow here     				                       *
-- ***********************************************************************************************


function StartAllEFMVTimers() 
	

	OrientateWorm(0,100)  -- Everything here will be displayed in the intro EFMV
	OrientateWorm(1,100) 
	OrientateWorm(2,270) 
	OrientateWorm(3,100) 
	OrientateWorm(4,50) -- Enemy from here
	OrientateWorm(5,50) 
	OrientateWorm(6,240) 
	OrientateWorm(7,240) 
	OrientateWorm(8,240) 
	OrientateWorm(9,240) 

	DelayCall("MongolBuildingSpawn", 16.5)
	DelayCall("WormsWaving",2)
	DelayCall("MongolsPullFierceFaces",16)
	DelayCall("MongolBreathe1", 27)
	DelayCall("MongolBreathe2", 29)
	DelayCall("MongolBreathe3", 31)
	DelayCall("MongolBreathe4", 33)
	DelayCall("MongolBreathe5", 35)
	DelayCall("AskTheMongle",36)
	DelayCall("AskTheEmperor",40)
	DelayCall("AskTheEmperor2",44)
	
end



function EFMVFlyby() -- Starts the EFMV sequence

	 if EFMVCamerasAreActive == true then -- As requested, will disable the intro camera

		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
		
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end



function OnEndEFMV(szSeqName, bUserQuit)

if bUserQuit == 1 then -- User has skipped EFMV
	SetGameUpAndCancelEverything()

	elseif bUserQuit == 0 then
	
	if CameraArrayNumber == 7  then  -- End of the Intro EMFV
			SetGameUpAndCancelEverything()
		
		elseif CameraArrayNumber == 8 then -- End of the outro EFMV Sequence
		
			 EndMissionSuccess()
			 
		else
			EFMVFlyby()
			
		end
	end
end



function SetGameUpAndCancelEverything() -- Called if the user skips the efmv sequence or the sequence has ended. - Things needed for the 
								--game go here.

	if GameHasFinished == 1 then
		--SetCommentaryText("Miss.Generic.Game") -- End of EFMV Outro if the user has quit the sequence
		 EndMissionSuccess()
		
	elseif GameHasFinished == 0 then
	
		if BuildingisActive == false then
			MongolBuildingSpawn()
		end
	
		CancelDelayCall("MongolBuildingSpawn")
		CancelDelayCall("WormsWaving")
		CancelDelayCall("MongolsPullFierceFaces")
		CancelDelayCall("AskTheMongle")
		CancelDelayCall("AskTheEmperor")
		CancelDelayCall("AskTheEmperor2")
		CancelDelayCall("MongolBreathe1")
		CancelDelayCall("MongolBreathe2")
		CancelDelayCall("MongolBreathe3")
		CancelDelayCall("MongolBreathe4")
		CancelDelayCall("MongolBreathe5")
		WormAllowIdleAnims( 2 , true) 
	
		SetBriefingBoxPosition(0,0) 
		SetBriefingBoxSize(190,120) 
		CreateBriefingBox("Miss.Oriental4-Objectives")
    

    spawncrate()
    
    
    
    SpawnMine("wfRefmine1")
    SpawnMine("wfRefmine2")    
    SpawnMine("wfRefmine3")    
    SpawnMine("wfRefmine4")    
    SpawnMine("wfRefmine5")
    SpawnMine("wfRefmine6")
    SpawnMine("wfRefmine7")    
    
    SpawnMine("wfRefmine9")    

    SpawnMine("wfRefmine11")
    
    SpawnMine("wfRefmine13")    

            
    

    
    
    
    
    FlushCommentaryText()


end
	
end

--///////////////////////////////////////////////////////
--  Trigger text code

function EFMV_TextTrigger() 

if Num == 22 then
	Fade(true, 12,true)
end 

    
    Text = TextLabelsArray[Num]
    
-- (-1) is infinite, (0) is default to 2000 (2 secs)
    SetCommentaryText(Text, -1)
    Num = Num + 1
    
end 

function EFMV_TextTriggerEnd() 



-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end

function MongolsPullFierceFaces()


	WormResetAnim(4) 
	WormQueueAnim(4,"angry1") 
	
	WormResetAnim(5) 
	WormQueueAnim(5,"angry2") 
	
	WormResetAnim(6) 
	WormQueueAnim(6,"angry3") 
	
    	WormResetAnim(7) 
	WormQueueAnim(7,"angry1") 
	
	WormResetAnim(8) 
	WormQueueAnim(8,"angry2") 
	
	WormResetAnim(9) 
	WormQueueAnim(9,"angry3")

end

function WormsWaving()

	WormResetAnim(0) 
	WormQueueAnim(0,"Idle_scratcharse") 
	
	WormResetAnim(1) 
	WormQueueAnim(1,"Idle_juggle") 
	
	WormResetAnim(2) 
	WormQueueAnim(2,"Idle_moustache") 
	
    	WormResetAnim(3) 
	WormQueueAnim(3,"Idle_eyebrowdrop") 	

end

function AskTheMongle()

	WormResetAnim(4) 
	WormQueueAnim(4,"angry1") 
end

function AskTheEmperor()

	WormResetAnim(2) 
	WormQueueAnim(2,"worm_bemused") 
end

function AskTheEmperor2()

	WormResetAnim(2) 
	WormQueueAnim(2,"angry2") 
end


function MongolBuildingSpawn()

	BuildingisActive = true
	CreateBuilding( kWF_BUILDING_STRONGHOLD, 1, "buildHere0017", true ) 
end


function MongolBreathe1()
	--WormResetAnim(4) 
	WormQueueAnim(4,"breathe") 
end

function MongolBreathe2()
	--WormResetAnim(4) 
	WormQueueAnim(4,"breathe") 
end

function MongolBreathe3()
	--WormResetAnim(4) 
	WormQueueAnim(4,"breathe") 
end

function MongolBreathe4()
	--WormResetAnim(4) 
	WormQueueAnim(4,"breathe") 
end
	
function MongolBreathe5()
	--WormResetAnim(4) 
	WormQueueAnim(4,"breathe") 
end

