--***********************************************************
--                Oriental5
--***********************************************************

function InitialiseLevel()
    LoadLevel("landscapes/O/O5.xom", true)

    --SetupDefaultScheme()
    SetObjectives("Miss.Oriental5-Objectives", 2)

    PlayerWormsDead = 0
    EnemyWormsDead = 0
    Player1StrongholdGone = false
    Player2StrongholdGone = false
    bothobjectives = 0
    Crateone = false
    Cratetwo = false
    Cratethree = false
    Cratefour = false
    Cratefive = false
    Cratesix = false
    timesup = false

    
    
	CameraArrayNumber = 0 -- Used for EFMV ONLY
	bQuitable = true -- Used for EFMV ONLY
	GameHasFinished = 0 -- Used for EFMV OUTRO ONLY
	Num = 1 -- Used for the EFMV Text Array ONLY
	EFMVCamerasAreActive = true -- Set to false to disable the intro EFMV camera
     
	EFMVArray = { "intro", "cut1", "cut2", "cut3", "cut4", "cut5", "cut6",} 
	    
	    
	TextLabelsArray = { "Miss.Oriental5-EFMV.Intro1", "Miss.Oriental5-EFMV.Intro2", "Miss.Oriental5-EFMV.Intro3", "Miss.Oriental5-EFMV.Intro4", "Miss.Oriental5-EFMV.Intro5", "Miss.Oriental5-EFMV.Intro6",
				"Miss.Oriental5-EFMV.Intro7", "Miss.Oriental5-EFMV.Intro8", "Miss.Oriental5-EFMV.Intro9", "Miss.Oriental5-EFMV.Intro10", "Miss.Oriental5-EFMV.Intro11", "Miss.Oriental5-EFMV.Intro12",
				"Miss.Oriental5-EFMV.Outro1", "Miss.Oriental5-EFMV.Outro2", "Miss.Oriental5-EFMV.Outro3","Miss.Oriental5-EFMV.Outro4", "Miss.Oriental5-EFMV.Outro5" , "Miss.Oriental5-EFMV.Outro6"}

end

--***********************************************************

function CreatePlayers() 

--    --team 0
--    
--    player = CreatePlayer("HUMAN")
--	player.NumberOfWorms = 4
--	player.Name = "Player"
--	player.WormStartingHealth = 100
--    player.VoiceBank = "Classic"
--	CreatePlayersTeam(player.PlayerIndex)
--    
--    StandardWorm(GetWormData(0),"worm1","wfRef0012")
--    StandardWorm(GetWormData(1),"The Emperor","wfRef0013")    
--    StandardWorm(GetWormData(2),"worm3","wfRef0014")    
--    StandardWorm(GetWormData(3),"General","wfRef0015")


    SetupHumanPlayer(4,150)
	--player.VoiceBank = "Classic"
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"

    GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRef0012"
	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRef0013"
	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRef0014"
	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRef0015"





    EmptyInventory(0)
    inventory = GetPlayerInventory(0)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Mortar = 6
    inventory.FireWeapon = 2
    inventory.HomingPigeon = 0
    inventory.RocketLauncher = 0
    inventory.Jetpack = 0
    inventory.Tower = 5
    inventory.Keep = 2
    inventory.Castle = 2
    inventory.Citadel = 2
    inventory.Surrender = 0
    inventory.Ballista = 1
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.FireGrenadeLauncher = 1
    inventory.BananaBombLauncher = 1
    inventory.BananaBombLauncherDelay = 0
    inventory.MiniGun = 1
    inventory.WormSelect = kWF_INFINITE_AMOUNT
    inventory.Girder = 4
    inventory.SuperHippo = 2
    inventory.SuperHippoDelay = 0
    inventory.BatteringRam = 1
    inventory.OldLady = 12
    inventory.Canary = 2
    inventory.MonkeyHerd = 0
    --team 2    

    player = CreatePlayer("AI")
	player.NumberOfWorms = 7
	player.Name = "Mongols"
	player.WormStartingHealth = 25
    player.VoiceBank = "Classic"
    player.Flag = 64
	CreatePlayersTeam(player.PlayerIndex)
    player = GetPlayerData(1)
	player.TeamTombstone = 12
    
    
    StandardWorm(GetWormData(4),"Mongol Field","wfRef004")
    StandardWorm(GetWormData(5),"Mongol Aveyard","wfRef005")
    StandardWorm(GetWormData(6),"Mongol Brian","wfRef006")
    StandardWorm(GetWormData(7),"Mongol Pickles","wfRef007")
    StandardWorm(GetWormData(8),"Mongol Eggman","wfRef008")
    StandardWorm(GetWormData(9),"Mongol Bartkow","wfRef009")
    StandardWorm(GetWormData(10),"Mongol Payne","wfRef0010")
    
    CopyContainer( GetAIParamsCPU5(), GetAIParamsWorm(4) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(5) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(6) )
    CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(7) )
    
    GetAIParamsWorm(8).WeightingAttackBuilding = 0
    CopyContainer( GetAIParamsCPU5(), GetAIParamsWorm(8) )
    CopyContainer( GetAIParamsWorm(8),GetAIParamsWorm(9) )
    CopyContainer( GetAIParamsWorm(8),GetAIParamsWorm(10) )    
    

    
    EmptyInventory(1)
    inventory = GetPlayerInventory(1)
    inventory.Bazooka = kWF_INFINITE_AMOUNT
    inventory.Mortar = kWF_INFINITE_AMOUNT
    inventory.FireWeapon = 10
    inventory.HomingPigeon = 0
    inventory.RocketLauncher = 0
    inventory.Jetpack = 10
    inventory.Tower = 0
    inventory.Keep = 1
    inventory.Castle = 0
    inventory.Grenade = 0
    inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
    inventory.FireGrenadeLauncher = 10
    inventory.BananaBombLauncher = 0
    inventory.WormSelect = kWF_INFINITE_AMOUNT
    inventory.Girder = 4
    inventory.MiniGun = 3
    inventory.MiniGunDelay = 10
    
    
    
    
    inventory.GiantCrossbow = 2
    inventory.GiantCrossbowDelay = 6

    
    
    
    
    scheme = GetCurrentSchemeData()
    scheme.CrateProbability = 0
    scheme.TurnTime = 4500	
    scheme.HotSeatTime = 0
    scheme.SuddenDeathTime = 270000
    StandardRefereeSettings()



    
    --Emperor
--    Worm = GetWormData(1) 
--    Worm.HatOverride = "Hat.Oriental4" 
    
    
    --Let's set up some hats for the enemy worms.
    Worm = GetWormData(4) 
    Worm.HatOverride = "Hat.Oriental3" 
    
     Worm = GetWormData(5) 
    Worm.HatOverride = "Hat.Oriental3" 
    
     Worm = GetWormData(6) 
    Worm.HatOverride = "Hat.Oriental3" 
    
     Worm = GetWormData(7) 
    Worm.HatOverride = "Hat.Oriental3" 
    
     Worm = GetWormData(8) 
    Worm.HatOverride = "Hat.Oriental3" 
    
     Worm = GetWormData(9) 
    Worm.HatOverride = "Hat.Oriental3" 
    
     Worm = GetWormData(10) 
    Worm.HatOverride = "Hat.Oriental3" 

    CreateNeutralWorm(11) -- Ghost worm used for EFMV
    

    

end


function CheckVictoryConditions()


    if referee.TotalGameTime >= 270000 and timesup == false then
        timesup = true

        SetCommentaryText("Miss.Generic.Timesup")       
        DelayCall("EndMissionFailed", 2)
                
                
    end


    return false
end


function CheckSuddenDeath()
    return 0
end

function HideWormsNow()

    SetInstantReplaysOn(false)


    EffectId1 = CreateParticleEffect("largefire", "wfReffire1") 
    EffectId2 = CreateParticleEffect("largefire", "wfReffire2") 
    EffectId3 = CreateParticleEffect("largefire", "wfReffire3")
    fdamage1 = CreateProximityObject("wfReffire1", kWF_PROXIMITY_FIRE, 1.5)
    fdamage2 = CreateProximityObject("wfReffire2", kWF_PROXIMITY_FIRE, 1.5)
    fdamage3 = CreateProximityObject("wfReffire3", kWF_PROXIMITY_FIRE, 1.5)
    
    EffectId4 = CreateParticleEffect("largesmoke", "wfRefsmoke1")
    
    EffectId5 = CreateParticleEffect("firefly", "wfReffly1")
    EffectId6 = CreateParticleEffect("firefly", "wfReffly2")

    SpawnMine("wfRefmine1")
    SpawnMine("wfRefmine2")
    SpawnMine("wfRefmine3")
    SpawnMine("wfRefmine4")   
    SpawnMine("wfRefmine5")
    SpawnMine("wfRefmine6")
    SpawnMine("wfRefmine7")
    SpawnMine("wfRefmine8")
--    SpawnMine("wfRefmine9")
--    SpawnMine("wfRefmine10")
--    SpawnMine("wfRefmine11")
--    SpawnMine("wfRefmine12")

	WormAllowIdleAnims(0,false)
	WormAllowIdleAnims(1,false)
	WormAllowIdleAnims(2,false)
	WormAllowIdleAnims(3,false)

	SetEFMVCameraShakeRatio(0.0) -- Then the camera shake off 

    --sets up some AI buildings to give them a head start
    CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0013", true )
    CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0011", true )
    CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0021", true )
    CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0022", true )
    CreateBuilding( kWF_BUILDING_TOWER, 1, "buildHere0025", true )

    
    CreateBuilding( kWF_BUILDING_KEEP, 1, "buildHere0023", true )
    CreateBuilding( kWF_BUILDING_KEEP, 1, "buildHere0026", true )
    

    CreateBuilding( kWF_BUILDING_CITADEL, 0, "buildHere001", true )
    
	WormAllowIdleAnims(0,false) 
	WormAllowIdleAnims(1,false) 
	WormAllowIdleAnims(2,false) 
	WormAllowIdleAnims(3,false) 
     

	EFMVFlyby() -- EFMVStart
	StartAllEFMVTimers() -- Actions during EFMV	

end


--****************************************************

function Crate1()

    Crateone = true

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_SUPER_HIPPO -- what is in the crate.
    crate.NumContents = 1			-- amount in the crate use kWF_INFINITE_AMOUNT for infite
    crate.CrateId = 1				-- id only used and set by scripts
    crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
    crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
    crate.TeamCollectable = 0		-- -1 for all teams, otherwise the index of the team
    crate.GroundSnap = true		-- set to true for crate to be placed on the ground below spawn point.
    crate.FixedPosition = true		-- set to true, crate will not move i.e. stays at spanw point
    crate.UXB = false				-- whether crate is booby trapped
    crate.Destructible = false		-- whether crate can be destroyed.
    crate.Pushable = false			-- whether crate can be moved by weapons.
    crate.CollectableByPayload = true	-- whether crate can be collected by roaming rounds e.g. rhino
    crate.Collectable = true		-- whether crate can be collected
    SpawnCrate(1,"wfRefCrate1")

end


function Crate2()

    Cratetwo = true

    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_BATTERING_RAM -- what is in the crate.
    crate.NumContents = 1			-- amount in the crate use kWF_INFINITE_AMOUNT for infite
    crate.CrateId = 2				-- id only used and set by scripts
    crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
    crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
    crate.TeamCollectable = 0		-- -1 for all teams, otherwise the index of the team
    crate.GroundSnap = false		-- set to true for crate to be placed on the ground below spawn point.
    crate.FixedPosition = true		-- set to true, crate will not move i.e. stays at spanw point
    crate.UXB = false				-- whether crate is booby trapped
    crate.Destructible = false		-- whether crate can be destroyed.
    crate.Pushable = false			-- whether crate can be moved by weapons.
    crate.CollectableByPayload = true	-- whether crate can be collected by roaming rounds e.g. rhino
    crate.Collectable = true		-- whether crate can be collected
    SpawnCrate(2,"wfRefCrate2")

end

function Crate3()

    Cratethree = true


    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_AIR_STRIKE -- what is in the crate.
    crate.NumContents = 1			-- amount in the crate use kWF_INFINITE_AMOUNT for infite
    crate.CrateId = 3				-- id only used and set by scripts
    crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
    crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
    crate.TeamCollectable = 0		-- -1 for all teams, otherwise the index of the team
    crate.GroundSnap = false		-- set to true for crate to be placed on the ground below spawn point.
    crate.FixedPosition = true		-- set to true, crate will not move i.e. stays at spanw point
    crate.UXB = false				-- whether crate is booby trapped
    crate.Destructible = false		-- whether crate can be destroyed.
    crate.Pushable = false			-- whether crate can be moved by weapons.
    crate.CollectableByPayload = true	-- whether crate can be collected by roaming rounds e.g. rhino
    crate.Collectable = true		-- whether crate can be collected
    SpawnCrate(3,"wfRefCrate3")

end

function Crate4()

    Cratefour = true


    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_OLD_LADY -- what is in the crate.
    crate.NumContents = 1			-- amount in the crate use kWF_INFINITE_AMOUNT for infite
    crate.CrateId = 4				-- id only used and set by scripts
    crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
    crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
    crate.TeamCollectable = 0		-- -1 for all teams, otherwise the index of the team
    crate.GroundSnap = false		-- set to true for crate to be placed on the ground below spawn point.
    crate.FixedPosition = true		-- set to true, crate will not move i.e. stays at spanw point
    crate.UXB = false				-- whether crate is booby trapped
    crate.Destructible = false		-- whether crate can be destroyed.
    crate.Pushable = false			-- whether crate can be moved by weapons.
    crate.CollectableByPayload = true	-- whether crate can be collected by roaming rounds e.g. rhino
    crate.Collectable = true		-- whether crate can be collected
    SpawnCrate(4,"wfRefCrate4")

end


function Crate5()

    Cratefive = true


    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_AIR_STRIKE -- what is in the crate.
    crate.NumContents = 1			-- amount in the crate use kWF_INFINITE_AMOUNT for infite
    crate.CrateId = 5				-- id only used and set by scripts
    crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
    crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
    crate.TeamCollectable = 0		-- -1 for all teams, otherwise the index of the team
    crate.GroundSnap = false		-- set to true for crate to be placed on the ground below spawn point.
    crate.FixedPosition = true		-- set to true, crate will not move i.e. stays at spanw point
    crate.UXB = false				-- whether crate is booby trapped
    crate.Destructible = false		-- whether crate can be destroyed.
    crate.Pushable = false			-- whether crate can be moved by weapons.
    crate.CollectableByPayload = true	-- whether crate can be collected by roaming rounds e.g. rhino
    crate.Collectable = true		-- whether crate can be collected
    SpawnCrate(5,"wfRefCrate5")

end


function Crate6()

    Cratesix = true


    crate = CreateCrate()
    crate.Contents = kWF_WEAPON_SUPER_HIPPO -- what is in the crate.
    crate.NumContents = 1			-- amount in the crate use kWF_INFINITE_AMOUNT for infite
    crate.CrateId = 6				-- id only used and set by scripts
    crate.TeamDestructible = -1		-- -1 for all teams, otherwise the index of the team
    crate.WormCollectable = -1		-- -1 for all worms otherwise the index of the worm
    crate.TeamCollectable = 0		-- -1 for all teams, otherwise the index of the team
    crate.GroundSnap = false		-- set to true for crate to be placed on the ground below spawn point.
    crate.FixedPosition = true		-- set to true, crate will not move i.e. stays at spanw point
    crate.UXB = false				-- whether crate is booby trapped
    crate.Destructible = false		-- whether crate can be destroyed.
    crate.Pushable = false			-- whether crate can be moved by weapons.
    crate.CollectableByPayload = true	-- whether crate can be collected by roaming rounds e.g. rhino
    crate.Collectable = true		-- whether crate can be collected
    SpawnCrate(6,"wfRefCrate6")

end



--*****************************************************

function createbuilding()



end


--****************************************************


function WormDied( wormIndex )




    
    if wormIndex == 0
        
        or wormIndex == 1
        or wormIndex == 2
        or wormIndex == 3 then
        
        PlayerWormsDead = PlayerWormsDead + 1
        
    end
    
      
    
        if wormIndex == 4
    
        or wormIndex == 5
        or wormIndex == 6
        or wormIndex == 7 
        or wormIndex == 8         
        or wormIndex == 9         
        or wormIndex == 10 then         
        
        EnemyWormsDead = EnemyWormsDead + 1
        
    end
    
    
    if PlayerWormsDead == 1 then
        -- a players worms has died 
        SetCommentaryText("Miss.Generic.Hint41")
        EndMissionFailed()
        
    end    
    
    
    
    if EnemyWormsDead == 7 then
        --player has killed the enemy
        SetCommentaryText("Miss.Generic.Game")
        CheckObjective(1)

        
        
    end 
    
    
    collectgarbage()
    
end 

--**************************************************


function EndMissionSuccess()


	SetVictorySequenceAllowed(false)
        Unlock("LOCK.Movie.MedievalIntro")
        Unlock("LOCK.Fortpot")

        
        if referee.TotalGameTime < 120000 then 
           SetMedal(kGoldMedal)
           Unlock("LOCK.Weapon.NuclearStrike")
           Unlock("LOCK.Fortapedia.NuclearStrike") 
           Unlock("LOCK.Hat.Oriental1")

     
        
        elseif referee.TotalGameTime < 150000 then 
            SetMedal(kSilverMedal) 
            Unlock("LOCK.Hat.Oriental1")
        
        
        
        elseif referee.TotalGameTime > 150000 then 
            SetMedal(kBronzeMedal) 
            Unlock("LOCK.Hat.Oriental1")
        end 




    --SetCommentaryText("Miss.Generic.Success")
    EndRound(0)
end






function EndMissionFailed()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end

--*************************************************

function BuildingHasBeenDestroyed( PlayerId, BuildingType )
	

		Player1Stronghold = GetBuildPointInfo( "buildHere000" )
		if Player1Stronghold.BuildingType == -1 and Player1StrongholdGone == false then
			Player1StrongholdGone = true
                SetCommentaryText("Miss.Generic.Hint39")
                  EndMissionFailed()
					
		end
        
        
        Player2Stronghold = GetBuildPointInfo( "buildHere0024" )
        if Player2Stronghold.BuildingType == -1 and Player2StrongholdGone == false then
			Player2StrongholdGone = true
                SetCommentaryText("Miss.Generic.Game17")
                bothobjectives = bothobjectives + 1
                        CheckObjective(0)

                
                
		end
        
        
        
        
end 

--***********************************************

function TurnEnded()
--~ 	GameHasFinished = 1
--~ 	Num = 13
--~ 	CameraArrayNumber = 5
--~ 	StartAllEFMVTimers()
--~ 	EFMVFlyby() -- EFMVStart Outro ENDMISSIONSUCCESS() called from here

    if bothobjectives == 1 then
    
	-- SPP sod the commentary and flush before efmv
        --SetCommentaryText("Miss.Generic.Game9")
	FlushCommentaryText()
	GameHasFinished = 1
	Num = 13
	CameraArrayNumber = 5
	StartAllEFMVTimers()
	EFMVFlyby() -- EFMVStart Outro ENDMISSIONSUCCESS() called from here
    
    end


end






-- ***********************************************************************************************
-- *                                   Camera things bellow here     				                       *
-- ***********************************************************************************************


function StartAllEFMVTimers()


	if CameraArrayNumber ==  1 then
		FlushCommentaryText()
		OrientateWorm(0,80) 
		OrientateWorm(1,50) 
		OrientateWorm(2,80) 
		OrientateWorm(3,80) 
		OrientateWorm(7,80) 
		OrientateWorm(9,50) 
		OrientateWorm(5,80) 

	
		DelayCall("ScaredLoop",0.1)
		
		DelayCall("MongolWormAngry1", 16)
		DelayCall("MongolWormAngry2", 18)
		DelayCall("MongolWormAngry3", 20.5)
		DelayCall("WormonHillWave", 5)
		DelayCall("DisplayEFMVGirder", 50)
		DelayCall("GirderWorm", 48)
		DelayCall("GirderWorm1", 51)
		DelayCall("GirderWorm2", 53)
		DelayCall("FinalWormAnimation", 56)
		DelayCall("FinalWormAnimation2", 62)
		DelayCall("WormsCheersForGirders", 46)
        DelayCall("Crate1", 8)
        DelayCall("Crate2", 9)
        DelayCall("Crate3", 10)
        DelayCall("Crate4", 11)        
        DelayCall("Crate5", 12)
        DelayCall("Crate6", 13)        
        
        

	elseif CameraArrayNumber == 5 then

		HideWorm(0)
		HideWorm(1)
		HideWorm(2)
		HideWorm(3)
		SweepAndClearArea("wfRef0015")
		SpawnWorm(11, "wfRef0015" )
        SetWormHatFromPlayer(11,0)
		OrientateWorm(11 ,100) 
		DelayCall("EndWormAnim", 0.1)
		DelayCall("EndWormAnim2", 3)
	end
	
end


function ScaredLoop()

	DelayCall("WormsLookScared", 15)
	DelayCall("WormsLookScared2", 17)
	DelayCall("WormsLookScared3", 18)
	DelayCall("WormsLookScared4", 19)
	DelayCall("ScaredLoop2", 6.4)
end

function ScaredLoop2()

	DelayCall("WormsLookScared5", 15)
	DelayCall("WormsLookScared6", 17)
	DelayCall("WormsLookScared7", 18)
	DelayCall("WormsLookScared8", 19)
	DelayCall("ScaredLoop", 6.4)
end


function EFMVFlyby() -- Starts the EFMV sequence

	 if EFMVCamerasAreActive == true then -- As requested, will disable the intro camera

		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
		
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end



function OnEndEFMV(szSeqName, bUserQuit)

	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()

	elseif bUserQuit == 0 then
	
		if CameraArrayNumber == 5  then  -- Just change the number variable to the amount of flyby cams.
			SetGameUpAndCancelEverything()
		
		elseif CameraArrayNumber == 6 then -- End of the outro EFMV Sequence
			--Fade(true, 3, true) -- fades to black over 3 seconds
			 EndMissionSuccess()
			 
		else
			EFMVFlyby()
			
		end
	end
end



function SetGameUpAndCancelEverything() -- Called if the user skips the efmv sequence or the sequence has ended. - Things needed for the 
								--game go here.

	if GameHasFinished == 1 then
		
		 EndMissionSuccess()
	end
		 
	if GameHasFinished == 0 then
	
    
    if Crateone == false then
        Crateone = true
        Crate1()
    end
    
    if Cratetwo == false then
        Cratetwo = true
        Crate2()
    end    

    if Cratethree == false then
        Cratethree = true
        Crate3()
    end
    
    if Cratefour == false then
        Cratefour = true
        Crate4()
    end  

    if Cratefive == false then
        Cratefive = true
        Crate5()
    end
    
    if Cratesix == false then
        Cratesix = true
        Crate6()
    end  

    
    
    
		KillGirder()
	
		WormAllowIdleAnims(0,true) -- Turn all Idle anims back on 
		WormAllowIdleAnims(1,true) 
		WormAllowIdleAnims(2,true) 
		WormAllowIdleAnims(3,true) 
		SetEFMVCameraShakeRatio(1.0) -- Turn the camera shake on
		CancelDelayCall("MongolWormAngry1")
		CancelDelayCall("MongolWormAngry2")
		CancelDelayCall("MongolWormAngry3")
		CancelDelayCall("WormonHillWave")
		CancelDelayCall("DisplayEFMVGirder")
		CancelDelayCall("GirderWorm")
		CancelDelayCall("GirderWorm1")
		CancelDelayCall("GirderWorm2")
		CancelDelayCall("FinalWormAnimation")
		CancelDelayCall("FinalWormAnimation2")
		CancelDelayCall("WormsCheersForGirders")
		CancelDelayCall("WormsLookScared")
		CancelDelayCall("WormsLookScared2")
		CancelDelayCall("WormsLookScared3")
		CancelDelayCall("WormsLookScared4")
		CancelDelayCall("ScaredLoop")
		CancelDelayCall("ScaredLoop2")
		CancelDelayCall("WormsLookScared5")
		CancelDelayCall("WormsLookScared6")
		CancelDelayCall("WormsLookScared7")
		CancelDelayCall("WormsLookScared8")
		SetBriefingBoxPosition(0,0) 
		SetBriefingBoxSize(190,120) 
		CreateBriefingBox("Miss.Oriental5-Objectives")
        
		createbuilding()
        
		
        
		FlushCommentaryText()
        
        
        CancelDelayCall("Crate1")
        CancelDelayCall("Crate2")
        CancelDelayCall("Crate3")
        CancelDelayCall("Crate4")
        CancelDelayCall("Crate5")
        CancelDelayCall("Crate6")
        
        
        
        
        
	end
end

--///////////////////////////////////////////////////////
--  Trigger text code

function EFMV_TextTrigger() 

	if Num == 18 then
		Fade(true, 3, true) -- fades to black over 3 seconds
	end
    
    Text = TextLabelsArray[Num]
    
-- (-1) is infinite, (0) is default to 2000 (2 secs)
    SetCommentaryText(Text, 0)
    Num = Num + 1
    
end 

function EFMV_TextTriggerEnd() 

-- Do something to turn the current text thingy off.

--put in as a parameter the delay in miliseconds
-- (0) means no delay, it will hide it straight away
   HideCurrentText(0)
    
end 



--/// Anims and things for the EFMV bellow here

function WormsLookScared()

    	--WormResetAnim(3) 
	WormQueueAnim(3,"scared2") 
	
end

function WormsLookScared2()

	--WormResetAnim(0) 
	WormQueueAnim(0,"scared3") 
end

function WormsLookScared3()
	
	--WormResetAnim(1) 
	WormQueueAnim(1,"scared3") 
end

function WormsLookScared4()
	
	--WormResetAnim(2) 
	WormQueueAnim(2,"scared2") 
end

function WormsLookScared5()
	
--	WormResetAnim(1) 
	WormQueueAnim(1,"scared2") 
end

function WormsLookScared6()

    	--WormResetAnim(3) 
	WormQueueAnim(3,"scared3") 
	
end

function WormsLookScared7()

	--WormResetAnim(0) 
	WormQueueAnim(0,"scared2") 
end

function WormsLookScared8()
	
	--WormResetAnim(1) 
	WormQueueAnim(1,"scared3") 
end

function WormsLookScared9()
	
	--WormResetAnim(2) 
	WormQueueAnim(2,"scared2") 
end

function WormsLookScared10()
	
--	WormResetAnim(1) 
	WormQueueAnim(1,"scared3") 
end


function WormonHillWave()

	WormResetAnim(4) 
	WormQueueAnim(4,"worm_wave1") 
	
	WormResetAnim(5) 
	WormQueueAnim(5,"worm_wave1") 
	
	WormResetAnim(6) 
	WormQueueAnim(6,"worm_wave1") 
	
	WormResetAnim(7) 
	WormQueueAnim(7,"worm_wave1") 
	
	WormResetAnim(8) 
	WormQueueAnim(8,"worm_wave1") 
	
	WormResetAnim(9) 
	WormQueueAnim(9,"worm_wave1") 
	
	WormResetAnim(10) 
	WormQueueAnim(10,"worm_wave1") 
	
end


function WormsCheersForGirders()   -- When the girder code is ready put in here on worm 2

	

	CancelDelayCall("WormsLookScared")
	CancelDelayCall("WormsLookScared2")
	CancelDelayCall("WormsLookScared3")
	CancelDelayCall("WormsLookScared4")
	CancelDelayCall("ScaredLoop")
	DelayCall("WormsLookScared3", 5)
	DelayCall("WormsLookScared5", 12)

--~ 	WormResetAnim(0) 
--~ 	WormQueueAnim(0,"Idle_anticipation") 
--~ 	
--~ 	WormResetAnim(1) 
--~ 	WormQueueAnim(1,"Idle_bemused") 
--~ 	
--~ 	WormResetAnim(2) 
--~ 	WormQueueAnim(2,"worm_contemplates") 
	
    WormResetAnim(3) 
	WormQueueAnim(3,"happy1") 
end

function DisplayEFMVGirder()
	CancelDelayCall("ScaredLoop")
	DisplayGirder("wfRefGirder") -- Needs timing to appear with the text when the landscape is ready
end


function MongolWormAngry1()
	WormResetAnim(7) 
	WormQueueAnim(7,"angry1") 
end

function MongolWormAngry2()
	WormResetAnim(9) 
	WormQueueAnim(9,"angry3") 
end

function MongolWormAngry3()
	WormResetAnim(5) 
	WormQueueAnim(5,"worm_comeon2") 
end

function GirderWorm()
	CancelDelayCall("ScaredLoop")
	CancelDelayCall("ScaredLoop2")
	CancelDelayCall("WormsLookScared")
	CancelDelayCall("WormsLookScared2")
	CancelDelayCall("WormsLookScared3")
	CancelDelayCall("WormsLookScared4")
	CancelDelayCall("WormsLookScared5")
	CancelDelayCall("WormsLookScared6")
	CancelDelayCall("WormsLookScared7")
	CancelDelayCall("WormsLookScared8")
	WormResetAnim(3) 
	WormQueueAnim(3,"worm_bemused") 
end

function GirderWorm1()

	WormResetAnim(3) 
	WormQueueAnim(3,"worm_contemplates") 
end

function GirderWorm2()

	WormQueueAnim(3,"worm_anticipation") 
end

function FinalWormAnimation()
	WormResetAnim(1) 
	WormQueueAnim(1,"worm_bemused") 
end

function FinalWormAnimation2()
	--WormResetAnim(1) 
	WormQueueAnim(1,"scared3") 
end


function EndWormAnim()
	--WormResetAnim(11) 
	WormQueueAnim(11,"worm_comeon1") 
end

function EndWormAnim2()
	--WormResetAnim(11) 
	WormQueueAnim(11,"worm_smug") 
end

