--***********************************************************
--                Med03b
--***********************************************************

-- objective two, Arthur must survive, capture all VLs and create Camelot according to Architects blueprint.


function InitialiseLevel()
	
    LoadLevel("landscapes/M/M3.xom",true)
    SetupDefaultScheme()
    
    stage = 2 
    Turn = 0
    
    SetObjectives("Miss.Medieval3-Objectives", 2)
    
    --Which part of camelot blueprint they have completed
    
    blueprint0done = false    
    blueprint1done = false
    blueprint2done = false    
    blueprint3done = false
    blueprint4done = false      
    blueprint5done = false
    blueprint6done = false    
    blueprint7done = false
    blueprint8done = false
    Player1StrongholdGone = true
    UserStrongGone = false

    buildingToRemove = "NotSet"
    
    got1 = false
    got2 = false
    got3 = false
        
    whichDialogBox = 9
    
    --stops stronghold being built twice in stage 2
    doneonce = false
    
    HazzardsCleared = 0
    
    Suddendeath = 60000
    AllVictoryLocationsGot = false
    AllHazzardsCleared = false
    --Enemy1StrongholdGone = false
    Enemy2StrongholdGone = false
    
    
	--efmv ONLY cut names, ARRAYS and variables
	bQuitable = true
	bUserQuit = 0
	CameraArrayNumber = 0
	GameHasFinished = 0
	Num = 1
	
	-- stops the victory sequence from playing
	referee = GetRefereeData()
	referee.ShowVictorySequence = false
	
	--switch to false to disable cameras
	EFMVCamerasAreActive = true
	
	
	TextLabelsArray = { "Miss.Medieval3-EFMV.Intro1", "Miss.Medieval3-EFMV.Intro4b", 	
					"Miss.Medieval3-EFMV.Intro7b", "Miss.Medieval3-EFMV.Intro8", "Miss.Medieval3-EFMV.Intro9",	
					"Miss.Medieval3-EFMV.Intro10", "Miss.Medieval3-EFMV.Intro11", "Miss.Medieval3-EFMV.Intro12b",	
					"Miss.Medieval3-EFMV.Intro13b", "Miss.Medieval3-EFMV.Intro14", "Miss.Medieval3-EFMV.Intro15",	
					"Miss.Medieval3-EFMV.Intro16", "Miss.Medieval3-EFMV.Intro17", "Miss.Medieval3-EFMV.Intro18",
					"Miss.Medieval3-EFMV.Intro19", "Miss.Medieval3-EFMV.Intro23", "Miss.Medieval3-EFMV.Intro24",	
					"Miss.Medieval3-EFMV.Intro25", "Miss.Medieval3-EFMV.Intro26", "Miss.Medieval3-EFMV.Midtro6", 
					"Miss.Medieval3-EFMV.Intro27", "Miss.Medieval3-EFMV.Intro28", "Miss.Medieval3-EFMV.Intro29", 
					"Miss.Medieval3-EFMV.Intro30","Miss.Medieval3-EFMV.Intro31", "Miss.Medieval3-EFMV.Intro32", 
					"Miss.Medieval3-EFMV.Intro33","Miss.Medieval3-EFMV.Intro34", "Miss.Medieval3-EFMV.Intro35", 
					"Miss.Medieval3-EFMV.Intro36", "Miss.Medieval3-EFMV.Intro37" } 
							
					
	EFMVArray = { "intro", "cut1", "cut2", "cut3", "cut4", "cut5", "cut6", "cut7", "cut9", "cut10", 
                    "cut11", "cut12", "cut13" } 
    
end

--***********************************************************

function CreatePlayers() 


	--team 0
	
	--    player = CreatePlayer("HUMAN")
	--	player.NumberOfWorms = 4
	--	player.Name = "Arthurs"
	--	player.WormStartingHealth = 100
	--    player.VoiceBank = "Classic"
	--	CreatePlayersTeam(player.PlayerIndex)
	
	--    StandardWorm(GetWormData(0),"Arthur","wfRef000")
	--    StandardWorm(GetWormData(1),"Loyal Knight","wfRef001")    
	--    StandardWorm(GetWormData(2),"Loyal Knight2","wfRef002")    
	--    StandardWorm(GetWormData(3),"Chief Architect","wfRef003")
	
--~ 	SetupHumanPlayer(4,100)
--~     player = GetPlayerData(0)
--~     player.SpecialWeapon =  "kNoSpecialWeapon"
--~ 	--player.VoiceBank = "Classic"
--~ 	
--~ 	GetWormData(player.PlayerIndex,0).SpawnPointName ="wfRef000"
--~ 	GetWormData(player.PlayerIndex,1).SpawnPointName ="wfRef001"
--~ 	GetWormData(player.PlayerIndex,2).SpawnPointName ="wfRef002"
--~ 	GetWormData(player.PlayerIndex,3).SpawnPointName ="wfRef003"
	
    CreateStandardPlayer("HUMAN",4,"Player", "Igor")
    StandardWorm(GetWormData(0),"Worm1", "wfRef000")  
    StandardWorm(GetWormData(1),"Worm2", "wfRef001")  
    StandardWorm(GetWormData(2),"Worm3", "wfRef002")
    StandardWorm(GetWormData(3),"Worm4", "wfRef003")
    
    player = GetPlayerData(0)
    player.SpecialWeapon =  "kNoSpecialWeapon"
    player.TeamTombstone = 8
        
	
	EmptyInventory(0)
	inventory = GetPlayerInventory(0)
	inventory.Bazooka = kWF_INFINITE_AMOUNT
	inventory.Mortar = 2
	inventory.FireWeapon = 0
	inventory.HomingPigeon = 0
	inventory.RocketLauncher = 0
	inventory.Jetpack = 10
	inventory.Tower = kWF_INFINITE_AMOUNT
	inventory.Keep = kWF_INFINITE_AMOUNT
	inventory.Castle = 0
	inventory.Grenade = 10
	inventory.ClusterLauncher = kWF_INFINITE_AMOUNT
	inventory.MiniGun = 3
	inventory.OldLady = 1
    inventory.FireGrenadeLauncher = 5
    inventory.Surrender = 0
	
	--team 2        
	player = CreatePlayer("AI")
	player.NumberOfWorms = 6
	player.Name = "Enemy2"
	player.WormStartingHealth = 100
	player.VoiceBank = "Classic"
	player.Flag = 54
    
    player = GetPlayerData(1)
    player.TeamTombstone = 9
    
	CreatePlayersTeam(player.PlayerIndex)
	
	StandardWorm(GetWormData(4),"Enemy2 1","wfRef008")
	StandardWorm(GetWormData(5),"Enemy2 2","wfRef009")    
	StandardWorm(GetWormData(6),"Enemy2 3","wfRef0010")    
	StandardWorm(GetWormData(7),"Enemy2 4","wfRef0011") 
	StandardWorm(GetWormData(8),"Enemy2 5","wfRef0012")    
	StandardWorm(GetWormData(9),"Enemy2 6","wfRef0013") 
	
	CopyContainer( GetAIParamsCPU3(), GetAIParamsWorm(4) ) 
	GetAIParamsWorm(4).WeightingAttackBuilding = 0 
	CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(5) ) 
	CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(6) ) 
	CopyContainer( GetAIParamsWorm(4),GetAIParamsWorm(7) )
	
	CreateNeutralWorm(10) -- dummy Merlin
	CreateNeutralWorm(11) -- dummy Guinevere
    SetWormHatFromPlayer(11,0)
	CreateNeutralWorm(12) -- dummy enemy
	
	
	EmptyInventory(1)
	inventory = GetPlayerInventory(1)
	inventory.Bazooka = kWF_INFINITE_AMOUNT
	inventory.Grenade = kWF_INFINITE_AMOUNT
	inventory.Tower = 3
	inventory.MiniGun = 6
	inventory.TowerDelay = 3
	inventory.Ballista = 2
	inventory.BallistaDelay = 2
	inventory.Mortar = 1
	inventory.MortarDelay = 5
    --inventory.ClusterLauncher = 1
    --inventory.ClusterLauncherDelay = 4
	
	scheme = GetCurrentSchemeData()
	scheme.CrateProbability = 0
        scheme.SuddenDeathTime = 60000
	
	StandardRefereeSettings()
	referee = GetRefereeData()
    

end
--**************************************************************

function HideWormsNow()

    SetInstantReplaysOn(false)
   

--    EffectId1 = CreateParticleEffect("largefire", "wfRefCandle1")
--    EffectId2 = CreateParticleEffect("largefire", "wfRefCandle2")
--    EffectId3 = CreateParticleEffect("largefire", "wfRefCandle3")
--    EffectId4 = CreateParticleEffect("largefire", "wfRefCandle4")


	
	--CreateBuilding( kWF_BUILDING_KEEP, 0, "buildHere000")
	CreateBuilding( kWF_BUILDING_STRONGHOLD, 1, "buildHere0029", true )
	CreateBuilding( kWF_BUILDING_CASTLE, 1, "buildHere0028")
	--CreateBuilding( kWF_BUILDING_KEEP, 1, "buildHere0030")
    
	
	for worm = 0, 9 do
		
		HideWorm( worm )
	end
	
	FlushCommentaryText()
	StartAllEFMVTimers()
	EFMVFlyby()
	
end

--*************************************************************

--~ function DoIntroBriefing()
--~ end


--*************************************************************



--**************************************************************

function CheckSuddenDeath()

    referee = GetRefereeData()
     
    if referee.TotalGameTime >= 60000 then
        EndMissionFail()
    end   

end

function WormDied( wormTaskId )

    if CheckAreAllWormsDead( 0 ) == true then 
    EndMissionFail() 
    end

    -- a worm somewhere has worm died 
 
    --arthur = GetWormData( 0 )
    --Architect = GetWormData( 3 )
 
	
    --if arthur.Health <= 0 then	
        -- arthur has died so player 1 (AI) has won!!
      --  EndRound( 1 )
    --end

        
        
        
    collectgarbage()
end 

--*****************************************************************

function TurnEnded(playerTaskId)

    Turn = Turn + 1
    
    if Turn == 4 then
    GameIsMidSequence = true
    Num = 20
 	CameraArrayNumber = 12
    bQuitable = false
 	EFMVFlyby()
    end
    
    if Turn == 5 then
    ShowOnlyScriptCommentary(false)
    end
    
    collectgarbage()
end



--***********************************************************************************


--***************************************************************

--check if buildings are in the right place
function DoesCamelotMatchBlueprint()

	if stage == 2 then
    
		numCamelotBuildingsCorrect = 0
    
		CheckBlueprintTile( "buildHere000", kWF_BUILDING_TOWER )
		CheckBlueprintTile( "buildHere001", kWF_BUILDING_KEEP )
		CheckBlueprintTile( "buildHere002", kWF_BUILDING_KEEP )
		CheckBlueprintTile( "buildHere003", kWF_BUILDING_TOWER )
		--CheckBlueprintTile( "buildHere004", kWF_BUILDING_STRONGHOLD )
		CheckBlueprintTile( "buildHere005", kWF_BUILDING_TOWER )
		CheckBlueprintTile( "buildHere006", kWF_BUILDING_KEEP )
		CheckBlueprintTile( "buildHere007", kWF_BUILDING_TOWER )
		CheckBlueprintTile( "buildHere008", kWF_BUILDING_KEEP )
		 
		-- Is Camelot complete?
        if numCamelotBuildingsCorrect == 8 and got3 == true then
        CheckObjective(1)
            --spawn in worms for stage 3
            CameraArrayNumber = 10
            Num = 21
            GameHasFinished = 1
            bQuitable = true
            DelayCall("StartAllEFMVTimers", 0.5)
            DelayCall("EFMVFlyby", 1.2)
        
        end
        
    end
    
 end

 --****************************************************************
 
 
function CheckBlueprintTile( tileName, buildingType )

    buildingInfo = GetBuildPointInfo( tileName )	
    if buildingInfo.BuildingType == buildingType then
    
        numCamelotBuildingsCorrect = numCamelotBuildingsCorrect + 1
        
    else

        if buildingInfo.BuildingType ~= -1 then
        
            -- a wrong building has been built    
            
	    -- Should we have the commentary now or when it's actually removed
	    SetCommentaryText("Miss.Generic.Hint46")
	    
	    buildingToRemove = tileName
	    DelayCall( "RemoveBuildingInWrongPlace", 4 )
            
        end

        
    end	

end


function RemoveBuildingInWrongPlace()

	RemoveBuilding( buildingToRemove )
	
end



--**************************************************************
-- check if all enemy worms have gone in stage 3


--*************************************************************

function CheckVictoryConditions()

--~             if referee.TotalGameTime >= 60000 then
--~                 EndMissionFail()
--~             end
	return false
end


--*************************************************************


function SetNextPlayerToGo( playerIndex ) 

    if playerIndex == 1 then
        once = false
        DoesCamelotMatchBlueprint()
    end


return playerIndex 

end

--************************************************************

function SetNextWormToGo( playerIndex, wormIndex )	

--	referee = GetRefereeData()
--        -- Dont let the architect get a go
--	if playerIndex == 0 and wormIndex == 3 then
--		return 0
--	end

	collectgarbage()
	
	return wormIndex
end


function BuildingHasBeenDestroyed( PlayerId, BuildingType )
	
    
        Player1Stronghold = GetBuildPointInfo( "buildHere0029" )
		if Player1Stronghold.BuildingType == -1 and Player1StrongholdGone == false then
        
			Player1StrongholdGone = true
        end
        
        
    
        -- Player's Stronghold has been destroyed.
        
        buildHere004 = GetBuildPointInfo( "buildHere004" )
        
        if buildHere004.BuildingType == -1 and UserStrongGone == false then
        UserStrongGone = true
        EndMissionFail()
        end
        
end        
        

function BuildingHasBeenBuilt(PlayerId,BuildingType,buildingIndex)
    if PlayerId == 0 then
    
            DoesCamelotMatchBlueprint()

--        NumVictoryLocations = GetPlayerResourcePoints( 0 )
--        if NumVictoryLocations == 1 and got1 == false then
--            got1 = true
--            SetCommentaryText("Miss.Generic.Game10")
--        end

        NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if NumVictoryLocations == 2 and got2 == false then
            got2 = true
            SetCommentaryText("Miss.Generic.Game10")
        end
        
        NumVictoryLocations = GetPlayerResourcePoints( 0 )
        if NumVictoryLocations == 3 and got3 == false then
            got3 = true
            CheckObjective(0)
            SetCommentaryText("Miss.Generic.Game10")
        end
        
    end
        
        
end


function EndMissionSuccess()

	SetCommentaryText("Miss.Generic.Success")
	EndRound(0)
end


--**********************************************************************************************************

--					CAMERA STUFF DOWN BELOW

--**********************************************************************************************************

function EFMVFlyby() -- Starts the EFMV sequence
	
	FlushCommentaryText()
	ShowOnlyScriptCommentary(true)
	SetEFMVCameraShakeRatio(0.0) 
	
	--if cameras are active then continue with intro
	 if EFMVCamerasAreActive == true then
	
		CameraArrayNumber = CameraArrayNumber + 1
		StartEFMV(EFMVArray[CameraArrayNumber], bQuitable)
	
		--if cameras are disabled then start the game
	elseif EFMVCamerasAreActive == false then
		SetGameUpAndCancelEverything()
	end

end

function OnEndEFMV(szSeqName, bUserQuit)

	if bUserQuit == 1 then -- User has skipped EFMV
		SetGameUpAndCancelEverything()

		elseif bUserQuit == 0 then
		
--~ 		--intro
		if CameraArrayNumber < 10 then
			FlushCommentaryText()
			EFMVFlyby()
		
		elseif CameraArrayNumber == 10  then --last intro cam
			SetGameUpAndCancelEverything()
			
		elseif CameraArrayNumber == 11 then --first outro seq.
			EFMVFlyby()
		
		--last sequence in the outro
		elseif CameraArrayNumber == 12 then 
			--Game will end here if the player has completed the mission.
			EndMissionSuccess()
            
        elseif CameraArrayNumber == 13 then
        
            GameIsMidSequence = false
        
		end
	end
end


function StartAllEFMVTimers() 
	
	if CameraArrayNumber == 0 then
		
		DelayCall("SpawnArthurAndMerlin", 10)
		DelayCall("ArthurAndMerlinChat", 13)
		DelayCall("ArthurAndMerlinChat", 15)
		DelayCall("MerlinSurvey", 17)
		DelayCall("CheckViewOfLibrary", 52)
		DelayCall("ArthurPuzzled", 59)
		DelayCall("MerlinTalk", 61)
		DelayCall("MerlinAaaay", 67.5)
		DelayCall("SpawnEnemy", 1)
		DelayCall("EnemyTaunt", 92.5)
		DelayCall("EnemyTaunt", 95.9)
		DelayCall("ArthurScared", 101)
		DelayCall("MerlinHehehe", 101.5)
		DelayCall("MerlinVanish", 104)
		DelayCall("SpawnPlayerStronghold", 40)
	
	elseif CameraArrayNumber == 10 then
		
		DelayCall("ArthurOutro", 0)
		DelayCall("MerlinOutro", 0)
		DelayCall("MerlinHappy", 2.8) 
		DelayCall("ArthurAndMerlinAaaaay", 6.05)
		DelayCall("SpawnGuinevere", 13)
		DelayCall("GuineverePuzzled", 14.5)
		DelayCall("GuineverePeck", 16)

		DelayCall("ArthurBemused", 16.5)
		DelayCall("MerlinEyeBrow", 16.5)
		DelayCall("ArthurDisappointed", 22.5) 
		DelayCall("ArthurLook", 25) 
		--DelayCall("ArthurPuzzled2", 
		DelayCall("ArthurShakehead", 32) 
		DelayCall("MerlinLaugh", 33.5)
		DelayCall("MerlinAndArthurBemused", 37.5)
		--DelayCall("ArthurClueless", 16.5)
		
	
		
	end
end


function SetGameUpAndCancelEverything() 
-- Called if the user skips the efmv sequence or the sequence has ended.
	
    ShowOnlyScriptCommentary(false)
    
	if GameHasFinished == 1 then
		EndMissionSuccess()
	else
		
		SetBriefingBoxPosition(0,0) 
		SetBriefingBoxSize(190,120) 
		CreateBriefingBox( "Miss.Medieval3-Objectives" ) 
			
		
		crate = CreateCrate()
		crate.Contents = kWF_UTILITY_HEALTH 
		crate.HealthInCrate = 15				
		crate.CrateId = 1				
		crate.TeamDestructible = -1		
		crate.WormCollectable = -1		
		crate.TeamCollectable = -1		
		crate.GroundSnap = false		
		crate.FixedPosition = false		
		crate.UXB = false				
		crate.Destructible = true		
		crate.Pushable = false			
		crate.CollectableByPayload = false	
		crate.Collectable = true		
		SpawnCrate(98,"wfRefItem14")
		
		crate = CreateCrate()
		crate.Contents = kWF_UTILITY_HEALTH 
		crate.HealthInCrate = 15				
		crate.CrateId = 99				
		crate.TeamDestructible = -1		
		crate.WormCollectable = -1		
		crate.TeamCollectable = -1		
		crate.GroundSnap = false		
		crate.FixedPosition = false		
		crate.UXB = false				
		crate.Destructible = true		
		crate.Pushable = false			
		crate.CollectableByPayload = false	
		crate.Collectable = true		
		SpawnCrate(99,"wfRefItem15")
		
		CancelDelayCall("SpawnArthurAndMerlin")
		CancelDelayCall("ArthurAndMerlinChat")
		CancelDelayCall("ArthurAndMerlinChat")
		CancelDelayCall("MerlinSurvey")
		CancelDelayCall("CheckViewOfLibrary")
		CancelDelayCall("ArthurPuzzled")
		CancelDelayCall("MerlinTalk")
		CancelDelayCall("MerlinAaaay")
		CancelDelayCall("SpawnEnemy")
		CancelDelayCall("EnemyTaunt")
		CancelDelayCall("EnemyTaunt")
		CancelDelayCall("ArthurScared")
		CancelDelayCall("MerlinHehehe")
		CancelDelayCall("MerlinVanish")
		CancelDelayCall("SpawnPlayerStronghold", 40)
		
		CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHere004", true)

--		SpawnWorm(10, "wfRefMerlin")
		HideWorm(10)
		
--		SpawnWorm(12, "wfRef0011")
		HideWorm(12)
		
--		HideWorm(0)
		SpawnWorm(0, "wfRef000")
		
		for worm = 1, 9 do
			SpawnWorm( worm )
        
		end
	end
end	

------------------------INTRO STUFF------------------------

function SpawnArthurAndMerlin()

	SpawnWorm(0, "wfRef000")
	CreateParticleEffect("wormspawnA", "wfRefMerlin")
	CreateParticleEffect("wormspawnB", "wfRefMerlin")
	
	Worm = GetWormData(10) 
	Worm.HatOverride = "Hat.Wizard" 
	
	SpawnWorm(10, "wfRefMerlin")
	OrientateWormToWorm(0,10)
	OrientateWormToWorm(10,0)
end

function ArthurAndMerlinChat()
	WormQueueAnim(0,"worm_speak2")
	WormQueueAnim(10,"worm_speak2")
	
	--DelayCall("ArthurAndMerlinChat",2)
end

function MerlinSurvey()
	OrientateWorm(10,45)
	OrientateWorm(0,45) 
	WormResetAnim(0)
	WormResetAnim(10)
	WormQueueAnim(10, "worm_surveying")
end

function SpawnPlayerStronghold()
	CreateBuilding( kWF_BUILDING_STRONGHOLD, 0, "buildHere004")
end

function CheckViewOfLibrary()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_shocked")
	WormResetAnim(10)
	WormQueueAnim(10, "worm_franticpointing")
end

function ArthurPuzzled()
	WormResetAnim(0)
	WormQueueAnim(0,"worm_puzzled")
end

function MerlinTalk()
	WormQueueAnim(10,"worm_speak2")
    
	DelayCall("MerlinTalk", 1.8)
end

function MerlinAaaay()
	WormQueueAnim(10, "worm_confident")
	
	DelayCall("MerlinTalk", 5)
end

function ArthurScared()
	OrientateWormToCamera(0)
	WormResetAnim(0)
	WormQueueAnim(0, "scared3")
end

--function ArthurNod()
--	WormResetAnim(0)
--	WormQueueAnim(0, "worm_nod")
--end

function MerlinHehehe()
	OrientateWormToCamera(10)
	WormResetAnim(10)
	WormQueueAnim(10, "worm_flutter")
end

function MerlinVanish()
	CreateParticleEffect("wormspawnA", "wfRefMerlin")
	CreateParticleEffect("wormspawnB", "wfRefMerlin")
	HideWorm(10)
end

function SpawnEnemy()
	SpawnWorm(12, "wfRef009")
	OrientateWorm(12, 50)
end

function EnemyTaunt()
	OrientateWormToCamera(12)
	WormResetAnim(12)
	WormQueueAnim(12, "worm_comeon2" )
end

function EnemyTaunt2()
	WormResetAnim(12)
	WormQueueAnim(12, "worm_insane" )
end

-----------------------OUTRO: CAM = 10 / Num = 21 ------------------------

function ArthurOutro()
	--Worm = GetWormData(0) 
	--Worm.HatOverride = "NoHat"
	
	HideWorm(0)
	SpawnWorm(0, "wfRef000")
	OrientateWorm(0, 250)
	WormResetAnim(0)
	WormQueueAnim(0, "happy2")
end

function MerlinHappy()
	WormResetAnim(10)
	WormQueueAnim(10, "happy3")
end

function MerlinOutro()
			
	Worm = GetWormData(10) 
	Worm.HatOverride = "Hat.Wizard" 

	SpawnWorm(10, "wfRefMerlin")
	OrientateWorm(10, 250)
	WormResetAnim(10)
	WormQueueAnim(10, "happy1")
end

function ArthurAndMerlinAaaaay()
	OrientateWorm(0, 200)
	OrientateWorm(10, 200)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_confident")
	WormResetAnim(10)
	WormQueueAnim(10, "worm_confident")
end

function SpawnGuinevere()
	Worm = GetWormData(11) 
	Worm.HatOverride = "Hat.Guinevere" 
	
	CreateParticleEffect("wormspawnA", "wfRefGuinivere")
	SpawnWorm(11, "wfRefGuinivere")
	OrientateWormToWorm(11, 0)
	OrientateWormToWorm(0, 11)
	OrientateWormToWorm(10, 0)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_shocked")
end

function GuineverePuzzled()
	WormResetAnim(11)
	WormQueueAnim(11, "worm_puzzled")
end

function GuineverePeck()
	WormResetAnim(11)
	WormQueueAnim(11, "worm_speak2")
	
	DelayCall("GuineverePeck", 1.8)
end

function ArthurBemused()
	OrientateWormToCamera(0)
	OrientateWormToWorm(10, 0)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_bemused")
end

function ArthurClueless()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_clueless")
end

function ArthurDisappointed()
	WormResetAnim(0)
	WormQueueAnim(0, "disappointed1")
end

function ArthurPuzzled2()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_puzzled")
end

function ArthurLook()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_looking")
end

function ArthurShakehead()
	WormResetAnim(0)
	WormQueueAnim(0, "worm_shakehead")
end

function MerlinLaugh()
	OrientateWorm(10, 10)
	WormResetAnim(10)
	WormQueueAnim(10, "worm_flutter")
end

function MerlinEyeBrow()
	WormResetAnim(10)
	WormQueueAnim(10, "Idle_eyebrowdrop")
end

function MerlinAndArthurBemused()
	OrientateWormToWorm(0, 10)
	OrientateWormToWorm(10, 0)
	WormResetAnim(0)
	WormQueueAnim(0, "worm_bemused")
	WormResetAnim(10)
	WormQueueAnim(10, "worm_bemused")
end

function FadeToBlack()
	Fade(true, 3, true)
end

--------------- TEXT CODE------------------------------

function EFMV_TextTrigger() 
	
	if Num == 31 then
	
		DelayCall("FadeToBlack", 1)
	
	end
	
	Text = TextLabelsArray[Num]
	
	-- (-1) is infinite, (0) is default to 2000 (2 secs)
	SetCommentaryText(Text, -1)
	
	Num = Num + 1

end 

function EFMV_TextTriggerEnd() 

	-- Do something to turn the current text thingy off.
	
	--put in as a parameter the delay in miliseconds
	-- (0) means no delay, it will hide it straight away
	HideCurrentText(0)
end 

function EndMissionFail()
    SetCommentaryText("Miss.Generic.Failed")
    EndRound(1)
end
